//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	$Id: statinfo.cpp,v 1.6 2001/10/27 07:53:44 dj_jl Exp $
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**
//**************************************************************************

#include "../../makeinfo.h"
#include "info.h"

int		numstates = NUMHERETICSTATES;

state_t	states[] = {
{SPR2_IMPX,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_NULL
{SPR2_ACLO,4,1050,SA2_FreeTargMobj,S2_NULL,0,0},	// S2_FREETARGMOBJ
{SPR2_PTN1,0,3,SA2_NULL,S2_ITEM_PTN1_2,0,0,"items/vial.md2",0},	// S2_ITEM_PTN1_1
{SPR2_PTN1,1,3,SA2_NULL,S2_ITEM_PTN1_3,0,0,"items/vial.md2",0},	// S2_ITEM_PTN1_2
{SPR2_PTN1,2,3,SA2_NULL,S2_ITEM_PTN1_1,0,0,"items/vial.md2",0},	// S2_ITEM_PTN1_3
{SPR2_SHLD,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_ITEM_SHLD1
{SPR2_SHD2,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_ITEM_SHD2_1
{SPR2_BAGH,0,-1,SA2_NULL,S2_NULL,0,0,"items/bag.md2",0},	// S2_ITEM_BAGH1
{SPR2_SPMP,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_ITEM_SPMP1
{SPR2_ACLO,4,1400,SA2_NULL,S2_HIDESPECIAL2,0,0},	// S2_HIDESPECIAL1
{SPR2_ACLO,0,4,SA2_RestoreSpecialThing1,S2_HIDESPECIAL3,0,0},	// S2_HIDESPECIAL2
{SPR2_ACLO,1,4,SA2_NULL,S2_HIDESPECIAL4,0,0},	// S2_HIDESPECIAL3
{SPR2_ACLO,0,4,SA2_NULL,S2_HIDESPECIAL5,0,0},	// S2_HIDESPECIAL4
{SPR2_ACLO,1,4,SA2_NULL,S2_HIDESPECIAL6,0,0},	// S2_HIDESPECIAL5
{SPR2_ACLO,2,4,SA2_NULL,S2_HIDESPECIAL7,0,0},	// S2_HIDESPECIAL6
{SPR2_ACLO,1,4,SA2_NULL,S2_HIDESPECIAL8,0,0},	// S2_HIDESPECIAL7
{SPR2_ACLO,2,4,SA2_NULL,S2_HIDESPECIAL9,0,0},	// S2_HIDESPECIAL8
{SPR2_ACLO,3,4,SA2_NULL,S2_HIDESPECIAL10,0,0},	// S2_HIDESPECIAL9
{SPR2_ACLO,2,4,SA2_NULL,S2_HIDESPECIAL11,0,0},	// S2_HIDESPECIAL10
{SPR2_ACLO,3,4,SA2_RestoreSpecialThing2,S2_NULL,0,0},	// S2_HIDESPECIAL11
{SPR2_ACLO,3,3,SA2_NULL,S2_DORMANTARTI2,0,0},	// S2_DORMANTARTI1
{SPR2_ACLO,2,3,SA2_NULL,S2_DORMANTARTI3,0,0},	// S2_DORMANTARTI2
{SPR2_ACLO,3,3,SA2_NULL,S2_DORMANTARTI4,0,0},	// S2_DORMANTARTI3
{SPR2_ACLO,2,3,SA2_NULL,S2_DORMANTARTI5,0,0},	// S2_DORMANTARTI4
{SPR2_ACLO,1,3,SA2_NULL,S2_DORMANTARTI6,0,0},	// S2_DORMANTARTI5
{SPR2_ACLO,2,3,SA2_NULL,S2_DORMANTARTI7,0,0},	// S2_DORMANTARTI6
{SPR2_ACLO,1,3,SA2_NULL,S2_DORMANTARTI8,0,0},	// S2_DORMANTARTI7
{SPR2_ACLO,0,3,SA2_NULL,S2_DORMANTARTI9,0,0},	// S2_DORMANTARTI8
{SPR2_ACLO,1,3,SA2_NULL,S2_DORMANTARTI10,0,0},	// S2_DORMANTARTI9
{SPR2_ACLO,0,3,SA2_NULL,S2_DORMANTARTI11,0,0},	// S2_DORMANTARTI10
{SPR2_ACLO,0,1400,SA2_HideThing,S2_DORMANTARTI12,0,0},	// S2_DORMANTARTI11
{SPR2_ACLO,0,3,SA2_UnHideThing,S2_DORMANTARTI13,0,0},	// S2_DORMANTARTI12
{SPR2_ACLO,1,3,SA2_NULL,S2_DORMANTARTI14,0,0},	// S2_DORMANTARTI13
{SPR2_ACLO,0,3,SA2_NULL,S2_DORMANTARTI15,0,0},	// S2_DORMANTARTI14
{SPR2_ACLO,1,3,SA2_NULL,S2_DORMANTARTI16,0,0},	// S2_DORMANTARTI15
{SPR2_ACLO,2,3,SA2_NULL,S2_DORMANTARTI17,0,0},	// S2_DORMANTARTI16
{SPR2_ACLO,1,3,SA2_NULL,S2_DORMANTARTI18,0,0},	// S2_DORMANTARTI17
{SPR2_ACLO,2,3,SA2_NULL,S2_DORMANTARTI19,0,0},	// S2_DORMANTARTI18
{SPR2_ACLO,3,3,SA2_NULL,S2_DORMANTARTI20,0,0},	// S2_DORMANTARTI19
{SPR2_ACLO,2,3,SA2_NULL,S2_DORMANTARTI21,0,0},	// S2_DORMANTARTI20
{SPR2_ACLO,3,3,SA2_RestoreArtifact,S2_NULL,0,0},	// S2_DORMANTARTI21
{SPR2_ACLO,3,3,SA2_NULL,S2_DEADARTI2,0,0},	// S2_DEADARTI1
{SPR2_ACLO,2,3,SA2_NULL,S2_DEADARTI3,0,0},	// S2_DEADARTI2
{SPR2_ACLO,3,3,SA2_NULL,S2_DEADARTI4,0,0},	// S2_DEADARTI3
{SPR2_ACLO,2,3,SA2_NULL,S2_DEADARTI5,0,0},	// S2_DEADARTI4
{SPR2_ACLO,1,3,SA2_NULL,S2_DEADARTI6,0,0},	// S2_DEADARTI5
{SPR2_ACLO,2,3,SA2_NULL,S2_DEADARTI7,0,0},	// S2_DEADARTI6
{SPR2_ACLO,1,3,SA2_NULL,S2_DEADARTI8,0,0},	// S2_DEADARTI7
{SPR2_ACLO,0,3,SA2_NULL,S2_DEADARTI9,0,0},	// S2_DEADARTI8
{SPR2_ACLO,1,3,SA2_NULL,S2_DEADARTI10,0,0},	// S2_DEADARTI9
{SPR2_ACLO,0,3,SA2_NULL,S2_NULL,0,0},	// S2_DEADARTI10
{SPR2_INVS,32768,350,SA2_NULL,S2_ARTI_INVS1,0,0},	// S2_ARTI_INVS1
{SPR2_PTN2,0,4,SA2_NULL,S2_ARTI_PTN2_2,0,0,"artifact/flask.md2",0},	// S2_ARTI_PTN2_1
{SPR2_PTN2,1,4,SA2_NULL,S2_ARTI_PTN2_3,0,0,"artifact/flask.md2",0},	// S2_ARTI_PTN2_2
{SPR2_PTN2,2,4,SA2_NULL,S2_ARTI_PTN2_1,0,0,"artifact/flask.md2",0},	// S2_ARTI_PTN2_3
{SPR2_SOAR,0,5,SA2_NULL,S2_ARTI_SOAR2,0,0},	// S2_ARTI_SOAR1
{SPR2_SOAR,1,5,SA2_NULL,S2_ARTI_SOAR3,0,0},	// S2_ARTI_SOAR2
{SPR2_SOAR,2,5,SA2_NULL,S2_ARTI_SOAR4,0,0},	// S2_ARTI_SOAR3
{SPR2_SOAR,1,5,SA2_NULL,S2_ARTI_SOAR1,0,0},	// S2_ARTI_SOAR4
{SPR2_INVU,0,3,SA2_NULL,S2_ARTI_INVU2,0,0},	// S2_ARTI_INVU1
{SPR2_INVU,1,3,SA2_NULL,S2_ARTI_INVU3,0,0},	// S2_ARTI_INVU2
{SPR2_INVU,2,3,SA2_NULL,S2_ARTI_INVU4,0,0},	// S2_ARTI_INVU3
{SPR2_INVU,3,3,SA2_NULL,S2_ARTI_INVU1,0,0},	// S2_ARTI_INVU4
{SPR2_PWBK,0,350,SA2_NULL,S2_ARTI_PWBK1,0,0,"artifact/tome.md2",0},	// S2_ARTI_PWBK1
{SPR2_EGGC,0,6,SA2_NULL,S2_ARTI_EGGC2,0,0},	// S2_ARTI_EGGC1
{SPR2_EGGC,1,6,SA2_NULL,S2_ARTI_EGGC3,0,0},	// S2_ARTI_EGGC2
{SPR2_EGGC,2,6,SA2_NULL,S2_ARTI_EGGC4,0,0},	// S2_ARTI_EGGC3
{SPR2_EGGC,1,6,SA2_NULL,S2_ARTI_EGGC1,0,0},	// S2_ARTI_EGGC4
{SPR2_EGGM,0,4,SA2_NULL,S2_EGGFX2,0,0},	// S2_EGGFX1
{SPR2_EGGM,1,4,SA2_NULL,S2_EGGFX3,0,0},	// S2_EGGFX2
{SPR2_EGGM,2,4,SA2_NULL,S2_EGGFX4,0,0},	// S2_EGGFX3
{SPR2_EGGM,3,4,SA2_NULL,S2_EGGFX5,0,0},	// S2_EGGFX4
{SPR2_EGGM,4,4,SA2_NULL,S2_EGGFX1,0,0},	// S2_EGGFX5
{SPR2_FX01,32772,3,SA2_NULL,S2_EGGFXI1_2,0,0},	// S2_EGGFXI1_1
{SPR2_FX01,32773,3,SA2_NULL,S2_EGGFXI1_3,0,0},	// S2_EGGFXI1_2
{SPR2_FX01,32774,3,SA2_NULL,S2_EGGFXI1_4,0,0},	// S2_EGGFXI1_3
{SPR2_FX01,32775,3,SA2_NULL,S2_NULL,0,0},	// S2_EGGFXI1_4
{SPR2_SPHL,0,350,SA2_NULL,S2_ARTI_SPHL1,0,0,"artifact/shboost.md2",0},	// S2_ARTI_SPHL1
{SPR2_TRCH,32768,3,SA2_NULL,S2_ARTI_TRCH2,0,0,"artifact/torch.md2",0},	// S2_ARTI_TRCH1
{SPR2_TRCH,32769,3,SA2_NULL,S2_ARTI_TRCH3,0,0,"artifact/torch.md2",0},	// S2_ARTI_TRCH2
{SPR2_TRCH,32770,3,SA2_NULL,S2_ARTI_TRCH1,0,0,"artifact/torch.md2",0},	// S2_ARTI_TRCH3
{SPR2_FBMB,4,350,SA2_NULL,S2_ARTI_FBMB1,0,0},	// S2_ARTI_FBMB1
{SPR2_FBMB,0,10,SA2_NULL,S2_FIREBOMB2,0,0},	// S2_FIREBOMB1
{SPR2_FBMB,1,10,SA2_NULL,S2_FIREBOMB3,0,0},	// S2_FIREBOMB2
{SPR2_FBMB,2,10,SA2_NULL,S2_FIREBOMB4,0,0},	// S2_FIREBOMB3
{SPR2_FBMB,3,10,SA2_NULL,S2_FIREBOMB5,0,0},	// S2_FIREBOMB4
{SPR2_FBMB,4,6,SA2_Scream,S2_FIREBOMB6,0,0},	// S2_FIREBOMB5
{SPR2_XPL1,32768,4,SA2_Explode,S2_FIREBOMB7,0,0},	// S2_FIREBOMB6
{SPR2_XPL1,32769,4,SA2_NULL,S2_FIREBOMB8,0,0},	// S2_FIREBOMB7
{SPR2_XPL1,32770,4,SA2_NULL,S2_FIREBOMB9,0,0},	// S2_FIREBOMB8
{SPR2_XPL1,32771,4,SA2_NULL,S2_FIREBOMB10,0,0},	// S2_FIREBOMB9
{SPR2_XPL1,32772,4,SA2_NULL,S2_FIREBOMB11,0,0},	// S2_FIREBOMB10
{SPR2_XPL1,32773,4,SA2_NULL,S2_NULL,0,0},	// S2_FIREBOMB11
{SPR2_ATLP,0,4,SA2_NULL,S2_ARTI_ATLP2,0,0,"artifact/teleport.md2",0},	// S2_ARTI_ATLP1
{SPR2_ATLP,1,4,SA2_NULL,S2_ARTI_ATLP3,0,0,"artifact/teleport.md2",0},	// S2_ARTI_ATLP2
{SPR2_ATLP,2,4,SA2_NULL,S2_ARTI_ATLP4,0,0,"artifact/teleport.md2",0},	// S2_ARTI_ATLP3
{SPR2_ATLP,1,4,SA2_NULL,S2_ARTI_ATLP1,0,0,"artifact/teleport.md2",0},	// S2_ARTI_ATLP4
{SPR2_PPOD,0,10,SA2_NULL,S2_POD_WAIT1,0,0},	// S2_POD_WAIT1
{SPR2_PPOD,1,14,SA2_PodPain,S2_POD_WAIT1,0,0},	// S2_POD_PAIN1
{SPR2_PPOD,32770,5,SA2_RemovePod,S2_POD_DIE2,0,0},	// S2_POD_DIE1
{SPR2_PPOD,32771,5,SA2_Scream,S2_POD_DIE3,0,0},	// S2_POD_DIE2
{SPR2_PPOD,32772,5,SA2_Explode,S2_POD_DIE4,0,0},	// S2_POD_DIE3
{SPR2_PPOD,32773,10,SA2_NULL,S2_FREETARGMOBJ,0,0},	// S2_POD_DIE4
{SPR2_PPOD,8,3,SA2_NULL,S2_POD_GROW2,0,0},	// S2_POD_GROW1
{SPR2_PPOD,9,3,SA2_NULL,S2_POD_GROW3,0,0},	// S2_POD_GROW2
{SPR2_PPOD,10,3,SA2_NULL,S2_POD_GROW4,0,0},	// S2_POD_GROW3
{SPR2_PPOD,11,3,SA2_NULL,S2_POD_GROW5,0,0},	// S2_POD_GROW4
{SPR2_PPOD,12,3,SA2_NULL,S2_POD_GROW6,0,0},	// S2_POD_GROW5
{SPR2_PPOD,13,3,SA2_NULL,S2_POD_GROW7,0,0},	// S2_POD_GROW6
{SPR2_PPOD,14,3,SA2_NULL,S2_POD_GROW8,0,0},	// S2_POD_GROW7
{SPR2_PPOD,15,3,SA2_NULL,S2_POD_WAIT1,0,0},	// S2_POD_GROW8
{SPR2_PPOD,6,8,SA2_NULL,S2_PODGOO2,0,0},	// S2_PODGOO1
{SPR2_PPOD,7,8,SA2_NULL,S2_PODGOO1,0,0},	// S2_PODGOO2
{SPR2_PPOD,6,10,SA2_NULL,S2_NULL,0,0},	// S2_PODGOOX
{SPR2_AMG1,0,35,SA2_MakePod,S2_PODGENERATOR,0,0},	// S2_PODGENERATOR
{SPR2_SPSH,0,8,SA2_NULL,S2_SPLASH2,0,0},	// S2_SPLASH1
{SPR2_SPSH,1,8,SA2_NULL,S2_SPLASH3,0,0},	// S2_SPLASH2
{SPR2_SPSH,2,8,SA2_NULL,S2_SPLASH4,0,0},	// S2_SPLASH3
{SPR2_SPSH,3,16,SA2_NULL,S2_NULL,0,0},	// S2_SPLASH4
{SPR2_SPSH,3,10,SA2_NULL,S2_NULL,0,0},	// S2_SPLASHX
{SPR2_SPSH,4,5,SA2_NULL,S2_SPLASHBASE2,0,0},	// S2_SPLASHBASE1
{SPR2_SPSH,5,5,SA2_NULL,S2_SPLASHBASE3,0,0},	// S2_SPLASHBASE2
{SPR2_SPSH,6,5,SA2_NULL,S2_SPLASHBASE4,0,0},	// S2_SPLASHBASE3
{SPR2_SPSH,7,5,SA2_NULL,S2_SPLASHBASE5,0,0},	// S2_SPLASHBASE4
{SPR2_SPSH,8,5,SA2_NULL,S2_SPLASHBASE6,0,0},	// S2_SPLASHBASE5
{SPR2_SPSH,9,5,SA2_NULL,S2_SPLASHBASE7,0,0},	// S2_SPLASHBASE6
{SPR2_SPSH,10,5,SA2_NULL,S2_NULL,0,0},	// S2_SPLASHBASE7
{SPR2_LVAS,32768,5,SA2_NULL,S2_LAVASPLASH2,0,0},	// S2_LAVASPLASH1
{SPR2_LVAS,32769,5,SA2_NULL,S2_LAVASPLASH3,0,0},	// S2_LAVASPLASH2
{SPR2_LVAS,32770,5,SA2_NULL,S2_LAVASPLASH4,0,0},	// S2_LAVASPLASH3
{SPR2_LVAS,32771,5,SA2_NULL,S2_LAVASPLASH5,0,0},	// S2_LAVASPLASH4
{SPR2_LVAS,32772,5,SA2_NULL,S2_LAVASPLASH6,0,0},	// S2_LAVASPLASH5
{SPR2_LVAS,32773,5,SA2_NULL,S2_NULL,0,0},	// S2_LAVASPLASH6
{SPR2_LVAS,32774,5,SA2_NULL,S2_LAVASMOKE2,0,0},	// S2_LAVASMOKE1
{SPR2_LVAS,32775,5,SA2_NULL,S2_LAVASMOKE3,0,0},	// S2_LAVASMOKE2
{SPR2_LVAS,32776,5,SA2_NULL,S2_LAVASMOKE4,0,0},	// S2_LAVASMOKE3
{SPR2_LVAS,32777,5,SA2_NULL,S2_LAVASMOKE5,0,0},	// S2_LAVASMOKE4
{SPR2_LVAS,32778,5,SA2_NULL,S2_NULL,0,0},	// S2_LAVASMOKE5
{SPR2_SLDG,0,8,SA2_NULL,S2_SLUDGECHUNK2,0,0},	// S2_SLUDGECHUNK1
{SPR2_SLDG,1,8,SA2_NULL,S2_SLUDGECHUNK3,0,0},	// S2_SLUDGECHUNK2
{SPR2_SLDG,2,8,SA2_NULL,S2_SLUDGECHUNK4,0,0},	// S2_SLUDGECHUNK3
{SPR2_SLDG,3,8,SA2_NULL,S2_NULL,0,0},	// S2_SLUDGECHUNK4
{SPR2_SLDG,3,6,SA2_NULL,S2_NULL,0,0},	// S2_SLUDGECHUNKX
{SPR2_SLDG,4,5,SA2_NULL,S2_SLUDGESPLASH2,0,0},	// S2_SLUDGESPLASH1
{SPR2_SLDG,5,5,SA2_NULL,S2_SLUDGESPLASH3,0,0},	// S2_SLUDGESPLASH2
{SPR2_SLDG,6,5,SA2_NULL,S2_SLUDGESPLASH4,0,0},	// S2_SLUDGESPLASH3
{SPR2_SLDG,7,5,SA2_NULL,S2_NULL,0,0},	// S2_SLUDGESPLASH4
{SPR2_SKH1,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_SKULLHANG70_1
{SPR2_SKH2,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_SKULLHANG60_1
{SPR2_SKH3,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_SKULLHANG45_1
{SPR2_SKH4,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_SKULLHANG35_1
{SPR2_CHDL,0,4,SA2_NULL,S2_CHANDELIER2,0,0,"lights/chandelr.md2",0},	// S2_CHANDELIER1
{SPR2_CHDL,1,4,SA2_NULL,S2_CHANDELIER3,0,0,"lights/chandelr.md2",0},	// S2_CHANDELIER2
{SPR2_CHDL,2,4,SA2_NULL,S2_CHANDELIER1,0,0,"lights/chandelr.md2",0},	// S2_CHANDELIER3
{SPR2_SRTC,0,4,SA2_NULL,S2_SERPTORCH2,0,0},	// S2_SERPTORCH1
{SPR2_SRTC,1,4,SA2_NULL,S2_SERPTORCH3,0,0},	// S2_SERPTORCH2
{SPR2_SRTC,2,4,SA2_NULL,S2_SERPTORCH1,0,0},	// S2_SERPTORCH3
{SPR2_SMPL,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_SMALLPILLAR
{SPR2_STGS,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_STALAGMITESMALL
{SPR2_STGL,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_STALAGMITELARGE
{SPR2_STCS,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_STALACTITESMALL
{SPR2_STCL,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_STALACTITELARGE
{SPR2_KFR1,32768,3,SA2_NULL,S2_FIREBRAZIER2,0,0},	// S2_FIREBRAZIER1
{SPR2_KFR1,32769,3,SA2_NULL,S2_FIREBRAZIER3,0,0},	// S2_FIREBRAZIER2
{SPR2_KFR1,32770,3,SA2_NULL,S2_FIREBRAZIER4,0,0},	// S2_FIREBRAZIER3
{SPR2_KFR1,32771,3,SA2_NULL,S2_FIREBRAZIER5,0,0},	// S2_FIREBRAZIER4
{SPR2_KFR1,32772,3,SA2_NULL,S2_FIREBRAZIER6,0,0},	// S2_FIREBRAZIER5
{SPR2_KFR1,32773,3,SA2_NULL,S2_FIREBRAZIER7,0,0},	// S2_FIREBRAZIER6
{SPR2_KFR1,32774,3,SA2_NULL,S2_FIREBRAZIER8,0,0},	// S2_FIREBRAZIER7
{SPR2_KFR1,32775,3,SA2_NULL,S2_FIREBRAZIER1,0,0},	// S2_FIREBRAZIER8
{SPR2_BARL,0,-1,SA2_NULL,S2_NULL,0,0,"objects/barrel.md2",0},	// S2_BARREL
{SPR2_BRPL,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_BRPILLAR
{SPR2_MOS1,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_MOSS1
{SPR2_MOS2,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_MOSS2
{SPR2_WTRH,32768,6,SA2_NULL,S2_WALLTORCH2,0,0,"lights/torch.md2",0},	// S2_WALLTORCH1
{SPR2_WTRH,32769,6,SA2_NULL,S2_WALLTORCH3,0,0,"lights/torch.md2",1},	// S2_WALLTORCH2
{SPR2_WTRH,32770,6,SA2_NULL,S2_WALLTORCH1,0,0,"lights/torch.md2",2},	// S2_WALLTORCH3
{SPR2_HCOR,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_HANGINGCORPSE
{SPR2_KGZ1,0,1,SA2_NULL,S2_KEYGIZMO2,0,0},	// S2_KEYGIZMO1
{SPR2_KGZ1,0,1,SA2_InitKeyGizmo,S2_KEYGIZMO3,0,0},	// S2_KEYGIZMO2
{SPR2_KGZ1,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_KEYGIZMO3
{SPR2_KGZB,0,1,SA2_NULL,S2_KGZ_START,0,0},	// S2_KGZ_START
{SPR2_KGZB,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_KGZ_BLUEFLOAT1
{SPR2_KGZG,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_KGZ_GREENFLOAT1
{SPR2_KGZY,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_KGZ_YELLOWFLOAT1
{SPR2_VLCO,0,350,SA2_NULL,S2_VOLCANO2,0,0},	// S2_VOLCANO1
{SPR2_VLCO,0,35,SA2_VolcanoSet,S2_VOLCANO3,0,0},	// S2_VOLCANO2
{SPR2_VLCO,1,3,SA2_NULL,S2_VOLCANO4,0,0},	// S2_VOLCANO3
{SPR2_VLCO,2,3,SA2_NULL,S2_VOLCANO5,0,0},	// S2_VOLCANO4
{SPR2_VLCO,3,3,SA2_NULL,S2_VOLCANO6,0,0},	// S2_VOLCANO5
{SPR2_VLCO,1,3,SA2_NULL,S2_VOLCANO7,0,0},	// S2_VOLCANO6
{SPR2_VLCO,2,3,SA2_NULL,S2_VOLCANO8,0,0},	// S2_VOLCANO7
{SPR2_VLCO,3,3,SA2_NULL,S2_VOLCANO9,0,0},	// S2_VOLCANO8
{SPR2_VLCO,4,10,SA2_VolcanoBlast,S2_VOLCANO2,0,0},	// S2_VOLCANO9
{SPR2_VFBL,0,4,SA2_BeastPuff,S2_VOLCANOBALL2,0,0},	// S2_VOLCANOBALL1
{SPR2_VFBL,1,4,SA2_BeastPuff,S2_VOLCANOBALL1,0,0},	// S2_VOLCANOBALL2
{SPR2_XPL1,0,4,SA2_VolcBallImpact,S2_VOLCANOBALLX2,0,0},	// S2_VOLCANOBALLX1
{SPR2_XPL1,1,4,SA2_NULL,S2_VOLCANOBALLX3,0,0},	// S2_VOLCANOBALLX2
{SPR2_XPL1,2,4,SA2_NULL,S2_VOLCANOBALLX4,0,0},	// S2_VOLCANOBALLX3
{SPR2_XPL1,3,4,SA2_NULL,S2_VOLCANOBALLX5,0,0},	// S2_VOLCANOBALLX4
{SPR2_XPL1,4,4,SA2_NULL,S2_VOLCANOBALLX6,0,0},	// S2_VOLCANOBALLX5
{SPR2_XPL1,5,4,SA2_NULL,S2_NULL,0,0},	// S2_VOLCANOBALLX6
{SPR2_VTFB,0,4,SA2_NULL,S2_VOLCANOTBALL2,0,0},	// S2_VOLCANOTBALL1
{SPR2_VTFB,1,4,SA2_NULL,S2_VOLCANOTBALL1,0,0},	// S2_VOLCANOTBALL2
{SPR2_SFFI,2,4,SA2_NULL,S2_VOLCANOTBALLX2,0,0},	// S2_VOLCANOTBALLX1
{SPR2_SFFI,1,4,SA2_NULL,S2_VOLCANOTBALLX3,0,0},	// S2_VOLCANOTBALLX2
{SPR2_SFFI,0,4,SA2_NULL,S2_VOLCANOTBALLX4,0,0},	// S2_VOLCANOTBALLX3
{SPR2_SFFI,1,4,SA2_NULL,S2_VOLCANOTBALLX5,0,0},	// S2_VOLCANOTBALLX4
{SPR2_SFFI,2,4,SA2_NULL,S2_VOLCANOTBALLX6,0,0},	// S2_VOLCANOTBALLX5
{SPR2_SFFI,3,4,SA2_NULL,S2_VOLCANOTBALLX7,0,0},	// S2_VOLCANOTBALLX6
{SPR2_SFFI,4,4,SA2_NULL,S2_NULL,0,0},	// S2_VOLCANOTBALLX7
{SPR2_TGLT,0,8,SA2_SpawnTeleGlitter,S2_TELEGLITGEN1,0,0},	// S2_TELEGLITGEN1
{SPR2_TGLT,5,8,SA2_SpawnTeleGlitter2,S2_TELEGLITGEN2,0,0},	// S2_TELEGLITGEN2
{SPR2_TGLT,32768,2,SA2_NULL,S2_TELEGLITTER1_2,0,0},	// S2_TELEGLITTER1_1
{SPR2_TGLT,32769,2,SA2_AccTeleGlitter,S2_TELEGLITTER1_3,0,0},	// S2_TELEGLITTER1_2
{SPR2_TGLT,32770,2,SA2_NULL,S2_TELEGLITTER1_4,0,0},	// S2_TELEGLITTER1_3
{SPR2_TGLT,32771,2,SA2_AccTeleGlitter,S2_TELEGLITTER1_5,0,0},	// S2_TELEGLITTER1_4
{SPR2_TGLT,32772,2,SA2_NULL,S2_TELEGLITTER1_1,0,0},	// S2_TELEGLITTER1_5
{SPR2_TGLT,32773,2,SA2_NULL,S2_TELEGLITTER2_2,0,0},	// S2_TELEGLITTER2_1
{SPR2_TGLT,32774,2,SA2_AccTeleGlitter,S2_TELEGLITTER2_3,0,0},	// S2_TELEGLITTER2_2
{SPR2_TGLT,32775,2,SA2_NULL,S2_TELEGLITTER2_4,0,0},	// S2_TELEGLITTER2_3
{SPR2_TGLT,32776,2,SA2_AccTeleGlitter,S2_TELEGLITTER2_5,0,0},	// S2_TELEGLITTER2_4
{SPR2_TGLT,32777,2,SA2_NULL,S2_TELEGLITTER2_1,0,0},	// S2_TELEGLITTER2_5
{SPR2_TELE,32768,6,SA2_NULL,S2_TFOG2,0,0},	// S2_TFOG1
{SPR2_TELE,32769,6,SA2_NULL,S2_TFOG3,0,0},	// S2_TFOG2
{SPR2_TELE,32770,6,SA2_NULL,S2_TFOG4,0,0},	// S2_TFOG3
{SPR2_TELE,32771,6,SA2_NULL,S2_TFOG5,0,0},	// S2_TFOG4
{SPR2_TELE,32772,6,SA2_NULL,S2_TFOG6,0,0},	// S2_TFOG5
{SPR2_TELE,32773,6,SA2_NULL,S2_TFOG7,0,0},	// S2_TFOG6
{SPR2_TELE,32774,6,SA2_NULL,S2_TFOG8,0,0},	// S2_TFOG7
{SPR2_TELE,32775,6,SA2_NULL,S2_TFOG9,0,0},	// S2_TFOG8
{SPR2_TELE,32774,6,SA2_NULL,S2_TFOG10,0,0},	// S2_TFOG9
{SPR2_TELE,32773,6,SA2_NULL,S2_TFOG11,0,0},	// S2_TFOG10
{SPR2_TELE,32772,6,SA2_NULL,S2_TFOG12,0,0},	// S2_TFOG11
{SPR2_TELE,32771,6,SA2_NULL,S2_TFOG13,0,0},	// S2_TFOG12
{SPR2_TELE,32770,6,SA2_NULL,S2_NULL,0,0},	// S2_TFOG13
{SPR2_STFF,0,0,SA2_Light0,S2_NULL,0,0},	// S2_LIGHTDONE
{SPR2_STFF,0,1,SA2_WeaponReady,S2_STAFFREADY,0,0},	// S2_STAFFREADY
{SPR2_STFF,0,1,SA2_Lower,S2_STAFFDOWN,0,0},	// S2_STAFFDOWN
{SPR2_STFF,0,1,SA2_Raise,S2_STAFFUP,0,0},	// S2_STAFFUP
{SPR2_STFF,3,4,SA2_WeaponReady,S2_STAFFREADY2_2,0,0},	// S2_STAFFREADY2_1
{SPR2_STFF,4,4,SA2_WeaponReady,S2_STAFFREADY2_3,0,0},	// S2_STAFFREADY2_2
{SPR2_STFF,5,4,SA2_WeaponReady,S2_STAFFREADY2_1,0,0},	// S2_STAFFREADY2_3
{SPR2_STFF,3,1,SA2_Lower,S2_STAFFDOWN2,0,0},	// S2_STAFFDOWN2
{SPR2_STFF,3,1,SA2_Raise,S2_STAFFUP2,0,0},	// S2_STAFFUP2
{SPR2_STFF,1,6,SA2_NULL,S2_STAFFATK1_2,0,0},	// S2_STAFFATK1_1
{SPR2_STFF,2,8,SA2_StaffAttackPL1,S2_STAFFATK1_3,0,0},	// S2_STAFFATK1_2
{SPR2_STFF,1,8,SA2_ReFire,S2_STAFFREADY,0,0},	// S2_STAFFATK1_3
{SPR2_STFF,6,6,SA2_NULL,S2_STAFFATK2_2,0,0},	// S2_STAFFATK2_1
{SPR2_STFF,7,8,SA2_StaffAttackPL2,S2_STAFFATK2_3,0,0},	// S2_STAFFATK2_2
{SPR2_STFF,6,8,SA2_ReFire,S2_STAFFREADY2_1,0,0},	// S2_STAFFATK2_3
{SPR2_PUF3,32768,4,SA2_NULL,S2_STAFFPUFF2,0,0},	// S2_STAFFPUFF1
{SPR2_PUF3,1,4,SA2_NULL,S2_STAFFPUFF3,0,0},	// S2_STAFFPUFF2
{SPR2_PUF3,2,4,SA2_NULL,S2_STAFFPUFF4,0,0},	// S2_STAFFPUFF3
{SPR2_PUF3,3,4,SA2_NULL,S2_NULL,0,0},	// S2_STAFFPUFF4
{SPR2_PUF4,32768,4,SA2_NULL,S2_STAFFPUFF2_2,0,0},	// S2_STAFFPUFF2_1
{SPR2_PUF4,32769,4,SA2_NULL,S2_STAFFPUFF2_3,0,0},	// S2_STAFFPUFF2_2
{SPR2_PUF4,32770,4,SA2_NULL,S2_STAFFPUFF2_4,0,0},	// S2_STAFFPUFF2_3
{SPR2_PUF4,32771,4,SA2_NULL,S2_STAFFPUFF2_5,0,0},	// S2_STAFFPUFF2_4
{SPR2_PUF4,32772,4,SA2_NULL,S2_STAFFPUFF2_6,0,0},	// S2_STAFFPUFF2_5
{SPR2_PUF4,32773,4,SA2_NULL,S2_NULL,0,0},	// S2_STAFFPUFF2_6
{SPR2_BEAK,0,1,SA2_BeakReady,S2_BEAKREADY,0,0},	// S2_BEAKREADY
{SPR2_BEAK,0,1,SA2_Lower,S2_BEAKDOWN,0,0},	// S2_BEAKDOWN
{SPR2_BEAK,0,1,SA2_BeakRaise,S2_BEAKUP,0,0},	// S2_BEAKUP
{SPR2_BEAK,0,18,SA2_BeakAttackPL1,S2_BEAKREADY,0,0},	// S2_BEAKATK1_1
{SPR2_BEAK,0,12,SA2_BeakAttackPL2,S2_BEAKREADY,0,0},	// S2_BEAKATK2_1
{SPR2_WGNT,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_WGNT
{SPR2_GAUN,0,1,SA2_WeaponReady,S2_GAUNTLETREADY,0,0},	// S2_GAUNTLETREADY
{SPR2_GAUN,0,1,SA2_Lower,S2_GAUNTLETDOWN,0,0},	// S2_GAUNTLETDOWN
{SPR2_GAUN,0,1,SA2_Raise,S2_GAUNTLETUP,0,0},	// S2_GAUNTLETUP
{SPR2_GAUN,6,4,SA2_WeaponReady,S2_GAUNTLETREADY2_2,0,0},	// S2_GAUNTLETREADY2_1
{SPR2_GAUN,7,4,SA2_WeaponReady,S2_GAUNTLETREADY2_3,0,0},	// S2_GAUNTLETREADY2_2
{SPR2_GAUN,8,4,SA2_WeaponReady,S2_GAUNTLETREADY2_1,0,0},	// S2_GAUNTLETREADY2_3
{SPR2_GAUN,6,1,SA2_Lower,S2_GAUNTLETDOWN2,0,0},	// S2_GAUNTLETDOWN2
{SPR2_GAUN,6,1,SA2_Raise,S2_GAUNTLETUP2,0,0},	// S2_GAUNTLETUP2
{SPR2_GAUN,1,4,SA2_NULL,S2_GAUNTLETATK1_2,0,0},	// S2_GAUNTLETATK1_1
{SPR2_GAUN,2,4,SA2_NULL,S2_GAUNTLETATK1_3,0,0},	// S2_GAUNTLETATK1_2
{SPR2_GAUN,32771,4,SA2_GauntletAttack,S2_GAUNTLETATK1_4,0,0},	// S2_GAUNTLETATK1_3
{SPR2_GAUN,32772,4,SA2_GauntletAttack,S2_GAUNTLETATK1_5,0,0},	// S2_GAUNTLETATK1_4
{SPR2_GAUN,32773,4,SA2_GauntletAttack,S2_GAUNTLETATK1_6,0,0},	// S2_GAUNTLETATK1_5
{SPR2_GAUN,2,4,SA2_ReFire,S2_GAUNTLETATK1_7,0,0},	// S2_GAUNTLETATK1_6
{SPR2_GAUN,1,4,SA2_Light0,S2_GAUNTLETREADY,0,0},	// S2_GAUNTLETATK1_7
{SPR2_GAUN,9,4,SA2_NULL,S2_GAUNTLETATK2_2,0,0},	// S2_GAUNTLETATK2_1
{SPR2_GAUN,10,4,SA2_NULL,S2_GAUNTLETATK2_3,0,0},	// S2_GAUNTLETATK2_2
{SPR2_GAUN,32779,4,SA2_GauntletAttack,S2_GAUNTLETATK2_4,0,0},	// S2_GAUNTLETATK2_3
{SPR2_GAUN,32780,4,SA2_GauntletAttack,S2_GAUNTLETATK2_5,0,0},	// S2_GAUNTLETATK2_4
{SPR2_GAUN,32781,4,SA2_GauntletAttack,S2_GAUNTLETATK2_6,0,0},	// S2_GAUNTLETATK2_5
{SPR2_GAUN,10,4,SA2_ReFire,S2_GAUNTLETATK2_7,0,0},	// S2_GAUNTLETATK2_6
{SPR2_GAUN,9,4,SA2_Light0,S2_GAUNTLETREADY2_1,0,0},	// S2_GAUNTLETATK2_7
{SPR2_PUF1,32768,4,SA2_NULL,S2_GAUNTLETPUFF1_2,0,0},	// S2_GAUNTLETPUFF1_1
{SPR2_PUF1,32769,4,SA2_NULL,S2_GAUNTLETPUFF1_3,0,0},	// S2_GAUNTLETPUFF1_2
{SPR2_PUF1,32770,4,SA2_NULL,S2_GAUNTLETPUFF1_4,0,0},	// S2_GAUNTLETPUFF1_3
{SPR2_PUF1,32771,4,SA2_NULL,S2_NULL,0,0},	// S2_GAUNTLETPUFF1_4
{SPR2_PUF1,32772,4,SA2_NULL,S2_GAUNTLETPUFF2_2,0,0},	// S2_GAUNTLETPUFF2_1
{SPR2_PUF1,32773,4,SA2_NULL,S2_GAUNTLETPUFF2_3,0,0},	// S2_GAUNTLETPUFF2_2
{SPR2_PUF1,32774,4,SA2_NULL,S2_GAUNTLETPUFF2_4,0,0},	// S2_GAUNTLETPUFF2_3
{SPR2_PUF1,32775,4,SA2_NULL,S2_NULL,0,0},	// S2_GAUNTLETPUFF2_4
{SPR2_WBLS,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_BLSR
{SPR2_BLSR,0,1,SA2_WeaponReady,S2_BLASTERREADY,0,0},	// S2_BLASTERREADY
{SPR2_BLSR,0,1,SA2_Lower,S2_BLASTERDOWN,0,0},	// S2_BLASTERDOWN
{SPR2_BLSR,0,1,SA2_Raise,S2_BLASTERUP,0,0},	// S2_BLASTERUP
{SPR2_BLSR,1,3,SA2_NULL,S2_BLASTERATK1_2,0,0},	// S2_BLASTERATK1_1
{SPR2_BLSR,2,3,SA2_NULL,S2_BLASTERATK1_3,0,0},	// S2_BLASTERATK1_2
{SPR2_BLSR,3,2,SA2_FireBlasterPL1,S2_BLASTERATK1_4,0,0},	// S2_BLASTERATK1_3
{SPR2_BLSR,2,2,SA2_NULL,S2_BLASTERATK1_5,0,0},	// S2_BLASTERATK1_4
{SPR2_BLSR,1,2,SA2_NULL,S2_BLASTERATK1_6,0,0},	// S2_BLASTERATK1_5
{SPR2_BLSR,0,0,SA2_ReFire,S2_BLASTERREADY,0,0},	// S2_BLASTERATK1_6
{SPR2_BLSR,1,0,SA2_NULL,S2_BLASTERATK2_2,0,0},	// S2_BLASTERATK2_1
{SPR2_BLSR,2,0,SA2_NULL,S2_BLASTERATK2_3,0,0},	// S2_BLASTERATK2_2
{SPR2_BLSR,3,3,SA2_FireBlasterPL2,S2_BLASTERATK2_4,0,0},	// S2_BLASTERATK2_3
{SPR2_BLSR,2,4,SA2_NULL,S2_BLASTERATK2_5,0,0},	// S2_BLASTERATK2_4
{SPR2_BLSR,1,4,SA2_NULL,S2_BLASTERATK2_6,0,0},	// S2_BLASTERATK2_5
{SPR2_BLSR,0,0,SA2_ReFire,S2_BLASTERREADY,0,0},	// S2_BLASTERATK2_6
{SPR2_ACLO,4,200,SA2_NULL,S2_BLASTERFX1_1,0,0},	// S2_BLASTERFX1_1
{SPR2_FX18,32768,3,SA2_SpawnRippers,S2_BLASTERFXI1_2,0,0},	// S2_BLASTERFXI1_1
{SPR2_FX18,32769,3,SA2_NULL,S2_BLASTERFXI1_3,0,0},	// S2_BLASTERFXI1_2
{SPR2_FX18,32770,4,SA2_NULL,S2_BLASTERFXI1_4,0,0},	// S2_BLASTERFXI1_3
{SPR2_FX18,32771,4,SA2_NULL,S2_BLASTERFXI1_5,0,0},	// S2_BLASTERFXI1_4
{SPR2_FX18,32772,4,SA2_NULL,S2_BLASTERFXI1_6,0,0},	// S2_BLASTERFXI1_5
{SPR2_FX18,32773,4,SA2_NULL,S2_BLASTERFXI1_7,0,0},	// S2_BLASTERFXI1_6
{SPR2_FX18,32774,4,SA2_NULL,S2_NULL,0,0},	// S2_BLASTERFXI1_7
{SPR2_FX18,7,4,SA2_NULL,S2_BLASTERSMOKE2,0,0},	// S2_BLASTERSMOKE1
{SPR2_FX18,8,4,SA2_NULL,S2_BLASTERSMOKE3,0,0},	// S2_BLASTERSMOKE2
{SPR2_FX18,9,4,SA2_NULL,S2_BLASTERSMOKE4,0,0},	// S2_BLASTERSMOKE3
{SPR2_FX18,10,4,SA2_NULL,S2_BLASTERSMOKE5,0,0},	// S2_BLASTERSMOKE4
{SPR2_FX18,11,4,SA2_NULL,S2_NULL,0,0},	// S2_BLASTERSMOKE5
{SPR2_FX18,12,4,SA2_NULL,S2_RIPPER2,0,0},	// S2_RIPPER1
{SPR2_FX18,13,5,SA2_NULL,S2_RIPPER1,0,0},	// S2_RIPPER2
{SPR2_FX18,32782,4,SA2_NULL,S2_RIPPERX2,0,0},	// S2_RIPPERX1
{SPR2_FX18,32783,4,SA2_NULL,S2_RIPPERX3,0,0},	// S2_RIPPERX2
{SPR2_FX18,32784,4,SA2_NULL,S2_RIPPERX4,0,0},	// S2_RIPPERX3
{SPR2_FX18,32785,4,SA2_NULL,S2_RIPPERX5,0,0},	// S2_RIPPERX4
{SPR2_FX18,32786,4,SA2_NULL,S2_NULL,0,0},	// S2_RIPPERX5
{SPR2_FX17,32768,4,SA2_NULL,S2_BLASTERPUFF1_2,0,0},	// S2_BLASTERPUFF1_1
{SPR2_FX17,32769,4,SA2_NULL,S2_BLASTERPUFF1_3,0,0},	// S2_BLASTERPUFF1_2
{SPR2_FX17,32770,4,SA2_NULL,S2_BLASTERPUFF1_4,0,0},	// S2_BLASTERPUFF1_3
{SPR2_FX17,32771,4,SA2_NULL,S2_BLASTERPUFF1_5,0,0},	// S2_BLASTERPUFF1_4
{SPR2_FX17,32772,4,SA2_NULL,S2_NULL,0,0},	// S2_BLASTERPUFF1_5
{SPR2_FX17,32773,3,SA2_NULL,S2_BLASTERPUFF2_2,0,0},	// S2_BLASTERPUFF2_1
{SPR2_FX17,32774,3,SA2_NULL,S2_BLASTERPUFF2_3,0,0},	// S2_BLASTERPUFF2_2
{SPR2_FX17,32775,4,SA2_NULL,S2_BLASTERPUFF2_4,0,0},	// S2_BLASTERPUFF2_3
{SPR2_FX17,32776,4,SA2_NULL,S2_BLASTERPUFF2_5,0,0},	// S2_BLASTERPUFF2_4
{SPR2_FX17,32777,4,SA2_NULL,S2_BLASTERPUFF2_6,0,0},	// S2_BLASTERPUFF2_5
{SPR2_FX17,32778,4,SA2_NULL,S2_BLASTERPUFF2_7,0,0},	// S2_BLASTERPUFF2_6
{SPR2_FX17,32779,4,SA2_NULL,S2_NULL,0,0},	// S2_BLASTERPUFF2_7
{SPR2_WMCE,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_WMCE
{SPR2_MACE,0,1,SA2_WeaponReady,S2_MACEREADY,0,0},	// S2_MACEREADY
{SPR2_MACE,0,1,SA2_Lower,S2_MACEDOWN,0,0},	// S2_MACEDOWN
{SPR2_MACE,0,1,SA2_Raise,S2_MACEUP,0,0},	// S2_MACEUP
{SPR2_MACE,1,4,SA2_NULL,S2_MACEATK1_2,0,0},	// S2_MACEATK1_1
{SPR2_MACE,2,3,SA2_FireMacePL1,S2_MACEATK1_3,0,0},	// S2_MACEATK1_2
{SPR2_MACE,3,3,SA2_FireMacePL1,S2_MACEATK1_4,0,0},	// S2_MACEATK1_3
{SPR2_MACE,4,3,SA2_FireMacePL1,S2_MACEATK1_5,0,0},	// S2_MACEATK1_4
{SPR2_MACE,5,3,SA2_FireMacePL1,S2_MACEATK1_6,0,0},	// S2_MACEATK1_5
{SPR2_MACE,2,4,SA2_ReFire,S2_MACEATK1_7,0,0},	// S2_MACEATK1_6
{SPR2_MACE,3,4,SA2_NULL,S2_MACEATK1_8,0,0},	// S2_MACEATK1_7
{SPR2_MACE,4,4,SA2_NULL,S2_MACEATK1_9,0,0},	// S2_MACEATK1_8
{SPR2_MACE,5,4,SA2_NULL,S2_MACEATK1_10,0,0},	// S2_MACEATK1_9
{SPR2_MACE,1,4,SA2_NULL,S2_MACEREADY,0,0},	// S2_MACEATK1_10
{SPR2_MACE,1,4,SA2_NULL,S2_MACEATK2_2,0,0},	// S2_MACEATK2_1
{SPR2_MACE,3,4,SA2_FireMacePL2,S2_MACEATK2_3,0,0},	// S2_MACEATK2_2
{SPR2_MACE,1,4,SA2_NULL,S2_MACEATK2_4,0,0},	// S2_MACEATK2_3
{SPR2_MACE,0,8,SA2_ReFire,S2_MACEREADY,0,0},	// S2_MACEATK2_4
{SPR2_FX02,0,4,SA2_MacePL1Check,S2_MACEFX1_2,0,0},	// S2_MACEFX1_1
{SPR2_FX02,1,4,SA2_MacePL1Check,S2_MACEFX1_1,0,0},	// S2_MACEFX1_2
{SPR2_FX02,32773,4,SA2_MaceBallImpact,S2_MACEFXI1_2,0,0},	// S2_MACEFXI1_1
{SPR2_FX02,32774,4,SA2_NULL,S2_MACEFXI1_3,0,0},	// S2_MACEFXI1_2
{SPR2_FX02,32775,4,SA2_NULL,S2_MACEFXI1_4,0,0},	// S2_MACEFXI1_3
{SPR2_FX02,32776,4,SA2_NULL,S2_MACEFXI1_5,0,0},	// S2_MACEFXI1_4
{SPR2_FX02,32777,4,SA2_NULL,S2_NULL,0,0},	// S2_MACEFXI1_5
{SPR2_FX02,2,4,SA2_NULL,S2_MACEFX2_2,0,0},	// S2_MACEFX2_1
{SPR2_FX02,3,4,SA2_NULL,S2_MACEFX2_1,0,0},	// S2_MACEFX2_2
{SPR2_FX02,32773,4,SA2_MaceBallImpact2,S2_MACEFXI1_2,0,0},	// S2_MACEFXI2_1
{SPR2_FX02,0,4,SA2_NULL,S2_MACEFX3_2,0,0},	// S2_MACEFX3_1
{SPR2_FX02,1,4,SA2_NULL,S2_MACEFX3_1,0,0},	// S2_MACEFX3_2
{SPR2_FX02,4,99,SA2_NULL,S2_MACEFX4_1,0,0},	// S2_MACEFX4_1
{SPR2_FX02,32770,4,SA2_DeathBallImpact,S2_MACEFXI1_2,0,0},	// S2_MACEFXI4_1
{SPR2_WSKL,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_WSKL
{SPR2_HROD,0,1,SA2_WeaponReady,S2_HORNRODREADY,0,0},	// S2_HORNRODREADY
{SPR2_HROD,0,1,SA2_Lower,S2_HORNRODDOWN,0,0},	// S2_HORNRODDOWN
{SPR2_HROD,0,1,SA2_Raise,S2_HORNRODUP,0,0},	// S2_HORNRODUP
{SPR2_HROD,0,4,SA2_FireSkullRodPL1,S2_HORNRODATK1_2,0,0},	// S2_HORNRODATK1_1
{SPR2_HROD,1,4,SA2_FireSkullRodPL1,S2_HORNRODATK1_3,0,0},	// S2_HORNRODATK1_2
{SPR2_HROD,1,0,SA2_ReFire,S2_HORNRODREADY,0,0},	// S2_HORNRODATK1_3
{SPR2_HROD,2,2,SA2_NULL,S2_HORNRODATK2_2,0,0},	// S2_HORNRODATK2_1
{SPR2_HROD,3,3,SA2_NULL,S2_HORNRODATK2_3,0,0},	// S2_HORNRODATK2_2
{SPR2_HROD,4,2,SA2_NULL,S2_HORNRODATK2_4,0,0},	// S2_HORNRODATK2_3
{SPR2_HROD,5,3,SA2_NULL,S2_HORNRODATK2_5,0,0},	// S2_HORNRODATK2_4
{SPR2_HROD,6,4,SA2_FireSkullRodPL2,S2_HORNRODATK2_6,0,0},	// S2_HORNRODATK2_5
{SPR2_HROD,5,2,SA2_NULL,S2_HORNRODATK2_7,0,0},	// S2_HORNRODATK2_6
{SPR2_HROD,4,3,SA2_NULL,S2_HORNRODATK2_8,0,0},	// S2_HORNRODATK2_7
{SPR2_HROD,3,2,SA2_NULL,S2_HORNRODATK2_9,0,0},	// S2_HORNRODATK2_8
{SPR2_HROD,2,2,SA2_ReFire,S2_HORNRODREADY,0,0},	// S2_HORNRODATK2_9
{SPR2_FX00,32768,6,SA2_NULL,S2_HRODFX1_2,0,0},	// S2_HRODFX1_1
{SPR2_FX00,32769,6,SA2_NULL,S2_HRODFX1_1,0,0},	// S2_HRODFX1_2
{SPR2_FX00,32775,5,SA2_NULL,S2_HRODFXI1_2,0,0},	// S2_HRODFXI1_1
{SPR2_FX00,32776,5,SA2_NULL,S2_HRODFXI1_3,0,0},	// S2_HRODFXI1_2
{SPR2_FX00,32777,4,SA2_NULL,S2_HRODFXI1_4,0,0},	// S2_HRODFXI1_3
{SPR2_FX00,32778,4,SA2_NULL,S2_HRODFXI1_5,0,0},	// S2_HRODFXI1_4
{SPR2_FX00,32779,3,SA2_NULL,S2_HRODFXI1_6,0,0},	// S2_HRODFXI1_5
{SPR2_FX00,32780,3,SA2_NULL,S2_NULL,0,0},	// S2_HRODFXI1_6
{SPR2_FX00,32770,3,SA2_NULL,S2_HRODFX2_2,0,0},	// S2_HRODFX2_1
{SPR2_FX00,32771,3,SA2_SkullRodPL2Seek,S2_HRODFX2_3,0,0},	// S2_HRODFX2_2
{SPR2_FX00,32772,3,SA2_NULL,S2_HRODFX2_4,0,0},	// S2_HRODFX2_3
{SPR2_FX00,32773,3,SA2_SkullRodPL2Seek,S2_HRODFX2_1,0,0},	// S2_HRODFX2_4
{SPR2_FX00,32775,5,SA2_AddPlayerRain,S2_HRODFXI2_2,0,0},	// S2_HRODFXI2_1
{SPR2_FX00,32776,5,SA2_NULL,S2_HRODFXI2_3,0,0},	// S2_HRODFXI2_2
{SPR2_FX00,32777,4,SA2_NULL,S2_HRODFXI2_4,0,0},	// S2_HRODFXI2_3
{SPR2_FX00,32778,3,SA2_NULL,S2_HRODFXI2_5,0,0},	// S2_HRODFXI2_4
{SPR2_FX00,32779,3,SA2_NULL,S2_HRODFXI2_6,0,0},	// S2_HRODFXI2_5
{SPR2_FX00,32780,3,SA2_NULL,S2_HRODFXI2_7,0,0},	// S2_HRODFXI2_6
{SPR2_FX00,6,1,SA2_HideInCeiling,S2_HRODFXI2_8,0,0},	// S2_HRODFXI2_7
{SPR2_FX00,6,1,SA2_SkullRodStorm,S2_HRODFXI2_8,0,0},	// S2_HRODFXI2_8
{SPR2_FX20,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR1_1
{SPR2_FX21,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR2_1
{SPR2_FX22,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR3_1
{SPR2_FX23,32768,-1,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR4_1
{SPR2_FX20,32769,4,SA2_RainImpact,S2_RAINPLR1X_2,0,0},	// S2_RAINPLR1X_1
{SPR2_FX20,32770,4,SA2_NULL,S2_RAINPLR1X_3,0,0},	// S2_RAINPLR1X_2
{SPR2_FX20,32771,4,SA2_NULL,S2_RAINPLR1X_4,0,0},	// S2_RAINPLR1X_3
{SPR2_FX20,32772,4,SA2_NULL,S2_RAINPLR1X_5,0,0},	// S2_RAINPLR1X_4
{SPR2_FX20,32773,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR1X_5
{SPR2_FX21,32769,4,SA2_RainImpact,S2_RAINPLR2X_2,0,0},	// S2_RAINPLR2X_1
{SPR2_FX21,32770,4,SA2_NULL,S2_RAINPLR2X_3,0,0},	// S2_RAINPLR2X_2
{SPR2_FX21,32771,4,SA2_NULL,S2_RAINPLR2X_4,0,0},	// S2_RAINPLR2X_3
{SPR2_FX21,32772,4,SA2_NULL,S2_RAINPLR2X_5,0,0},	// S2_RAINPLR2X_4
{SPR2_FX21,32773,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR2X_5
{SPR2_FX22,32769,4,SA2_RainImpact,S2_RAINPLR3X_2,0,0},	// S2_RAINPLR3X_1
{SPR2_FX22,32770,4,SA2_NULL,S2_RAINPLR3X_3,0,0},	// S2_RAINPLR3X_2
{SPR2_FX22,32771,4,SA2_NULL,S2_RAINPLR3X_4,0,0},	// S2_RAINPLR3X_3
{SPR2_FX22,32772,4,SA2_NULL,S2_RAINPLR3X_5,0,0},	// S2_RAINPLR3X_4
{SPR2_FX22,32773,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR3X_5
{SPR2_FX23,32769,4,SA2_RainImpact,S2_RAINPLR4X_2,0,0},	// S2_RAINPLR4X_1
{SPR2_FX23,32770,4,SA2_NULL,S2_RAINPLR4X_3,0,0},	// S2_RAINPLR4X_2
{SPR2_FX23,32771,4,SA2_NULL,S2_RAINPLR4X_4,0,0},	// S2_RAINPLR4X_3
{SPR2_FX23,32772,4,SA2_NULL,S2_RAINPLR4X_5,0,0},	// S2_RAINPLR4X_4
{SPR2_FX23,32773,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINPLR4X_5
{SPR2_FX20,32774,4,SA2_NULL,S2_RAINAIRXPLR1_2,0,0},	// S2_RAINAIRXPLR1_1
{SPR2_FX21,32774,4,SA2_NULL,S2_RAINAIRXPLR2_2,0,0},	// S2_RAINAIRXPLR2_1
{SPR2_FX22,32774,4,SA2_NULL,S2_RAINAIRXPLR3_2,0,0},	// S2_RAINAIRXPLR3_1
{SPR2_FX23,32774,4,SA2_NULL,S2_RAINAIRXPLR4_2,0,0},	// S2_RAINAIRXPLR4_1
{SPR2_FX20,32775,4,SA2_NULL,S2_RAINAIRXPLR1_3,0,0},	// S2_RAINAIRXPLR1_2
{SPR2_FX21,32775,4,SA2_NULL,S2_RAINAIRXPLR2_3,0,0},	// S2_RAINAIRXPLR2_2
{SPR2_FX22,32775,4,SA2_NULL,S2_RAINAIRXPLR3_3,0,0},	// S2_RAINAIRXPLR3_2
{SPR2_FX23,32775,4,SA2_NULL,S2_RAINAIRXPLR4_3,0,0},	// S2_RAINAIRXPLR4_2
{SPR2_FX20,32776,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINAIRXPLR1_3
{SPR2_FX21,32776,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINAIRXPLR2_3
{SPR2_FX22,32776,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINAIRXPLR3_3
{SPR2_FX23,32776,4,SA2_NULL,S2_NULL,0,0},	// S2_RAINAIRXPLR4_3
{SPR2_GWND,0,1,SA2_WeaponReady,S2_GOLDWANDREADY,0,0},	// S2_GOLDWANDREADY
{SPR2_GWND,0,1,SA2_Lower,S2_GOLDWANDDOWN,0,0},	// S2_GOLDWANDDOWN
{SPR2_GWND,0,1,SA2_Raise,S2_GOLDWANDUP,0,0},	// S2_GOLDWANDUP
{SPR2_GWND,1,3,SA2_NULL,S2_GOLDWANDATK1_2,0,0},	// S2_GOLDWANDATK1_1
{SPR2_GWND,2,5,SA2_FireGoldWandPL1,S2_GOLDWANDATK1_3,0,0},	// S2_GOLDWANDATK1_2
{SPR2_GWND,3,3,SA2_NULL,S2_GOLDWANDATK1_4,0,0},	// S2_GOLDWANDATK1_3
{SPR2_GWND,3,0,SA2_ReFire,S2_GOLDWANDREADY,0,0},	// S2_GOLDWANDATK1_4
{SPR2_GWND,1,3,SA2_NULL,S2_GOLDWANDATK2_2,0,0},	// S2_GOLDWANDATK2_1
{SPR2_GWND,2,4,SA2_FireGoldWandPL2,S2_GOLDWANDATK2_3,0,0},	// S2_GOLDWANDATK2_2
{SPR2_GWND,3,3,SA2_NULL,S2_GOLDWANDATK2_4,0,0},	// S2_GOLDWANDATK2_3
{SPR2_GWND,3,0,SA2_ReFire,S2_GOLDWANDREADY,0,0},	// S2_GOLDWANDATK2_4
{SPR2_FX01,32768,6,SA2_NULL,S2_GWANDFX1_2,0,0},	// S2_GWANDFX1_1
{SPR2_FX01,32769,6,SA2_NULL,S2_GWANDFX1_1,0,0},	// S2_GWANDFX1_2
{SPR2_FX01,32772,3,SA2_NULL,S2_GWANDFXI1_2,0,0},	// S2_GWANDFXI1_1
{SPR2_FX01,32773,3,SA2_NULL,S2_GWANDFXI1_3,0,0},	// S2_GWANDFXI1_2
{SPR2_FX01,32774,3,SA2_NULL,S2_GWANDFXI1_4,0,0},	// S2_GWANDFXI1_3
{SPR2_FX01,32775,3,SA2_NULL,S2_NULL,0,0},	// S2_GWANDFXI1_4
{SPR2_FX01,32770,6,SA2_NULL,S2_GWANDFX2_2,0,0},	// S2_GWANDFX2_1
{SPR2_FX01,32771,6,SA2_NULL,S2_GWANDFX2_1,0,0},	// S2_GWANDFX2_2
{SPR2_PUF2,32768,3,SA2_NULL,S2_GWANDPUFF1_2,0,0},	// S2_GWANDPUFF1_1
{SPR2_PUF2,32769,3,SA2_NULL,S2_GWANDPUFF1_3,0,0},	// S2_GWANDPUFF1_2
{SPR2_PUF2,32770,3,SA2_NULL,S2_GWANDPUFF1_4,0,0},	// S2_GWANDPUFF1_3
{SPR2_PUF2,32771,3,SA2_NULL,S2_GWANDPUFF1_5,0,0},	// S2_GWANDPUFF1_4
{SPR2_PUF2,32772,3,SA2_NULL,S2_NULL,0,0},	// S2_GWANDPUFF1_5
{SPR2_WPHX,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_WPHX
{SPR2_PHNX,0,1,SA2_WeaponReady,S2_PHOENIXREADY,0,0},	// S2_PHOENIXREADY
{SPR2_PHNX,0,1,SA2_Lower,S2_PHOENIXDOWN,0,0},	// S2_PHOENIXDOWN
{SPR2_PHNX,0,1,SA2_Raise,S2_PHOENIXUP,0,0},	// S2_PHOENIXUP
{SPR2_PHNX,1,5,SA2_NULL,S2_PHOENIXATK1_2,0,0},	// S2_PHOENIXATK1_1
{SPR2_PHNX,2,7,SA2_FirePhoenixPL1,S2_PHOENIXATK1_3,0,0},	// S2_PHOENIXATK1_2
{SPR2_PHNX,3,4,SA2_NULL,S2_PHOENIXATK1_4,0,0},	// S2_PHOENIXATK1_3
{SPR2_PHNX,1,4,SA2_NULL,S2_PHOENIXATK1_5,0,0},	// S2_PHOENIXATK1_4
{SPR2_PHNX,1,0,SA2_ReFire,S2_PHOENIXREADY,0,0},	// S2_PHOENIXATK1_5
{SPR2_PHNX,1,3,SA2_InitPhoenixPL2,S2_PHOENIXATK2_2,0,0},	// S2_PHOENIXATK2_1
{SPR2_PHNX,32770,1,SA2_FirePhoenixPL2,S2_PHOENIXATK2_3,0,0},	// S2_PHOENIXATK2_2
{SPR2_PHNX,1,4,SA2_ReFire,S2_PHOENIXATK2_4,0,0},	// S2_PHOENIXATK2_3
{SPR2_PHNX,1,4,SA2_ShutdownPhoenixPL2,S2_PHOENIXREADY,0,0},	// S2_PHOENIXATK2_4
{SPR2_FX04,32768,4,SA2_PhoenixPuff,S2_PHOENIXFX1_1,0,0},	// S2_PHOENIXFX1_1
{SPR2_FX08,32768,6,SA2_Explode,S2_PHOENIXFXI1_2,0,0},	// S2_PHOENIXFXI1_1
{SPR2_FX08,32769,5,SA2_NULL,S2_PHOENIXFXI1_3,0,0},	// S2_PHOENIXFXI1_2
{SPR2_FX08,32770,5,SA2_NULL,S2_PHOENIXFXI1_4,0,0},	// S2_PHOENIXFXI1_3
{SPR2_FX08,32771,4,SA2_NULL,S2_PHOENIXFXI1_5,0,0},	// S2_PHOENIXFXI1_4
{SPR2_FX08,32772,4,SA2_NULL,S2_PHOENIXFXI1_6,0,0},	// S2_PHOENIXFXI1_5
{SPR2_FX08,32773,4,SA2_NULL,S2_PHOENIXFXI1_7,0,0},	// S2_PHOENIXFXI1_6
{SPR2_FX08,32774,4,SA2_NULL,S2_PHOENIXFXI1_8,0,0},	// S2_PHOENIXFXI1_7
{SPR2_FX08,32775,4,SA2_NULL,S2_NULL,0,0},	// S2_PHOENIXFXI1_8
{SPR2_FX04,1,4,SA2_NULL,S2_PHOENIXPUFF2,0,0},	// S2_PHOENIXPUFF1
{SPR2_FX04,2,4,SA2_NULL,S2_PHOENIXPUFF3,0,0},	// S2_PHOENIXPUFF2
{SPR2_FX04,3,4,SA2_NULL,S2_PHOENIXPUFF4,0,0},	// S2_PHOENIXPUFF3
{SPR2_FX04,4,4,SA2_NULL,S2_PHOENIXPUFF5,0,0},	// S2_PHOENIXPUFF4
{SPR2_FX04,5,4,SA2_NULL,S2_NULL,0,0},	// S2_PHOENIXPUFF5
{SPR2_FX09,32768,2,SA2_NULL,S2_PHOENIXFX2_2,0,0},	// S2_PHOENIXFX2_1
{SPR2_FX09,32769,2,SA2_NULL,S2_PHOENIXFX2_3,0,0},	// S2_PHOENIXFX2_2
{SPR2_FX09,32768,2,SA2_NULL,S2_PHOENIXFX2_4,0,0},	// S2_PHOENIXFX2_3
{SPR2_FX09,32769,2,SA2_NULL,S2_PHOENIXFX2_5,0,0},	// S2_PHOENIXFX2_4
{SPR2_FX09,32768,2,SA2_NULL,S2_PHOENIXFX2_6,0,0},	// S2_PHOENIXFX2_5
{SPR2_FX09,32769,2,SA2_FlameEnd,S2_PHOENIXFX2_7,0,0},	// S2_PHOENIXFX2_6
{SPR2_FX09,32770,2,SA2_NULL,S2_PHOENIXFX2_8,0,0},	// S2_PHOENIXFX2_7
{SPR2_FX09,32771,2,SA2_NULL,S2_PHOENIXFX2_9,0,0},	// S2_PHOENIXFX2_8
{SPR2_FX09,32772,2,SA2_NULL,S2_PHOENIXFX2_10,0,0},	// S2_PHOENIXFX2_9
{SPR2_FX09,32773,2,SA2_NULL,S2_NULL,0,0},	// S2_PHOENIXFX2_10
{SPR2_FX09,32774,3,SA2_NULL,S2_PHOENIXFXI2_2,0,0},	// S2_PHOENIXFXI2_1
{SPR2_FX09,32775,3,SA2_FloatPuff,S2_PHOENIXFXI2_3,0,0},	// S2_PHOENIXFXI2_2
{SPR2_FX09,32776,4,SA2_NULL,S2_PHOENIXFXI2_4,0,0},	// S2_PHOENIXFXI2_3
{SPR2_FX09,32777,5,SA2_NULL,S2_PHOENIXFXI2_5,0,0},	// S2_PHOENIXFXI2_4
{SPR2_FX09,32778,5,SA2_NULL,S2_NULL,0,0},	// S2_PHOENIXFXI2_5
{SPR2_WBOW,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_WBOW
{SPR2_CRBW,0,1,SA2_WeaponReady,S2_CRBOW2,0,0},	// S2_CRBOW1
{SPR2_CRBW,0,1,SA2_WeaponReady,S2_CRBOW3,0,0},	// S2_CRBOW2
{SPR2_CRBW,0,1,SA2_WeaponReady,S2_CRBOW4,0,0},	// S2_CRBOW3
{SPR2_CRBW,0,1,SA2_WeaponReady,S2_CRBOW5,0,0},	// S2_CRBOW4
{SPR2_CRBW,0,1,SA2_WeaponReady,S2_CRBOW6,0,0},	// S2_CRBOW5
{SPR2_CRBW,0,1,SA2_WeaponReady,S2_CRBOW7,0,0},	// S2_CRBOW6
{SPR2_CRBW,1,1,SA2_WeaponReady,S2_CRBOW8,0,0},	// S2_CRBOW7
{SPR2_CRBW,1,1,SA2_WeaponReady,S2_CRBOW9,0,0},	// S2_CRBOW8
{SPR2_CRBW,1,1,SA2_WeaponReady,S2_CRBOW10,0,0},	// S2_CRBOW9
{SPR2_CRBW,1,1,SA2_WeaponReady,S2_CRBOW11,0,0},	// S2_CRBOW10
{SPR2_CRBW,1,1,SA2_WeaponReady,S2_CRBOW12,0,0},	// S2_CRBOW11
{SPR2_CRBW,1,1,SA2_WeaponReady,S2_CRBOW13,0,0},	// S2_CRBOW12
{SPR2_CRBW,2,1,SA2_WeaponReady,S2_CRBOW14,0,0},	// S2_CRBOW13
{SPR2_CRBW,2,1,SA2_WeaponReady,S2_CRBOW15,0,0},	// S2_CRBOW14
{SPR2_CRBW,2,1,SA2_WeaponReady,S2_CRBOW16,0,0},	// S2_CRBOW15
{SPR2_CRBW,2,1,SA2_WeaponReady,S2_CRBOW17,0,0},	// S2_CRBOW16
{SPR2_CRBW,2,1,SA2_WeaponReady,S2_CRBOW18,0,0},	// S2_CRBOW17
{SPR2_CRBW,2,1,SA2_WeaponReady,S2_CRBOW1,0,0},	// S2_CRBOW18
{SPR2_CRBW,0,1,SA2_Lower,S2_CRBOWDOWN,0,0},	// S2_CRBOWDOWN
{SPR2_CRBW,0,1,SA2_Raise,S2_CRBOWUP,0,0},	// S2_CRBOWUP
{SPR2_CRBW,3,6,SA2_FireCrossbowPL1,S2_CRBOWATK1_2,0,0},	// S2_CRBOWATK1_1
{SPR2_CRBW,4,3,SA2_NULL,S2_CRBOWATK1_3,0,0},	// S2_CRBOWATK1_2
{SPR2_CRBW,5,3,SA2_NULL,S2_CRBOWATK1_4,0,0},	// S2_CRBOWATK1_3
{SPR2_CRBW,6,3,SA2_NULL,S2_CRBOWATK1_5,0,0},	// S2_CRBOWATK1_4
{SPR2_CRBW,7,3,SA2_NULL,S2_CRBOWATK1_6,0,0},	// S2_CRBOWATK1_5
{SPR2_CRBW,0,4,SA2_NULL,S2_CRBOWATK1_7,0,0},	// S2_CRBOWATK1_6
{SPR2_CRBW,1,4,SA2_NULL,S2_CRBOWATK1_8,0,0},	// S2_CRBOWATK1_7
{SPR2_CRBW,2,5,SA2_ReFire,S2_CRBOW1,0,0},	// S2_CRBOWATK1_8
{SPR2_CRBW,3,5,SA2_FireCrossbowPL2,S2_CRBOWATK2_2,0,0},	// S2_CRBOWATK2_1
{SPR2_CRBW,4,3,SA2_NULL,S2_CRBOWATK2_3,0,0},	// S2_CRBOWATK2_2
{SPR2_CRBW,5,2,SA2_NULL,S2_CRBOWATK2_4,0,0},	// S2_CRBOWATK2_3
{SPR2_CRBW,6,3,SA2_NULL,S2_CRBOWATK2_5,0,0},	// S2_CRBOWATK2_4
{SPR2_CRBW,7,2,SA2_NULL,S2_CRBOWATK2_6,0,0},	// S2_CRBOWATK2_5
{SPR2_CRBW,0,3,SA2_NULL,S2_CRBOWATK2_7,0,0},	// S2_CRBOWATK2_6
{SPR2_CRBW,1,3,SA2_NULL,S2_CRBOWATK2_8,0,0},	// S2_CRBOWATK2_7
{SPR2_CRBW,2,4,SA2_ReFire,S2_CRBOW1,0,0},	// S2_CRBOWATK2_8
{SPR2_FX03,32769,1,SA2_NULL,S2_CRBOWFX1,0,0},	// S2_CRBOWFX1
{SPR2_FX03,32775,8,SA2_NULL,S2_CRBOWFXI1_2,0,0},	// S2_CRBOWFXI1_1
{SPR2_FX03,32776,8,SA2_NULL,S2_CRBOWFXI1_3,0,0},	// S2_CRBOWFXI1_2
{SPR2_FX03,32777,8,SA2_NULL,S2_NULL,0,0},	// S2_CRBOWFXI1_3
{SPR2_FX03,32769,1,SA2_BoltSpark,S2_CRBOWFX2,0,0},	// S2_CRBOWFX2
{SPR2_FX03,32768,1,SA2_NULL,S2_CRBOWFX3,0,0},	// S2_CRBOWFX3
{SPR2_FX03,32770,8,SA2_NULL,S2_CRBOWFXI3_2,0,0},	// S2_CRBOWFXI3_1
{SPR2_FX03,32771,8,SA2_NULL,S2_CRBOWFXI3_3,0,0},	// S2_CRBOWFXI3_2
{SPR2_FX03,32772,8,SA2_NULL,S2_NULL,0,0},	// S2_CRBOWFXI3_3
{SPR2_FX03,32773,8,SA2_NULL,S2_CRBOWFX4_2,0,0},	// S2_CRBOWFX4_1
{SPR2_FX03,32774,8,SA2_NULL,S2_NULL,0,0},	// S2_CRBOWFX4_2
{SPR2_BLOD,2,8,SA2_NULL,S2_BLOOD2,0,0},	// S2_BLOOD1
{SPR2_BLOD,1,8,SA2_NULL,S2_BLOOD3,0,0},	// S2_BLOOD2
{SPR2_BLOD,0,8,SA2_NULL,S2_NULL,0,0},	// S2_BLOOD3
{SPR2_BLOD,2,8,SA2_NULL,S2_BLOODSPLATTER2,0,0},	// S2_BLOODSPLATTER1
{SPR2_BLOD,1,8,SA2_NULL,S2_BLOODSPLATTER3,0,0},	// S2_BLOODSPLATTER2
{SPR2_BLOD,0,8,SA2_NULL,S2_NULL,0,0},	// S2_BLOODSPLATTER3
{SPR2_BLOD,0,6,SA2_NULL,S2_NULL,0,0},	// S2_BLOODSPLATTERX
{SPR2_PLAY,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_PLAY
{SPR2_PLAY,0,4,SA2_NULL,S2_PLAY_RUN2,0,0},	// S2_PLAY_RUN1
{SPR2_PLAY,1,4,SA2_NULL,S2_PLAY_RUN3,0,0},	// S2_PLAY_RUN2
{SPR2_PLAY,2,4,SA2_NULL,S2_PLAY_RUN4,0,0},	// S2_PLAY_RUN3
{SPR2_PLAY,3,4,SA2_NULL,S2_PLAY_RUN1,0,0},	// S2_PLAY_RUN4
{SPR2_PLAY,4,12,SA2_NULL,S2_PLAY,0,0},	// S2_PLAY_ATK1
{SPR2_PLAY,32773,6,SA2_NULL,S2_PLAY_ATK1,0,0},	// S2_PLAY_ATK2
{SPR2_PLAY,6,4,SA2_NULL,S2_PLAY_PAIN2,0,0},	// S2_PLAY_PAIN
{SPR2_PLAY,6,4,SA2_Pain,S2_PLAY,0,0},	// S2_PLAY_PAIN2
{SPR2_PLAY,7,6,SA2_NULL,S2_PLAY_DIE2,0,0},	// S2_PLAY_DIE1
{SPR2_PLAY,8,6,SA2_Scream,S2_PLAY_DIE3,0,0},	// S2_PLAY_DIE2
{SPR2_PLAY,9,6,SA2_NULL,S2_PLAY_DIE4,0,0},	// S2_PLAY_DIE3
{SPR2_PLAY,10,6,SA2_NULL,S2_PLAY_DIE5,0,0},	// S2_PLAY_DIE4
{SPR2_PLAY,11,6,SA2_NoBlocking,S2_PLAY_DIE6,0,0},	// S2_PLAY_DIE5
{SPR2_PLAY,12,6,SA2_NULL,S2_PLAY_DIE7,0,0},	// S2_PLAY_DIE6
{SPR2_PLAY,13,6,SA2_NULL,S2_PLAY_DIE8,0,0},	// S2_PLAY_DIE7
{SPR2_PLAY,14,6,SA2_NULL,S2_PLAY_DIE9,0,0},	// S2_PLAY_DIE8
{SPR2_PLAY,15,-1,SA2_AddPlayerCorpse,S2_NULL,0,0},	// S2_PLAY_DIE9
{SPR2_PLAY,16,5,SA2_Scream,S2_PLAY_XDIE2,0,0},	// S2_PLAY_XDIE1
{SPR2_PLAY,17,5,SA2_SkullPop,S2_PLAY_XDIE3,0,0},	// S2_PLAY_XDIE2
{SPR2_PLAY,18,5,SA2_NoBlocking,S2_PLAY_XDIE4,0,0},	// S2_PLAY_XDIE3
{SPR2_PLAY,19,5,SA2_NULL,S2_PLAY_XDIE5,0,0},	// S2_PLAY_XDIE4
{SPR2_PLAY,20,5,SA2_NULL,S2_PLAY_XDIE6,0,0},	// S2_PLAY_XDIE5
{SPR2_PLAY,21,5,SA2_NULL,S2_PLAY_XDIE7,0,0},	// S2_PLAY_XDIE6
{SPR2_PLAY,22,5,SA2_NULL,S2_PLAY_XDIE8,0,0},	// S2_PLAY_XDIE7
{SPR2_PLAY,23,5,SA2_NULL,S2_PLAY_XDIE9,0,0},	// S2_PLAY_XDIE8
{SPR2_PLAY,24,-1,SA2_AddPlayerCorpse,S2_NULL,0,0},	// S2_PLAY_XDIE9
{SPR2_FDTH,32768,5,SA2_FlameSnd,S2_PLAY_FDTH2,0,0},	// S2_PLAY_FDTH1
{SPR2_FDTH,32769,4,SA2_NULL,S2_PLAY_FDTH3,0,0},	// S2_PLAY_FDTH2
{SPR2_FDTH,32770,5,SA2_NULL,S2_PLAY_FDTH4,0,0},	// S2_PLAY_FDTH3
{SPR2_FDTH,32771,4,SA2_Scream,S2_PLAY_FDTH5,0,0},	// S2_PLAY_FDTH4
{SPR2_FDTH,32772,5,SA2_NULL,S2_PLAY_FDTH6,0,0},	// S2_PLAY_FDTH5
{SPR2_FDTH,32773,4,SA2_NULL,S2_PLAY_FDTH7,0,0},	// S2_PLAY_FDTH6
{SPR2_FDTH,32774,5,SA2_FlameSnd,S2_PLAY_FDTH8,0,0},	// S2_PLAY_FDTH7
{SPR2_FDTH,32775,4,SA2_NULL,S2_PLAY_FDTH9,0,0},	// S2_PLAY_FDTH8
{SPR2_FDTH,32776,5,SA2_NULL,S2_PLAY_FDTH10,0,0},	// S2_PLAY_FDTH9
{SPR2_FDTH,32777,4,SA2_NULL,S2_PLAY_FDTH11,0,0},	// S2_PLAY_FDTH10
{SPR2_FDTH,32778,5,SA2_NULL,S2_PLAY_FDTH12,0,0},	// S2_PLAY_FDTH11
{SPR2_FDTH,32779,4,SA2_NULL,S2_PLAY_FDTH13,0,0},	// S2_PLAY_FDTH12
{SPR2_FDTH,32780,5,SA2_NULL,S2_PLAY_FDTH14,0,0},	// S2_PLAY_FDTH13
{SPR2_FDTH,32781,4,SA2_NULL,S2_PLAY_FDTH15,0,0},	// S2_PLAY_FDTH14
{SPR2_FDTH,32782,5,SA2_NoBlocking,S2_PLAY_FDTH16,0,0},	// S2_PLAY_FDTH15
{SPR2_FDTH,32783,4,SA2_NULL,S2_PLAY_FDTH17,0,0},	// S2_PLAY_FDTH16
{SPR2_FDTH,32784,5,SA2_NULL,S2_PLAY_FDTH18,0,0},	// S2_PLAY_FDTH17
{SPR2_FDTH,32785,4,SA2_NULL,S2_PLAY_FDTH19,0,0},	// S2_PLAY_FDTH18
{SPR2_ACLO,4,35,SA2_CheckBurnGone,S2_PLAY_FDTH19,0,0},	// S2_PLAY_FDTH19
{SPR2_ACLO,4,8,SA2_NULL,S2_NULL,0,0},	// S2_PLAY_FDTH20
{SPR2_BSKL,0,5,SA2_CheckSkullFloor,S2_BLOODYSKULL2,0,0},	// S2_BLOODYSKULL1
{SPR2_BSKL,1,5,SA2_CheckSkullFloor,S2_BLOODYSKULL3,0,0},	// S2_BLOODYSKULL2
{SPR2_BSKL,2,5,SA2_CheckSkullFloor,S2_BLOODYSKULL4,0,0},	// S2_BLOODYSKULL3
{SPR2_BSKL,3,5,SA2_CheckSkullFloor,S2_BLOODYSKULL5,0,0},	// S2_BLOODYSKULL4
{SPR2_BSKL,4,5,SA2_CheckSkullFloor,S2_BLOODYSKULL1,0,0},	// S2_BLOODYSKULL5
{SPR2_BSKL,5,16,SA2_CheckSkullDone,S2_BLOODYSKULLX1,0,0},	// S2_BLOODYSKULLX1
{SPR2_BSKL,5,1050,SA2_NULL,S2_NULL,0,0},	// S2_BLOODYSKULLX2
{SPR2_CHKN,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_CHICPLAY
{SPR2_CHKN,0,3,SA2_NULL,S2_CHICPLAY_RUN2,0,0},	// S2_CHICPLAY_RUN1
{SPR2_CHKN,1,3,SA2_NULL,S2_CHICPLAY_RUN3,0,0},	// S2_CHICPLAY_RUN2
{SPR2_CHKN,0,3,SA2_NULL,S2_CHICPLAY_RUN4,0,0},	// S2_CHICPLAY_RUN3
{SPR2_CHKN,1,3,SA2_NULL,S2_CHICPLAY_RUN1,0,0},	// S2_CHICPLAY_RUN4
{SPR2_CHKN,2,12,SA2_NULL,S2_CHICPLAY,0,0},	// S2_CHICPLAY_ATK1
{SPR2_CHKN,3,4,SA2_Feathers,S2_CHICPLAY_PAIN2,0,0},	// S2_CHICPLAY_PAIN
{SPR2_CHKN,2,4,SA2_Pain,S2_CHICPLAY,0,0},	// S2_CHICPLAY_PAIN2
{SPR2_CHKN,0,10,SA2_ChicLook,S2_CHICKEN_LOOK2,0,0},	// S2_CHICKEN_LOOK1
{SPR2_CHKN,1,10,SA2_ChicLook,S2_CHICKEN_LOOK1,0,0},	// S2_CHICKEN_LOOK2
{SPR2_CHKN,0,3,SA2_ChicChase,S2_CHICKEN_WALK2,0,0},	// S2_CHICKEN_WALK1
{SPR2_CHKN,1,3,SA2_ChicChase,S2_CHICKEN_WALK1,0,0},	// S2_CHICKEN_WALK2
{SPR2_CHKN,3,5,SA2_Feathers,S2_CHICKEN_PAIN2,0,0},	// S2_CHICKEN_PAIN1
{SPR2_CHKN,2,5,SA2_ChicPain,S2_CHICKEN_WALK1,0,0},	// S2_CHICKEN_PAIN2
{SPR2_CHKN,0,8,SA2_FaceTarget,S2_CHICKEN_ATK2,0,0},	// S2_CHICKEN_ATK1
{SPR2_CHKN,2,10,SA2_ChicAttack,S2_CHICKEN_WALK1,0,0},	// S2_CHICKEN_ATK2
{SPR2_CHKN,4,6,SA2_Scream,S2_CHICKEN_DIE2,0,0},	// S2_CHICKEN_DIE1
{SPR2_CHKN,5,6,SA2_Feathers,S2_CHICKEN_DIE3,0,0},	// S2_CHICKEN_DIE2
{SPR2_CHKN,6,6,SA2_NULL,S2_CHICKEN_DIE4,0,0},	// S2_CHICKEN_DIE3
{SPR2_CHKN,7,6,SA2_NoBlocking,S2_CHICKEN_DIE5,0,0},	// S2_CHICKEN_DIE4
{SPR2_CHKN,8,6,SA2_NULL,S2_CHICKEN_DIE6,0,0},	// S2_CHICKEN_DIE5
{SPR2_CHKN,9,6,SA2_NULL,S2_CHICKEN_DIE7,0,0},	// S2_CHICKEN_DIE6
{SPR2_CHKN,10,6,SA2_NULL,S2_CHICKEN_DIE8,0,0},	// S2_CHICKEN_DIE7
{SPR2_CHKN,11,-1,SA2_NULL,S2_NULL,0,0},	// S2_CHICKEN_DIE8
{SPR2_CHKN,12,3,SA2_NULL,S2_FEATHER2,0,0},	// S2_FEATHER1
{SPR2_CHKN,13,3,SA2_NULL,S2_FEATHER3,0,0},	// S2_FEATHER2
{SPR2_CHKN,14,3,SA2_NULL,S2_FEATHER4,0,0},	// S2_FEATHER3
{SPR2_CHKN,15,3,SA2_NULL,S2_FEATHER5,0,0},	// S2_FEATHER4
{SPR2_CHKN,16,3,SA2_NULL,S2_FEATHER6,0,0},	// S2_FEATHER5
{SPR2_CHKN,15,3,SA2_NULL,S2_FEATHER7,0,0},	// S2_FEATHER6
{SPR2_CHKN,14,3,SA2_NULL,S2_FEATHER8,0,0},	// S2_FEATHER7
{SPR2_CHKN,13,3,SA2_NULL,S2_FEATHER1,0,0},	// S2_FEATHER8
{SPR2_CHKN,13,6,SA2_NULL,S2_NULL,0,0},	// S2_FEATHERX
{SPR2_MUMM,0,10,SA2_Look,S2_MUMMY_LOOK2,0,0},	// S2_MUMMY_LOOK1
{SPR2_MUMM,1,10,SA2_Look,S2_MUMMY_LOOK1,0,0},	// S2_MUMMY_LOOK2
{SPR2_MUMM,0,4,SA2_Chase,S2_MUMMY_WALK2,0,0},	// S2_MUMMY_WALK1
{SPR2_MUMM,1,4,SA2_Chase,S2_MUMMY_WALK3,0,0},	// S2_MUMMY_WALK2
{SPR2_MUMM,2,4,SA2_Chase,S2_MUMMY_WALK4,0,0},	// S2_MUMMY_WALK3
{SPR2_MUMM,3,4,SA2_Chase,S2_MUMMY_WALK1,0,0},	// S2_MUMMY_WALK4
{SPR2_MUMM,4,6,SA2_FaceTarget,S2_MUMMY_ATK2,0,0},	// S2_MUMMY_ATK1
{SPR2_MUMM,5,6,SA2_MummyAttack,S2_MUMMY_ATK3,0,0},	// S2_MUMMY_ATK2
{SPR2_MUMM,6,6,SA2_FaceTarget,S2_MUMMY_WALK1,0,0},	// S2_MUMMY_ATK3
{SPR2_MUMM,23,5,SA2_FaceTarget,S2_MUMMYL_ATK2,0,0},	// S2_MUMMYL_ATK1
{SPR2_MUMM,32792,5,SA2_FaceTarget,S2_MUMMYL_ATK3,0,0},	// S2_MUMMYL_ATK2
{SPR2_MUMM,23,5,SA2_FaceTarget,S2_MUMMYL_ATK4,0,0},	// S2_MUMMYL_ATK3
{SPR2_MUMM,32792,5,SA2_FaceTarget,S2_MUMMYL_ATK5,0,0},	// S2_MUMMYL_ATK4
{SPR2_MUMM,23,5,SA2_FaceTarget,S2_MUMMYL_ATK6,0,0},	// S2_MUMMYL_ATK5
{SPR2_MUMM,32792,15,SA2_MummyAttack2,S2_MUMMY_WALK1,0,0},	// S2_MUMMYL_ATK6
{SPR2_MUMM,7,4,SA2_NULL,S2_MUMMY_PAIN2,0,0},	// S2_MUMMY_PAIN1
{SPR2_MUMM,7,4,SA2_Pain,S2_MUMMY_WALK1,0,0},	// S2_MUMMY_PAIN2
{SPR2_MUMM,8,5,SA2_NULL,S2_MUMMY_DIE2,0,0},	// S2_MUMMY_DIE1
{SPR2_MUMM,9,5,SA2_Scream,S2_MUMMY_DIE3,0,0},	// S2_MUMMY_DIE2
{SPR2_MUMM,10,5,SA2_MummySoul,S2_MUMMY_DIE4,0,0},	// S2_MUMMY_DIE3
{SPR2_MUMM,11,5,SA2_NULL,S2_MUMMY_DIE5,0,0},	// S2_MUMMY_DIE4
{SPR2_MUMM,12,5,SA2_NoBlocking,S2_MUMMY_DIE6,0,0},	// S2_MUMMY_DIE5
{SPR2_MUMM,13,5,SA2_NULL,S2_MUMMY_DIE7,0,0},	// S2_MUMMY_DIE6
{SPR2_MUMM,14,5,SA2_NULL,S2_MUMMY_DIE8,0,0},	// S2_MUMMY_DIE7
{SPR2_MUMM,15,-1,SA2_NULL,S2_NULL,0,0},	// S2_MUMMY_DIE8
{SPR2_MUMM,16,5,SA2_NULL,S2_MUMMY_SOUL2,0,0},	// S2_MUMMY_SOUL1
{SPR2_MUMM,17,5,SA2_NULL,S2_MUMMY_SOUL3,0,0},	// S2_MUMMY_SOUL2
{SPR2_MUMM,18,5,SA2_NULL,S2_MUMMY_SOUL4,0,0},	// S2_MUMMY_SOUL3
{SPR2_MUMM,19,9,SA2_NULL,S2_MUMMY_SOUL5,0,0},	// S2_MUMMY_SOUL4
{SPR2_MUMM,20,5,SA2_NULL,S2_MUMMY_SOUL6,0,0},	// S2_MUMMY_SOUL5
{SPR2_MUMM,21,5,SA2_NULL,S2_MUMMY_SOUL7,0,0},	// S2_MUMMY_SOUL6
{SPR2_MUMM,22,5,SA2_NULL,S2_NULL,0,0},	// S2_MUMMY_SOUL7
{SPR2_FX15,32768,5,SA2_ContMobjSound,S2_MUMMYFX1_2,0,0},	// S2_MUMMYFX1_1
{SPR2_FX15,32769,5,SA2_MummyFX1Seek,S2_MUMMYFX1_3,0,0},	// S2_MUMMYFX1_2
{SPR2_FX15,32770,5,SA2_NULL,S2_MUMMYFX1_4,0,0},	// S2_MUMMYFX1_3
{SPR2_FX15,32769,5,SA2_MummyFX1Seek,S2_MUMMYFX1_1,0,0},	// S2_MUMMYFX1_4
{SPR2_FX15,32771,5,SA2_NULL,S2_MUMMYFXI1_2,0,0},	// S2_MUMMYFXI1_1
{SPR2_FX15,32772,5,SA2_NULL,S2_MUMMYFXI1_3,0,0},	// S2_MUMMYFXI1_2
{SPR2_FX15,32773,5,SA2_NULL,S2_MUMMYFXI1_4,0,0},	// S2_MUMMYFXI1_3
{SPR2_FX15,32774,5,SA2_NULL,S2_NULL,0,0},	// S2_MUMMYFXI1_4
{SPR2_BEAS,0,10,SA2_Look,S2_BEAST_LOOK2,0,0},	// S2_BEAST_LOOK1
{SPR2_BEAS,1,10,SA2_Look,S2_BEAST_LOOK1,0,0},	// S2_BEAST_LOOK2
{SPR2_BEAS,0,3,SA2_Chase,S2_BEAST_WALK2,0,0},	// S2_BEAST_WALK1
{SPR2_BEAS,1,3,SA2_Chase,S2_BEAST_WALK3,0,0},	// S2_BEAST_WALK2
{SPR2_BEAS,2,3,SA2_Chase,S2_BEAST_WALK4,0,0},	// S2_BEAST_WALK3
{SPR2_BEAS,3,3,SA2_Chase,S2_BEAST_WALK5,0,0},	// S2_BEAST_WALK4
{SPR2_BEAS,4,3,SA2_Chase,S2_BEAST_WALK6,0,0},	// S2_BEAST_WALK5
{SPR2_BEAS,5,3,SA2_Chase,S2_BEAST_WALK1,0,0},	// S2_BEAST_WALK6
{SPR2_BEAS,7,10,SA2_FaceTarget,S2_BEAST_ATK2,0,0},	// S2_BEAST_ATK1
{SPR2_BEAS,8,10,SA2_BeastAttack,S2_BEAST_WALK1,0,0},	// S2_BEAST_ATK2
{SPR2_BEAS,6,3,SA2_NULL,S2_BEAST_PAIN2,0,0},	// S2_BEAST_PAIN1
{SPR2_BEAS,6,3,SA2_Pain,S2_BEAST_WALK1,0,0},	// S2_BEAST_PAIN2
{SPR2_BEAS,17,6,SA2_NULL,S2_BEAST_DIE2,0,0},	// S2_BEAST_DIE1
{SPR2_BEAS,18,6,SA2_Scream,S2_BEAST_DIE3,0,0},	// S2_BEAST_DIE2
{SPR2_BEAS,19,6,SA2_NULL,S2_BEAST_DIE4,0,0},	// S2_BEAST_DIE3
{SPR2_BEAS,20,6,SA2_NULL,S2_BEAST_DIE5,0,0},	// S2_BEAST_DIE4
{SPR2_BEAS,21,6,SA2_NULL,S2_BEAST_DIE6,0,0},	// S2_BEAST_DIE5
{SPR2_BEAS,22,6,SA2_NoBlocking,S2_BEAST_DIE7,0,0},	// S2_BEAST_DIE6
{SPR2_BEAS,23,6,SA2_NULL,S2_BEAST_DIE8,0,0},	// S2_BEAST_DIE7
{SPR2_BEAS,24,6,SA2_NULL,S2_BEAST_DIE9,0,0},	// S2_BEAST_DIE8
{SPR2_BEAS,25,-1,SA2_NULL,S2_NULL,0,0},	// S2_BEAST_DIE9
{SPR2_BEAS,9,5,SA2_NULL,S2_BEAST_XDIE2,0,0},	// S2_BEAST_XDIE1
{SPR2_BEAS,10,6,SA2_Scream,S2_BEAST_XDIE3,0,0},	// S2_BEAST_XDIE2
{SPR2_BEAS,11,5,SA2_NULL,S2_BEAST_XDIE4,0,0},	// S2_BEAST_XDIE3
{SPR2_BEAS,12,6,SA2_NULL,S2_BEAST_XDIE5,0,0},	// S2_BEAST_XDIE4
{SPR2_BEAS,13,5,SA2_NULL,S2_BEAST_XDIE6,0,0},	// S2_BEAST_XDIE5
{SPR2_BEAS,14,6,SA2_NoBlocking,S2_BEAST_XDIE7,0,0},	// S2_BEAST_XDIE6
{SPR2_BEAS,15,5,SA2_NULL,S2_BEAST_XDIE8,0,0},	// S2_BEAST_XDIE7
{SPR2_BEAS,16,-1,SA2_NULL,S2_NULL,0,0},	// S2_BEAST_XDIE8
{SPR2_FRB1,0,2,SA2_BeastPuff,S2_BEASTBALL2,0,0},	// S2_BEASTBALL1
{SPR2_FRB1,0,2,SA2_BeastPuff,S2_BEASTBALL3,0,0},	// S2_BEASTBALL2
{SPR2_FRB1,1,2,SA2_BeastPuff,S2_BEASTBALL4,0,0},	// S2_BEASTBALL3
{SPR2_FRB1,1,2,SA2_BeastPuff,S2_BEASTBALL5,0,0},	// S2_BEASTBALL4
{SPR2_FRB1,2,2,SA2_BeastPuff,S2_BEASTBALL6,0,0},	// S2_BEASTBALL5
{SPR2_FRB1,2,2,SA2_BeastPuff,S2_BEASTBALL1,0,0},	// S2_BEASTBALL6
{SPR2_FRB1,3,4,SA2_NULL,S2_BEASTBALLX2,0,0},	// S2_BEASTBALLX1
{SPR2_FRB1,4,4,SA2_NULL,S2_BEASTBALLX3,0,0},	// S2_BEASTBALLX2
{SPR2_FRB1,5,4,SA2_NULL,S2_BEASTBALLX4,0,0},	// S2_BEASTBALLX3
{SPR2_FRB1,6,4,SA2_NULL,S2_BEASTBALLX5,0,0},	// S2_BEASTBALLX4
{SPR2_FRB1,7,4,SA2_NULL,S2_NULL,0,0},	// S2_BEASTBALLX5
{SPR2_FRB1,0,4,SA2_NULL,S2_BURNBALL2,0,0},	// S2_BURNBALL1
{SPR2_FRB1,1,4,SA2_NULL,S2_BURNBALL3,0,0},	// S2_BURNBALL2
{SPR2_FRB1,2,4,SA2_NULL,S2_BURNBALL4,0,0},	// S2_BURNBALL3
{SPR2_FRB1,3,4,SA2_NULL,S2_BURNBALL5,0,0},	// S2_BURNBALL4
{SPR2_FRB1,4,4,SA2_NULL,S2_BURNBALL6,0,0},	// S2_BURNBALL5
{SPR2_FRB1,5,4,SA2_NULL,S2_BURNBALL7,0,0},	// S2_BURNBALL6
{SPR2_FRB1,6,4,SA2_NULL,S2_BURNBALL8,0,0},	// S2_BURNBALL7
{SPR2_FRB1,7,4,SA2_NULL,S2_NULL,0,0},	// S2_BURNBALL8
{SPR2_FRB1,32768,4,SA2_NULL,S2_BURNBALLFB2,0,0},	// S2_BURNBALLFB1
{SPR2_FRB1,32769,4,SA2_NULL,S2_BURNBALLFB3,0,0},	// S2_BURNBALLFB2
{SPR2_FRB1,32770,4,SA2_NULL,S2_BURNBALLFB4,0,0},	// S2_BURNBALLFB3
{SPR2_FRB1,32771,4,SA2_NULL,S2_BURNBALLFB5,0,0},	// S2_BURNBALLFB4
{SPR2_FRB1,32772,4,SA2_NULL,S2_BURNBALLFB6,0,0},	// S2_BURNBALLFB5
{SPR2_FRB1,32773,4,SA2_NULL,S2_BURNBALLFB7,0,0},	// S2_BURNBALLFB6
{SPR2_FRB1,32774,4,SA2_NULL,S2_BURNBALLFB8,0,0},	// S2_BURNBALLFB7
{SPR2_FRB1,32775,4,SA2_NULL,S2_NULL,0,0},	// S2_BURNBALLFB8
{SPR2_FRB1,3,4,SA2_NULL,S2_PUFFY2,0,0},	// S2_PUFFY1
{SPR2_FRB1,4,4,SA2_NULL,S2_PUFFY3,0,0},	// S2_PUFFY2
{SPR2_FRB1,5,4,SA2_NULL,S2_PUFFY4,0,0},	// S2_PUFFY3
{SPR2_FRB1,6,4,SA2_NULL,S2_PUFFY5,0,0},	// S2_PUFFY4
{SPR2_FRB1,7,4,SA2_NULL,S2_NULL,0,0},	// S2_PUFFY5
{SPR2_SNKE,0,10,SA2_Look,S2_SNAKE_LOOK2,0,0},	// S2_SNAKE_LOOK1
{SPR2_SNKE,1,10,SA2_Look,S2_SNAKE_LOOK1,0,0},	// S2_SNAKE_LOOK2
{SPR2_SNKE,0,4,SA2_Chase,S2_SNAKE_WALK2,0,0},	// S2_SNAKE_WALK1
{SPR2_SNKE,1,4,SA2_Chase,S2_SNAKE_WALK3,0,0},	// S2_SNAKE_WALK2
{SPR2_SNKE,2,4,SA2_Chase,S2_SNAKE_WALK4,0,0},	// S2_SNAKE_WALK3
{SPR2_SNKE,3,4,SA2_Chase,S2_SNAKE_WALK1,0,0},	// S2_SNAKE_WALK4
{SPR2_SNKE,5,5,SA2_FaceTarget,S2_SNAKE_ATK2,0,0},	// S2_SNAKE_ATK1
{SPR2_SNKE,5,5,SA2_FaceTarget,S2_SNAKE_ATK3,0,0},	// S2_SNAKE_ATK2
{SPR2_SNKE,5,4,SA2_SnakeAttack,S2_SNAKE_ATK4,0,0},	// S2_SNAKE_ATK3
{SPR2_SNKE,5,4,SA2_SnakeAttack,S2_SNAKE_ATK5,0,0},	// S2_SNAKE_ATK4
{SPR2_SNKE,5,4,SA2_SnakeAttack,S2_SNAKE_ATK6,0,0},	// S2_SNAKE_ATK5
{SPR2_SNKE,5,5,SA2_FaceTarget,S2_SNAKE_ATK7,0,0},	// S2_SNAKE_ATK6
{SPR2_SNKE,5,5,SA2_FaceTarget,S2_SNAKE_ATK8,0,0},	// S2_SNAKE_ATK7
{SPR2_SNKE,5,5,SA2_FaceTarget,S2_SNAKE_ATK9,0,0},	// S2_SNAKE_ATK8
{SPR2_SNKE,5,4,SA2_SnakeAttack2,S2_SNAKE_WALK1,0,0},	// S2_SNAKE_ATK9
{SPR2_SNKE,4,3,SA2_NULL,S2_SNAKE_PAIN2,0,0},	// S2_SNAKE_PAIN1
{SPR2_SNKE,4,3,SA2_Pain,S2_SNAKE_WALK1,0,0},	// S2_SNAKE_PAIN2
{SPR2_SNKE,6,5,SA2_NULL,S2_SNAKE_DIE2,0,0},	// S2_SNAKE_DIE1
{SPR2_SNKE,7,5,SA2_Scream,S2_SNAKE_DIE3,0,0},	// S2_SNAKE_DIE2
{SPR2_SNKE,8,5,SA2_NULL,S2_SNAKE_DIE4,0,0},	// S2_SNAKE_DIE3
{SPR2_SNKE,9,5,SA2_NULL,S2_SNAKE_DIE5,0,0},	// S2_SNAKE_DIE4
{SPR2_SNKE,10,5,SA2_NULL,S2_SNAKE_DIE6,0,0},	// S2_SNAKE_DIE5
{SPR2_SNKE,11,5,SA2_NULL,S2_SNAKE_DIE7,0,0},	// S2_SNAKE_DIE6
{SPR2_SNKE,12,5,SA2_NoBlocking,S2_SNAKE_DIE8,0,0},	// S2_SNAKE_DIE7
{SPR2_SNKE,13,5,SA2_NULL,S2_SNAKE_DIE9,0,0},	// S2_SNAKE_DIE8
{SPR2_SNKE,14,5,SA2_NULL,S2_SNAKE_DIE10,0,0},	// S2_SNAKE_DIE9
{SPR2_SNKE,15,-1,SA2_NULL,S2_NULL,0,0},	// S2_SNAKE_DIE10
{SPR2_SNFX,32768,5,SA2_NULL,S2_SNAKEPRO_A2,0,0},	// S2_SNAKEPRO_A1
{SPR2_SNFX,32769,5,SA2_NULL,S2_SNAKEPRO_A3,0,0},	// S2_SNAKEPRO_A2
{SPR2_SNFX,32770,5,SA2_NULL,S2_SNAKEPRO_A4,0,0},	// S2_SNAKEPRO_A3
{SPR2_SNFX,32771,5,SA2_NULL,S2_SNAKEPRO_A1,0,0},	// S2_SNAKEPRO_A4
{SPR2_SNFX,32772,5,SA2_NULL,S2_SNAKEPRO_AX2,0,0},	// S2_SNAKEPRO_AX1
{SPR2_SNFX,32773,5,SA2_NULL,S2_SNAKEPRO_AX3,0,0},	// S2_SNAKEPRO_AX2
{SPR2_SNFX,32774,4,SA2_NULL,S2_SNAKEPRO_AX4,0,0},	// S2_SNAKEPRO_AX3
{SPR2_SNFX,32775,3,SA2_NULL,S2_SNAKEPRO_AX5,0,0},	// S2_SNAKEPRO_AX4
{SPR2_SNFX,32776,3,SA2_NULL,S2_NULL,0,0},	// S2_SNAKEPRO_AX5
{SPR2_SNFX,32777,6,SA2_NULL,S2_SNAKEPRO_B2,0,0},	// S2_SNAKEPRO_B1
{SPR2_SNFX,32778,6,SA2_NULL,S2_SNAKEPRO_B1,0,0},	// S2_SNAKEPRO_B2
{SPR2_SNFX,32779,5,SA2_NULL,S2_SNAKEPRO_BX2,0,0},	// S2_SNAKEPRO_BX1
{SPR2_SNFX,32780,5,SA2_NULL,S2_SNAKEPRO_BX3,0,0},	// S2_SNAKEPRO_BX2
{SPR2_SNFX,32781,4,SA2_NULL,S2_SNAKEPRO_BX4,0,0},	// S2_SNAKEPRO_BX3
{SPR2_SNFX,32782,3,SA2_NULL,S2_NULL,0,0},	// S2_SNAKEPRO_BX4
{SPR2_HEAD,0,10,SA2_Look,S2_HEAD_LOOK,0,0},	// S2_HEAD_LOOK
{SPR2_HEAD,0,4,SA2_Chase,S2_HEAD_FLOAT,0,0},	// S2_HEAD_FLOAT
{SPR2_HEAD,0,5,SA2_FaceTarget,S2_HEAD_ATK2,0,0},	// S2_HEAD_ATK1
{SPR2_HEAD,1,20,SA2_HeadAttack,S2_HEAD_FLOAT,0,0},	// S2_HEAD_ATK2
{SPR2_HEAD,0,4,SA2_NULL,S2_HEAD_PAIN2,0,0},	// S2_HEAD_PAIN1
{SPR2_HEAD,0,4,SA2_Pain,S2_HEAD_FLOAT,0,0},	// S2_HEAD_PAIN2
{SPR2_HEAD,2,7,SA2_NULL,S2_HEAD_DIE2,0,0},	// S2_HEAD_DIE1
{SPR2_HEAD,3,7,SA2_Scream,S2_HEAD_DIE3,0,0},	// S2_HEAD_DIE2
{SPR2_HEAD,4,7,SA2_NULL,S2_HEAD_DIE4,0,0},	// S2_HEAD_DIE3
{SPR2_HEAD,5,7,SA2_NULL,S2_HEAD_DIE5,0,0},	// S2_HEAD_DIE4
{SPR2_HEAD,6,7,SA2_NoBlocking,S2_HEAD_DIE6,0,0},	// S2_HEAD_DIE5
{SPR2_HEAD,7,7,SA2_NULL,S2_HEAD_DIE7,0,0},	// S2_HEAD_DIE6
{SPR2_HEAD,8,-1,SA2_BossDeath,S2_NULL,0,0},	// S2_HEAD_DIE7
{SPR2_FX05,0,6,SA2_NULL,S2_HEADFX1_2,0,0},	// S2_HEADFX1_1
{SPR2_FX05,1,6,SA2_NULL,S2_HEADFX1_3,0,0},	// S2_HEADFX1_2
{SPR2_FX05,2,6,SA2_NULL,S2_HEADFX1_1,0,0},	// S2_HEADFX1_3
{SPR2_FX05,3,5,SA2_HeadIceImpact,S2_HEADFXI1_2,0,0},	// S2_HEADFXI1_1
{SPR2_FX05,4,5,SA2_NULL,S2_HEADFXI1_3,0,0},	// S2_HEADFXI1_2
{SPR2_FX05,5,5,SA2_NULL,S2_HEADFXI1_4,0,0},	// S2_HEADFXI1_3
{SPR2_FX05,6,5,SA2_NULL,S2_NULL,0,0},	// S2_HEADFXI1_4
{SPR2_FX05,7,6,SA2_NULL,S2_HEADFX2_2,0,0},	// S2_HEADFX2_1
{SPR2_FX05,8,6,SA2_NULL,S2_HEADFX2_3,0,0},	// S2_HEADFX2_2
{SPR2_FX05,9,6,SA2_NULL,S2_HEADFX2_1,0,0},	// S2_HEADFX2_3
{SPR2_FX05,3,5,SA2_NULL,S2_HEADFXI2_2,0,0},	// S2_HEADFXI2_1
{SPR2_FX05,4,5,SA2_NULL,S2_HEADFXI2_3,0,0},	// S2_HEADFXI2_2
{SPR2_FX05,5,5,SA2_NULL,S2_HEADFXI2_4,0,0},	// S2_HEADFXI2_3
{SPR2_FX05,6,5,SA2_NULL,S2_NULL,0,0},	// S2_HEADFXI2_4
{SPR2_FX06,0,4,SA2_HeadFireGrow,S2_HEADFX3_2,0,0},	// S2_HEADFX3_1
{SPR2_FX06,1,4,SA2_HeadFireGrow,S2_HEADFX3_3,0,0},	// S2_HEADFX3_2
{SPR2_FX06,2,4,SA2_HeadFireGrow,S2_HEADFX3_1,0,0},	// S2_HEADFX3_3
{SPR2_FX06,0,5,SA2_NULL,S2_HEADFX3_5,0,0},	// S2_HEADFX3_4
{SPR2_FX06,1,5,SA2_NULL,S2_HEADFX3_6,0,0},	// S2_HEADFX3_5
{SPR2_FX06,2,5,SA2_NULL,S2_HEADFX3_4,0,0},	// S2_HEADFX3_6
{SPR2_FX06,3,5,SA2_NULL,S2_HEADFXI3_2,0,0},	// S2_HEADFXI3_1
{SPR2_FX06,4,5,SA2_NULL,S2_HEADFXI3_3,0,0},	// S2_HEADFXI3_2
{SPR2_FX06,5,5,SA2_NULL,S2_HEADFXI3_4,0,0},	// S2_HEADFXI3_3
{SPR2_FX06,6,5,SA2_NULL,S2_NULL,0,0},	// S2_HEADFXI3_4
{SPR2_FX07,3,3,SA2_NULL,S2_HEADFX4_2,0,0},	// S2_HEADFX4_1
{SPR2_FX07,4,3,SA2_NULL,S2_HEADFX4_3,0,0},	// S2_HEADFX4_2
{SPR2_FX07,5,3,SA2_NULL,S2_HEADFX4_4,0,0},	// S2_HEADFX4_3
{SPR2_FX07,6,3,SA2_NULL,S2_HEADFX4_5,0,0},	// S2_HEADFX4_4
{SPR2_FX07,0,3,SA2_WhirlwindSeek,S2_HEADFX4_6,0,0},	// S2_HEADFX4_5
{SPR2_FX07,1,3,SA2_WhirlwindSeek,S2_HEADFX4_7,0,0},	// S2_HEADFX4_6
{SPR2_FX07,2,3,SA2_WhirlwindSeek,S2_HEADFX4_5,0,0},	// S2_HEADFX4_7
{SPR2_FX07,6,4,SA2_NULL,S2_HEADFXI4_2,0,0},	// S2_HEADFXI4_1
{SPR2_FX07,5,4,SA2_NULL,S2_HEADFXI4_3,0,0},	// S2_HEADFXI4_2
{SPR2_FX07,4,4,SA2_NULL,S2_HEADFXI4_4,0,0},	// S2_HEADFXI4_3
{SPR2_FX07,3,4,SA2_NULL,S2_NULL,0,0},	// S2_HEADFXI4_4
{SPR2_CLNK,0,10,SA2_Look,S2_CLINK_LOOK2,0,0},	// S2_CLINK_LOOK1
{SPR2_CLNK,1,10,SA2_Look,S2_CLINK_LOOK1,0,0},	// S2_CLINK_LOOK2
{SPR2_CLNK,0,3,SA2_Chase,S2_CLINK_WALK2,0,0},	// S2_CLINK_WALK1
{SPR2_CLNK,1,3,SA2_Chase,S2_CLINK_WALK3,0,0},	// S2_CLINK_WALK2
{SPR2_CLNK,2,3,SA2_Chase,S2_CLINK_WALK4,0,0},	// S2_CLINK_WALK3
{SPR2_CLNK,3,3,SA2_Chase,S2_CLINK_WALK1,0,0},	// S2_CLINK_WALK4
{SPR2_CLNK,4,5,SA2_FaceTarget,S2_CLINK_ATK2,0,0},	// S2_CLINK_ATK1
{SPR2_CLNK,5,4,SA2_FaceTarget,S2_CLINK_ATK3,0,0},	// S2_CLINK_ATK2
{SPR2_CLNK,6,7,SA2_ClinkAttack,S2_CLINK_WALK1,0,0},	// S2_CLINK_ATK3
{SPR2_CLNK,7,3,SA2_NULL,S2_CLINK_PAIN2,0,0},	// S2_CLINK_PAIN1
{SPR2_CLNK,7,3,SA2_Pain,S2_CLINK_WALK1,0,0},	// S2_CLINK_PAIN2
{SPR2_CLNK,8,6,SA2_NULL,S2_CLINK_DIE2,0,0},	// S2_CLINK_DIE1
{SPR2_CLNK,9,6,SA2_NULL,S2_CLINK_DIE3,0,0},	// S2_CLINK_DIE2
{SPR2_CLNK,10,5,SA2_Scream,S2_CLINK_DIE4,0,0},	// S2_CLINK_DIE3
{SPR2_CLNK,11,5,SA2_NoBlocking,S2_CLINK_DIE5,0,0},	// S2_CLINK_DIE4
{SPR2_CLNK,12,5,SA2_NULL,S2_CLINK_DIE6,0,0},	// S2_CLINK_DIE5
{SPR2_CLNK,13,5,SA2_NULL,S2_CLINK_DIE7,0,0},	// S2_CLINK_DIE6
{SPR2_CLNK,14,-1,SA2_NULL,S2_NULL,0,0},	// S2_CLINK_DIE7
{SPR2_WZRD,0,10,SA2_Look,S2_WIZARD_LOOK2,0,0,"monsters/wizard.md2",0},	// S2_WIZARD_LOOK1
{SPR2_WZRD,1,10,SA2_Look,S2_WIZARD_LOOK1,0,0,"monsters/wizard.md2",1},	// S2_WIZARD_LOOK2
{SPR2_WZRD,0,3,SA2_Chase,S2_WIZARD_WALK2,0,0,"monsters/wizard.md2",2},	// S2_WIZARD_WALK1
{SPR2_WZRD,0,4,SA2_Chase,S2_WIZARD_WALK3,0,0,"monsters/wizard.md2",3},	// S2_WIZARD_WALK2
{SPR2_WZRD,0,3,SA2_Chase,S2_WIZARD_WALK4,0,0,"monsters/wizard.md2",4},	// S2_WIZARD_WALK3
{SPR2_WZRD,0,4,SA2_Chase,S2_WIZARD_WALK5,0,0,"monsters/wizard.md2",5},	// S2_WIZARD_WALK4
{SPR2_WZRD,1,3,SA2_Chase,S2_WIZARD_WALK6,0,0,"monsters/wizard.md2",6},	// S2_WIZARD_WALK5
{SPR2_WZRD,1,4,SA2_Chase,S2_WIZARD_WALK7,0,0,"monsters/wizard.md2",7},	// S2_WIZARD_WALK6
{SPR2_WZRD,1,3,SA2_Chase,S2_WIZARD_WALK8,0,0,"monsters/wizard.md2",8},	// S2_WIZARD_WALK7
{SPR2_WZRD,1,4,SA2_Chase,S2_WIZARD_WALK1,0,0,"monsters/wizard.md2",9},	// S2_WIZARD_WALK8
{SPR2_WZRD,2,4,SA2_WizAtk1,S2_WIZARD_ATK2,0,0,"monsters/wizard.md2",10},	// S2_WIZARD_ATK1
{SPR2_WZRD,2,4,SA2_WizAtk2,S2_WIZARD_ATK3,0,0,"monsters/wizard.md2",11},	// S2_WIZARD_ATK2
{SPR2_WZRD,2,4,SA2_WizAtk1,S2_WIZARD_ATK4,0,0,"monsters/wizard.md2",12},	// S2_WIZARD_ATK3
{SPR2_WZRD,2,4,SA2_WizAtk2,S2_WIZARD_ATK5,0,0,"monsters/wizard.md2",13},	// S2_WIZARD_ATK4
{SPR2_WZRD,2,4,SA2_WizAtk1,S2_WIZARD_ATK6,0,0,"monsters/wizard.md2",14},	// S2_WIZARD_ATK5
{SPR2_WZRD,2,4,SA2_WizAtk2,S2_WIZARD_ATK7,0,0,"monsters/wizard.md2",15},	// S2_WIZARD_ATK6
{SPR2_WZRD,2,4,SA2_WizAtk1,S2_WIZARD_ATK8,0,0,"monsters/wizard.md2",16},	// S2_WIZARD_ATK7
{SPR2_WZRD,2,4,SA2_WizAtk2,S2_WIZARD_ATK9,0,0,"monsters/wizard.md2",17},	// S2_WIZARD_ATK8
{SPR2_WZRD,3,12,SA2_WizAtk3,S2_WIZARD_WALK1,0,0,"monsters/wizard.md2",18},	// S2_WIZARD_ATK9
{SPR2_WZRD,4,3,SA2_GhostOff,S2_WIZARD_PAIN2,0,0,"monsters/wizard.md2",19},	// S2_WIZARD_PAIN1
{SPR2_WZRD,4,3,SA2_Pain,S2_WIZARD_WALK1,0,0,"monsters/wizard.md2",20},	// S2_WIZARD_PAIN2
{SPR2_WZRD,5,6,SA2_GhostOff,S2_WIZARD_DIE2,0,0,"monsters/wizard.md2",21},	// S2_WIZARD_DIE1
{SPR2_WZRD,6,6,SA2_Scream,S2_WIZARD_DIE3,0,0,"monsters/wizard.md2",22},	// S2_WIZARD_DIE2
{SPR2_WZRD,7,6,SA2_NULL,S2_WIZARD_DIE4,0,0,"monsters/wizard.md2",23},	// S2_WIZARD_DIE3
{SPR2_WZRD,8,6,SA2_NULL,S2_WIZARD_DIE5,0,0,"monsters/wizard.md2",24},	// S2_WIZARD_DIE4
{SPR2_WZRD,9,6,SA2_NoBlocking,S2_WIZARD_DIE6,0,0,"monsters/wizard.md2",25},	// S2_WIZARD_DIE5
{SPR2_WZRD,10,6,SA2_NULL,S2_WIZARD_DIE7,0,0,"monsters/wizard.md2",26},	// S2_WIZARD_DIE6
{SPR2_WZRD,11,6,SA2_NULL,S2_WIZARD_DIE8,0,0,"monsters/wizard.md2",27},	// S2_WIZARD_DIE7
{SPR2_WZRD,12,-1,SA2_NULL,S2_NULL,0,0,"monsters/wizard.md2",28},	// S2_WIZARD_DIE8
{SPR2_FX11,32768,6,SA2_NULL,S2_WIZFX1_2,0,0},	// S2_WIZFX1_1
{SPR2_FX11,32769,6,SA2_NULL,S2_WIZFX1_1,0,0},	// S2_WIZFX1_2
{SPR2_FX11,32770,5,SA2_NULL,S2_WIZFXI1_2,0,0},	// S2_WIZFXI1_1
{SPR2_FX11,32771,5,SA2_NULL,S2_WIZFXI1_3,0,0},	// S2_WIZFXI1_2
{SPR2_FX11,32772,5,SA2_NULL,S2_WIZFXI1_4,0,0},	// S2_WIZFXI1_3
{SPR2_FX11,32773,5,SA2_NULL,S2_WIZFXI1_5,0,0},	// S2_WIZFXI1_4
{SPR2_FX11,32774,5,SA2_NULL,S2_NULL,0,0},	// S2_WIZFXI1_5
{SPR2_IMPX,0,10,SA2_Look,S2_IMP_LOOK2,0,0,"monsters/gargoyle.md2",0},	// S2_IMP_LOOK1
{SPR2_IMPX,1,10,SA2_Look,S2_IMP_LOOK3,0,0,"monsters/gargoyle.md2",1},	// S2_IMP_LOOK2
{SPR2_IMPX,2,10,SA2_Look,S2_IMP_LOOK4,0,0,"monsters/gargoyle.md2",2},	// S2_IMP_LOOK3
{SPR2_IMPX,1,10,SA2_Look,S2_IMP_LOOK1,0,0,"monsters/gargoyle.md2",3},	// S2_IMP_LOOK4
{SPR2_IMPX,0,3,SA2_Chase,S2_IMP_FLY2,0,0,"monsters/gargoyle.md2",4},	// S2_IMP_FLY1
{SPR2_IMPX,0,3,SA2_Chase,S2_IMP_FLY3,0,0,"monsters/gargoyle.md2",5},	// S2_IMP_FLY2
{SPR2_IMPX,1,3,SA2_Chase,S2_IMP_FLY4,0,0,"monsters/gargoyle.md2",6},	// S2_IMP_FLY3
{SPR2_IMPX,1,3,SA2_Chase,S2_IMP_FLY5,0,0,"monsters/gargoyle.md2",7},	// S2_IMP_FLY4
{SPR2_IMPX,2,3,SA2_Chase,S2_IMP_FLY6,0,0,"monsters/gargoyle.md2",8},	// S2_IMP_FLY5
{SPR2_IMPX,2,3,SA2_Chase,S2_IMP_FLY7,0,0,"monsters/gargoyle.md2",9},	// S2_IMP_FLY6
{SPR2_IMPX,1,3,SA2_Chase,S2_IMP_FLY8,0,0,"monsters/gargoyle.md2",10},	// S2_IMP_FLY7
{SPR2_IMPX,1,3,SA2_Chase,S2_IMP_FLY1,0,0,"monsters/gargoyle.md2",11},	// S2_IMP_FLY8
{SPR2_IMPX,3,6,SA2_FaceTarget,S2_IMP_MEATK2,0,0,"monsters/gargoyle.md2",12},	// S2_IMP_MEATK1
{SPR2_IMPX,4,6,SA2_FaceTarget,S2_IMP_MEATK3,0,0,"monsters/gargoyle.md2",13},	// S2_IMP_MEATK2
{SPR2_IMPX,5,6,SA2_ImpMeAttack,S2_IMP_FLY1,0,0,"monsters/gargoyle.md2",14},	// S2_IMP_MEATK3
{SPR2_IMPX,0,10,SA2_FaceTarget,S2_IMP_MSATK1_2,0,0,"monsters/gargoyle.md2",4},	// S2_IMP_MSATK1_1
{SPR2_IMPX,1,6,SA2_ImpMsAttack,S2_IMP_MSATK1_3,0,0,"monsters/gargoyle.md2",6},	// S2_IMP_MSATK1_2
{SPR2_IMPX,2,6,SA2_NULL,S2_IMP_MSATK1_4,0,0,"monsters/gargoyle.md2",8},	// S2_IMP_MSATK1_3
{SPR2_IMPX,1,6,SA2_NULL,S2_IMP_MSATK1_5,0,0,"monsters/gargoyle.md2",10},	// S2_IMP_MSATK1_4
{SPR2_IMPX,0,6,SA2_NULL,S2_IMP_MSATK1_6,0,0,"monsters/gargoyle.md2",4},	// S2_IMP_MSATK1_5
{SPR2_IMPX,1,6,SA2_NULL,S2_IMP_MSATK1_3,0,0,"monsters/gargoyle.md2",6},	// S2_IMP_MSATK1_6
{SPR2_IMPX,3,6,SA2_FaceTarget,S2_IMP_MSATK2_2,0,0,"monsters/gargoyle.md2",15},	// S2_IMP_MSATK2_1
{SPR2_IMPX,4,6,SA2_FaceTarget,S2_IMP_MSATK2_3,0,0,"monsters/gargoyle.md2",16},	// S2_IMP_MSATK2_2
{SPR2_IMPX,5,6,SA2_ImpMsAttack2,S2_IMP_FLY1,0,0,"monsters/gargoyle.md2",17},	// S2_IMP_MSATK2_3
{SPR2_IMPX,6,3,SA2_NULL,S2_IMP_PAIN2,0,0,"monsters/gargoyle.md2",18},	// S2_IMP_PAIN1
{SPR2_IMPX,6,3,SA2_Pain,S2_IMP_FLY1,0,0,"monsters/gargoyle.md2",19},	// S2_IMP_PAIN2
{SPR2_IMPX,6,4,SA2_ImpDeath,S2_IMP_DIE2,0,0},	// S2_IMP_DIE1
{SPR2_IMPX,7,5,SA2_NULL,S2_IMP_DIE2,0,0},	// S2_IMP_DIE2
{SPR2_IMPX,18,5,SA2_ImpXDeath1,S2_IMP_XDIE2,0,0},	// S2_IMP_XDIE1
{SPR2_IMPX,19,5,SA2_NULL,S2_IMP_XDIE3,0,0},	// S2_IMP_XDIE2
{SPR2_IMPX,20,5,SA2_NULL,S2_IMP_XDIE4,0,0},	// S2_IMP_XDIE3
{SPR2_IMPX,21,5,SA2_ImpXDeath2,S2_IMP_XDIE5,0,0},	// S2_IMP_XDIE4
{SPR2_IMPX,22,5,SA2_NULL,S2_IMP_XDIE5,0,0},	// S2_IMP_XDIE5
{SPR2_IMPX,8,7,SA2_ImpExplode,S2_IMP_CRASH2,0,0},	// S2_IMP_CRASH1
{SPR2_IMPX,9,7,SA2_Scream,S2_IMP_CRASH3,0,0},	// S2_IMP_CRASH2
{SPR2_IMPX,10,7,SA2_NULL,S2_IMP_CRASH4,0,0},	// S2_IMP_CRASH3
{SPR2_IMPX,11,-1,SA2_NULL,S2_NULL,0,0},	// S2_IMP_CRASH4
{SPR2_IMPX,23,7,SA2_NULL,S2_IMP_XCRASH2,0,0},	// S2_IMP_XCRASH1
{SPR2_IMPX,24,7,SA2_NULL,S2_IMP_XCRASH3,0,0},	// S2_IMP_XCRASH2
{SPR2_IMPX,25,-1,SA2_NULL,S2_NULL,0,0},	// S2_IMP_XCRASH3
{SPR2_IMPX,12,5,SA2_NULL,S2_IMP_CHUNKA2,0,0},	// S2_IMP_CHUNKA1
{SPR2_IMPX,13,700,SA2_NULL,S2_IMP_CHUNKA3,0,0},	// S2_IMP_CHUNKA2
{SPR2_IMPX,14,700,SA2_NULL,S2_NULL,0,0},	// S2_IMP_CHUNKA3
{SPR2_IMPX,15,5,SA2_NULL,S2_IMP_CHUNKB2,0,0},	// S2_IMP_CHUNKB1
{SPR2_IMPX,16,700,SA2_NULL,S2_IMP_CHUNKB3,0,0},	// S2_IMP_CHUNKB2
{SPR2_IMPX,17,700,SA2_NULL,S2_NULL,0,0},	// S2_IMP_CHUNKB3
{SPR2_FX10,32768,6,SA2_NULL,S2_IMPFX2,0,0},	// S2_IMPFX1
{SPR2_FX10,32769,6,SA2_NULL,S2_IMPFX3,0,0},	// S2_IMPFX2
{SPR2_FX10,32770,6,SA2_NULL,S2_IMPFX1,0,0},	// S2_IMPFX3
{SPR2_FX10,32771,5,SA2_NULL,S2_IMPFXI2,0,0},	// S2_IMPFXI1
{SPR2_FX10,32772,5,SA2_NULL,S2_IMPFXI3,0,0},	// S2_IMPFXI2
{SPR2_FX10,32773,5,SA2_NULL,S2_IMPFXI4,0,0},	// S2_IMPFXI3
{SPR2_FX10,32774,5,SA2_NULL,S2_NULL,0,0},	// S2_IMPFXI4
{SPR2_KNIG,0,10,SA2_Look,S2_KNIGHT_STND2,0,0},	// S2_KNIGHT_STND1
{SPR2_KNIG,1,10,SA2_Look,S2_KNIGHT_STND1,0,0},	// S2_KNIGHT_STND2
{SPR2_KNIG,0,4,SA2_Chase,S2_KNIGHT_WALK2,0,0},	// S2_KNIGHT_WALK1
{SPR2_KNIG,1,4,SA2_Chase,S2_KNIGHT_WALK3,0,0},	// S2_KNIGHT_WALK2
{SPR2_KNIG,2,4,SA2_Chase,S2_KNIGHT_WALK4,0,0},	// S2_KNIGHT_WALK3
{SPR2_KNIG,3,4,SA2_Chase,S2_KNIGHT_WALK1,0,0},	// S2_KNIGHT_WALK4
{SPR2_KNIG,4,10,SA2_FaceTarget,S2_KNIGHT_ATK2,0,0},	// S2_KNIGHT_ATK1
{SPR2_KNIG,5,8,SA2_FaceTarget,S2_KNIGHT_ATK3,0,0},	// S2_KNIGHT_ATK2
{SPR2_KNIG,6,8,SA2_KnightAttack,S2_KNIGHT_ATK4,0,0},	// S2_KNIGHT_ATK3
{SPR2_KNIG,4,10,SA2_FaceTarget,S2_KNIGHT_ATK5,0,0},	// S2_KNIGHT_ATK4
{SPR2_KNIG,5,8,SA2_FaceTarget,S2_KNIGHT_ATK6,0,0},	// S2_KNIGHT_ATK5
{SPR2_KNIG,6,8,SA2_KnightAttack,S2_KNIGHT_WALK1,0,0},	// S2_KNIGHT_ATK6
{SPR2_KNIG,7,3,SA2_NULL,S2_KNIGHT_PAIN2,0,0},	// S2_KNIGHT_PAIN1
{SPR2_KNIG,7,3,SA2_Pain,S2_KNIGHT_WALK1,0,0},	// S2_KNIGHT_PAIN2
{SPR2_KNIG,8,6,SA2_NULL,S2_KNIGHT_DIE2,0,0},	// S2_KNIGHT_DIE1
{SPR2_KNIG,9,6,SA2_Scream,S2_KNIGHT_DIE3,0,0},	// S2_KNIGHT_DIE2
{SPR2_KNIG,10,6,SA2_NULL,S2_KNIGHT_DIE4,0,0},	// S2_KNIGHT_DIE3
{SPR2_KNIG,11,6,SA2_NoBlocking,S2_KNIGHT_DIE5,0,0},	// S2_KNIGHT_DIE4
{SPR2_KNIG,12,6,SA2_NULL,S2_KNIGHT_DIE6,0,0},	// S2_KNIGHT_DIE5
{SPR2_KNIG,13,6,SA2_NULL,S2_KNIGHT_DIE7,0,0},	// S2_KNIGHT_DIE6
{SPR2_KNIG,14,-1,SA2_NULL,S2_NULL,0,0},	// S2_KNIGHT_DIE7
{SPR2_SPAX,32768,3,SA2_ContMobjSound,S2_SPINAXE2,0,0},	// S2_SPINAXE1
{SPR2_SPAX,32769,3,SA2_NULL,S2_SPINAXE3,0,0},	// S2_SPINAXE2
{SPR2_SPAX,32770,3,SA2_NULL,S2_SPINAXE1,0,0},	// S2_SPINAXE3
{SPR2_SPAX,32771,6,SA2_NULL,S2_SPINAXEX2,0,0},	// S2_SPINAXEX1
{SPR2_SPAX,32772,6,SA2_NULL,S2_SPINAXEX3,0,0},	// S2_SPINAXEX2
{SPR2_SPAX,32773,6,SA2_NULL,S2_NULL,0,0},	// S2_SPINAXEX3
{SPR2_RAXE,32768,5,SA2_DripBlood,S2_REDAXE2,0,0},	// S2_REDAXE1
{SPR2_RAXE,32769,5,SA2_DripBlood,S2_REDAXE1,0,0},	// S2_REDAXE2
{SPR2_RAXE,32770,6,SA2_NULL,S2_REDAXEX2,0,0},	// S2_REDAXEX1
{SPR2_RAXE,32771,6,SA2_NULL,S2_REDAXEX3,0,0},	// S2_REDAXEX2
{SPR2_RAXE,32772,6,SA2_NULL,S2_NULL,0,0},	// S2_REDAXEX3
{SPR2_SRCR,0,10,SA2_Look,S2_SRCR1_LOOK2,0,0},	// S2_SRCR1_LOOK1
{SPR2_SRCR,1,10,SA2_Look,S2_SRCR1_LOOK1,0,0},	// S2_SRCR1_LOOK2
{SPR2_SRCR,0,5,SA2_Sor1Chase,S2_SRCR1_WALK2,0,0},	// S2_SRCR1_WALK1
{SPR2_SRCR,1,5,SA2_Sor1Chase,S2_SRCR1_WALK3,0,0},	// S2_SRCR1_WALK2
{SPR2_SRCR,2,5,SA2_Sor1Chase,S2_SRCR1_WALK4,0,0},	// S2_SRCR1_WALK3
{SPR2_SRCR,3,5,SA2_Sor1Chase,S2_SRCR1_WALK1,0,0},	// S2_SRCR1_WALK4
{SPR2_SRCR,16,6,SA2_Sor1Pain,S2_SRCR1_WALK1,0,0},	// S2_SRCR1_PAIN1
{SPR2_SRCR,16,7,SA2_FaceTarget,S2_SRCR1_ATK2,0,0},	// S2_SRCR1_ATK1
{SPR2_SRCR,17,6,SA2_FaceTarget,S2_SRCR1_ATK3,0,0},	// S2_SRCR1_ATK2
{SPR2_SRCR,18,10,SA2_Srcr1Attack,S2_SRCR1_WALK1,0,0},	// S2_SRCR1_ATK3
{SPR2_SRCR,18,10,SA2_FaceTarget,S2_SRCR1_ATK5,0,0},	// S2_SRCR1_ATK4
{SPR2_SRCR,16,7,SA2_FaceTarget,S2_SRCR1_ATK6,0,0},	// S2_SRCR1_ATK5
{SPR2_SRCR,17,6,SA2_FaceTarget,S2_SRCR1_ATK7,0,0},	// S2_SRCR1_ATK6
{SPR2_SRCR,18,10,SA2_Srcr1Attack,S2_SRCR1_WALK1,0,0},	// S2_SRCR1_ATK7
{SPR2_SRCR,4,7,SA2_NULL,S2_SRCR1_DIE2,0,0},	// S2_SRCR1_DIE1
{SPR2_SRCR,5,7,SA2_Scream,S2_SRCR1_DIE3,0,0},	// S2_SRCR1_DIE2
{SPR2_SRCR,6,7,SA2_NULL,S2_SRCR1_DIE4,0,0},	// S2_SRCR1_DIE3
{SPR2_SRCR,7,6,SA2_NULL,S2_SRCR1_DIE5,0,0},	// S2_SRCR1_DIE4
{SPR2_SRCR,8,6,SA2_NULL,S2_SRCR1_DIE6,0,0},	// S2_SRCR1_DIE5
{SPR2_SRCR,9,6,SA2_NULL,S2_SRCR1_DIE7,0,0},	// S2_SRCR1_DIE6
{SPR2_SRCR,10,6,SA2_NULL,S2_SRCR1_DIE8,0,0},	// S2_SRCR1_DIE7
{SPR2_SRCR,11,25,SA2_SorZap,S2_SRCR1_DIE9,0,0},	// S2_SRCR1_DIE8
{SPR2_SRCR,12,5,SA2_NULL,S2_SRCR1_DIE10,0,0},	// S2_SRCR1_DIE9
{SPR2_SRCR,13,5,SA2_NULL,S2_SRCR1_DIE11,0,0},	// S2_SRCR1_DIE10
{SPR2_SRCR,14,4,SA2_NULL,S2_SRCR1_DIE12,0,0},	// S2_SRCR1_DIE11
{SPR2_SRCR,11,20,SA2_SorZap,S2_SRCR1_DIE13,0,0},	// S2_SRCR1_DIE12
{SPR2_SRCR,12,5,SA2_NULL,S2_SRCR1_DIE14,0,0},	// S2_SRCR1_DIE13
{SPR2_SRCR,13,5,SA2_NULL,S2_SRCR1_DIE15,0,0},	// S2_SRCR1_DIE14
{SPR2_SRCR,14,4,SA2_NULL,S2_SRCR1_DIE16,0,0},	// S2_SRCR1_DIE15
{SPR2_SRCR,11,12,SA2_NULL,S2_SRCR1_DIE17,0,0},	// S2_SRCR1_DIE16
{SPR2_SRCR,15,-1,SA2_SorcererRise,S2_NULL,0,0},	// S2_SRCR1_DIE17
{SPR2_FX14,32768,6,SA2_NULL,S2_SRCRFX1_2,0,0},	// S2_SRCRFX1_1
{SPR2_FX14,32769,6,SA2_NULL,S2_SRCRFX1_3,0,0},	// S2_SRCRFX1_2
{SPR2_FX14,32770,6,SA2_NULL,S2_SRCRFX1_1,0,0},	// S2_SRCRFX1_3
{SPR2_FX14,32771,5,SA2_NULL,S2_SRCRFXI1_2,0,0},	// S2_SRCRFXI1_1
{SPR2_FX14,32772,5,SA2_NULL,S2_SRCRFXI1_3,0,0},	// S2_SRCRFXI1_2
{SPR2_FX14,32773,5,SA2_NULL,S2_SRCRFXI1_4,0,0},	// S2_SRCRFXI1_3
{SPR2_FX14,32774,5,SA2_NULL,S2_SRCRFXI1_5,0,0},	// S2_SRCRFXI1_4
{SPR2_FX14,32775,5,SA2_NULL,S2_NULL,0,0},	// S2_SRCRFXI1_5
{SPR2_SOR2,0,4,SA2_NULL,S2_SOR2_RISE2,0,0},	// S2_SOR2_RISE1
{SPR2_SOR2,1,4,SA2_NULL,S2_SOR2_RISE3,0,0},	// S2_SOR2_RISE2
{SPR2_SOR2,2,4,SA2_SorRise,S2_SOR2_RISE4,0,0},	// S2_SOR2_RISE3
{SPR2_SOR2,3,4,SA2_NULL,S2_SOR2_RISE5,0,0},	// S2_SOR2_RISE4
{SPR2_SOR2,4,4,SA2_NULL,S2_SOR2_RISE6,0,0},	// S2_SOR2_RISE5
{SPR2_SOR2,5,4,SA2_NULL,S2_SOR2_RISE7,0,0},	// S2_SOR2_RISE6
{SPR2_SOR2,6,12,SA2_SorSightSnd,S2_SOR2_WALK1,0,0},	// S2_SOR2_RISE7
{SPR2_SOR2,12,10,SA2_Look,S2_SOR2_LOOK2,0,0},	// S2_SOR2_LOOK1
{SPR2_SOR2,13,10,SA2_Look,S2_SOR2_LOOK1,0,0},	// S2_SOR2_LOOK2
{SPR2_SOR2,12,4,SA2_Chase,S2_SOR2_WALK2,0,0},	// S2_SOR2_WALK1
{SPR2_SOR2,13,4,SA2_Chase,S2_SOR2_WALK3,0,0},	// S2_SOR2_WALK2
{SPR2_SOR2,14,4,SA2_Chase,S2_SOR2_WALK4,0,0},	// S2_SOR2_WALK3
{SPR2_SOR2,15,4,SA2_Chase,S2_SOR2_WALK1,0,0},	// S2_SOR2_WALK4
{SPR2_SOR2,16,3,SA2_NULL,S2_SOR2_PAIN2,0,0},	// S2_SOR2_PAIN1
{SPR2_SOR2,16,6,SA2_Pain,S2_SOR2_WALK1,0,0},	// S2_SOR2_PAIN2
{SPR2_SOR2,17,9,SA2_Srcr2Decide,S2_SOR2_ATK2,0,0},	// S2_SOR2_ATK1
{SPR2_SOR2,18,9,SA2_FaceTarget,S2_SOR2_ATK3,0,0},	// S2_SOR2_ATK2
{SPR2_SOR2,19,20,SA2_Srcr2Attack,S2_SOR2_WALK1,0,0},	// S2_SOR2_ATK3
{SPR2_SOR2,11,6,SA2_NULL,S2_SOR2_TELE2,0,0},	// S2_SOR2_TELE1
{SPR2_SOR2,10,6,SA2_NULL,S2_SOR2_TELE3,0,0},	// S2_SOR2_TELE2
{SPR2_SOR2,9,6,SA2_NULL,S2_SOR2_TELE4,0,0},	// S2_SOR2_TELE3
{SPR2_SOR2,8,6,SA2_NULL,S2_SOR2_TELE5,0,0},	// S2_SOR2_TELE4
{SPR2_SOR2,7,6,SA2_NULL,S2_SOR2_TELE6,0,0},	// S2_SOR2_TELE5
{SPR2_SOR2,6,6,SA2_NULL,S2_SOR2_WALK1,0,0},	// S2_SOR2_TELE6
{SPR2_SDTH,0,8,SA2_Sor2DthInit,S2_SOR2_DIE2,0,0},	// S2_SOR2_DIE1
{SPR2_SDTH,1,8,SA2_NULL,S2_SOR2_DIE3,0,0},	// S2_SOR2_DIE2
{SPR2_SDTH,2,8,SA2_SorDSph,S2_SOR2_DIE4,0,0},	// S2_SOR2_DIE3
{SPR2_SDTH,3,7,SA2_NULL,S2_SOR2_DIE5,0,0},	// S2_SOR2_DIE4
{SPR2_SDTH,4,7,SA2_NULL,S2_SOR2_DIE6,0,0},	// S2_SOR2_DIE5
{SPR2_SDTH,5,7,SA2_Sor2DthLoop,S2_SOR2_DIE7,0,0},	// S2_SOR2_DIE6
{SPR2_SDTH,6,6,SA2_SorDExp,S2_SOR2_DIE8,0,0},	// S2_SOR2_DIE7
{SPR2_SDTH,7,6,SA2_NULL,S2_SOR2_DIE9,0,0},	// S2_SOR2_DIE8
{SPR2_SDTH,8,18,SA2_NULL,S2_SOR2_DIE10,0,0},	// S2_SOR2_DIE9
{SPR2_SDTH,9,6,SA2_NoBlocking,S2_SOR2_DIE11,0,0},	// S2_SOR2_DIE10
{SPR2_SDTH,10,6,SA2_SorDBon,S2_SOR2_DIE12,0,0},	// S2_SOR2_DIE11
{SPR2_SDTH,11,6,SA2_NULL,S2_SOR2_DIE13,0,0},	// S2_SOR2_DIE12
{SPR2_SDTH,12,6,SA2_NULL,S2_SOR2_DIE14,0,0},	// S2_SOR2_DIE13
{SPR2_SDTH,13,6,SA2_NULL,S2_SOR2_DIE15,0,0},	// S2_SOR2_DIE14
{SPR2_SDTH,14,-1,SA2_BossDeath,S2_NULL,0,0},	// S2_SOR2_DIE15
{SPR2_FX16,32768,3,SA2_BlueSpark,S2_SOR2FX1_2,0,0},	// S2_SOR2FX1_1
{SPR2_FX16,32769,3,SA2_BlueSpark,S2_SOR2FX1_3,0,0},	// S2_SOR2FX1_2
{SPR2_FX16,32770,3,SA2_BlueSpark,S2_SOR2FX1_1,0,0},	// S2_SOR2FX1_3
{SPR2_FX16,32774,5,SA2_Explode,S2_SOR2FXI1_2,0,0},	// S2_SOR2FXI1_1
{SPR2_FX16,32775,5,SA2_NULL,S2_SOR2FXI1_3,0,0},	// S2_SOR2FXI1_2
{SPR2_FX16,32776,5,SA2_NULL,S2_SOR2FXI1_4,0,0},	// S2_SOR2FXI1_3
{SPR2_FX16,32777,5,SA2_NULL,S2_SOR2FXI1_5,0,0},	// S2_SOR2FXI1_4
{SPR2_FX16,32778,5,SA2_NULL,S2_SOR2FXI1_6,0,0},	// S2_SOR2FXI1_5
{SPR2_FX16,32779,5,SA2_NULL,S2_NULL,0,0},	// S2_SOR2FXI1_6
{SPR2_FX16,32771,12,SA2_NULL,S2_SOR2FXSPARK2,0,0},	// S2_SOR2FXSPARK1
{SPR2_FX16,32772,12,SA2_NULL,S2_SOR2FXSPARK3,0,0},	// S2_SOR2FXSPARK2
{SPR2_FX16,32773,12,SA2_NULL,S2_NULL,0,0},	// S2_SOR2FXSPARK3
{SPR2_FX11,32768,35,SA2_NULL,S2_SOR2FX2_2,0,0},	// S2_SOR2FX2_1
{SPR2_FX11,32768,5,SA2_GenWizard,S2_SOR2FX2_3,0,0},	// S2_SOR2FX2_2
{SPR2_FX11,32769,5,SA2_NULL,S2_SOR2FX2_2,0,0},	// S2_SOR2FX2_3
{SPR2_FX11,32770,5,SA2_NULL,S2_SOR2FXI2_2,0,0},	// S2_SOR2FXI2_1
{SPR2_FX11,32771,5,SA2_NULL,S2_SOR2FXI2_3,0,0},	// S2_SOR2FXI2_2
{SPR2_FX11,32772,5,SA2_NULL,S2_SOR2FXI2_4,0,0},	// S2_SOR2FXI2_3
{SPR2_FX11,32773,5,SA2_NULL,S2_SOR2FXI2_5,0,0},	// S2_SOR2FXI2_4
{SPR2_FX11,32774,5,SA2_NULL,S2_NULL,0,0},	// S2_SOR2FXI2_5
{SPR2_SOR2,6,8,SA2_NULL,S2_SOR2TELEFADE2,0,0},	// S2_SOR2TELEFADE1
{SPR2_SOR2,7,6,SA2_NULL,S2_SOR2TELEFADE3,0,0},	// S2_SOR2TELEFADE2
{SPR2_SOR2,8,6,SA2_NULL,S2_SOR2TELEFADE4,0,0},	// S2_SOR2TELEFADE3
{SPR2_SOR2,9,6,SA2_NULL,S2_SOR2TELEFADE5,0,0},	// S2_SOR2TELEFADE4
{SPR2_SOR2,10,6,SA2_NULL,S2_SOR2TELEFADE6,0,0},	// S2_SOR2TELEFADE5
{SPR2_SOR2,11,6,SA2_NULL,S2_NULL,0,0},	// S2_SOR2TELEFADE6
{SPR2_MNTR,0,10,SA2_Look,S2_MNTR_LOOK2,0,0},	// S2_MNTR_LOOK1
{SPR2_MNTR,1,10,SA2_Look,S2_MNTR_LOOK1,0,0},	// S2_MNTR_LOOK2
{SPR2_MNTR,0,5,SA2_Chase,S2_MNTR_WALK2,0,0},	// S2_MNTR_WALK1
{SPR2_MNTR,1,5,SA2_Chase,S2_MNTR_WALK3,0,0},	// S2_MNTR_WALK2
{SPR2_MNTR,2,5,SA2_Chase,S2_MNTR_WALK4,0,0},	// S2_MNTR_WALK3
{SPR2_MNTR,3,5,SA2_Chase,S2_MNTR_WALK1,0,0},	// S2_MNTR_WALK4
{SPR2_MNTR,21,10,SA2_FaceTarget,S2_MNTR_ATK1_2,0,0},	// S2_MNTR_ATK1_1
{SPR2_MNTR,22,7,SA2_FaceTarget,S2_MNTR_ATK1_3,0,0},	// S2_MNTR_ATK1_2
{SPR2_MNTR,23,12,SA2_MinotaurAtk1,S2_MNTR_WALK1,0,0},	// S2_MNTR_ATK1_3
{SPR2_MNTR,21,10,SA2_MinotaurDecide,S2_MNTR_ATK2_2,0,0},	// S2_MNTR_ATK2_1
{SPR2_MNTR,24,4,SA2_FaceTarget,S2_MNTR_ATK2_3,0,0},	// S2_MNTR_ATK2_2
{SPR2_MNTR,25,9,SA2_MinotaurAtk2,S2_MNTR_WALK1,0,0},	// S2_MNTR_ATK2_3
{SPR2_MNTR,21,10,SA2_FaceTarget,S2_MNTR_ATK3_2,0,0},	// S2_MNTR_ATK3_1
{SPR2_MNTR,22,7,SA2_FaceTarget,S2_MNTR_ATK3_3,0,0},	// S2_MNTR_ATK3_2
{SPR2_MNTR,23,12,SA2_MinotaurAtk3,S2_MNTR_WALK1,0,0},	// S2_MNTR_ATK3_3
{SPR2_MNTR,23,12,SA2_NULL,S2_MNTR_ATK3_1,0,0},	// S2_MNTR_ATK3_4
{SPR2_MNTR,20,2,SA2_MinotaurCharge,S2_MNTR_ATK4_1,0,0},	// S2_MNTR_ATK4_1
{SPR2_MNTR,4,3,SA2_NULL,S2_MNTR_PAIN2,0,0},	// S2_MNTR_PAIN1
{SPR2_MNTR,4,6,SA2_Pain,S2_MNTR_WALK1,0,0},	// S2_MNTR_PAIN2
{SPR2_MNTR,5,6,SA2_NULL,S2_MNTR_DIE2,0,0},	// S2_MNTR_DIE1
{SPR2_MNTR,6,5,SA2_NULL,S2_MNTR_DIE3,0,0},	// S2_MNTR_DIE2
{SPR2_MNTR,7,6,SA2_Scream,S2_MNTR_DIE4,0,0},	// S2_MNTR_DIE3
{SPR2_MNTR,8,5,SA2_NULL,S2_MNTR_DIE5,0,0},	// S2_MNTR_DIE4
{SPR2_MNTR,9,6,SA2_NULL,S2_MNTR_DIE6,0,0},	// S2_MNTR_DIE5
{SPR2_MNTR,10,5,SA2_NULL,S2_MNTR_DIE7,0,0},	// S2_MNTR_DIE6
{SPR2_MNTR,11,6,SA2_NULL,S2_MNTR_DIE8,0,0},	// S2_MNTR_DIE7
{SPR2_MNTR,12,5,SA2_NoBlocking,S2_MNTR_DIE9,0,0},	// S2_MNTR_DIE8
{SPR2_MNTR,13,6,SA2_NULL,S2_MNTR_DIE10,0,0},	// S2_MNTR_DIE9
{SPR2_MNTR,14,5,SA2_NULL,S2_MNTR_DIE11,0,0},	// S2_MNTR_DIE10
{SPR2_MNTR,15,6,SA2_NULL,S2_MNTR_DIE12,0,0},	// S2_MNTR_DIE11
{SPR2_MNTR,16,5,SA2_NULL,S2_MNTR_DIE13,0,0},	// S2_MNTR_DIE12
{SPR2_MNTR,17,6,SA2_NULL,S2_MNTR_DIE14,0,0},	// S2_MNTR_DIE13
{SPR2_MNTR,18,5,SA2_NULL,S2_MNTR_DIE15,0,0},	// S2_MNTR_DIE14
{SPR2_MNTR,19,-1,SA2_BossDeath,S2_NULL,0,0},	// S2_MNTR_DIE15
{SPR2_FX12,32768,6,SA2_NULL,S2_MNTRFX1_2,0,0},	// S2_MNTRFX1_1
{SPR2_FX12,32769,6,SA2_NULL,S2_MNTRFX1_1,0,0},	// S2_MNTRFX1_2
{SPR2_FX12,32770,5,SA2_NULL,S2_MNTRFXI1_2,0,0},	// S2_MNTRFXI1_1
{SPR2_FX12,32771,5,SA2_NULL,S2_MNTRFXI1_3,0,0},	// S2_MNTRFXI1_2
{SPR2_FX12,32772,5,SA2_NULL,S2_MNTRFXI1_4,0,0},	// S2_MNTRFXI1_3
{SPR2_FX12,32773,5,SA2_NULL,S2_MNTRFXI1_5,0,0},	// S2_MNTRFXI1_4
{SPR2_FX12,32774,5,SA2_NULL,S2_MNTRFXI1_6,0,0},	// S2_MNTRFXI1_5
{SPR2_FX12,32775,5,SA2_NULL,S2_NULL,0,0},	// S2_MNTRFXI1_6
{SPR2_FX13,0,2,SA2_MntrFloorFire,S2_MNTRFX2_1,0,0},	// S2_MNTRFX2_1
{SPR2_FX13,32776,4,SA2_Explode,S2_MNTRFXI2_2,0,0},	// S2_MNTRFXI2_1
{SPR2_FX13,32777,4,SA2_NULL,S2_MNTRFXI2_3,0,0},	// S2_MNTRFXI2_2
{SPR2_FX13,32778,4,SA2_NULL,S2_MNTRFXI2_4,0,0},	// S2_MNTRFXI2_3
{SPR2_FX13,32779,4,SA2_NULL,S2_MNTRFXI2_5,0,0},	// S2_MNTRFXI2_4
{SPR2_FX13,32780,4,SA2_NULL,S2_NULL,0,0},	// S2_MNTRFXI2_5
{SPR2_FX13,32771,4,SA2_NULL,S2_MNTRFX3_2,0,0},	// S2_MNTRFX3_1
{SPR2_FX13,32770,4,SA2_NULL,S2_MNTRFX3_3,0,0},	// S2_MNTRFX3_2
{SPR2_FX13,32769,5,SA2_NULL,S2_MNTRFX3_4,0,0},	// S2_MNTRFX3_3
{SPR2_FX13,32770,5,SA2_NULL,S2_MNTRFX3_5,0,0},	// S2_MNTRFX3_4
{SPR2_FX13,32771,5,SA2_NULL,S2_MNTRFX3_6,0,0},	// S2_MNTRFX3_5
{SPR2_FX13,32772,5,SA2_NULL,S2_MNTRFX3_7,0,0},	// S2_MNTRFX3_6
{SPR2_FX13,32773,4,SA2_NULL,S2_MNTRFX3_8,0,0},	// S2_MNTRFX3_7
{SPR2_FX13,32774,4,SA2_NULL,S2_MNTRFX3_9,0,0},	// S2_MNTRFX3_8
{SPR2_FX13,32775,4,SA2_NULL,S2_NULL,0,0},	// S2_MNTRFX3_9
{SPR2_AKYY,32768,3,SA2_NULL,S2_AKYY2,0,0},	// S2_AKYY1
{SPR2_AKYY,32769,3,SA2_NULL,S2_AKYY3,0,0},	// S2_AKYY2
{SPR2_AKYY,32770,3,SA2_NULL,S2_AKYY4,0,0},	// S2_AKYY3
{SPR2_AKYY,32771,3,SA2_NULL,S2_AKYY5,0,0},	// S2_AKYY4
{SPR2_AKYY,32772,3,SA2_NULL,S2_AKYY6,0,0},	// S2_AKYY5
{SPR2_AKYY,32773,3,SA2_NULL,S2_AKYY7,0,0},	// S2_AKYY6
{SPR2_AKYY,32774,3,SA2_NULL,S2_AKYY8,0,0},	// S2_AKYY7
{SPR2_AKYY,32775,3,SA2_NULL,S2_AKYY9,0,0},	// S2_AKYY8
{SPR2_AKYY,32776,3,SA2_NULL,S2_AKYY10,0,0},	// S2_AKYY9
{SPR2_AKYY,32777,3,SA2_NULL,S2_AKYY1,0,0},	// S2_AKYY10
{SPR2_BKYY,32768,3,SA2_NULL,S2_BKYY2,0,0},	// S2_BKYY1
{SPR2_BKYY,32769,3,SA2_NULL,S2_BKYY3,0,0},	// S2_BKYY2
{SPR2_BKYY,32770,3,SA2_NULL,S2_BKYY4,0,0},	// S2_BKYY3
{SPR2_BKYY,32771,3,SA2_NULL,S2_BKYY5,0,0},	// S2_BKYY4
{SPR2_BKYY,32772,3,SA2_NULL,S2_BKYY6,0,0},	// S2_BKYY5
{SPR2_BKYY,32773,3,SA2_NULL,S2_BKYY7,0,0},	// S2_BKYY6
{SPR2_BKYY,32774,3,SA2_NULL,S2_BKYY8,0,0},	// S2_BKYY7
{SPR2_BKYY,32775,3,SA2_NULL,S2_BKYY9,0,0},	// S2_BKYY8
{SPR2_BKYY,32776,3,SA2_NULL,S2_BKYY10,0,0},	// S2_BKYY9
{SPR2_BKYY,32777,3,SA2_NULL,S2_BKYY1,0,0},	// S2_BKYY10
{SPR2_CKYY,32768,3,SA2_NULL,S2_CKYY2,0,0},	// S2_CKYY1
{SPR2_CKYY,32769,3,SA2_NULL,S2_CKYY3,0,0},	// S2_CKYY2
{SPR2_CKYY,32770,3,SA2_NULL,S2_CKYY4,0,0},	// S2_CKYY3
{SPR2_CKYY,32771,3,SA2_NULL,S2_CKYY5,0,0},	// S2_CKYY4
{SPR2_CKYY,32772,3,SA2_NULL,S2_CKYY6,0,0},	// S2_CKYY5
{SPR2_CKYY,32773,3,SA2_NULL,S2_CKYY7,0,0},	// S2_CKYY6
{SPR2_CKYY,32774,3,SA2_NULL,S2_CKYY8,0,0},	// S2_CKYY7
{SPR2_CKYY,32775,3,SA2_NULL,S2_CKYY9,0,0},	// S2_CKYY8
{SPR2_CKYY,32776,3,SA2_NULL,S2_CKYY1,0,0},	// S2_CKYY9
{SPR2_AMG1,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_AMG1
{SPR2_AMG2,0,4,SA2_NULL,S2_AMG2_2,0,0},	// S2_AMG2_1
{SPR2_AMG2,1,4,SA2_NULL,S2_AMG2_3,0,0},	// S2_AMG2_2
{SPR2_AMG2,2,4,SA2_NULL,S2_AMG2_1,0,0},	// S2_AMG2_3
{SPR2_AMM1,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_AMM1
{SPR2_AMM2,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_AMM2
{SPR2_AMC1,0,-1,SA2_NULL,S2_NULL,0,0},	// S2_AMC1
{SPR2_AMC2,0,5,SA2_NULL,S2_AMC2_2,0,0},	// S2_AMC2_1
{SPR2_AMC2,1,5,SA2_NULL,S2_AMC2_3,0,0},	// S2_AMC2_2
{SPR2_AMC2,2,5,SA2_NULL,S2_AMC2_1,0,0},	// S2_AMC2_3
{SPR2_AMS1,0,5,SA2_NULL,S2_AMS1_2,0,0},	// S2_AMS1_1
{SPR2_AMS1,1,5,SA2_NULL,S2_AMS1_1,0,0},	// S2_AMS1_2
{SPR2_AMS2,0,5,SA2_NULL,S2_AMS2_2,0,0},	// S2_AMS2_1
{SPR2_AMS2,1,5,SA2_NULL,S2_AMS2_1,0,0},	// S2_AMS2_2
{SPR2_AMP1,0,4,SA2_NULL,S2_AMP1_2,0,0},	// S2_AMP1_1
{SPR2_AMP1,1,4,SA2_NULL,S2_AMP1_3,0,0},	// S2_AMP1_2
{SPR2_AMP1,2,4,SA2_NULL,S2_AMP1_1,0,0},	// S2_AMP1_3
{SPR2_AMP2,0,4,SA2_NULL,S2_AMP2_2,0,0},	// S2_AMP2_1
{SPR2_AMP2,1,4,SA2_NULL,S2_AMP2_3,0,0},	// S2_AMP2_2
{SPR2_AMP2,2,4,SA2_NULL,S2_AMP2_1,0,0},	// S2_AMP2_3
{SPR2_AMB1,0,4,SA2_NULL,S2_AMB1_2,0,0},	// S2_AMB1_1
{SPR2_AMB1,1,4,SA2_NULL,S2_AMB1_3,0,0},	// S2_AMB1_2
{SPR2_AMB1,2,4,SA2_NULL,S2_AMB1_1,0,0},	// S2_AMB1_3
{SPR2_AMB2,0,4,SA2_NULL,S2_AMB2_2,0,0},	// S2_AMB2_1
{SPR2_AMB2,1,4,SA2_NULL,S2_AMB2_3,0,0},	// S2_AMB2_2
{SPR2_AMB2,2,4,SA2_NULL,S2_AMB2_1,0,0},	// S2_AMB2_3
{SPR2_AMG1,0,100,SA2_ESound,S2_SND_WIND,0,0},	// S2_SND_WIND
{SPR2_AMG1,0,85,SA2_ESound,S2_SND_WATERFALL,0,0}	// S2_SND_WATERFALL
};

//**************************************************************************
//
//	$Log: statinfo.cpp,v $
//	Revision 1.6  2001/10/27 07:53:44  dj_jl
//	Added new models
//	
//	Revision 1.5  2001/09/25 17:02:52  dj_jl
//	Renamed some models
//	
//	Revision 1.4  2001/09/20 16:32:18  dj_jl
//	Added some models
//	
//	Revision 1.3  2001/08/07 16:38:52  dj_jl
//	Added models
//
//	Revision 1.2  2001/07/27 14:27:55  dj_jl
//	Update with Id-s and Log-s, some fixes
//
//**************************************************************************
