//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	$Id: statinfo.cpp,v 1.6 2001/11/02 18:36:59 dj_jl Exp $
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**
//**************************************************************************

#include "../../makeinfo.h"
#include "info.h"

int		numstates = NUMHEXENSTATES;

state_t	states[NUMHEXENSTATES] = {
{SPR3_MAN1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_NULL
{SPR3_ACLO,4,1050,SA3_FreeTargMobj,S3_NULL,0,0},	// S3_FREETARGMOBJ
{SPR3_TLGL,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_MAPSPOT
{SPR3_FBL1,32768,4,SA3_NULL,S3_FIREBALL1_2,0,0},	// S3_FIREBALL1_1
{SPR3_FBL1,32769,4,SA3_NULL,S3_FIREBALL1_1,0,0},	// S3_FIREBALL1_2
{SPR3_XPL1,32768,4,SA3_NULL,S3_FIREBALL1_X2,0,0},	// S3_FIREBALL1_X1
{SPR3_XPL1,32769,4,SA3_NULL,S3_FIREBALL1_X3,0,0},	// S3_FIREBALL1_X2
{SPR3_XPL1,32770,4,SA3_NULL,S3_FIREBALL1_X4,0,0},	// S3_FIREBALL1_X3
{SPR3_XPL1,32771,4,SA3_NULL,S3_FIREBALL1_X5,0,0},	// S3_FIREBALL1_X4
{SPR3_XPL1,32772,4,SA3_NULL,S3_FIREBALL1_X6,0,0},	// S3_FIREBALL1_X5
{SPR3_XPL1,32773,4,SA3_NULL,S3_NULL,0,0},	// S3_FIREBALL1_X6
{SPR3_ARRW,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARROW_1
{SPR3_ARRW,0,1,SA3_NULL,S3_NULL,0,0},	// S3_ARROW_X1
{SPR3_DART,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DART_1
{SPR3_DART,0,1,SA3_NULL,S3_NULL,0,0},	// S3_DART_X1
{SPR3_DART,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_POISONDART_1
{SPR3_DART,0,1,SA3_NULL,S3_NULL,0,0},	// S3_POISONDART_X1
{SPR3_RIPP,0,3,SA3_NULL,S3_RIPPERBALL_2,0,0},	// S3_RIPPERBALL_1
{SPR3_RIPP,1,3,SA3_NULL,S3_RIPPERBALL_3,0,0},	// S3_RIPPERBALL_2
{SPR3_RIPP,2,3,SA3_NULL,S3_RIPPERBALL_1,0,0},	// S3_RIPPERBALL_3
{SPR3_CFCF,32784,4,SA3_NULL,S3_RIPPERBALL_X2,0,0},	// S3_RIPPERBALL_X1
{SPR3_CFCF,32785,3,SA3_NULL,S3_RIPPERBALL_X3,0,0},	// S3_RIPPERBALL_X2
{SPR3_CFCF,32786,4,SA3_NULL,S3_RIPPERBALL_X4,0,0},	// S3_RIPPERBALL_X3
{SPR3_CFCF,32787,3,SA3_NULL,S3_RIPPERBALL_X5,0,0},	// S3_RIPPERBALL_X4
{SPR3_CFCF,32788,4,SA3_NULL,S3_RIPPERBALL_X6,0,0},	// S3_RIPPERBALL_X5
{SPR3_CFCF,32789,3,SA3_NULL,S3_RIPPERBALL_X7,0,0},	// S3_RIPPERBALL_X6
{SPR3_CFCF,32790,4,SA3_NULL,S3_RIPPERBALL_X8,0,0},	// S3_RIPPERBALL_X7
{SPR3_CFCF,32791,3,SA3_NULL,S3_RIPPERBALL_X9,0,0},	// S3_RIPPERBALL_X8
{SPR3_CFCF,32792,4,SA3_NULL,S3_RIPPERBALL_X10,0,0},	// S3_RIPPERBALL_X9
{SPR3_CFCF,32793,3,SA3_NULL,S3_NULL,0,0},	// S3_RIPPERBALL_X10
{SPR3_BLAD,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_PRJ_BLADE1
{SPR3_BLAD,0,1,SA3_NULL,S3_NULL,0,0},	// S3_PRJ_BLADE_X1
{SPR3_SHRD,32768,3,SA3_NULL,S3_ICESHARD2,0,0},	// S3_ICESHARD1
{SPR3_SHRD,32769,3,SA3_NULL,S3_ICESHARD3,0,0},	// S3_ICESHARD2
{SPR3_SHRD,32770,3,SA3_NULL,S3_ICESHARD1,0,0},	// S3_ICESHARD3
{SPR3_FFSM,32768,3,SA3_NULL,S3_FLAME_TSMALL2,0,0},	// S3_FLAME_TSMALL1
{SPR3_FFSM,32769,3,SA3_NULL,S3_FLAME_TSMALL3,0,0},	// S3_FLAME_TSMALL2
{SPR3_FFSM,32770,2,SA3_FlameCheck,S3_FLAME_TSMALL4,0,0},	// S3_FLAME_TSMALL3
{SPR3_FFSM,32770,2,SA3_NULL,S3_FLAME_TSMALL5,0,0},	// S3_FLAME_TSMALL4
{SPR3_FFSM,32771,3,SA3_NULL,S3_FLAME_TSMALL6,0,0},	// S3_FLAME_TSMALL5
{SPR3_FFSM,32772,3,SA3_FlameCheck,S3_FLAME_TSMALL1,0,0},	// S3_FLAME_TSMALL6
{SPR3_FFLG,32768,4,SA3_NULL,S3_FLAME_TLARGE2,0,0},	// S3_FLAME_TLARGE1
{SPR3_FFLG,32769,4,SA3_FlameCheck,S3_FLAME_TLARGE3,0,0},	// S3_FLAME_TLARGE2
{SPR3_FFLG,32770,4,SA3_NULL,S3_FLAME_TLARGE4,0,0},	// S3_FLAME_TLARGE3
{SPR3_FFLG,32771,4,SA3_FlameCheck,S3_FLAME_TLARGE5,0,0},	// S3_FLAME_TLARGE4
{SPR3_FFLG,32772,4,SA3_NULL,S3_FLAME_TLARGE6,0,0},	// S3_FLAME_TLARGE5
{SPR3_FFLG,32773,4,SA3_FlameCheck,S3_FLAME_TLARGE7,0,0},	// S3_FLAME_TLARGE6
{SPR3_FFLG,32774,4,SA3_NULL,S3_FLAME_TLARGE8,0,0},	// S3_FLAME_TLARGE7
{SPR3_FFLG,32775,4,SA3_FlameCheck,S3_FLAME_TLARGE9,0,0},	// S3_FLAME_TLARGE8
{SPR3_FFLG,32776,4,SA3_NULL,S3_FLAME_TLARGE10,0,0},	// S3_FLAME_TLARGE9
{SPR3_FFLG,32777,4,SA3_FlameCheck,S3_FLAME_TLARGE11,0,0},	// S3_FLAME_TLARGE10
{SPR3_FFLG,32778,4,SA3_NULL,S3_FLAME_TLARGE12,0,0},	// S3_FLAME_TLARGE11
{SPR3_FFLG,32779,4,SA3_FlameCheck,S3_FLAME_TLARGE13,0,0},	// S3_FLAME_TLARGE12
{SPR3_FFLG,32780,4,SA3_NULL,S3_FLAME_TLARGE14,0,0},	// S3_FLAME_TLARGE13
{SPR3_FFLG,32781,4,SA3_FlameCheck,S3_FLAME_TLARGE15,0,0},	// S3_FLAME_TLARGE14
{SPR3_FFLG,32782,4,SA3_NULL,S3_FLAME_TLARGE16,0,0},	// S3_FLAME_TLARGE15
{SPR3_FFLG,32783,4,SA3_FlameCheck,S3_FLAME_TLARGE5,0,0},	// S3_FLAME_TLARGE16
{SPR3_FFSM,0,2,SA3_NULL,S3_FLAME_SDORM2,0,0},	// S3_FLAME_SDORM1
{SPR3_FFSM,1,2,SA3_HideThing,S3_FLAME_SDORM3,0,0},	// S3_FLAME_SDORM2
{SPR3_FFSM,2,200,SA3_NULL,S3_FLAME_SDORM3,0,0},	// S3_FLAME_SDORM3
{SPR3_FFSM,32768,3,SA3_NULL,S3_FLAME_SMALL2,0,0},	// S3_FLAME_SMALL1
{SPR3_FFSM,32768,3,SA3_UnHideThing,S3_FLAME_SMALL3,0,0},	// S3_FLAME_SMALL2
{SPR3_FFSM,32768,3,SA3_NULL,S3_FLAME_SMALL4,0,0},	// S3_FLAME_SMALL3
{SPR3_FFSM,32769,3,SA3_NULL,S3_FLAME_SMALL5,0,0},	// S3_FLAME_SMALL4
{SPR3_FFSM,32770,3,SA3_NULL,S3_FLAME_SMALL6,0,0},	// S3_FLAME_SMALL5
{SPR3_FFSM,32771,3,SA3_NULL,S3_FLAME_SMALL7,0,0},	// S3_FLAME_SMALL6
{SPR3_FFSM,32772,3,SA3_NULL,S3_FLAME_SMALL3,0,0},	// S3_FLAME_SMALL7
{SPR3_FFLG,3,2,SA3_NULL,S3_FLAME_LDORM2,0,0},	// S3_FLAME_LDORM1
{SPR3_FFLG,2,2,SA3_NULL,S3_FLAME_LDORM3,0,0},	// S3_FLAME_LDORM2
{SPR3_FFLG,1,2,SA3_NULL,S3_FLAME_LDORM4,0,0},	// S3_FLAME_LDORM3
{SPR3_FFLG,0,2,SA3_HideThing,S3_FLAME_LDORM5,0,0},	// S3_FLAME_LDORM4
{SPR3_FFLG,0,200,SA3_NULL,S3_FLAME_LDORM5,0,0},	// S3_FLAME_LDORM5
{SPR3_FFLG,32768,2,SA3_NULL,S3_FLAME_LARGE2,0,0},	// S3_FLAME_LARGE1
{SPR3_FFLG,32768,2,SA3_UnHideThing,S3_FLAME_LARGE3,0,0},	// S3_FLAME_LARGE2
{SPR3_FFLG,32768,4,SA3_NULL,S3_FLAME_LARGE4,0,0},	// S3_FLAME_LARGE3
{SPR3_FFLG,32769,4,SA3_NULL,S3_FLAME_LARGE5,0,0},	// S3_FLAME_LARGE4
{SPR3_FFLG,32770,4,SA3_NULL,S3_FLAME_LARGE6,0,0},	// S3_FLAME_LARGE5
{SPR3_FFLG,32771,4,SA3_NULL,S3_FLAME_LARGE7,0,0},	// S3_FLAME_LARGE6
{SPR3_FFLG,32772,4,SA3_NULL,S3_FLAME_LARGE8,0,0},	// S3_FLAME_LARGE7
{SPR3_FFLG,32773,4,SA3_NULL,S3_FLAME_LARGE9,0,0},	// S3_FLAME_LARGE8
{SPR3_FFLG,32774,4,SA3_NULL,S3_FLAME_LARGE10,0,0},	// S3_FLAME_LARGE9
{SPR3_FFLG,32775,4,SA3_NULL,S3_FLAME_LARGE11,0,0},	// S3_FLAME_LARGE10
{SPR3_FFLG,32776,4,SA3_NULL,S3_FLAME_LARGE12,0,0},	// S3_FLAME_LARGE11
{SPR3_FFLG,32777,4,SA3_NULL,S3_FLAME_LARGE13,0,0},	// S3_FLAME_LARGE12
{SPR3_FFLG,32778,4,SA3_NULL,S3_FLAME_LARGE14,0,0},	// S3_FLAME_LARGE13
{SPR3_FFLG,32779,4,SA3_NULL,S3_FLAME_LARGE15,0,0},	// S3_FLAME_LARGE14
{SPR3_FFLG,32780,4,SA3_NULL,S3_FLAME_LARGE16,0,0},	// S3_FLAME_LARGE15
{SPR3_FFLG,32781,4,SA3_NULL,S3_FLAME_LARGE17,0,0},	// S3_FLAME_LARGE16
{SPR3_FFLG,32782,4,SA3_NULL,S3_FLAME_LARGE18,0,0},	// S3_FLAME_LARGE17
{SPR3_FFLG,32783,4,SA3_NULL,S3_FLAME_LARGE7,0,0},	// S3_FLAME_LARGE18
{SPR3_PTN1,0,3,SA3_NULL,S3_ITEM_PTN1_2,0,0,"items/vial.md2",0},	// S3_ITEM_PTN1_1
{SPR3_PTN1,1,3,SA3_NULL,S3_ITEM_PTN1_3,0,0,"items/vial.md2",0},	// S3_ITEM_PTN1_2
{SPR3_PTN1,2,3,SA3_NULL,S3_ITEM_PTN1_1,0,0,"items/vial.md2",0},	// S3_ITEM_PTN1_3
{SPR3_ACLO,4,1400,SA3_NULL,S3_HIDESPECIAL2,0,0},	// S3_HIDESPECIAL1
{SPR3_ACLO,0,4,SA3_RestoreSpecialThing1,S3_HIDESPECIAL3,0,0},	// S3_HIDESPECIAL2
{SPR3_ACLO,1,4,SA3_NULL,S3_HIDESPECIAL4,0,0},	// S3_HIDESPECIAL3
{SPR3_ACLO,0,4,SA3_NULL,S3_HIDESPECIAL5,0,0},	// S3_HIDESPECIAL4
{SPR3_ACLO,1,4,SA3_NULL,S3_HIDESPECIAL6,0,0},	// S3_HIDESPECIAL5
{SPR3_ACLO,2,4,SA3_NULL,S3_HIDESPECIAL7,0,0},	// S3_HIDESPECIAL6
{SPR3_ACLO,1,4,SA3_NULL,S3_HIDESPECIAL8,0,0},	// S3_HIDESPECIAL7
{SPR3_ACLO,2,4,SA3_NULL,S3_HIDESPECIAL9,0,0},	// S3_HIDESPECIAL8
{SPR3_ACLO,3,4,SA3_NULL,S3_HIDESPECIAL10,0,0},	// S3_HIDESPECIAL9
{SPR3_ACLO,2,4,SA3_NULL,S3_HIDESPECIAL11,0,0},	// S3_HIDESPECIAL10
{SPR3_ACLO,3,4,SA3_RestoreSpecialThing2,S3_NULL,0,0},	// S3_HIDESPECIAL11
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI1_2,0,0},	// S3_DORMANTARTI1_1
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI1_3,0,0},	// S3_DORMANTARTI1_2
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI1_4,0,0},	// S3_DORMANTARTI1_3
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI1_5,0,0},	// S3_DORMANTARTI1_4
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI1_6,0,0},	// S3_DORMANTARTI1_5
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI1_7,0,0},	// S3_DORMANTARTI1_6
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI1_8,0,0},	// S3_DORMANTARTI1_7
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI1_9,0,0},	// S3_DORMANTARTI1_8
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI1_10,0,0},	// S3_DORMANTARTI1_9
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI1_11,0,0},	// S3_DORMANTARTI1_10
{SPR3_ACLO,0,1400,SA3_HideThing,S3_DORMANTARTI1_12,0,0},	// S3_DORMANTARTI1_11
{SPR3_ACLO,0,3,SA3_UnHideThing,S3_DORMANTARTI1_13,0,0},	// S3_DORMANTARTI1_12
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI1_14,0,0},	// S3_DORMANTARTI1_13
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI1_15,0,0},	// S3_DORMANTARTI1_14
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI1_16,0,0},	// S3_DORMANTARTI1_15
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI1_17,0,0},	// S3_DORMANTARTI1_16
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI1_18,0,0},	// S3_DORMANTARTI1_17
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI1_19,0,0},	// S3_DORMANTARTI1_18
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI1_20,0,0},	// S3_DORMANTARTI1_19
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI1_21,0,0},	// S3_DORMANTARTI1_20
{SPR3_ACLO,3,3,SA3_RestoreArtifact,S3_NULL,0,0},	// S3_DORMANTARTI1_21
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI2_2,0,0},	// S3_DORMANTARTI2_1
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI2_3,0,0},	// S3_DORMANTARTI2_2
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI2_4,0,0},	// S3_DORMANTARTI2_3
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI2_5,0,0},	// S3_DORMANTARTI2_4
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI2_6,0,0},	// S3_DORMANTARTI2_5
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI2_7,0,0},	// S3_DORMANTARTI2_6
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI2_8,0,0},	// S3_DORMANTARTI2_7
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI2_9,0,0},	// S3_DORMANTARTI2_8
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI2_10,0,0},	// S3_DORMANTARTI2_9
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI2_11,0,0},	// S3_DORMANTARTI2_10
{SPR3_ACLO,0,4200,SA3_HideThing,S3_DORMANTARTI2_12,0,0},	// S3_DORMANTARTI2_11
{SPR3_ACLO,0,3,SA3_UnHideThing,S3_DORMANTARTI2_13,0,0},	// S3_DORMANTARTI2_12
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI2_14,0,0},	// S3_DORMANTARTI2_13
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI2_15,0,0},	// S3_DORMANTARTI2_14
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI2_16,0,0},	// S3_DORMANTARTI2_15
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI2_17,0,0},	// S3_DORMANTARTI2_16
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI2_18,0,0},	// S3_DORMANTARTI2_17
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI2_19,0,0},	// S3_DORMANTARTI2_18
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI2_20,0,0},	// S3_DORMANTARTI2_19
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI2_21,0,0},	// S3_DORMANTARTI2_20
{SPR3_ACLO,3,3,SA3_RestoreArtifact,S3_NULL,0,0},	// S3_DORMANTARTI2_21
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI3_2,0,0},	// S3_DORMANTARTI3_1
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI3_3,0,0},	// S3_DORMANTARTI3_2
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI3_4,0,0},	// S3_DORMANTARTI3_3
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI3_5,0,0},	// S3_DORMANTARTI3_4
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI3_6,0,0},	// S3_DORMANTARTI3_5
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI3_7,0,0},	// S3_DORMANTARTI3_6
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI3_8,0,0},	// S3_DORMANTARTI3_7
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI3_9,0,0},	// S3_DORMANTARTI3_8
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI3_10,0,0},	// S3_DORMANTARTI3_9
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI3_11,0,0},	// S3_DORMANTARTI3_10
{SPR3_ACLO,0,21000,SA3_HideThing,S3_DORMANTARTI3_12,0,0},	// S3_DORMANTARTI3_11
{SPR3_ACLO,0,3,SA3_UnHideThing,S3_DORMANTARTI3_13,0,0},	// S3_DORMANTARTI3_12
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI3_14,0,0},	// S3_DORMANTARTI3_13
{SPR3_ACLO,0,3,SA3_NULL,S3_DORMANTARTI3_15,0,0},	// S3_DORMANTARTI3_14
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI3_16,0,0},	// S3_DORMANTARTI3_15
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI3_17,0,0},	// S3_DORMANTARTI3_16
{SPR3_ACLO,1,3,SA3_NULL,S3_DORMANTARTI3_18,0,0},	// S3_DORMANTARTI3_17
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI3_19,0,0},	// S3_DORMANTARTI3_18
{SPR3_ACLO,3,3,SA3_NULL,S3_DORMANTARTI3_20,0,0},	// S3_DORMANTARTI3_19
{SPR3_ACLO,2,3,SA3_NULL,S3_DORMANTARTI3_21,0,0},	// S3_DORMANTARTI3_20
{SPR3_ACLO,3,3,SA3_RestoreArtifact,S3_NULL,0,0},	// S3_DORMANTARTI3_21
{SPR3_ACLO,3,3,SA3_NULL,S3_DEADARTI2,0,0},	// S3_DEADARTI1
{SPR3_ACLO,2,3,SA3_NULL,S3_DEADARTI3,0,0},	// S3_DEADARTI2
{SPR3_ACLO,3,3,SA3_NULL,S3_DEADARTI4,0,0},	// S3_DEADARTI3
{SPR3_ACLO,2,3,SA3_NULL,S3_DEADARTI5,0,0},	// S3_DEADARTI4
{SPR3_ACLO,1,3,SA3_NULL,S3_DEADARTI6,0,0},	// S3_DEADARTI5
{SPR3_ACLO,2,3,SA3_NULL,S3_DEADARTI7,0,0},	// S3_DEADARTI6
{SPR3_ACLO,1,3,SA3_NULL,S3_DEADARTI8,0,0},	// S3_DEADARTI7
{SPR3_ACLO,0,3,SA3_NULL,S3_DEADARTI9,0,0},	// S3_DEADARTI8
{SPR3_ACLO,1,3,SA3_NULL,S3_DEADARTI10,0,0},	// S3_DEADARTI9
{SPR3_ACLO,0,3,SA3_NULL,S3_NULL,0,0},	// S3_DEADARTI10
{SPR3_PTN2,0,4,SA3_NULL,S3_ARTI_PTN2_2,0,0,"artifact/flask.md2",0},	// S3_ARTI_PTN2_1
{SPR3_PTN2,1,4,SA3_NULL,S3_ARTI_PTN2_3,0,0,"artifact/flask.md2",0},	// S3_ARTI_PTN2_2
{SPR3_PTN2,2,4,SA3_NULL,S3_ARTI_PTN2_1,0,0,"artifact/flask.md2",0},	// S3_ARTI_PTN2_3
{SPR3_SOAR,0,5,SA3_NULL,S3_ARTI_SOAR2,0,0},	// S3_ARTI_SOAR1
{SPR3_SOAR,1,5,SA3_NULL,S3_ARTI_SOAR3,0,0},	// S3_ARTI_SOAR2
{SPR3_SOAR,2,5,SA3_NULL,S3_ARTI_SOAR4,0,0},	// S3_ARTI_SOAR3
{SPR3_SOAR,1,5,SA3_NULL,S3_ARTI_SOAR1,0,0},	// S3_ARTI_SOAR4
{SPR3_INVU,0,3,SA3_NULL,S3_ARTI_INVU2,0,0,"artifact/invinc.md2",0},	// S3_ARTI_INVU1
{SPR3_INVU,1,3,SA3_NULL,S3_ARTI_INVU3,0,0,"artifact/invinc.md2",0},	// S3_ARTI_INVU2
{SPR3_INVU,2,3,SA3_NULL,S3_ARTI_INVU4,0,0,"artifact/invinc.md2",0},	// S3_ARTI_INVU3
{SPR3_INVU,3,3,SA3_NULL,S3_ARTI_INVU1,0,0,"artifact/invinc.md2",0},	// S3_ARTI_INVU4
{SPR3_SUMN,0,350,SA3_NULL,S3_ARTI_SUMMON,0,0},	// S3_ARTI_SUMMON
{SPR3_SUMN,0,4,SA3_NULL,S3_SUMMON_FX1_1,0,0},	// S3_SUMMON_FX1_1
{SPR3_SUMN,0,4,SA3_NULL,S3_SUMMON_FX2_2,0,0},	// S3_SUMMON_FX2_1
{SPR3_SUMN,0,4,SA3_NULL,S3_SUMMON_FX2_3,0,0},	// S3_SUMMON_FX2_2
{SPR3_SUMN,0,4,SA3_Summon,S3_NULL,0,0},	// S3_SUMMON_FX2_3
{SPR3_TSPK,0,3,SA3_NULL,S3_THRUSTINIT2_2,0,0},	// S3_THRUSTINIT2_1
{SPR3_TSPK,0,4,SA3_ThrustInitUp,S3_THRUSTBLOCK,0,0},	// S3_THRUSTINIT2_2
{SPR3_TSPK,1,3,SA3_NULL,S3_BTHRUSTINIT2_2,0,0},	// S3_BTHRUSTINIT2_1
{SPR3_TSPK,1,4,SA3_ThrustInitUp,S3_BTHRUSTBLOCK,0,0},	// S3_BTHRUSTINIT2_2
{SPR3_TSPK,0,3,SA3_NULL,S3_THRUSTINIT1_2,0,0},	// S3_THRUSTINIT1_1
{SPR3_TSPK,0,4,SA3_ThrustInitDn,S3_THRUSTSTAY,0,0},	// S3_THRUSTINIT1_2
{SPR3_TSPK,1,3,SA3_NULL,S3_BTHRUSTINIT1_2,0,0},	// S3_BTHRUSTINIT1_1
{SPR3_TSPK,1,4,SA3_ThrustInitDn,S3_BTHRUSTSTAY,0,0},	// S3_BTHRUSTINIT1_2
{SPR3_TSPK,0,8,SA3_ThrustRaise,S3_THRUSTRAISE2,0,0},	// S3_THRUSTRAISE1
{SPR3_TSPK,0,6,SA3_ThrustRaise,S3_THRUSTRAISE3,0,0},	// S3_THRUSTRAISE2
{SPR3_TSPK,0,4,SA3_ThrustRaise,S3_THRUSTRAISE4,0,0},	// S3_THRUSTRAISE3
{SPR3_TSPK,0,3,SA3_ThrustBlock,S3_THRUSTIMPALE,0,0},	// S3_THRUSTRAISE4
{SPR3_TSPK,1,8,SA3_ThrustRaise,S3_BTHRUSTRAISE2,0,0},	// S3_BTHRUSTRAISE1
{SPR3_TSPK,1,6,SA3_ThrustRaise,S3_BTHRUSTRAISE3,0,0},	// S3_BTHRUSTRAISE2
{SPR3_TSPK,1,4,SA3_ThrustRaise,S3_BTHRUSTRAISE4,0,0},	// S3_BTHRUSTRAISE3
{SPR3_TSPK,1,3,SA3_ThrustBlock,S3_BTHRUSTIMPALE,0,0},	// S3_BTHRUSTRAISE4
{SPR3_TSPK,0,2,SA3_ThrustImpale,S3_THRUSTRAISE,0,0},	// S3_THRUSTIMPALE
{SPR3_TSPK,1,2,SA3_ThrustImpale,S3_BTHRUSTRAISE,0,0},	// S3_BTHRUSTIMPALE
{SPR3_TSPK,0,2,SA3_ThrustRaise,S3_THRUSTRAISE,0,0},	// S3_THRUSTRAISE
{SPR3_TSPK,1,2,SA3_ThrustRaise,S3_BTHRUSTRAISE,0,0},	// S3_BTHRUSTRAISE
{SPR3_TSPK,0,10,SA3_NULL,S3_THRUSTBLOCK,0,0},	// S3_THRUSTBLOCK
{SPR3_TSPK,1,10,SA3_NULL,S3_BTHRUSTBLOCK,0,0},	// S3_BTHRUSTBLOCK
{SPR3_TSPK,0,2,SA3_ThrustLower,S3_THRUSTLOWER,0,0},	// S3_THRUSTLOWER
{SPR3_TSPK,1,2,SA3_ThrustLower,S3_BTHRUSTLOWER,0,0},	// S3_BTHRUSTLOWER
{SPR3_TSPK,0,-1,SA3_NULL,S3_THRUSTSTAY,0,0},	// S3_THRUSTSTAY
{SPR3_TSPK,1,-1,SA3_NULL,S3_BTHRUSTSTAY,0,0},	// S3_BTHRUSTSTAY
{SPR3_TELO,0,5,SA3_NULL,S3_ARTI_TELOTHER2,0,0},	// S3_ARTI_TELOTHER1
{SPR3_TELO,1,5,SA3_NULL,S3_ARTI_TELOTHER3,0,0},	// S3_ARTI_TELOTHER2
{SPR3_TELO,2,5,SA3_NULL,S3_ARTI_TELOTHER4,0,0},	// S3_ARTI_TELOTHER3
{SPR3_TELO,3,5,SA3_NULL,S3_ARTI_TELOTHER1,0,0},	// S3_ARTI_TELOTHER4
{SPR3_TRNG,32772,5,SA3_NULL,S3_TELO_FX2,0,0},	// S3_TELO_FX1
{SPR3_TRNG,32771,4,SA3_NULL,S3_TELO_FX3,0,0},	// S3_TELO_FX2
{SPR3_TRNG,32770,3,SA3_TeloSpawnC,S3_TELO_FX4,0,0},	// S3_TELO_FX3
{SPR3_TRNG,32769,3,SA3_TeloSpawnB,S3_TELO_FX5,0,0},	// S3_TELO_FX4
{SPR3_TRNG,32768,3,SA3_TeloSpawnA,S3_TELO_FX6,0,0},	// S3_TELO_FX5
{SPR3_TRNG,32769,3,SA3_TeloSpawnB,S3_TELO_FX7,0,0},	// S3_TELO_FX6
{SPR3_TRNG,32770,3,SA3_TeloSpawnC,S3_TELO_FX8,0,0},	// S3_TELO_FX7
{SPR3_TRNG,32771,3,SA3_TeloSpawnD,S3_TELO_FX3,0,0},	// S3_TELO_FX8
{SPR3_TRNG,32772,3,SA3_NULL,S3_NULL,0,0},	// S3_TELO_FX9
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX2_2,0,0},	// S3_TELO_FX2_1
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX2_3,0,0},	// S3_TELO_FX2_2
{SPR3_TRNG,32771,4,SA3_NULL,S3_TELO_FX2_4,0,0},	// S3_TELO_FX2_3
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX2_5,0,0},	// S3_TELO_FX2_4
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX2_6,0,0},	// S3_TELO_FX2_5
{SPR3_TRNG,32768,4,SA3_CheckTeleRing,S3_TELO_FX2_1,0,0},	// S3_TELO_FX2_6
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX3_2,0,0},	// S3_TELO_FX3_1
{SPR3_TRNG,32771,4,SA3_NULL,S3_TELO_FX3_3,0,0},	// S3_TELO_FX3_2
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX3_4,0,0},	// S3_TELO_FX3_3
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX3_5,0,0},	// S3_TELO_FX3_4
{SPR3_TRNG,32768,4,SA3_NULL,S3_TELO_FX3_6,0,0},	// S3_TELO_FX3_5
{SPR3_TRNG,32769,4,SA3_CheckTeleRing,S3_TELO_FX3_1,0,0},	// S3_TELO_FX3_6
{SPR3_TRNG,32771,4,SA3_NULL,S3_TELO_FX4_2,0,0},	// S3_TELO_FX4_1
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX4_3,0,0},	// S3_TELO_FX4_2
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX4_4,0,0},	// S3_TELO_FX4_3
{SPR3_TRNG,32768,4,SA3_NULL,S3_TELO_FX4_5,0,0},	// S3_TELO_FX4_4
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX4_6,0,0},	// S3_TELO_FX4_5
{SPR3_TRNG,32770,4,SA3_CheckTeleRing,S3_TELO_FX4_1,0,0},	// S3_TELO_FX4_6
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX5_2,0,0},	// S3_TELO_FX5_1
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX5_3,0,0},	// S3_TELO_FX5_2
{SPR3_TRNG,32768,4,SA3_NULL,S3_TELO_FX5_4,0,0},	// S3_TELO_FX5_3
{SPR3_TRNG,32769,4,SA3_NULL,S3_TELO_FX5_5,0,0},	// S3_TELO_FX5_4
{SPR3_TRNG,32770,4,SA3_NULL,S3_TELO_FX5_6,0,0},	// S3_TELO_FX5_5
{SPR3_TRNG,32771,4,SA3_CheckTeleRing,S3_TELO_FX5_1,0,0},	// S3_TELO_FX5_6
{SPR3_ROCK,3,20,SA3_NULL,S3_DIRT1_1,0,0},	// S3_DIRT1_1
{SPR3_ROCK,3,10,SA3_NULL,S3_NULL,0,0},	// S3_DIRT1_D
{SPR3_ROCK,4,20,SA3_NULL,S3_DIRT2_1,0,0},	// S3_DIRT2_1
{SPR3_ROCK,4,10,SA3_NULL,S3_NULL,0,0},	// S3_DIRT2_D
{SPR3_ROCK,5,20,SA3_NULL,S3_DIRT3_1,0,0},	// S3_DIRT3_1
{SPR3_ROCK,5,10,SA3_NULL,S3_NULL,0,0},	// S3_DIRT3_D
{SPR3_ROCK,6,20,SA3_NULL,S3_DIRT4_1,0,0},	// S3_DIRT4_1
{SPR3_ROCK,6,10,SA3_NULL,S3_NULL,0,0},	// S3_DIRT4_D
{SPR3_ROCK,7,20,SA3_NULL,S3_DIRT5_1,0,0},	// S3_DIRT5_1
{SPR3_ROCK,7,10,SA3_NULL,S3_NULL,0,0},	// S3_DIRT5_D
{SPR3_ROCK,8,20,SA3_NULL,S3_DIRT6_1,0,0},	// S3_DIRT6_1
{SPR3_ROCK,8,10,SA3_NULL,S3_NULL,0,0},	// S3_DIRT6_D
{SPR3_TSPK,2,20,SA3_NULL,S3_DIRTCLUMP1,0,0},	// S3_DIRTCLUMP1
{SPR3_ROCK,0,20,SA3_NULL,S3_ROCK1_1,0,0},	// S3_ROCK1_1
{SPR3_ROCK,0,10,SA3_NULL,S3_NULL,0,0},	// S3_ROCK1_D
{SPR3_ROCK,1,20,SA3_NULL,S3_ROCK2_1,0,0},	// S3_ROCK2_1
{SPR3_ROCK,1,10,SA3_NULL,S3_NULL,0,0},	// S3_ROCK2_D
{SPR3_ROCK,2,20,SA3_NULL,S3_ROCK3_1,0,0},	// S3_ROCK3_1
{SPR3_ROCK,2,10,SA3_NULL,S3_NULL,0,0},	// S3_ROCK3_D
{SPR3_MAN1,0,20,SA3_FogSpawn,S3_SPAWNFOG1,0,0},	// S3_SPAWNFOG1
{SPR3_FOGS,0,7,SA3_FogMove,S3_FOGPATCHS2,0,0},	// S3_FOGPATCHS1
{SPR3_FOGS,1,7,SA3_FogMove,S3_FOGPATCHS3,0,0},	// S3_FOGPATCHS2
{SPR3_FOGS,2,7,SA3_FogMove,S3_FOGPATCHS4,0,0},	// S3_FOGPATCHS3
{SPR3_FOGS,3,7,SA3_FogMove,S3_FOGPATCHS5,0,0},	// S3_FOGPATCHS4
{SPR3_FOGS,4,7,SA3_FogMove,S3_FOGPATCHS1,0,0},	// S3_FOGPATCHS5
{SPR3_FOGS,4,5,SA3_NULL,S3_NULL,0,0},	// S3_FOGPATCHS0
{SPR3_FOGM,0,7,SA3_FogMove,S3_FOGPATCHM2,0,0},	// S3_FOGPATCHM1
{SPR3_FOGM,1,7,SA3_FogMove,S3_FOGPATCHM3,0,0},	// S3_FOGPATCHM2
{SPR3_FOGM,2,7,SA3_FogMove,S3_FOGPATCHM4,0,0},	// S3_FOGPATCHM3
{SPR3_FOGM,3,7,SA3_FogMove,S3_FOGPATCHM5,0,0},	// S3_FOGPATCHM4
{SPR3_FOGM,4,7,SA3_FogMove,S3_FOGPATCHM1,0,0},	// S3_FOGPATCHM5
{SPR3_FOGS,0,5,SA3_NULL,S3_FOGPATCHMA,0,0},	// S3_FOGPATCHM0
{SPR3_FOGS,1,5,SA3_NULL,S3_FOGPATCHMB,0,0},	// S3_FOGPATCHMA
{SPR3_FOGS,2,5,SA3_NULL,S3_FOGPATCHMC,0,0},	// S3_FOGPATCHMB
{SPR3_FOGS,3,5,SA3_NULL,S3_FOGPATCHMD,0,0},	// S3_FOGPATCHMC
{SPR3_FOGS,4,5,SA3_NULL,S3_FOGPATCHS0,0,0},	// S3_FOGPATCHMD
{SPR3_FOGL,0,7,SA3_FogMove,S3_FOGPATCHL2,0,0},	// S3_FOGPATCHL1
{SPR3_FOGL,1,7,SA3_FogMove,S3_FOGPATCHL3,0,0},	// S3_FOGPATCHL2
{SPR3_FOGL,2,7,SA3_FogMove,S3_FOGPATCHL4,0,0},	// S3_FOGPATCHL3
{SPR3_FOGL,3,7,SA3_FogMove,S3_FOGPATCHL5,0,0},	// S3_FOGPATCHL4
{SPR3_FOGL,4,7,SA3_FogMove,S3_FOGPATCHL1,0,0},	// S3_FOGPATCHL5
{SPR3_FOGM,0,4,SA3_NULL,S3_FOGPATCHLA,0,0},	// S3_FOGPATCHL0
{SPR3_FOGM,1,4,SA3_NULL,S3_FOGPATCHLB,0,0},	// S3_FOGPATCHLA
{SPR3_FOGM,2,4,SA3_NULL,S3_FOGPATCHLC,0,0},	// S3_FOGPATCHLB
{SPR3_FOGM,3,4,SA3_NULL,S3_FOGPATCHLD,0,0},	// S3_FOGPATCHLC
{SPR3_FOGM,4,4,SA3_NULL,S3_FOGPATCHM0,0,0},	// S3_FOGPATCHLD
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE2,0,0},	// S3_QUAKE_ACTIVE1
{SPR3_MAN1,0,1,SA3_ContMobjSound,S3_QUAKE_ACTIVE3,0,0},	// S3_QUAKE_ACTIVE2
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE4,0,0},	// S3_QUAKE_ACTIVE3
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE5,0,0},	// S3_QUAKE_ACTIVE4
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE6,0,0},	// S3_QUAKE_ACTIVE5
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE7,0,0},	// S3_QUAKE_ACTIVE6
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE8,0,0},	// S3_QUAKE_ACTIVE7
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE9,0,0},	// S3_QUAKE_ACTIVE8
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE0,0,0},	// S3_QUAKE_ACTIVE9
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEA,0,0},	// S3_QUAKE_ACTIVE0
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEB,0,0},	// S3_QUAKE_ACTIVEA
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEC,0,0},	// S3_QUAKE_ACTIVEB
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVED,0,0},	// S3_QUAKE_ACTIVEC
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEE,0,0},	// S3_QUAKE_ACTIVED
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEF,0,0},	// S3_QUAKE_ACTIVEE
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEG,0,0},	// S3_QUAKE_ACTIVEF
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEH,0,0},	// S3_QUAKE_ACTIVEG
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEI,0,0},	// S3_QUAKE_ACTIVEH
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEJ,0,0},	// S3_QUAKE_ACTIVEI
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEK,0,0},	// S3_QUAKE_ACTIVEJ
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEL,0,0},	// S3_QUAKE_ACTIVEK
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEM,0,0},	// S3_QUAKE_ACTIVEL
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEN,0,0},	// S3_QUAKE_ACTIVEM
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEO,0,0},	// S3_QUAKE_ACTIVEN
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEP,0,0},	// S3_QUAKE_ACTIVEO
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEQ,0,0},	// S3_QUAKE_ACTIVEP
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVER,0,0},	// S3_QUAKE_ACTIVEQ
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVES,0,0},	// S3_QUAKE_ACTIVER
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVET,0,0},	// S3_QUAKE_ACTIVES
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEU,0,0},	// S3_QUAKE_ACTIVET
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEV,0,0},	// S3_QUAKE_ACTIVEU
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEW,0,0},	// S3_QUAKE_ACTIVEV
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEX,0,0},	// S3_QUAKE_ACTIVEW
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEY,0,0},	// S3_QUAKE_ACTIVEX
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVEZ,0,0},	// S3_QUAKE_ACTIVEY
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT1,0,0},	// S3_QUAKE_ACTIVEZ
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT2,0,0},	// S3_QUAKE_ACT1
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT3,0,0},	// S3_QUAKE_ACT2
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT4,0,0},	// S3_QUAKE_ACT3
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT5,0,0},	// S3_QUAKE_ACT4
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT6,0,0},	// S3_QUAKE_ACT5
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT7,0,0},	// S3_QUAKE_ACT6
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT8,0,0},	// S3_QUAKE_ACT7
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT9,0,0},	// S3_QUAKE_ACT8
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACT0,0,0},	// S3_QUAKE_ACT9
{SPR3_MAN1,0,2,SA3_Quake,S3_QUAKE_ACTIVE1,0,0},	// S3_QUAKE_ACT0
{SPR3_SGSA,0,4,SA3_NULL,S3_SGSHARD1_2,0,0},	// S3_SGSHARD1_1
{SPR3_SGSA,1,4,SA3_NULL,S3_SGSHARD1_3,0,0},	// S3_SGSHARD1_2
{SPR3_SGSA,2,4,SA3_NULL,S3_SGSHARD1_4,0,0},	// S3_SGSHARD1_3
{SPR3_SGSA,3,4,SA3_NULL,S3_SGSHARD1_5,0,0},	// S3_SGSHARD1_4
{SPR3_SGSA,4,4,SA3_NULL,S3_SGSHARD1_1,0,0},	// S3_SGSHARD1_5
{SPR3_SGSA,4,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD1_D
{SPR3_SGSA,5,4,SA3_NULL,S3_SGSHARD2_2,0,0},	// S3_SGSHARD2_1
{SPR3_SGSA,6,4,SA3_NULL,S3_SGSHARD2_3,0,0},	// S3_SGSHARD2_2
{SPR3_SGSA,7,4,SA3_NULL,S3_SGSHARD2_4,0,0},	// S3_SGSHARD2_3
{SPR3_SGSA,8,4,SA3_NULL,S3_SGSHARD2_5,0,0},	// S3_SGSHARD2_4
{SPR3_SGSA,9,4,SA3_NULL,S3_SGSHARD2_1,0,0},	// S3_SGSHARD2_5
{SPR3_SGSA,9,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD2_D
{SPR3_SGSA,10,4,SA3_NULL,S3_SGSHARD3_2,0,0},	// S3_SGSHARD3_1
{SPR3_SGSA,11,4,SA3_NULL,S3_SGSHARD3_3,0,0},	// S3_SGSHARD3_2
{SPR3_SGSA,12,4,SA3_NULL,S3_SGSHARD3_4,0,0},	// S3_SGSHARD3_3
{SPR3_SGSA,13,4,SA3_NULL,S3_SGSHARD3_5,0,0},	// S3_SGSHARD3_4
{SPR3_SGSA,14,4,SA3_NULL,S3_SGSHARD3_1,0,0},	// S3_SGSHARD3_5
{SPR3_SGSA,14,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD3_D
{SPR3_SGSA,15,4,SA3_NULL,S3_SGSHARD4_2,0,0},	// S3_SGSHARD4_1
{SPR3_SGSA,16,4,SA3_NULL,S3_SGSHARD4_3,0,0},	// S3_SGSHARD4_2
{SPR3_SGSA,17,4,SA3_NULL,S3_SGSHARD4_4,0,0},	// S3_SGSHARD4_3
{SPR3_SGSA,18,4,SA3_NULL,S3_SGSHARD4_5,0,0},	// S3_SGSHARD4_4
{SPR3_SGSA,19,4,SA3_NULL,S3_SGSHARD4_1,0,0},	// S3_SGSHARD4_5
{SPR3_SGSA,19,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD4_D
{SPR3_SGSA,20,4,SA3_NULL,S3_SGSHARD5_2,0,0},	// S3_SGSHARD5_1
{SPR3_SGSA,21,4,SA3_NULL,S3_SGSHARD5_3,0,0},	// S3_SGSHARD5_2
{SPR3_SGSA,22,4,SA3_NULL,S3_SGSHARD5_4,0,0},	// S3_SGSHARD5_3
{SPR3_SGSA,23,4,SA3_NULL,S3_SGSHARD5_5,0,0},	// S3_SGSHARD5_4
{SPR3_SGSA,24,4,SA3_NULL,S3_SGSHARD5_1,0,0},	// S3_SGSHARD5_5
{SPR3_SGSA,24,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD5_D
{SPR3_SGSB,0,4,SA3_NULL,S3_SGSHARD6_1,0,0},	// S3_SGSHARD6_1
{SPR3_SGSB,0,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD6_D
{SPR3_SGSB,1,4,SA3_NULL,S3_SGSHARD7_1,0,0},	// S3_SGSHARD7_1
{SPR3_SGSB,1,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD7_D
{SPR3_SGSB,2,4,SA3_NULL,S3_SGSHARD8_1,0,0},	// S3_SGSHARD8_1
{SPR3_SGSB,2,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD8_D
{SPR3_SGSB,3,4,SA3_NULL,S3_SGSHARD9_1,0,0},	// S3_SGSHARD9_1
{SPR3_SGSB,3,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD9_D
{SPR3_SGSB,4,4,SA3_NULL,S3_SGSHARD0_1,0,0},	// S3_SGSHARD0_1
{SPR3_SGSB,4,30,SA3_NULL,S3_NULL,0,0},	// S3_SGSHARD0_D
{SPR3_PORK,0,5,SA3_NULL,S3_ARTI_EGGC2,0,0},	// S3_ARTI_EGGC1
{SPR3_PORK,1,5,SA3_NULL,S3_ARTI_EGGC3,0,0},	// S3_ARTI_EGGC2
{SPR3_PORK,2,5,SA3_NULL,S3_ARTI_EGGC4,0,0},	// S3_ARTI_EGGC3
{SPR3_PORK,3,5,SA3_NULL,S3_ARTI_EGGC5,0,0},	// S3_ARTI_EGGC4
{SPR3_PORK,4,5,SA3_NULL,S3_ARTI_EGGC6,0,0},	// S3_ARTI_EGGC5
{SPR3_PORK,5,5,SA3_NULL,S3_ARTI_EGGC7,0,0},	// S3_ARTI_EGGC6
{SPR3_PORK,6,5,SA3_NULL,S3_ARTI_EGGC8,0,0},	// S3_ARTI_EGGC7
{SPR3_PORK,7,5,SA3_NULL,S3_ARTI_EGGC1,0,0},	// S3_ARTI_EGGC8
{SPR3_EGGM,0,4,SA3_NULL,S3_EGGFX2,0,0},	// S3_EGGFX1
{SPR3_EGGM,1,4,SA3_NULL,S3_EGGFX3,0,0},	// S3_EGGFX2
{SPR3_EGGM,2,4,SA3_NULL,S3_EGGFX4,0,0},	// S3_EGGFX3
{SPR3_EGGM,3,4,SA3_NULL,S3_EGGFX5,0,0},	// S3_EGGFX4
{SPR3_EGGM,4,4,SA3_NULL,S3_EGGFX1,0,0},	// S3_EGGFX5
{SPR3_FHFX,32776,3,SA3_NULL,S3_EGGFXI1_2,0,0},	// S3_EGGFXI1_1
{SPR3_FHFX,32777,3,SA3_NULL,S3_EGGFXI1_3,0,0},	// S3_EGGFXI1_2
{SPR3_FHFX,32778,3,SA3_NULL,S3_EGGFXI1_4,0,0},	// S3_EGGFXI1_3
{SPR3_FHFX,32779,3,SA3_NULL,S3_NULL,0,0},	// S3_EGGFXI1_4
{SPR3_SPHL,0,350,SA3_NULL,S3_ARTI_SPHL1,0,0,"artifact/shboost.md2",0},	// S3_ARTI_SPHL1
{SPR3_STWN,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZWINGEDSTATUENOSKULL
{SPR3_STWN,1,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZWINGEDSTATUENOSKULL2
{SPR3_GMPD,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZGEMPEDESTAL1
{SPR3_GMPD,1,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZGEMPEDESTAL2
{SPR3_ASKU,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZSKULL
{SPR3_ABGM,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZGEMBIG
{SPR3_AGMR,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZGEMRED
{SPR3_AGMG,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZGEMGREEN1
{SPR3_AGG2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZGEMGREEN2
{SPR3_AGMB,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZGEMBLUE1
{SPR3_AGB2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZGEMBLUE2
{SPR3_ABK1,0,-1,SA3_NULL,S3_NULL,0,0,"puzzle/book1.md2",0},	// S3_ARTIPUZZBOOK1
{SPR3_ABK2,0,-1,SA3_NULL,S3_NULL,0,0,"puzzle/book2.md2",0},	// S3_ARTIPUZZBOOK2
{SPR3_ASK2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZSKULL2
{SPR3_AFWP,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZFWEAPON
{SPR3_ACWP,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZCWEAPON
{SPR3_AMWP,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTIPUZZMWEAPON
{SPR3_AGER,32768,4,SA3_NULL,S3_ARTIPUZZGEAR_2,0,0},	// S3_ARTIPUZZGEAR_1
{SPR3_AGER,32769,4,SA3_NULL,S3_ARTIPUZZGEAR_3,0,0},	// S3_ARTIPUZZGEAR_2
{SPR3_AGER,32770,4,SA3_NULL,S3_ARTIPUZZGEAR_4,0,0},	// S3_ARTIPUZZGEAR_3
{SPR3_AGER,32771,4,SA3_NULL,S3_ARTIPUZZGEAR_5,0,0},	// S3_ARTIPUZZGEAR_4
{SPR3_AGER,32772,4,SA3_NULL,S3_ARTIPUZZGEAR_6,0,0},	// S3_ARTIPUZZGEAR_5
{SPR3_AGER,32773,4,SA3_NULL,S3_ARTIPUZZGEAR_7,0,0},	// S3_ARTIPUZZGEAR_6
{SPR3_AGER,32774,4,SA3_NULL,S3_ARTIPUZZGEAR_8,0,0},	// S3_ARTIPUZZGEAR_7
{SPR3_AGER,32775,4,SA3_NULL,S3_ARTIPUZZGEAR_1,0,0},	// S3_ARTIPUZZGEAR_8
{SPR3_AGR2,32768,4,SA3_NULL,S3_ARTIPUZZGEAR2_2,0,0},	// S3_ARTIPUZZGEAR2_1
{SPR3_AGR2,32769,4,SA3_NULL,S3_ARTIPUZZGEAR2_3,0,0},	// S3_ARTIPUZZGEAR2_2
{SPR3_AGR2,32770,4,SA3_NULL,S3_ARTIPUZZGEAR2_4,0,0},	// S3_ARTIPUZZGEAR2_3
{SPR3_AGR2,32771,4,SA3_NULL,S3_ARTIPUZZGEAR2_5,0,0},	// S3_ARTIPUZZGEAR2_4
{SPR3_AGR2,32772,4,SA3_NULL,S3_ARTIPUZZGEAR2_6,0,0},	// S3_ARTIPUZZGEAR2_5
{SPR3_AGR2,32773,4,SA3_NULL,S3_ARTIPUZZGEAR2_7,0,0},	// S3_ARTIPUZZGEAR2_6
{SPR3_AGR2,32774,4,SA3_NULL,S3_ARTIPUZZGEAR2_8,0,0},	// S3_ARTIPUZZGEAR2_7
{SPR3_AGR2,32775,4,SA3_NULL,S3_ARTIPUZZGEAR2_1,0,0},	// S3_ARTIPUZZGEAR2_8
{SPR3_AGR3,32768,4,SA3_NULL,S3_ARTIPUZZGEAR3_2,0,0},	// S3_ARTIPUZZGEAR3_1
{SPR3_AGR3,32769,4,SA3_NULL,S3_ARTIPUZZGEAR3_3,0,0},	// S3_ARTIPUZZGEAR3_2
{SPR3_AGR3,32770,4,SA3_NULL,S3_ARTIPUZZGEAR3_4,0,0},	// S3_ARTIPUZZGEAR3_3
{SPR3_AGR3,32771,4,SA3_NULL,S3_ARTIPUZZGEAR3_5,0,0},	// S3_ARTIPUZZGEAR3_4
{SPR3_AGR3,32772,4,SA3_NULL,S3_ARTIPUZZGEAR3_6,0,0},	// S3_ARTIPUZZGEAR3_5
{SPR3_AGR3,32773,4,SA3_NULL,S3_ARTIPUZZGEAR3_7,0,0},	// S3_ARTIPUZZGEAR3_6
{SPR3_AGR3,32774,4,SA3_NULL,S3_ARTIPUZZGEAR3_8,0,0},	// S3_ARTIPUZZGEAR3_7
{SPR3_AGR3,32775,4,SA3_NULL,S3_ARTIPUZZGEAR3_1,0,0},	// S3_ARTIPUZZGEAR3_8
{SPR3_AGR4,32768,4,SA3_NULL,S3_ARTIPUZZGEAR4_2,0,0},	// S3_ARTIPUZZGEAR4_1
{SPR3_AGR4,32769,4,SA3_NULL,S3_ARTIPUZZGEAR4_3,0,0},	// S3_ARTIPUZZGEAR4_2
{SPR3_AGR4,32770,4,SA3_NULL,S3_ARTIPUZZGEAR4_4,0,0},	// S3_ARTIPUZZGEAR4_3
{SPR3_AGR4,32771,4,SA3_NULL,S3_ARTIPUZZGEAR4_5,0,0},	// S3_ARTIPUZZGEAR4_4
{SPR3_AGR4,32772,4,SA3_NULL,S3_ARTIPUZZGEAR4_6,0,0},	// S3_ARTIPUZZGEAR4_5
{SPR3_AGR4,32773,4,SA3_NULL,S3_ARTIPUZZGEAR4_7,0,0},	// S3_ARTIPUZZGEAR4_6
{SPR3_AGR4,32774,4,SA3_NULL,S3_ARTIPUZZGEAR4_8,0,0},	// S3_ARTIPUZZGEAR4_7
{SPR3_AGR4,32775,4,SA3_NULL,S3_ARTIPUZZGEAR4_1,0,0},	// S3_ARTIPUZZGEAR4_8
{SPR3_TRCH,32768,3,SA3_NULL,S3_ARTI_TRCH2,0,0,"artifact/torch.md2",0},	// S3_ARTI_TRCH1
{SPR3_TRCH,32769,3,SA3_NULL,S3_ARTI_TRCH3,0,0,"artifact/torch.md2",0},	// S3_ARTI_TRCH2
{SPR3_TRCH,32770,3,SA3_NULL,S3_ARTI_TRCH1,0,0,"artifact/torch.md2",0},	// S3_ARTI_TRCH3
{SPR3_PSBG,0,20,SA3_NULL,S3_FIREBOMB2,0,0},	// S3_FIREBOMB1
{SPR3_PSBG,0,10,SA3_NULL,S3_FIREBOMB3,0,0},	// S3_FIREBOMB2
{SPR3_PSBG,0,10,SA3_NULL,S3_FIREBOMB4,0,0},	// S3_FIREBOMB3
{SPR3_PSBG,1,4,SA3_NULL,S3_FIREBOMB5,0,0},	// S3_FIREBOMB4
{SPR3_PSBG,2,4,SA3_Scream,S3_FIREBOMB6,0,0},	// S3_FIREBOMB5
{SPR3_XPL1,32768,4,SA3_Explode,S3_FIREBOMB7,0,0},	// S3_FIREBOMB6
{SPR3_XPL1,32769,4,SA3_NULL,S3_FIREBOMB8,0,0},	// S3_FIREBOMB7
{SPR3_XPL1,32770,4,SA3_NULL,S3_FIREBOMB9,0,0},	// S3_FIREBOMB8
{SPR3_XPL1,32771,4,SA3_NULL,S3_FIREBOMB10,0,0},	// S3_FIREBOMB9
{SPR3_XPL1,32772,4,SA3_NULL,S3_FIREBOMB11,0,0},	// S3_FIREBOMB10
{SPR3_XPL1,32773,4,SA3_NULL,S3_NULL,0,0},	// S3_FIREBOMB11
{SPR3_ATLP,0,4,SA3_NULL,S3_ARTI_ATLP2,0,0,"artifact/teleport.md2",0},	// S3_ARTI_ATLP1
{SPR3_ATLP,1,4,SA3_NULL,S3_ARTI_ATLP3,0,0,"artifact/teleport.md2",0},	// S3_ARTI_ATLP2
{SPR3_ATLP,2,4,SA3_NULL,S3_ARTI_ATLP4,0,0,"artifact/teleport.md2",0},	// S3_ARTI_ATLP3
{SPR3_ATLP,1,4,SA3_NULL,S3_ARTI_ATLP1,0,0,"artifact/teleport.md2",0},	// S3_ARTI_ATLP4
{SPR3_PSBG,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARTI_PSBG1
{SPR3_PSBG,32768,18,SA3_NULL,S3_POISONBAG2,0,0},	// S3_POISONBAG1
{SPR3_PSBG,32769,4,SA3_NULL,S3_POISONBAG3,0,0},	// S3_POISONBAG2
{SPR3_PSBG,2,3,SA3_NULL,S3_POISONBAG4,0,0},	// S3_POISONBAG3
{SPR3_PSBG,2,1,SA3_PoisonBagInit,S3_NULL,0,0},	// S3_POISONBAG4
{SPR3_PSBG,3,1,SA3_NULL,S3_POISONCLOUD2,0,0},	// S3_POISONCLOUD1
{SPR3_PSBG,3,1,SA3_Scream,S3_POISONCLOUD3,0,0},	// S3_POISONCLOUD2
{SPR3_PSBG,3,2,SA3_PoisonBagDamage,S3_POISONCLOUD4,0,0},	// S3_POISONCLOUD3
{SPR3_PSBG,4,2,SA3_PoisonBagDamage,S3_POISONCLOUD5,0,0},	// S3_POISONCLOUD4
{SPR3_PSBG,4,2,SA3_PoisonBagDamage,S3_POISONCLOUD6,0,0},	// S3_POISONCLOUD5
{SPR3_PSBG,4,2,SA3_PoisonBagDamage,S3_POISONCLOUD7,0,0},	// S3_POISONCLOUD6
{SPR3_PSBG,5,2,SA3_PoisonBagDamage,S3_POISONCLOUD8,0,0},	// S3_POISONCLOUD7
{SPR3_PSBG,5,2,SA3_PoisonBagDamage,S3_POISONCLOUD9,0,0},	// S3_POISONCLOUD8
{SPR3_PSBG,5,2,SA3_PoisonBagDamage,S3_POISONCLOUD10,0,0},	// S3_POISONCLOUD9
{SPR3_PSBG,6,2,SA3_PoisonBagDamage,S3_POISONCLOUD11,0,0},	// S3_POISONCLOUD10
{SPR3_PSBG,6,2,SA3_PoisonBagDamage,S3_POISONCLOUD12,0,0},	// S3_POISONCLOUD11
{SPR3_PSBG,6,2,SA3_PoisonBagDamage,S3_POISONCLOUD13,0,0},	// S3_POISONCLOUD12
{SPR3_PSBG,7,2,SA3_PoisonBagDamage,S3_POISONCLOUD14,0,0},	// S3_POISONCLOUD13
{SPR3_PSBG,7,2,SA3_PoisonBagDamage,S3_POISONCLOUD15,0,0},	// S3_POISONCLOUD14
{SPR3_PSBG,7,2,SA3_PoisonBagDamage,S3_POISONCLOUD16,0,0},	// S3_POISONCLOUD15
{SPR3_PSBG,8,2,SA3_PoisonBagDamage,S3_POISONCLOUD17,0,0},	// S3_POISONCLOUD16
{SPR3_PSBG,8,1,SA3_PoisonBagDamage,S3_POISONCLOUD18,0,0},	// S3_POISONCLOUD17
{SPR3_PSBG,8,1,SA3_PoisonBagCheck,S3_POISONCLOUD4,0,0},	// S3_POISONCLOUD18
{SPR3_PSBG,7,7,SA3_NULL,S3_POISONCLOUD_X2,0,0},	// S3_POISONCLOUD_X1
{SPR3_PSBG,6,7,SA3_NULL,S3_POISONCLOUD_X3,0,0},	// S3_POISONCLOUD_X2
{SPR3_PSBG,5,6,SA3_NULL,S3_POISONCLOUD_X4,0,0},	// S3_POISONCLOUD_X3
{SPR3_PSBG,3,6,SA3_NULL,S3_NULL,0,0},	// S3_POISONCLOUD_X4
{SPR3_THRW,0,4,SA3_CheckThrowBomb,S3_THROWINGBOMB2,0,0},	// S3_THROWINGBOMB1
{SPR3_THRW,1,3,SA3_CheckThrowBomb,S3_THROWINGBOMB3,0,0},	// S3_THROWINGBOMB2
{SPR3_THRW,2,3,SA3_CheckThrowBomb,S3_THROWINGBOMB4,0,0},	// S3_THROWINGBOMB3
{SPR3_THRW,3,3,SA3_CheckThrowBomb,S3_THROWINGBOMB5,0,0},	// S3_THROWINGBOMB4
{SPR3_THRW,4,3,SA3_CheckThrowBomb,S3_THROWINGBOMB6,0,0},	// S3_THROWINGBOMB5
{SPR3_THRW,5,3,SA3_CheckThrowBomb,S3_THROWINGBOMB1,0,0},	// S3_THROWINGBOMB6
{SPR3_THRW,6,6,SA3_CheckThrowBomb,S3_THROWINGBOMB8,0,0},	// S3_THROWINGBOMB7
{SPR3_THRW,5,4,SA3_CheckThrowBomb,S3_THROWINGBOMB9,0,0},	// S3_THROWINGBOMB8
{SPR3_THRW,7,6,SA3_CheckThrowBomb,S3_THROWINGBOMB10,0,0},	// S3_THROWINGBOMB9
{SPR3_THRW,5,4,SA3_CheckThrowBomb,S3_THROWINGBOMB11,0,0},	// S3_THROWINGBOMB10
{SPR3_THRW,6,6,SA3_CheckThrowBomb,S3_THROWINGBOMB12,0,0},	// S3_THROWINGBOMB11
{SPR3_THRW,5,3,SA3_CheckThrowBomb,S3_THROWINGBOMB12,0,0},	// S3_THROWINGBOMB12
{SPR3_CFCF,32784,4,SA3_NoGravity,S3_THROWINGBOMB_X2,0,0},	// S3_THROWINGBOMB_X1
{SPR3_CFCF,32785,3,SA3_Scream,S3_THROWINGBOMB_X3,0,0},	// S3_THROWINGBOMB_X2
{SPR3_CFCF,32786,4,SA3_Explode,S3_THROWINGBOMB_X4,0,0},	// S3_THROWINGBOMB_X3
{SPR3_CFCF,32787,3,SA3_NULL,S3_THROWINGBOMB_X5,0,0},	// S3_THROWINGBOMB_X4
{SPR3_CFCF,32788,4,SA3_NULL,S3_THROWINGBOMB_X6,0,0},	// S3_THROWINGBOMB_X5
{SPR3_CFCF,32790,3,SA3_NULL,S3_THROWINGBOMB_X7,0,0},	// S3_THROWINGBOMB_X6
{SPR3_CFCF,32791,4,SA3_NULL,S3_THROWINGBOMB_X8,0,0},	// S3_THROWINGBOMB_X7
{SPR3_CFCF,32793,3,SA3_NULL,S3_NULL,0,0},	// S3_THROWINGBOMB_X8
{SPR3_SPED,32768,3,SA3_NULL,S3_ARTI_BOOTS2,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS1
{SPR3_SPED,32769,3,SA3_NULL,S3_ARTI_BOOTS3,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS2
{SPR3_SPED,32770,3,SA3_NULL,S3_ARTI_BOOTS4,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS3
{SPR3_SPED,32771,3,SA3_NULL,S3_ARTI_BOOTS5,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS4
{SPR3_SPED,32772,3,SA3_NULL,S3_ARTI_BOOTS6,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS5
{SPR3_SPED,32773,3,SA3_NULL,S3_ARTI_BOOTS7,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS6
{SPR3_SPED,32774,3,SA3_NULL,S3_ARTI_BOOTS8,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS7
{SPR3_SPED,32775,3,SA3_NULL,S3_ARTI_BOOTS1,0,0,"artifact/speed.md2",0},	// S3_ARTI_BOOTS8
{SPR3_BMAN,32768,-1,SA3_NULL,S3_NULL,0,0,"artifact/mboost.md2",0},	// S3_ARTI_MANA
{SPR3_BRAC,32768,4,SA3_NULL,S3_ARTI_ARMOR2,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR1
{SPR3_BRAC,32769,4,SA3_NULL,S3_ARTI_ARMOR3,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR2
{SPR3_BRAC,32770,4,SA3_NULL,S3_ARTI_ARMOR4,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR3
{SPR3_BRAC,32771,4,SA3_NULL,S3_ARTI_ARMOR5,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR4
{SPR3_BRAC,32772,4,SA3_NULL,S3_ARTI_ARMOR6,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR5
{SPR3_BRAC,32773,4,SA3_NULL,S3_ARTI_ARMOR7,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR6
{SPR3_BRAC,32774,4,SA3_NULL,S3_ARTI_ARMOR8,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR7
{SPR3_BRAC,32775,4,SA3_NULL,S3_ARTI_ARMOR1,0,0,"artifact/bracer.md2",0},	// S3_ARTI_ARMOR8
{SPR3_BLST,32768,4,SA3_NULL,S3_ARTI_BLAST2,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST1
{SPR3_BLST,32769,4,SA3_NULL,S3_ARTI_BLAST3,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST2
{SPR3_BLST,32770,4,SA3_NULL,S3_ARTI_BLAST4,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST3
{SPR3_BLST,32771,4,SA3_NULL,S3_ARTI_BLAST5,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST4
{SPR3_BLST,32772,4,SA3_NULL,S3_ARTI_BLAST6,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST5
{SPR3_BLST,32773,4,SA3_NULL,S3_ARTI_BLAST7,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST6
{SPR3_BLST,32774,4,SA3_NULL,S3_ARTI_BLAST8,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST7
{SPR3_BLST,32775,4,SA3_NULL,S3_ARTI_BLAST1,0,0,"artifact/blast.md2",0},	// S3_ARTI_BLAST8
{SPR3_HRAD,32768,4,SA3_NULL,S3_ARTI_HEALRAD2,0,0},	// S3_ARTI_HEALRAD1
{SPR3_HRAD,32769,4,SA3_NULL,S3_ARTI_HEALRAD3,0,0},	// S3_ARTI_HEALRAD2
{SPR3_HRAD,32770,4,SA3_NULL,S3_ARTI_HEALRAD4,0,0},	// S3_ARTI_HEALRAD3
{SPR3_HRAD,32771,4,SA3_NULL,S3_ARTI_HEALRAD5,0,0},	// S3_ARTI_HEALRAD4
{SPR3_HRAD,32772,4,SA3_NULL,S3_ARTI_HEALRAD6,0,0},	// S3_ARTI_HEALRAD5
{SPR3_HRAD,32773,4,SA3_NULL,S3_ARTI_HEALRAD7,0,0},	// S3_ARTI_HEALRAD6
{SPR3_HRAD,32774,4,SA3_NULL,S3_ARTI_HEALRAD8,0,0},	// S3_ARTI_HEALRAD7
{SPR3_HRAD,32775,4,SA3_NULL,S3_ARTI_HEALRAD9,0,0},	// S3_ARTI_HEALRAD8
{SPR3_HRAD,32776,4,SA3_NULL,S3_ARTI_HEALRAD0,0,0},	// S3_ARTI_HEALRAD9
{SPR3_HRAD,32777,4,SA3_NULL,S3_ARTI_HEALRADA,0,0},	// S3_ARTI_HEALRAD0
{SPR3_HRAD,32778,4,SA3_NULL,S3_ARTI_HEALRADB,0,0},	// S3_ARTI_HEALRADA
{SPR3_HRAD,32779,4,SA3_NULL,S3_ARTI_HEALRADC,0,0},	// S3_ARTI_HEALRADB
{SPR3_HRAD,32780,4,SA3_NULL,S3_ARTI_HEALRADD,0,0},	// S3_ARTI_HEALRADC
{SPR3_HRAD,32781,4,SA3_NULL,S3_ARTI_HEALRADE,0,0},	// S3_ARTI_HEALRADD
{SPR3_HRAD,32782,4,SA3_NULL,S3_ARTI_HEALRADF,0,0},	// S3_ARTI_HEALRADE
{SPR3_HRAD,32783,4,SA3_NULL,S3_ARTI_HEALRAD1,0,0},	// S3_ARTI_HEALRADF
{SPR3_SPSH,0,8,SA3_NULL,S3_SPLASH2,0,0},	// S3_SPLASH1
{SPR3_SPSH,1,8,SA3_NULL,S3_SPLASH3,0,0},	// S3_SPLASH2
{SPR3_SPSH,2,8,SA3_NULL,S3_SPLASH4,0,0},	// S3_SPLASH3
{SPR3_SPSH,3,16,SA3_NULL,S3_NULL,0,0},	// S3_SPLASH4
{SPR3_SPSH,3,10,SA3_NULL,S3_NULL,0,0},	// S3_SPLASHX
{SPR3_SPSH,4,5,SA3_NULL,S3_SPLASHBASE2,0,0},	// S3_SPLASHBASE1
{SPR3_SPSH,5,5,SA3_NULL,S3_SPLASHBASE3,0,0},	// S3_SPLASHBASE2
{SPR3_SPSH,6,5,SA3_NULL,S3_SPLASHBASE4,0,0},	// S3_SPLASHBASE3
{SPR3_SPSH,7,5,SA3_NULL,S3_SPLASHBASE5,0,0},	// S3_SPLASHBASE4
{SPR3_SPSH,8,5,SA3_NULL,S3_SPLASHBASE6,0,0},	// S3_SPLASHBASE5
{SPR3_SPSH,9,5,SA3_NULL,S3_SPLASHBASE7,0,0},	// S3_SPLASHBASE6
{SPR3_SPSH,10,5,SA3_NULL,S3_NULL,0,0},	// S3_SPLASHBASE7
{SPR3_LVAS,32768,5,SA3_NULL,S3_LAVASPLASH2,0,0},	// S3_LAVASPLASH1
{SPR3_LVAS,32769,5,SA3_NULL,S3_LAVASPLASH3,0,0},	// S3_LAVASPLASH2
{SPR3_LVAS,32770,5,SA3_NULL,S3_LAVASPLASH4,0,0},	// S3_LAVASPLASH3
{SPR3_LVAS,32771,5,SA3_NULL,S3_LAVASPLASH5,0,0},	// S3_LAVASPLASH4
{SPR3_LVAS,32772,5,SA3_NULL,S3_LAVASPLASH6,0,0},	// S3_LAVASPLASH5
{SPR3_LVAS,32773,5,SA3_NULL,S3_NULL,0,0},	// S3_LAVASPLASH6
{SPR3_LVAS,32774,5,SA3_NULL,S3_LAVASMOKE2,0,0},	// S3_LAVASMOKE1
{SPR3_LVAS,32775,5,SA3_NULL,S3_LAVASMOKE3,0,0},	// S3_LAVASMOKE2
{SPR3_LVAS,32776,5,SA3_NULL,S3_LAVASMOKE4,0,0},	// S3_LAVASMOKE3
{SPR3_LVAS,32777,5,SA3_NULL,S3_LAVASMOKE5,0,0},	// S3_LAVASMOKE4
{SPR3_LVAS,32778,5,SA3_NULL,S3_NULL,0,0},	// S3_LAVASMOKE5
{SPR3_SLDG,0,8,SA3_NULL,S3_SLUDGECHUNK2,0,0},	// S3_SLUDGECHUNK1
{SPR3_SLDG,1,8,SA3_NULL,S3_SLUDGECHUNK3,0,0},	// S3_SLUDGECHUNK2
{SPR3_SLDG,2,8,SA3_NULL,S3_SLUDGECHUNK4,0,0},	// S3_SLUDGECHUNK3
{SPR3_SLDG,3,8,SA3_NULL,S3_NULL,0,0},	// S3_SLUDGECHUNK4
{SPR3_SLDG,3,6,SA3_NULL,S3_NULL,0,0},	// S3_SLUDGECHUNKX
{SPR3_SLDG,4,6,SA3_NULL,S3_SLUDGESPLASH2,0,0},	// S3_SLUDGESPLASH1
{SPR3_SLDG,5,6,SA3_NULL,S3_SLUDGESPLASH3,0,0},	// S3_SLUDGESPLASH2
{SPR3_SLDG,6,6,SA3_NULL,S3_SLUDGESPLASH4,0,0},	// S3_SLUDGESPLASH3
{SPR3_SLDG,7,6,SA3_NULL,S3_NULL,0,0},	// S3_SLUDGESPLASH4
{SPR3_STTW,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZWINGEDSTATUE1
{SPR3_RCK1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCK1_1
{SPR3_RCK2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCK2_1
{SPR3_RCK3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCK3_1
{SPR3_RCK4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCK4_1
{SPR3_CDLR,0,4,SA3_NULL,S3_ZCHANDELIER2,0,0,"lights/chandelr.md2",0},	// S3_ZCHANDELIER1
{SPR3_CDLR,1,4,SA3_NULL,S3_ZCHANDELIER3,0,0,"lights/chandelr.md2",0},	// S3_ZCHANDELIER2
{SPR3_CDLR,2,4,SA3_NULL,S3_ZCHANDELIER1,0,0,"lights/chandelr.md2",0},	// S3_ZCHANDELIER3
{SPR3_CDLR,3,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHANDELIER_U
{SPR3_TRE1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREEDEAD1
{SPR3_TRE1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREE
{SPR3_TRDT,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREEDESTRUCTIBLE1
{SPR3_TRDT,1,5,SA3_NULL,S3_ZTREEDES_D2,0,0},	// S3_ZTREEDES_D1
{SPR3_TRDT,2,5,SA3_Scream,S3_ZTREEDES_D3,0,0},	// S3_ZTREEDES_D2
{SPR3_TRDT,3,5,SA3_NULL,S3_ZTREEDES_D4,0,0},	// S3_ZTREEDES_D3
{SPR3_TRDT,4,5,SA3_NULL,S3_ZTREEDES_D5,0,0},	// S3_ZTREEDES_D4
{SPR3_TRDT,5,5,SA3_NULL,S3_ZTREEDES_D6,0,0},	// S3_ZTREEDES_D5
{SPR3_TRDT,6,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREEDES_D6
{SPR3_TRDT,32775,5,SA3_NULL,S3_ZTREEDES_X2,0,0},	// S3_ZTREEDES_X1
{SPR3_TRDT,32776,5,SA3_NULL,S3_ZTREEDES_X3,0,0},	// S3_ZTREEDES_X2
{SPR3_TRDT,32777,5,SA3_NULL,S3_ZTREEDES_X4,0,0},	// S3_ZTREEDES_X3
{SPR3_TRDT,32778,5,SA3_NULL,S3_ZTREEDES_X5,0,0},	// S3_ZTREEDES_X4
{SPR3_TRDT,32779,5,SA3_NULL,S3_ZTREEDES_X6,0,0},	// S3_ZTREEDES_X5
{SPR3_TRDT,32780,5,SA3_Explode,S3_ZTREEDES_X7,0,0},	// S3_ZTREEDES_X6
{SPR3_TRDT,32781,5,SA3_NULL,S3_ZTREEDES_X8,0,0},	// S3_ZTREEDES_X7
{SPR3_TRDT,14,5,SA3_NULL,S3_ZTREEDES_X9,0,0},	// S3_ZTREEDES_X8
{SPR3_TRDT,15,5,SA3_NULL,S3_ZTREEDES_X10,0,0},	// S3_ZTREEDES_X9
{SPR3_TRDT,16,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREEDES_X10
{SPR3_TRE2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREESWAMP182_1
{SPR3_TRE3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREESWAMP172_1
{SPR3_STM1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTUMPBURNED1
{SPR3_STM2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTUMPBARE1
{SPR3_STM3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTUMPSWAMP1_1
{SPR3_STM4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTUMPSWAMP2_1
{SPR3_MSH1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMLARGE1_1
{SPR3_MSH2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMLARGE2_1
{SPR3_MSH3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMLARGE3_1
{SPR3_MSH4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMSMALL1_1
{SPR3_MSH5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMSMALL2_1
{SPR3_MSH6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMSMALL3_1
{SPR3_MSH7,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMSMALL4_1
{SPR3_MSH8,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHROOMSMALL5_1
{SPR3_SGMP,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITEPILLAR1
{SPR3_SGM1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITELARGE1
{SPR3_SGM2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITEMEDIUM1
{SPR3_SGM3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITESMALL1
{SPR3_SLC1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITELARGE1
{SPR3_SLC2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITEMEDIUM1
{SPR3_SLC3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITESMALL1
{SPR3_MSS1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZMOSSCEILING1_1
{SPR3_MSS2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZMOSSCEILING2_1
{SPR3_SWMV,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSWAMPVINE1
{SPR3_CPS1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCORPSEKABOB1
{SPR3_CPS2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCORPSESLEEPING1
{SPR3_TMS1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONERIP1
{SPR3_TMS2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONESHANE1
{SPR3_TMS3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONEBIGCROSS1
{SPR3_TMS4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONEBRIANR1
{SPR3_TMS5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONECROSSCIRCLE1
{SPR3_TMS6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONESMALLCROSS1
{SPR3_TMS7,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTOMBSTONEBRIANP1
{SPR3_CPS3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEHANGING_1
{SPR3_STT2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEGREENTALL_1
{SPR3_STT3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEBLUETALL_1
{SPR3_STT4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEGREENSHORT_1
{SPR3_STT5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEBLUESHORT_1
{SPR3_GAR1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLESTRIPETALL_1
{SPR3_GAR2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEDARKREDTALL_1
{SPR3_GAR3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEREDTALL_1
{SPR3_GAR4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLETANTALL_1
{SPR3_GAR5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLERUSTTALL_1
{SPR3_GAR6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEDARKREDSHORT_1
{SPR3_GAR7,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLEREDSHORT_1
{SPR3_GAR8,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLETANSHORT_1
{SPR3_GAR9,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTATUEGARGOYLERUSTSHORT_1
{SPR3_BNR1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZBANNERTATTERED_1
{SPR3_TRE4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREELARGE1
{SPR3_TRE5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREELARGE2
{SPR3_TRE6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREEGNARLED1
{SPR3_TRE7,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTREEGNARLED2
{SPR3_LOGG,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZLOG
{SPR3_ICT1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITEICELARGE
{SPR3_ICT2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITEICEMEDIUM
{SPR3_ICT3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITEICESMALL
{SPR3_ICT4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALACTITEICETINY
{SPR3_ICM1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITEICELARGE
{SPR3_ICM2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITEICEMEDIUM
{SPR3_ICM3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITEICESMALL
{SPR3_ICM4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSTALAGMITEICETINY
{SPR3_RKBL,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCKBROWN1
{SPR3_RKBS,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCKBROWN2
{SPR3_RKBK,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZROCKBLACK
{SPR3_RBL1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZRUBBLE1
{SPR3_RBL2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZRUBBLE2
{SPR3_RBL3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZRUBBLE3
{SPR3_VASE,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZVASEPILLAR
{SPR3_POT1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZPOTTERY1
{SPR3_POT2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZPOTTERY2
{SPR3_POT3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZPOTTERY3
{SPR3_POT1,0,0,SA3_PotteryExplode,S3_NULL,0,0},	// S3_ZPOTTERY_EXPLODE
{SPR3_PBIT,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_POTTERYBIT_1
{SPR3_PBIT,1,-1,SA3_NULL,S3_NULL,0,0},	// S3_POTTERYBIT_2
{SPR3_PBIT,2,-1,SA3_NULL,S3_NULL,0,0},	// S3_POTTERYBIT_3
{SPR3_PBIT,3,-1,SA3_NULL,S3_NULL,0,0},	// S3_POTTERYBIT_4
{SPR3_PBIT,4,-1,SA3_NULL,S3_NULL,0,0},	// S3_POTTERYBIT_5
{SPR3_PBIT,5,0,SA3_PotteryChooseBit,S3_NULL,0,0},	// S3_POTTERYBIT_EX0
{SPR3_PBIT,5,140,SA3_NULL,S3_POTTERYBIT_EX1_2,0,0},	// S3_POTTERYBIT_EX1
{SPR3_PBIT,5,1,SA3_PotteryCheck,S3_NULL,0,0},	// S3_POTTERYBIT_EX1_2
{SPR3_PBIT,6,140,SA3_NULL,S3_POTTERYBIT_EX2_2,0,0},	// S3_POTTERYBIT_EX2
{SPR3_PBIT,6,1,SA3_PotteryCheck,S3_NULL,0,0},	// S3_POTTERYBIT_EX2_2
{SPR3_PBIT,7,140,SA3_NULL,S3_POTTERYBIT_EX3_2,0,0},	// S3_POTTERYBIT_EX3
{SPR3_PBIT,7,1,SA3_PotteryCheck,S3_NULL,0,0},	// S3_POTTERYBIT_EX3_2
{SPR3_PBIT,8,140,SA3_NULL,S3_POTTERYBIT_EX4_2,0,0},	// S3_POTTERYBIT_EX4
{SPR3_PBIT,8,1,SA3_PotteryCheck,S3_NULL,0,0},	// S3_POTTERYBIT_EX4_2
{SPR3_PBIT,9,140,SA3_NULL,S3_POTTERYBIT_EX5_2,0,0},	// S3_POTTERYBIT_EX5
{SPR3_PBIT,9,1,SA3_PotteryCheck,S3_NULL,0,0},	// S3_POTTERYBIT_EX5_2
{SPR3_CPS4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCORPSELYNCHED1
{SPR3_CPS5,0,140,SA3_CorpseBloodDrip,S3_ZCORPSELYNCHED2,0,0},	// S3_ZCORPSELYNCHED2
{SPR3_CPS6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCORPSESITTING
{SPR3_CPS6,0,1,SA3_CorpseExplode,S3_NULL,0,0},	// S3_ZCORPSESITTING_X
{SPR3_CPB1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEBIT_1
{SPR3_CPB2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEBIT_2
{SPR3_CPB3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEBIT_3
{SPR3_CPB4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEBIT_4
{SPR3_BDRP,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEBLOODDRIP
{SPR3_BDSH,0,3,SA3_NULL,S3_CORPSEBLOODDRIP_X2,0,0},	// S3_CORPSEBLOODDRIP_X1
{SPR3_BDSH,1,3,SA3_NULL,S3_CORPSEBLOODDRIP_X3,0,0},	// S3_CORPSEBLOODDRIP_X2
{SPR3_BDSH,2,2,SA3_NULL,S3_CORPSEBLOODDRIP_X4,0,0},	// S3_CORPSEBLOODDRIP_X3
{SPR3_BDSH,3,2,SA3_NULL,S3_NULL,0,0},	// S3_CORPSEBLOODDRIP_X4
{SPR3_BDPL,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_BLOODPOOL
{SPR3_CNDL,32768,4,SA3_NULL,S3_ZCANDLE2,0,0},	// S3_ZCANDLE1
{SPR3_CNDL,32769,4,SA3_NULL,S3_ZCANDLE3,0,0},	// S3_ZCANDLE2
{SPR3_CNDL,32770,4,SA3_NULL,S3_ZCANDLE1,0,0},	// S3_ZCANDLE3
{SPR3_MAN1,0,20,SA3_LeafSpawn,S3_ZLEAFSPAWNER,0,0},	// S3_ZLEAFSPAWNER
{SPR3_LEF1,0,4,SA3_NULL,S3_LEAF1_2,0,0},	// S3_LEAF1_1
{SPR3_LEF1,1,4,SA3_NULL,S3_LEAF1_3,0,0},	// S3_LEAF1_2
{SPR3_LEF1,2,4,SA3_NULL,S3_LEAF1_4,0,0},	// S3_LEAF1_3
{SPR3_LEF1,3,4,SA3_LeafThrust,S3_LEAF1_5,0,0},	// S3_LEAF1_4
{SPR3_LEF1,4,4,SA3_NULL,S3_LEAF1_6,0,0},	// S3_LEAF1_5
{SPR3_LEF1,5,4,SA3_NULL,S3_LEAF1_7,0,0},	// S3_LEAF1_6
{SPR3_LEF1,6,4,SA3_NULL,S3_LEAF1_8,0,0},	// S3_LEAF1_7
{SPR3_LEF1,7,4,SA3_LeafThrust,S3_LEAF1_9,0,0},	// S3_LEAF1_8
{SPR3_LEF1,8,4,SA3_NULL,S3_LEAF1_10,0,0},	// S3_LEAF1_9
{SPR3_LEF1,0,4,SA3_NULL,S3_LEAF1_11,0,0},	// S3_LEAF1_10
{SPR3_LEF1,1,4,SA3_NULL,S3_LEAF1_12,0,0},	// S3_LEAF1_11
{SPR3_LEF1,2,4,SA3_LeafThrust,S3_LEAF1_13,0,0},	// S3_LEAF1_12
{SPR3_LEF1,3,4,SA3_NULL,S3_LEAF1_14,0,0},	// S3_LEAF1_13
{SPR3_LEF1,4,4,SA3_NULL,S3_LEAF1_15,0,0},	// S3_LEAF1_14
{SPR3_LEF1,5,4,SA3_NULL,S3_LEAF1_16,0,0},	// S3_LEAF1_15
{SPR3_LEF1,6,4,SA3_LeafThrust,S3_LEAF1_17,0,0},	// S3_LEAF1_16
{SPR3_LEF1,7,4,SA3_NULL,S3_LEAF1_18,0,0},	// S3_LEAF1_17
{SPR3_LEF1,8,4,SA3_NULL,S3_NULL,0,0},	// S3_LEAF1_18
{SPR3_LEF3,3,10,SA3_LeafCheck,S3_LEAF_X1,0,0},	// S3_LEAF_X1
{SPR3_LEF2,0,4,SA3_NULL,S3_LEAF2_2,0,0},	// S3_LEAF2_1
{SPR3_LEF2,1,4,SA3_NULL,S3_LEAF2_3,0,0},	// S3_LEAF2_2
{SPR3_LEF2,2,4,SA3_NULL,S3_LEAF2_4,0,0},	// S3_LEAF2_3
{SPR3_LEF2,3,4,SA3_LeafThrust,S3_LEAF2_5,0,0},	// S3_LEAF2_4
{SPR3_LEF2,4,4,SA3_NULL,S3_LEAF2_6,0,0},	// S3_LEAF2_5
{SPR3_LEF2,5,4,SA3_NULL,S3_LEAF2_7,0,0},	// S3_LEAF2_6
{SPR3_LEF2,6,4,SA3_NULL,S3_LEAF2_8,0,0},	// S3_LEAF2_7
{SPR3_LEF2,7,4,SA3_LeafThrust,S3_LEAF2_9,0,0},	// S3_LEAF2_8
{SPR3_LEF2,8,4,SA3_NULL,S3_LEAF2_10,0,0},	// S3_LEAF2_9
{SPR3_LEF2,0,4,SA3_NULL,S3_LEAF2_11,0,0},	// S3_LEAF2_10
{SPR3_LEF2,1,4,SA3_NULL,S3_LEAF2_12,0,0},	// S3_LEAF2_11
{SPR3_LEF2,2,4,SA3_LeafThrust,S3_LEAF2_13,0,0},	// S3_LEAF2_12
{SPR3_LEF2,3,4,SA3_NULL,S3_LEAF2_14,0,0},	// S3_LEAF2_13
{SPR3_LEF2,4,4,SA3_NULL,S3_LEAF2_15,0,0},	// S3_LEAF2_14
{SPR3_LEF2,5,4,SA3_NULL,S3_LEAF2_16,0,0},	// S3_LEAF2_15
{SPR3_LEF2,6,4,SA3_LeafThrust,S3_LEAF2_17,0,0},	// S3_LEAF2_16
{SPR3_LEF2,7,4,SA3_NULL,S3_LEAF2_18,0,0},	// S3_LEAF2_17
{SPR3_LEF2,8,4,SA3_NULL,S3_NULL,0,0},	// S3_LEAF2_18
{SPR3_TWTR,32768,4,SA3_NULL,S3_ZTWINEDTORCH_2,0,0},	// S3_ZTWINEDTORCH_1
{SPR3_TWTR,32769,4,SA3_NULL,S3_ZTWINEDTORCH_3,0,0},	// S3_ZTWINEDTORCH_2
{SPR3_TWTR,32770,4,SA3_NULL,S3_ZTWINEDTORCH_4,0,0},	// S3_ZTWINEDTORCH_3
{SPR3_TWTR,32771,4,SA3_NULL,S3_ZTWINEDTORCH_5,0,0},	// S3_ZTWINEDTORCH_4
{SPR3_TWTR,32772,4,SA3_NULL,S3_ZTWINEDTORCH_6,0,0},	// S3_ZTWINEDTORCH_5
{SPR3_TWTR,32773,4,SA3_NULL,S3_ZTWINEDTORCH_7,0,0},	// S3_ZTWINEDTORCH_6
{SPR3_TWTR,32774,4,SA3_NULL,S3_ZTWINEDTORCH_8,0,0},	// S3_ZTWINEDTORCH_7
{SPR3_TWTR,32775,4,SA3_NULL,S3_ZTWINEDTORCH_1,0,0},	// S3_ZTWINEDTORCH_8
{SPR3_TWTR,8,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZTWINEDTORCH_UNLIT
{SPR3_TLGL,0,2,SA3_NULL,S3_BRIDGE2,0,0},	// S3_BRIDGE1
{SPR3_TLGL,0,2,SA3_BridgeInit,S3_BRIDGE3,0,0},	// S3_BRIDGE2
{SPR3_TLGL,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_BRIDGE3
{SPR3_TLGL,0,2,SA3_NULL,S3_FREE_BRIDGE2,0,0},	// S3_FREE_BRIDGE1
{SPR3_TLGL,0,300,SA3_NULL,S3_NULL,0,0},	// S3_FREE_BRIDGE2
{SPR3_TLGL,0,2,SA3_NULL,S3_BBALL2,0,0},	// S3_BBALL1
{SPR3_TLGL,0,5,SA3_BridgeOrbit,S3_BBALL2,0,0},	// S3_BBALL2
{SPR3_WLTR,32768,5,SA3_NULL,S3_ZWALLTORCH2,0,0,"lights/cflmtrch.md2",0},	// S3_ZWALLTORCH1
{SPR3_WLTR,32769,5,SA3_NULL,S3_ZWALLTORCH3,0,0,"lights/cflmtrch.md2",1},	// S3_ZWALLTORCH2
{SPR3_WLTR,32770,5,SA3_NULL,S3_ZWALLTORCH4,0,0,"lights/cflmtrch.md2",2},	// S3_ZWALLTORCH3
{SPR3_WLTR,32771,5,SA3_NULL,S3_ZWALLTORCH5,0,0,"lights/cflmtrch.md2",3},	// S3_ZWALLTORCH4
{SPR3_WLTR,32772,5,SA3_NULL,S3_ZWALLTORCH6,0,0,"lights/cflmtrch.md2",4},	// S3_ZWALLTORCH5
{SPR3_WLTR,32773,5,SA3_NULL,S3_ZWALLTORCH7,0,0,"lights/cflmtrch.md2",5},	// S3_ZWALLTORCH6
{SPR3_WLTR,32774,5,SA3_NULL,S3_ZWALLTORCH8,0,0,"lights/cflmtrch.md2",6},	// S3_ZWALLTORCH7
{SPR3_WLTR,32775,5,SA3_NULL,S3_ZWALLTORCH1,0,0,"lights/cflmtrch.md2",7},	// S3_ZWALLTORCH8
{SPR3_WLTR,8,-1,SA3_NULL,S3_NULL,0,0,"lights/castrch.md2",0},	// S3_ZWALLTORCH_U
{SPR3_BARL,0,-1,SA3_NULL,S3_NULL,0,0,"objects/barrel.md2",0},	// S3_ZBARREL1
{SPR3_SHB1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHRUB1
{SPR3_SHB1,0,1,SA3_TreeDeath,S3_ZSHRUB1,0,0},	// S3_ZSHRUB1_DIE
{SPR3_SHB1,32769,7,SA3_NULL,S3_ZSHRUB1_X2,0,0},	// S3_ZSHRUB1_X1
{SPR3_SHB1,32770,6,SA3_Scream,S3_ZSHRUB1_X3,0,0},	// S3_ZSHRUB1_X2
{SPR3_SHB1,32771,5,SA3_NULL,S3_NULL,0,0},	// S3_ZSHRUB1_X3
{SPR3_SHB2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSHRUB2
{SPR3_SHB2,0,1,SA3_TreeDeath,S3_ZSHRUB2,0,0},	// S3_ZSHRUB2_DIE
{SPR3_SHB2,32769,7,SA3_NULL,S3_ZSHRUB2_X2,0,0},	// S3_ZSHRUB2_X1
{SPR3_SHB2,32770,6,SA3_Scream,S3_ZSHRUB2_X3,0,0},	// S3_ZSHRUB2_X2
{SPR3_SHB2,32771,5,SA3_Explode,S3_ZSHRUB2_X4,0,0},	// S3_ZSHRUB2_X3
{SPR3_SHB2,32772,5,SA3_NULL,S3_NULL,0,0},	// S3_ZSHRUB2_X4
{SPR3_BCKT,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZBUCKET1
{SPR3_SHRM,0,5,SA3_PoisonShroom,S3_ZPOISONSHROOM_P2,0,0},	// S3_ZPOISONSHROOM1
{SPR3_SHRM,0,6,SA3_NULL,S3_ZPOISONSHROOM_P2,0,0},	// S3_ZPOISONSHROOM_P1
{SPR3_SHRM,1,8,SA3_Pain,S3_ZPOISONSHROOM1,0,0},	// S3_ZPOISONSHROOM_P2
{SPR3_SHRM,2,5,SA3_NULL,S3_ZPOISONSHROOM_X2,0,0},	// S3_ZPOISONSHROOM_X1
{SPR3_SHRM,3,5,SA3_NULL,S3_ZPOISONSHROOM_X3,0,0},	// S3_ZPOISONSHROOM_X2
{SPR3_SHRM,4,5,SA3_PoisonBagInit,S3_ZPOISONSHROOM_X4,0,0},	// S3_ZPOISONSHROOM_X3
{SPR3_SHRM,5,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZPOISONSHROOM_X4
{SPR3_FBUL,32768,4,SA3_NULL,S3_ZFIREBULL2,0,0},	// S3_ZFIREBULL1
{SPR3_FBUL,32769,4,SA3_NULL,S3_ZFIREBULL3,0,0},	// S3_ZFIREBULL2
{SPR3_FBUL,32770,4,SA3_NULL,S3_ZFIREBULL4,0,0},	// S3_ZFIREBULL3
{SPR3_FBUL,32771,4,SA3_NULL,S3_ZFIREBULL5,0,0},	// S3_ZFIREBULL4
{SPR3_FBUL,32772,4,SA3_NULL,S3_ZFIREBULL6,0,0},	// S3_ZFIREBULL5
{SPR3_FBUL,32773,4,SA3_NULL,S3_ZFIREBULL7,0,0},	// S3_ZFIREBULL6
{SPR3_FBUL,32774,4,SA3_NULL,S3_ZFIREBULL1,0,0},	// S3_ZFIREBULL7
{SPR3_FBUL,32777,4,SA3_NULL,S3_ZFIREBULL_DEATH2,0,0},	// S3_ZFIREBULL_DEATH
{SPR3_FBUL,32776,4,SA3_NULL,S3_ZFIREBULL_U,0,0},	// S3_ZFIREBULL_DEATH2
{SPR3_FBUL,7,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZFIREBULL_U
{SPR3_FBUL,32776,4,SA3_NULL,S3_ZFIREBULL_BIRTH2,0,0},	// S3_ZFIREBULL_BIRTH
{SPR3_FBUL,32777,4,SA3_NULL,S3_ZFIREBULL1,0,0},	// S3_ZFIREBULL_BIRTH2
{SPR3_FSKL,32768,4,SA3_NULL,S3_ZFIRETHING2,0,0},	// S3_ZFIRETHING1
{SPR3_FSKL,32769,3,SA3_NULL,S3_ZFIRETHING3,0,0},	// S3_ZFIRETHING2
{SPR3_FSKL,32770,4,SA3_NULL,S3_ZFIRETHING4,0,0},	// S3_ZFIRETHING3
{SPR3_FSKL,32771,3,SA3_NULL,S3_ZFIRETHING5,0,0},	// S3_ZFIRETHING4
{SPR3_FSKL,32772,4,SA3_NULL,S3_ZFIRETHING6,0,0},	// S3_ZFIRETHING5
{SPR3_FSKL,32773,3,SA3_NULL,S3_ZFIRETHING7,0,0},	// S3_ZFIRETHING6
{SPR3_FSKL,32774,4,SA3_NULL,S3_ZFIRETHING8,0,0},	// S3_ZFIRETHING7
{SPR3_FSKL,32775,3,SA3_NULL,S3_ZFIRETHING9,0,0},	// S3_ZFIRETHING8
{SPR3_FSKL,32776,4,SA3_NULL,S3_ZFIRETHING1,0,0},	// S3_ZFIRETHING9
{SPR3_BRTR,32768,4,SA3_NULL,S3_ZBRASSTORCH2,0,0},	// S3_ZBRASSTORCH1
{SPR3_BRTR,32769,4,SA3_NULL,S3_ZBRASSTORCH3,0,0},	// S3_ZBRASSTORCH2
{SPR3_BRTR,32770,4,SA3_NULL,S3_ZBRASSTORCH4,0,0},	// S3_ZBRASSTORCH3
{SPR3_BRTR,32771,4,SA3_NULL,S3_ZBRASSTORCH5,0,0},	// S3_ZBRASSTORCH4
{SPR3_BRTR,32772,4,SA3_NULL,S3_ZBRASSTORCH6,0,0},	// S3_ZBRASSTORCH5
{SPR3_BRTR,32773,4,SA3_NULL,S3_ZBRASSTORCH7,0,0},	// S3_ZBRASSTORCH6
{SPR3_BRTR,32774,4,SA3_NULL,S3_ZBRASSTORCH8,0,0},	// S3_ZBRASSTORCH7
{SPR3_BRTR,32775,4,SA3_NULL,S3_ZBRASSTORCH9,0,0},	// S3_ZBRASSTORCH8
{SPR3_BRTR,32776,4,SA3_NULL,S3_ZBRASSTORCH10,0,0},	// S3_ZBRASSTORCH9
{SPR3_BRTR,32777,4,SA3_NULL,S3_ZBRASSTORCH11,0,0},	// S3_ZBRASSTORCH10
{SPR3_BRTR,32778,4,SA3_NULL,S3_ZBRASSTORCH12,0,0},	// S3_ZBRASSTORCH11
{SPR3_BRTR,32779,4,SA3_NULL,S3_ZBRASSTORCH13,0,0},	// S3_ZBRASSTORCH12
{SPR3_BRTR,32780,4,SA3_NULL,S3_ZBRASSTORCH1,0,0},	// S3_ZBRASSTORCH13
{SPR3_SUIT,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZSUITOFARMOR
{SPR3_SUIT,0,1,SA3_SoAExplode,S3_NULL,0,0},	// S3_ZSUITOFARMOR_X1
{SPR3_SUIT,1,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK1
{SPR3_SUIT,2,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK2
{SPR3_SUIT,3,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK3
{SPR3_SUIT,4,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK4
{SPR3_SUIT,5,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK5
{SPR3_SUIT,6,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK6
{SPR3_SUIT,7,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK7
{SPR3_SUIT,8,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK8
{SPR3_SUIT,9,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK9
{SPR3_SUIT,10,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZARMORCHUNK10
{SPR3_BBLL,5,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZBELL
{SPR3_BBLL,0,4,SA3_BellReset1,S3_ZBELL_X2,0,0},	// S3_ZBELL_X1
{SPR3_BBLL,1,4,SA3_NULL,S3_ZBELL_X3,0,0},	// S3_ZBELL_X2
{SPR3_BBLL,2,4,SA3_NULL,S3_ZBELL_X4,0,0},	// S3_ZBELL_X3
{SPR3_BBLL,3,5,SA3_Scream,S3_ZBELL_X5,0,0},	// S3_ZBELL_X4
{SPR3_BBLL,2,4,SA3_NULL,S3_ZBELL_X6,0,0},	// S3_ZBELL_X5
{SPR3_BBLL,1,4,SA3_NULL,S3_ZBELL_X7,0,0},	// S3_ZBELL_X6
{SPR3_BBLL,0,3,SA3_NULL,S3_ZBELL_X8,0,0},	// S3_ZBELL_X7
{SPR3_BBLL,4,4,SA3_NULL,S3_ZBELL_X9,0,0},	// S3_ZBELL_X8
{SPR3_BBLL,5,5,SA3_NULL,S3_ZBELL_X10,0,0},	// S3_ZBELL_X9
{SPR3_BBLL,6,6,SA3_Scream,S3_ZBELL_X11,0,0},	// S3_ZBELL_X10
{SPR3_BBLL,5,5,SA3_NULL,S3_ZBELL_X12,0,0},	// S3_ZBELL_X11
{SPR3_BBLL,4,4,SA3_NULL,S3_ZBELL_X13,0,0},	// S3_ZBELL_X12
{SPR3_BBLL,0,4,SA3_NULL,S3_ZBELL_X14,0,0},	// S3_ZBELL_X13
{SPR3_BBLL,1,5,SA3_NULL,S3_ZBELL_X15,0,0},	// S3_ZBELL_X14
{SPR3_BBLL,2,5,SA3_NULL,S3_ZBELL_X16,0,0},	// S3_ZBELL_X15
{SPR3_BBLL,3,6,SA3_Scream,S3_ZBELL_X17,0,0},	// S3_ZBELL_X16
{SPR3_BBLL,2,5,SA3_NULL,S3_ZBELL_X18,0,0},	// S3_ZBELL_X17
{SPR3_BBLL,1,5,SA3_NULL,S3_ZBELL_X19,0,0},	// S3_ZBELL_X18
{SPR3_BBLL,0,4,SA3_NULL,S3_ZBELL_X20,0,0},	// S3_ZBELL_X19
{SPR3_BBLL,4,5,SA3_NULL,S3_ZBELL_X21,0,0},	// S3_ZBELL_X20
{SPR3_BBLL,5,5,SA3_NULL,S3_ZBELL_X22,0,0},	// S3_ZBELL_X21
{SPR3_BBLL,6,7,SA3_Scream,S3_ZBELL_X23,0,0},	// S3_ZBELL_X22
{SPR3_BBLL,5,5,SA3_NULL,S3_ZBELL_X24,0,0},	// S3_ZBELL_X23
{SPR3_BBLL,4,5,SA3_NULL,S3_ZBELL_X25,0,0},	// S3_ZBELL_X24
{SPR3_BBLL,0,5,SA3_NULL,S3_ZBELL_X26,0,0},	// S3_ZBELL_X25
{SPR3_BBLL,1,6,SA3_NULL,S3_ZBELL_X27,0,0},	// S3_ZBELL_X26
{SPR3_BBLL,2,6,SA3_NULL,S3_ZBELL_X28,0,0},	// S3_ZBELL_X27
{SPR3_BBLL,3,7,SA3_Scream,S3_ZBELL_X29,0,0},	// S3_ZBELL_X28
{SPR3_BBLL,2,6,SA3_NULL,S3_ZBELL_X30,0,0},	// S3_ZBELL_X29
{SPR3_BBLL,1,6,SA3_NULL,S3_ZBELL_X31,0,0},	// S3_ZBELL_X30
{SPR3_BBLL,0,5,SA3_NULL,S3_ZBELL_X32,0,0},	// S3_ZBELL_X31
{SPR3_BBLL,4,6,SA3_NULL,S3_ZBELL_X33,0,0},	// S3_ZBELL_X32
{SPR3_BBLL,5,6,SA3_NULL,S3_ZBELL_X34,0,0},	// S3_ZBELL_X33
{SPR3_BBLL,6,7,SA3_Scream,S3_ZBELL_X35,0,0},	// S3_ZBELL_X34
{SPR3_BBLL,5,6,SA3_NULL,S3_ZBELL_X36,0,0},	// S3_ZBELL_X35
{SPR3_BBLL,4,6,SA3_NULL,S3_ZBELL_X37,0,0},	// S3_ZBELL_X36
{SPR3_BBLL,0,6,SA3_NULL,S3_ZBELL_X38,0,0},	// S3_ZBELL_X37
{SPR3_BBLL,1,6,SA3_NULL,S3_ZBELL_X39,0,0},	// S3_ZBELL_X38
{SPR3_BBLL,2,6,SA3_NULL,S3_ZBELL_X40,0,0},	// S3_ZBELL_X39
{SPR3_BBLL,1,7,SA3_NULL,S3_ZBELL_X41,0,0},	// S3_ZBELL_X40
{SPR3_BBLL,0,8,SA3_NULL,S3_ZBELL_X42,0,0},	// S3_ZBELL_X41
{SPR3_BBLL,4,12,SA3_NULL,S3_ZBELL_X43,0,0},	// S3_ZBELL_X42
{SPR3_BBLL,0,10,SA3_NULL,S3_ZBELL_X44,0,0},	// S3_ZBELL_X43
{SPR3_BBLL,1,12,SA3_NULL,S3_ZBELL_X45,0,0},	// S3_ZBELL_X44
{SPR3_BBLL,0,12,SA3_NULL,S3_ZBELL_X46,0,0},	// S3_ZBELL_X45
{SPR3_BBLL,4,14,SA3_NULL,S3_ZBELL_X47,0,0},	// S3_ZBELL_X46
{SPR3_BBLL,0,1,SA3_BellReset2,S3_ZBELL,0,0},	// S3_ZBELL_X47
{SPR3_CAND,32768,5,SA3_NULL,S3_ZBLUE_CANDLE2,0,0},	// S3_ZBLUE_CANDLE1
{SPR3_CAND,32769,5,SA3_NULL,S3_ZBLUE_CANDLE3,0,0},	// S3_ZBLUE_CANDLE2
{SPR3_CAND,32770,5,SA3_NULL,S3_ZBLUE_CANDLE4,0,0},	// S3_ZBLUE_CANDLE3
{SPR3_CAND,32771,5,SA3_NULL,S3_ZBLUE_CANDLE5,0,0},	// S3_ZBLUE_CANDLE4
{SPR3_CAND,32772,5,SA3_NULL,S3_ZBLUE_CANDLE1,0,0},	// S3_ZBLUE_CANDLE5
{SPR3_IRON,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZIRON_MAIDEN
{SPR3_XMAS,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZXMAS_TREE
{SPR3_XMAS,0,4,SA3_TreeDeath,S3_ZXMAS_TREE,0,0},	// S3_ZXMAS_TREE_DIE
{SPR3_XMAS,32769,6,SA3_NULL,S3_ZXMAS_TREE_X2,0,0},	// S3_ZXMAS_TREE_X1
{SPR3_XMAS,32770,6,SA3_Scream,S3_ZXMAS_TREE_X3,0,0},	// S3_ZXMAS_TREE_X2
{SPR3_XMAS,32771,5,SA3_NULL,S3_ZXMAS_TREE_X4,0,0},	// S3_ZXMAS_TREE_X3
{SPR3_XMAS,32772,5,SA3_Explode,S3_ZXMAS_TREE_X5,0,0},	// S3_ZXMAS_TREE_X4
{SPR3_XMAS,32773,5,SA3_NULL,S3_ZXMAS_TREE_X6,0,0},	// S3_ZXMAS_TREE_X5
{SPR3_XMAS,32774,4,SA3_NULL,S3_ZXMAS_TREE_X7,0,0},	// S3_ZXMAS_TREE_X6
{SPR3_XMAS,7,5,SA3_NULL,S3_ZXMAS_TREE_X8,0,0},	// S3_ZXMAS_TREE_X7
{SPR3_XMAS,8,4,SA3_NoBlocking,S3_ZXMAS_TREE_X9,0,0},	// S3_ZXMAS_TREE_X8
{SPR3_XMAS,9,4,SA3_NULL,S3_ZXMAS_TREE_X10,0,0},	// S3_ZXMAS_TREE_X9
{SPR3_XMAS,10,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZXMAS_TREE_X10
{SPR3_CDRN,32769,4,SA3_NULL,S3_ZCAULDRON2,0,0},	// S3_ZCAULDRON1
{SPR3_CDRN,32770,4,SA3_NULL,S3_ZCAULDRON3,0,0},	// S3_ZCAULDRON2
{SPR3_CDRN,32771,4,SA3_NULL,S3_ZCAULDRON4,0,0},	// S3_ZCAULDRON3
{SPR3_CDRN,32772,4,SA3_NULL,S3_ZCAULDRON5,0,0},	// S3_ZCAULDRON4
{SPR3_CDRN,32773,4,SA3_NULL,S3_ZCAULDRON6,0,0},	// S3_ZCAULDRON5
{SPR3_CDRN,32774,4,SA3_NULL,S3_ZCAULDRON7,0,0},	// S3_ZCAULDRON6
{SPR3_CDRN,32775,4,SA3_NULL,S3_ZCAULDRON1,0,0},	// S3_ZCAULDRON7
{SPR3_CDRN,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCAULDRON_U
{SPR3_CHNS,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINBIT32
{SPR3_CHNS,1,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINBIT64
{SPR3_CHNS,2,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINEND_HEART
{SPR3_CHNS,3,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINEND_HOOK1
{SPR3_CHNS,4,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINEND_HOOK2
{SPR3_CHNS,5,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINEND_SPIKE
{SPR3_CHNS,6,-1,SA3_NULL,S3_NULL,0,0},	// S3_ZCHAINEND_SKULL
{SPR3_TST1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT1
{SPR3_TST2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT2
{SPR3_TST3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT3
{SPR3_TST4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT4
{SPR3_TST5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT5
{SPR3_TST6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT6
{SPR3_TST7,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT7
{SPR3_TST8,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT8
{SPR3_TST9,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT9
{SPR3_TST0,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_TABLE_SHIT10
{SPR3_TELE,32768,6,SA3_NULL,S3_TFOG2,0,0},	// S3_TFOG1
{SPR3_TELE,32769,6,SA3_NULL,S3_TFOG3,0,0},	// S3_TFOG2
{SPR3_TELE,32770,6,SA3_NULL,S3_TFOG4,0,0},	// S3_TFOG3
{SPR3_TELE,32771,6,SA3_NULL,S3_TFOG5,0,0},	// S3_TFOG4
{SPR3_TELE,32772,6,SA3_NULL,S3_TFOG6,0,0},	// S3_TFOG5
{SPR3_TELE,32773,6,SA3_NULL,S3_TFOG7,0,0},	// S3_TFOG6
{SPR3_TELE,32774,6,SA3_NULL,S3_TFOG8,0,0},	// S3_TFOG7
{SPR3_TELE,32775,6,SA3_NULL,S3_TFOG9,0,0},	// S3_TFOG8
{SPR3_TELE,32774,6,SA3_NULL,S3_TFOG10,0,0},	// S3_TFOG9
{SPR3_TELE,32773,6,SA3_NULL,S3_TFOG11,0,0},	// S3_TFOG10
{SPR3_TELE,32772,6,SA3_NULL,S3_TFOG12,0,0},	// S3_TFOG11
{SPR3_TELE,32771,6,SA3_NULL,S3_TFOG13,0,0},	// S3_TFOG12
{SPR3_TELE,32770,6,SA3_NULL,S3_NULL,0,0},	// S3_TFOG13
{SPR3_TSMK,0,4,SA3_NULL,S3_TELESMOKE2,0,0},	// S3_TELESMOKE1
{SPR3_TSMK,1,3,SA3_NULL,S3_TELESMOKE3,0,0},	// S3_TELESMOKE2
{SPR3_TSMK,2,4,SA3_NULL,S3_TELESMOKE4,0,0},	// S3_TELESMOKE3
{SPR3_TSMK,3,3,SA3_NULL,S3_TELESMOKE5,0,0},	// S3_TELESMOKE4
{SPR3_TSMK,4,4,SA3_NULL,S3_TELESMOKE6,0,0},	// S3_TELESMOKE5
{SPR3_TSMK,5,3,SA3_NULL,S3_TELESMOKE7,0,0},	// S3_TELESMOKE6
{SPR3_TSMK,6,4,SA3_NULL,S3_TELESMOKE8,0,0},	// S3_TELESMOKE7
{SPR3_TSMK,7,3,SA3_NULL,S3_TELESMOKE9,0,0},	// S3_TELESMOKE8
{SPR3_TSMK,8,4,SA3_NULL,S3_TELESMOKE10,0,0},	// S3_TELESMOKE9
{SPR3_TSMK,9,3,SA3_NULL,S3_TELESMOKE11,0,0},	// S3_TELESMOKE10
{SPR3_TSMK,10,4,SA3_NULL,S3_TELESMOKE12,0,0},	// S3_TELESMOKE11
{SPR3_TSMK,11,3,SA3_NULL,S3_TELESMOKE13,0,0},	// S3_TELESMOKE12
{SPR3_TSMK,12,4,SA3_NULL,S3_TELESMOKE14,0,0},	// S3_TELESMOKE13
{SPR3_TSMK,13,3,SA3_NULL,S3_TELESMOKE15,0,0},	// S3_TELESMOKE14
{SPR3_TSMK,14,4,SA3_NULL,S3_TELESMOKE16,0,0},	// S3_TELESMOKE15
{SPR3_TSMK,15,3,SA3_NULL,S3_TELESMOKE17,0,0},	// S3_TELESMOKE16
{SPR3_TSMK,16,4,SA3_NULL,S3_TELESMOKE18,0,0},	// S3_TELESMOKE17
{SPR3_TSMK,17,3,SA3_NULL,S3_TELESMOKE19,0,0},	// S3_TELESMOKE18
{SPR3_TSMK,18,4,SA3_NULL,S3_TELESMOKE20,0,0},	// S3_TELESMOKE19
{SPR3_TSMK,19,3,SA3_NULL,S3_TELESMOKE21,0,0},	// S3_TELESMOKE20
{SPR3_TSMK,20,4,SA3_NULL,S3_TELESMOKE22,0,0},	// S3_TELESMOKE21
{SPR3_TSMK,21,3,SA3_NULL,S3_TELESMOKE23,0,0},	// S3_TELESMOKE22
{SPR3_TSMK,22,4,SA3_NULL,S3_TELESMOKE24,0,0},	// S3_TELESMOKE23
{SPR3_TSMK,23,3,SA3_NULL,S3_TELESMOKE25,0,0},	// S3_TELESMOKE24
{SPR3_TSMK,24,4,SA3_NULL,S3_TELESMOKE26,0,0},	// S3_TELESMOKE25
{SPR3_TSMK,25,3,SA3_NULL,S3_TELESMOKE1,0,0},	// S3_TELESMOKE26
{SPR3_FPCH,0,0,SA3_Light0,S3_NULL,0,0},	// S3_LIGHTDONE
{SPR3_FPCH,0,1,SA3_WeaponReady,S3_PUNCHREADY,0,0},	// S3_PUNCHREADY
{SPR3_FPCH,0,1,SA3_Lower,S3_PUNCHDOWN,0,0},	// S3_PUNCHDOWN
{SPR3_FPCH,0,1,SA3_Raise,S3_PUNCHUP,0,0},	// S3_PUNCHUP
{SPR3_FPCH,1,5,SA3_NULL,S3_PUNCHATK1_2,5,40},	// S3_PUNCHATK1_1
{SPR3_FPCH,2,4,SA3_NULL,S3_PUNCHATK1_3,5,40},	// S3_PUNCHATK1_2
{SPR3_FPCH,3,4,SA3_FPunchAttack,S3_PUNCHATK1_4,5,40},	// S3_PUNCHATK1_3
{SPR3_FPCH,2,4,SA3_NULL,S3_PUNCHATK1_5,5,40},	// S3_PUNCHATK1_4
{SPR3_FPCH,1,5,SA3_ReFire,S3_PUNCHREADY,5,40},	// S3_PUNCHATK1_5
{SPR3_FPCH,3,4,SA3_NULL,S3_PUNCHATK2_2,5,40},	// S3_PUNCHATK2_1
{SPR3_FPCH,4,4,SA3_NULL,S3_PUNCHATK2_3,5,40},	// S3_PUNCHATK2_2
{SPR3_FPCH,4,1,SA3_NULL,S3_PUNCHATK2_4,15,50},	// S3_PUNCHATK2_3
{SPR3_FPCH,4,1,SA3_NULL,S3_PUNCHATK2_5,25,60},	// S3_PUNCHATK2_4
{SPR3_FPCH,4,1,SA3_NULL,S3_PUNCHATK2_6,35,70},	// S3_PUNCHATK2_5
{SPR3_FPCH,4,1,SA3_NULL,S3_PUNCHATK2_7,45,80},	// S3_PUNCHATK2_6
{SPR3_FPCH,4,1,SA3_NULL,S3_PUNCHATK2_8,55,90},	// S3_PUNCHATK2_7
{SPR3_FPCH,4,1,SA3_NULL,S3_PUNCHATK2_9,65,100},	// S3_PUNCHATK2_8
{SPR3_FPCH,4,10,SA3_NULL,S3_PUNCHREADY,0,150},	// S3_PUNCHATK2_9
{SPR3_FHFX,18,4,SA3_NULL,S3_PUNCHPUFF2,0,0},	// S3_PUNCHPUFF1
{SPR3_FHFX,19,4,SA3_NULL,S3_PUNCHPUFF3,0,0},	// S3_PUNCHPUFF2
{SPR3_FHFX,20,4,SA3_NULL,S3_PUNCHPUFF4,0,0},	// S3_PUNCHPUFF3
{SPR3_FHFX,21,4,SA3_NULL,S3_PUNCHPUFF5,0,0},	// S3_PUNCHPUFF4
{SPR3_FHFX,22,4,SA3_NULL,S3_NULL,0,0},	// S3_PUNCHPUFF5
{SPR3_WFAX,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_AXE
{SPR3_FAXE,0,1,SA3_WeaponReady,S3_FAXEREADY,0,0},	// S3_FAXEREADY
{SPR3_FAXE,0,1,SA3_Lower,S3_FAXEDOWN,0,0},	// S3_FAXEDOWN
{SPR3_FAXE,0,1,SA3_Raise,S3_FAXEUP,0,0},	// S3_FAXEUP
{SPR3_FAXE,1,4,SA3_NULL,S3_FAXEATK_2,15,32},	// S3_FAXEATK_1
{SPR3_FAXE,2,3,SA3_NULL,S3_FAXEATK_3,15,32},	// S3_FAXEATK_2
{SPR3_FAXE,3,2,SA3_NULL,S3_FAXEATK_4,15,32},	// S3_FAXEATK_3
{SPR3_FAXE,3,1,SA3_FAxeAttack,S3_FAXEATK_5,-5,70},	// S3_FAXEATK_4
{SPR3_FAXE,3,2,SA3_NULL,S3_FAXEATK_6,-25,90},	// S3_FAXEATK_5
{SPR3_FAXE,4,1,SA3_NULL,S3_FAXEATK_7,15,32},	// S3_FAXEATK_6
{SPR3_FAXE,4,2,SA3_NULL,S3_FAXEATK_8,10,54},	// S3_FAXEATK_7
{SPR3_FAXE,4,7,SA3_NULL,S3_FAXEATK_9,10,150},	// S3_FAXEATK_8
{SPR3_FAXE,0,1,SA3_ReFire,S3_FAXEATK_10,0,60},	// S3_FAXEATK_9
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEATK_11,0,52},	// S3_FAXEATK_10
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEATK_12,0,44},	// S3_FAXEATK_11
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEATK_13,0,36},	// S3_FAXEATK_12
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEREADY,0,0},	// S3_FAXEATK_13
{SPR3_FAXE,11,1,SA3_WeaponReady,S3_FAXEREADY_G1,0,0},	// S3_FAXEREADY_G
{SPR3_FAXE,11,1,SA3_WeaponReady,S3_FAXEREADY_G2,0,0},	// S3_FAXEREADY_G1
{SPR3_FAXE,11,1,SA3_WeaponReady,S3_FAXEREADY_G3,0,0},	// S3_FAXEREADY_G2
{SPR3_FAXE,12,1,SA3_WeaponReady,S3_FAXEREADY_G4,0,0},	// S3_FAXEREADY_G3
{SPR3_FAXE,12,1,SA3_WeaponReady,S3_FAXEREADY_G5,0,0},	// S3_FAXEREADY_G4
{SPR3_FAXE,12,1,SA3_WeaponReady,S3_FAXEREADY_G,0,0},	// S3_FAXEREADY_G5
{SPR3_FAXE,11,1,SA3_Lower,S3_FAXEDOWN_G,0,0},	// S3_FAXEDOWN_G
{SPR3_FAXE,11,1,SA3_Raise,S3_FAXEUP_G,0,0},	// S3_FAXEUP_G
{SPR3_FAXE,13,4,SA3_NULL,S3_FAXEATK_G2,15,32},	// S3_FAXEATK_G1
{SPR3_FAXE,14,3,SA3_NULL,S3_FAXEATK_G3,15,32},	// S3_FAXEATK_G2
{SPR3_FAXE,15,2,SA3_NULL,S3_FAXEATK_G4,15,32},	// S3_FAXEATK_G3
{SPR3_FAXE,15,1,SA3_FAxeAttack,S3_FAXEATK_G5,-5,70},	// S3_FAXEATK_G4
{SPR3_FAXE,15,2,SA3_NULL,S3_FAXEATK_G6,-25,90},	// S3_FAXEATK_G5
{SPR3_FAXE,16,1,SA3_NULL,S3_FAXEATK_G7,15,32},	// S3_FAXEATK_G6
{SPR3_FAXE,16,2,SA3_NULL,S3_FAXEATK_G8,10,54},	// S3_FAXEATK_G7
{SPR3_FAXE,16,7,SA3_NULL,S3_FAXEATK_G9,10,150},	// S3_FAXEATK_G8
{SPR3_FAXE,0,1,SA3_ReFire,S3_FAXEATK_G10,0,60},	// S3_FAXEATK_G9
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEATK_G11,0,52},	// S3_FAXEATK_G10
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEATK_G12,0,44},	// S3_FAXEATK_G11
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEATK_G13,0,36},	// S3_FAXEATK_G12
{SPR3_FAXE,0,1,SA3_NULL,S3_FAXEREADY_G,0,0},	// S3_FAXEATK_G13
{SPR3_FAXE,32785,4,SA3_NULL,S3_AXEPUFF_GLOW2,0,0},	// S3_AXEPUFF_GLOW1
{SPR3_FAXE,32786,4,SA3_NULL,S3_AXEPUFF_GLOW3,0,0},	// S3_AXEPUFF_GLOW2
{SPR3_FAXE,32787,4,SA3_NULL,S3_AXEPUFF_GLOW4,0,0},	// S3_AXEPUFF_GLOW3
{SPR3_FAXE,32788,4,SA3_NULL,S3_AXEPUFF_GLOW5,0,0},	// S3_AXEPUFF_GLOW4
{SPR3_FAXE,32789,4,SA3_NULL,S3_AXEPUFF_GLOW6,0,0},	// S3_AXEPUFF_GLOW5
{SPR3_FAXE,32790,4,SA3_NULL,S3_AXEPUFF_GLOW7,0,0},	// S3_AXEPUFF_GLOW6
{SPR3_FAXE,32791,4,SA3_NULL,S3_NULL,0,0},	// S3_AXEPUFF_GLOW7
{SPR3_FAXE,5,3,SA3_NULL,S3_AXEBLOOD2,0,0},	// S3_AXEBLOOD1
{SPR3_FAXE,6,3,SA3_NULL,S3_AXEBLOOD3,0,0},	// S3_AXEBLOOD2
{SPR3_FAXE,7,3,SA3_NULL,S3_AXEBLOOD4,0,0},	// S3_AXEBLOOD3
{SPR3_FAXE,8,3,SA3_NULL,S3_AXEBLOOD5,0,0},	// S3_AXEBLOOD4
{SPR3_FAXE,9,3,SA3_NULL,S3_AXEBLOOD6,0,0},	// S3_AXEBLOOD5
{SPR3_FAXE,10,3,SA3_NULL,S3_NULL,0,0},	// S3_AXEBLOOD6
{SPR3_WFHM,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_HAMM
{SPR3_FHMR,0,1,SA3_WeaponReady,S3_FHAMMERREADY,0,0},	// S3_FHAMMERREADY
{SPR3_FHMR,0,1,SA3_Lower,S3_FHAMMERDOWN,0,0},	// S3_FHAMMERDOWN
{SPR3_FHMR,0,1,SA3_Raise,S3_FHAMMERUP,0,0},	// S3_FHAMMERUP
{SPR3_FHMR,1,6,SA3_NULL,S3_FHAMMERATK_2,5,0},	// S3_FHAMMERATK_1
{SPR3_FHMR,2,3,SA3_FHammerAttack,S3_FHAMMERATK_3,5,0},	// S3_FHAMMERATK_2
{SPR3_FHMR,3,3,SA3_NULL,S3_FHAMMERATK_4,5,0},	// S3_FHAMMERATK_3
{SPR3_FHMR,4,2,SA3_NULL,S3_FHAMMERATK_5,5,0},	// S3_FHAMMERATK_4
{SPR3_FHMR,4,10,SA3_FHammerThrow,S3_FHAMMERATK_6,5,150},	// S3_FHAMMERATK_5
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERATK_7,0,60},	// S3_FHAMMERATK_6
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERATK_8,0,55},	// S3_FHAMMERATK_7
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERATK_9,0,50},	// S3_FHAMMERATK_8
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERATK_10,0,45},	// S3_FHAMMERATK_9
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERATK_11,0,40},	// S3_FHAMMERATK_10
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERATK_12,0,35},	// S3_FHAMMERATK_11
{SPR3_FHMR,0,1,SA3_NULL,S3_FHAMMERREADY,0,0},	// S3_FHAMMERATK_12
{SPR3_FHFX,32768,2,SA3_NULL,S3_HAMMER_MISSILE_2,0,0},	// S3_HAMMER_MISSILE_1
{SPR3_FHFX,32769,2,SA3_ContMobjSound,S3_HAMMER_MISSILE_3,0,0},	// S3_HAMMER_MISSILE_2
{SPR3_FHFX,32770,2,SA3_NULL,S3_HAMMER_MISSILE_4,0,0},	// S3_HAMMER_MISSILE_3
{SPR3_FHFX,32771,2,SA3_NULL,S3_HAMMER_MISSILE_5,0,0},	// S3_HAMMER_MISSILE_4
{SPR3_FHFX,32772,2,SA3_NULL,S3_HAMMER_MISSILE_6,0,0},	// S3_HAMMER_MISSILE_5
{SPR3_FHFX,32773,2,SA3_NULL,S3_HAMMER_MISSILE_7,0,0},	// S3_HAMMER_MISSILE_6
{SPR3_FHFX,32774,2,SA3_NULL,S3_HAMMER_MISSILE_8,0,0},	// S3_HAMMER_MISSILE_7
{SPR3_FHFX,32775,2,SA3_NULL,S3_HAMMER_MISSILE_1,0,0},	// S3_HAMMER_MISSILE_8
{SPR3_FHFX,32776,3,SA3_NULL,S3_HAMMER_MISSILE_X2,0,0},	// S3_HAMMER_MISSILE_X1
{SPR3_FHFX,32777,3,SA3_NULL,S3_HAMMER_MISSILE_X3,0,0},	// S3_HAMMER_MISSILE_X2
{SPR3_FHFX,32778,3,SA3_Explode,S3_HAMMER_MISSILE_X4,0,0},	// S3_HAMMER_MISSILE_X3
{SPR3_FHFX,32779,3,SA3_NULL,S3_HAMMER_MISSILE_X5,0,0},	// S3_HAMMER_MISSILE_X4
{SPR3_FHFX,32780,3,SA3_NULL,S3_HAMMER_MISSILE_X6,0,0},	// S3_HAMMER_MISSILE_X5
{SPR3_FHFX,13,3,SA3_NULL,S3_HAMMER_MISSILE_X7,0,0},	// S3_HAMMER_MISSILE_X6
{SPR3_FHFX,32782,3,SA3_NULL,S3_HAMMER_MISSILE_X8,0,0},	// S3_HAMMER_MISSILE_X7
{SPR3_FHFX,32783,3,SA3_NULL,S3_HAMMER_MISSILE_X9,0,0},	// S3_HAMMER_MISSILE_X8
{SPR3_FHFX,32784,3,SA3_NULL,S3_HAMMER_MISSILE_X10,0,0},	// S3_HAMMER_MISSILE_X9
{SPR3_FHFX,32785,3,SA3_NULL,S3_NULL,0,0},	// S3_HAMMER_MISSILE_X10
{SPR3_FHFX,18,4,SA3_NULL,S3_HAMMERPUFF2,0,0},	// S3_HAMMERPUFF1
{SPR3_FHFX,19,4,SA3_NULL,S3_HAMMERPUFF3,0,0},	// S3_HAMMERPUFF2
{SPR3_FHFX,20,4,SA3_NULL,S3_HAMMERPUFF4,0,0},	// S3_HAMMERPUFF3
{SPR3_FHFX,21,4,SA3_NULL,S3_HAMMERPUFF5,0,0},	// S3_HAMMERPUFF4
{SPR3_FHFX,22,4,SA3_NULL,S3_NULL,0,0},	// S3_HAMMERPUFF5
{SPR3_FSRD,32768,1,SA3_WeaponReady,S3_FSWORDREADY1,0,0},	// S3_FSWORDREADY
{SPR3_FSRD,32768,1,SA3_WeaponReady,S3_FSWORDREADY2,0,0},	// S3_FSWORDREADY1
{SPR3_FSRD,32768,1,SA3_WeaponReady,S3_FSWORDREADY3,0,0},	// S3_FSWORDREADY2
{SPR3_FSRD,32768,1,SA3_WeaponReady,S3_FSWORDREADY4,0,0},	// S3_FSWORDREADY3
{SPR3_FSRD,32769,1,SA3_WeaponReady,S3_FSWORDREADY5,0,0},	// S3_FSWORDREADY4
{SPR3_FSRD,32769,1,SA3_WeaponReady,S3_FSWORDREADY6,0,0},	// S3_FSWORDREADY5
{SPR3_FSRD,32769,1,SA3_WeaponReady,S3_FSWORDREADY7,0,0},	// S3_FSWORDREADY6
{SPR3_FSRD,32769,1,SA3_WeaponReady,S3_FSWORDREADY8,0,0},	// S3_FSWORDREADY7
{SPR3_FSRD,32770,1,SA3_WeaponReady,S3_FSWORDREADY9,0,0},	// S3_FSWORDREADY8
{SPR3_FSRD,32770,1,SA3_WeaponReady,S3_FSWORDREADY10,0,0},	// S3_FSWORDREADY9
{SPR3_FSRD,32770,1,SA3_WeaponReady,S3_FSWORDREADY11,0,0},	// S3_FSWORDREADY10
{SPR3_FSRD,32770,1,SA3_WeaponReady,S3_FSWORDREADY,0,0},	// S3_FSWORDREADY11
{SPR3_FSRD,32768,1,SA3_Lower,S3_FSWORDDOWN,0,0},	// S3_FSWORDDOWN
{SPR3_FSRD,32768,1,SA3_Raise,S3_FSWORDUP,0,0},	// S3_FSWORDUP
{SPR3_FSRD,32771,3,SA3_NULL,S3_FSWORDATK_2,5,36},	// S3_FSWORDATK_1
{SPR3_FSRD,32772,3,SA3_NULL,S3_FSWORDATK_3,5,36},	// S3_FSWORDATK_2
{SPR3_FSRD,32773,2,SA3_NULL,S3_FSWORDATK_4,5,36},	// S3_FSWORDATK_3
{SPR3_FSRD,32774,3,SA3_FSwordAttack,S3_FSWORDATK_5,5,36},	// S3_FSWORDATK_4
{SPR3_FSRD,32775,2,SA3_NULL,S3_FSWORDATK_6,5,36},	// S3_FSWORDATK_5
{SPR3_FSRD,32776,2,SA3_NULL,S3_FSWORDATK_7,5,36},	// S3_FSWORDATK_6
{SPR3_FSRD,32776,10,SA3_NULL,S3_FSWORDATK_8,5,150},	// S3_FSWORDATK_7
{SPR3_FSRD,32768,1,SA3_NULL,S3_FSWORDATK_9,5,60},	// S3_FSWORDATK_8
{SPR3_FSRD,32769,1,SA3_NULL,S3_FSWORDATK_10,5,55},	// S3_FSWORDATK_9
{SPR3_FSRD,32770,1,SA3_NULL,S3_FSWORDATK_11,5,50},	// S3_FSWORDATK_10
{SPR3_FSRD,32768,1,SA3_NULL,S3_FSWORDATK_12,5,45},	// S3_FSWORDATK_11
{SPR3_FSRD,32769,1,SA3_NULL,S3_FSWORDREADY,5,40},	// S3_FSWORDATK_12
{SPR3_FSFX,32768,3,SA3_NULL,S3_FSWORD_MISSILE2,0,0},	// S3_FSWORD_MISSILE1
{SPR3_FSFX,32769,3,SA3_NULL,S3_FSWORD_MISSILE3,0,0},	// S3_FSWORD_MISSILE2
{SPR3_FSFX,32770,3,SA3_NULL,S3_FSWORD_MISSILE1,0,0},	// S3_FSWORD_MISSILE3
{SPR3_FSFX,32771,4,SA3_NULL,S3_FSWORD_MISSILE_X2,0,0},	// S3_FSWORD_MISSILE_X1
{SPR3_FSFX,32772,3,SA3_FSwordFlames,S3_FSWORD_MISSILE_X3,0,0},	// S3_FSWORD_MISSILE_X2
{SPR3_FSFX,32773,4,SA3_Explode,S3_FSWORD_MISSILE_X4,0,0},	// S3_FSWORD_MISSILE_X3
{SPR3_FSFX,32774,3,SA3_NULL,S3_FSWORD_MISSILE_X5,0,0},	// S3_FSWORD_MISSILE_X4
{SPR3_FSFX,32775,4,SA3_NULL,S3_FSWORD_MISSILE_X6,0,0},	// S3_FSWORD_MISSILE_X5
{SPR3_FSFX,32776,3,SA3_NULL,S3_FSWORD_MISSILE_X7,0,0},	// S3_FSWORD_MISSILE_X6
{SPR3_FSFX,32777,4,SA3_NULL,S3_FSWORD_MISSILE_X8,0,0},	// S3_FSWORD_MISSILE_X7
{SPR3_FSFX,32778,3,SA3_NULL,S3_FSWORD_MISSILE_X9,0,0},	// S3_FSWORD_MISSILE_X8
{SPR3_FSFX,32779,3,SA3_NULL,S3_FSWORD_MISSILE_X10,0,0},	// S3_FSWORD_MISSILE_X9
{SPR3_FSFX,32780,3,SA3_NULL,S3_NULL,0,0},	// S3_FSWORD_MISSILE_X10
{SPR3_FSFX,32781,3,SA3_NULL,S3_FSWORD_FLAME2,0,0},	// S3_FSWORD_FLAME1
{SPR3_FSFX,32782,3,SA3_NULL,S3_FSWORD_FLAME3,0,0},	// S3_FSWORD_FLAME2
{SPR3_FSFX,32783,3,SA3_NULL,S3_FSWORD_FLAME4,0,0},	// S3_FSWORD_FLAME3
{SPR3_FSFX,32784,3,SA3_NULL,S3_FSWORD_FLAME5,0,0},	// S3_FSWORD_FLAME4
{SPR3_FSFX,32785,3,SA3_NULL,S3_FSWORD_FLAME6,0,0},	// S3_FSWORD_FLAME5
{SPR3_FSFX,32786,3,SA3_NULL,S3_FSWORD_FLAME7,0,0},	// S3_FSWORD_FLAME6
{SPR3_FSFX,32787,3,SA3_NULL,S3_FSWORD_FLAME8,0,0},	// S3_FSWORD_FLAME7
{SPR3_FSFX,32788,3,SA3_NULL,S3_FSWORD_FLAME9,0,0},	// S3_FSWORD_FLAME8
{SPR3_FSFX,32789,3,SA3_NULL,S3_FSWORD_FLAME10,0,0},	// S3_FSWORD_FLAME9
{SPR3_FSFX,32790,3,SA3_NULL,S3_NULL,0,0},	// S3_FSWORD_FLAME10
{SPR3_CMCE,0,1,SA3_WeaponReady,S3_CMACEREADY,0,0},	// S3_CMACEREADY
{SPR3_CMCE,0,1,SA3_Lower,S3_CMACEDOWN,0,0},	// S3_CMACEDOWN
{SPR3_CMCE,0,1,SA3_Raise,S3_CMACEUP,0,0},	// S3_CMACEUP
{SPR3_CMCE,1,2,SA3_NULL,S3_CMACEATK_2,60,20},	// S3_CMACEATK_1
{SPR3_CMCE,1,1,SA3_NULL,S3_CMACEATK_3,30,33},	// S3_CMACEATK_2
{SPR3_CMCE,1,2,SA3_NULL,S3_CMACEATK_4,8,45},	// S3_CMACEATK_3
{SPR3_CMCE,2,1,SA3_NULL,S3_CMACEATK_5,8,45},	// S3_CMACEATK_4
{SPR3_CMCE,3,1,SA3_NULL,S3_CMACEATK_6,8,45},	// S3_CMACEATK_5
{SPR3_CMCE,4,1,SA3_NULL,S3_CMACEATK_7,8,45},	// S3_CMACEATK_6
{SPR3_CMCE,4,1,SA3_CMaceAttack,S3_CMACEATK_8,-11,58},	// S3_CMACEATK_7
{SPR3_CMCE,5,1,SA3_NULL,S3_CMACEATK_9,8,45},	// S3_CMACEATK_8
{SPR3_CMCE,5,2,SA3_NULL,S3_CMACEATK_10,-8,74},	// S3_CMACEATK_9
{SPR3_CMCE,5,1,SA3_NULL,S3_CMACEATK_11,-20,96},	// S3_CMACEATK_10
{SPR3_CMCE,5,8,SA3_NULL,S3_CMACEATK_12,-33,160},	// S3_CMACEATK_11
{SPR3_CMCE,0,2,SA3_ReFire,S3_CMACEATK_13,8,75},	// S3_CMACEATK_12
{SPR3_CMCE,0,1,SA3_NULL,S3_CMACEATK_14,8,65},	// S3_CMACEATK_13
{SPR3_CMCE,0,2,SA3_NULL,S3_CMACEATK_15,8,60},	// S3_CMACEATK_14
{SPR3_CMCE,0,1,SA3_NULL,S3_CMACEATK_16,8,55},	// S3_CMACEATK_15
{SPR3_CMCE,0,2,SA3_NULL,S3_CMACEATK_17,8,50},	// S3_CMACEATK_16
{SPR3_CMCE,0,1,SA3_NULL,S3_CMACEREADY,8,45},	// S3_CMACEATK_17
{SPR3_WCSS,0,-1,SA3_NULL,S3_NULL,0,0,"weapons/g_staff.md2",0},	// S3_CSTAFF
{SPR3_CSSF,2,4,SA3_NULL,S3_CSTAFFREADY1,0,0},	// S3_CSTAFFREADY
{SPR3_CSSF,1,3,SA3_CStaffInitBlink,S3_CSTAFFREADY2,0,0},	// S3_CSTAFFREADY1
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY3,0,0},	// S3_CSTAFFREADY2
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY4,0,0},	// S3_CSTAFFREADY3
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY5,0,0},	// S3_CSTAFFREADY4
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY6,0,0},	// S3_CSTAFFREADY5
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY7,0,0},	// S3_CSTAFFREADY6
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY8,0,0},	// S3_CSTAFFREADY7
{SPR3_CSSF,0,1,SA3_WeaponReady,S3_CSTAFFREADY9,0,0},	// S3_CSTAFFREADY8
{SPR3_CSSF,0,1,SA3_CStaffCheckBlink,S3_CSTAFFREADY2,0,0},	// S3_CSTAFFREADY9
{SPR3_CSSF,1,1,SA3_WeaponReady,S3_CSTAFFBLINK2,0,0},	// S3_CSTAFFBLINK1
{SPR3_CSSF,1,1,SA3_WeaponReady,S3_CSTAFFBLINK3,0,0},	// S3_CSTAFFBLINK2
{SPR3_CSSF,1,1,SA3_WeaponReady,S3_CSTAFFBLINK4,0,0},	// S3_CSTAFFBLINK3
{SPR3_CSSF,2,1,SA3_WeaponReady,S3_CSTAFFBLINK5,0,0},	// S3_CSTAFFBLINK4
{SPR3_CSSF,2,1,SA3_WeaponReady,S3_CSTAFFBLINK6,0,0},	// S3_CSTAFFBLINK5
{SPR3_CSSF,2,1,SA3_WeaponReady,S3_CSTAFFBLINK7,0,0},	// S3_CSTAFFBLINK6
{SPR3_CSSF,2,1,SA3_WeaponReady,S3_CSTAFFBLINK8,0,0},	// S3_CSTAFFBLINK7
{SPR3_CSSF,2,1,SA3_WeaponReady,S3_CSTAFFBLINK9,0,0},	// S3_CSTAFFBLINK8
{SPR3_CSSF,1,1,SA3_WeaponReady,S3_CSTAFFBLINK10,0,0},	// S3_CSTAFFBLINK9
{SPR3_CSSF,1,1,SA3_WeaponReady,S3_CSTAFFBLINK11,0,0},	// S3_CSTAFFBLINK10
{SPR3_CSSF,1,1,SA3_WeaponReady,S3_CSTAFFREADY2,0,0},	// S3_CSTAFFBLINK11
{SPR3_CSSF,1,3,SA3_NULL,S3_CSTAFFDOWN2,0,0},	// S3_CSTAFFDOWN
{SPR3_CSSF,2,4,SA3_NULL,S3_CSTAFFDOWN3,0,0},	// S3_CSTAFFDOWN2
{SPR3_CSSF,2,1,SA3_Lower,S3_CSTAFFDOWN3,0,0},	// S3_CSTAFFDOWN3
{SPR3_CSSF,2,1,SA3_Raise,S3_CSTAFFUP,0,0},	// S3_CSTAFFUP
{SPR3_CSSF,0,1,SA3_CStaffCheck,S3_CSTAFFATK_2,0,45},	// S3_CSTAFFATK_1
{SPR3_CSSF,9,1,SA3_CStaffAttack,S3_CSTAFFATK_3,0,50},	// S3_CSTAFFATK_2
{SPR3_CSSF,9,2,SA3_NULL,S3_CSTAFFATK_4,0,50},	// S3_CSTAFFATK_3
{SPR3_CSSF,9,2,SA3_NULL,S3_CSTAFFATK_5,0,45},	// S3_CSTAFFATK_4
{SPR3_CSSF,0,2,SA3_NULL,S3_CSTAFFATK_6,0,40},	// S3_CSTAFFATK_5
{SPR3_CSSF,0,2,SA3_NULL,S3_CSTAFFREADY2,0,36},	// S3_CSTAFFATK_6
{SPR3_CSSF,10,10,SA3_NULL,S3_CSTAFFREADY2,0,36},	// S3_CSTAFFATK2_1
{SPR3_CSSF,32771,1,SA3_CStaffMissileSlither,S3_CSTAFF_MISSILE2,0,0},	// S3_CSTAFF_MISSILE1
{SPR3_CSSF,32771,1,SA3_CStaffMissileSlither,S3_CSTAFF_MISSILE3,0,0},	// S3_CSTAFF_MISSILE2
{SPR3_CSSF,32772,1,SA3_CStaffMissileSlither,S3_CSTAFF_MISSILE4,0,0},	// S3_CSTAFF_MISSILE3
{SPR3_CSSF,32772,1,SA3_CStaffMissileSlither,S3_CSTAFF_MISSILE1,0,0},	// S3_CSTAFF_MISSILE4
{SPR3_CSSF,32773,4,SA3_NULL,S3_CSTAFF_MISSILE_X2,0,0},	// S3_CSTAFF_MISSILE_X1
{SPR3_CSSF,32774,4,SA3_NULL,S3_CSTAFF_MISSILE_X3,0,0},	// S3_CSTAFF_MISSILE_X2
{SPR3_CSSF,32775,3,SA3_NULL,S3_CSTAFF_MISSILE_X4,0,0},	// S3_CSTAFF_MISSILE_X3
{SPR3_CSSF,32776,3,SA3_NULL,S3_NULL,0,0},	// S3_CSTAFF_MISSILE_X4
{SPR3_FHFX,18,4,SA3_NULL,S3_CSTAFFPUFF2,0,0},	// S3_CSTAFFPUFF1
{SPR3_FHFX,19,4,SA3_NULL,S3_CSTAFFPUFF3,0,0},	// S3_CSTAFFPUFF2
{SPR3_FHFX,20,4,SA3_NULL,S3_CSTAFFPUFF4,0,0},	// S3_CSTAFFPUFF3
{SPR3_FHFX,21,4,SA3_NULL,S3_CSTAFFPUFF5,0,0},	// S3_CSTAFFPUFF4
{SPR3_FHFX,22,4,SA3_NULL,S3_NULL,0,0},	// S3_CSTAFFPUFF5
{SPR3_WCFM,32768,4,SA3_NULL,S3_CFLAME2,0,0},	// S3_CFLAME1
{SPR3_WCFM,32769,4,SA3_NULL,S3_CFLAME3,0,0},	// S3_CFLAME2
{SPR3_WCFM,32770,4,SA3_NULL,S3_CFLAME4,0,0},	// S3_CFLAME3
{SPR3_WCFM,32771,4,SA3_NULL,S3_CFLAME5,0,0},	// S3_CFLAME4
{SPR3_WCFM,32772,4,SA3_NULL,S3_CFLAME6,0,0},	// S3_CFLAME5
{SPR3_WCFM,32773,4,SA3_NULL,S3_CFLAME7,0,0},	// S3_CFLAME6
{SPR3_WCFM,32774,4,SA3_NULL,S3_CFLAME8,0,0},	// S3_CFLAME7
{SPR3_WCFM,32775,4,SA3_NULL,S3_CFLAME1,0,0},	// S3_CFLAME8
{SPR3_CFLM,0,1,SA3_WeaponReady,S3_CFLAMEREADY2,0,0},	// S3_CFLAMEREADY1
{SPR3_CFLM,0,1,SA3_WeaponReady,S3_CFLAMEREADY3,0,0},	// S3_CFLAMEREADY2
{SPR3_CFLM,0,1,SA3_WeaponReady,S3_CFLAMEREADY4,0,0},	// S3_CFLAMEREADY3
{SPR3_CFLM,0,1,SA3_WeaponReady,S3_CFLAMEREADY5,0,0},	// S3_CFLAMEREADY4
{SPR3_CFLM,1,1,SA3_WeaponReady,S3_CFLAMEREADY6,0,0},	// S3_CFLAMEREADY5
{SPR3_CFLM,1,1,SA3_WeaponReady,S3_CFLAMEREADY7,0,0},	// S3_CFLAMEREADY6
{SPR3_CFLM,1,1,SA3_WeaponReady,S3_CFLAMEREADY8,0,0},	// S3_CFLAMEREADY7
{SPR3_CFLM,1,1,SA3_WeaponReady,S3_CFLAMEREADY9,0,0},	// S3_CFLAMEREADY8
{SPR3_CFLM,2,1,SA3_WeaponReady,S3_CFLAMEREADY10,0,0},	// S3_CFLAMEREADY9
{SPR3_CFLM,2,1,SA3_WeaponReady,S3_CFLAMEREADY11,0,0},	// S3_CFLAMEREADY10
{SPR3_CFLM,2,1,SA3_WeaponReady,S3_CFLAMEREADY12,0,0},	// S3_CFLAMEREADY11
{SPR3_CFLM,2,1,SA3_WeaponReady,S3_CFLAMEREADY1,0,0},	// S3_CFLAMEREADY12
{SPR3_CFLM,0,1,SA3_Lower,S3_CFLAMEDOWN,0,0},	// S3_CFLAMEDOWN
{SPR3_CFLM,0,1,SA3_Raise,S3_CFLAMEUP,0,0},	// S3_CFLAMEUP
{SPR3_CFLM,0,2,SA3_NULL,S3_CFLAMEATK_2,0,40},	// S3_CFLAMEATK_1
{SPR3_CFLM,3,2,SA3_NULL,S3_CFLAMEATK_3,0,50},	// S3_CFLAMEATK_2
{SPR3_CFLM,3,2,SA3_NULL,S3_CFLAMEATK_4,0,36},	// S3_CFLAMEATK_3
{SPR3_CFLM,32772,4,SA3_NULL,S3_CFLAMEATK_5,0,0},	// S3_CFLAMEATK_4
{SPR3_CFLM,32773,4,SA3_CFlameAttack,S3_CFLAMEATK_6,0,0},	// S3_CFLAMEATK_5
{SPR3_CFLM,32772,4,SA3_NULL,S3_CFLAMEATK_7,0,0},	// S3_CFLAMEATK_6
{SPR3_CFLM,6,2,SA3_NULL,S3_CFLAMEATK_8,0,40},	// S3_CFLAMEATK_7
{SPR3_CFLM,6,2,SA3_NULL,S3_CFLAMEREADY1,0,0},	// S3_CFLAMEATK_8
{SPR3_CFFX,32781,5,SA3_NULL,S3_CFLAMEFLOOR2,0,0},	// S3_CFLAMEFLOOR1
{SPR3_CFFX,32782,4,SA3_NULL,S3_CFLAMEFLOOR3,0,0},	// S3_CFLAMEFLOOR2
{SPR3_CFFX,32783,3,SA3_NULL,S3_NULL,0,0},	// S3_CFLAMEFLOOR3
{SPR3_CFFX,32768,3,SA3_NULL,S3_FLAMEPUFF2,0,0},	// S3_FLAMEPUFF1
{SPR3_CFFX,32769,3,SA3_NULL,S3_FLAMEPUFF3,0,0},	// S3_FLAMEPUFF2
{SPR3_CFFX,32770,3,SA3_NULL,S3_FLAMEPUFF4,0,0},	// S3_FLAMEPUFF3
{SPR3_CFFX,32771,4,SA3_NULL,S3_FLAMEPUFF5,0,0},	// S3_FLAMEPUFF4
{SPR3_CFFX,32772,3,SA3_NULL,S3_FLAMEPUFF6,0,0},	// S3_FLAMEPUFF5
{SPR3_CFFX,32773,4,SA3_NULL,S3_FLAMEPUFF7,0,0},	// S3_FLAMEPUFF6
{SPR3_CFFX,32774,3,SA3_NULL,S3_FLAMEPUFF8,0,0},	// S3_FLAMEPUFF7
{SPR3_CFFX,32775,4,SA3_NULL,S3_FLAMEPUFF9,0,0},	// S3_FLAMEPUFF8
{SPR3_CFFX,32776,3,SA3_NULL,S3_FLAMEPUFF10,0,0},	// S3_FLAMEPUFF9
{SPR3_CFFX,32777,4,SA3_NULL,S3_FLAMEPUFF11,0,0},	// S3_FLAMEPUFF10
{SPR3_CFFX,32778,3,SA3_NULL,S3_FLAMEPUFF12,0,0},	// S3_FLAMEPUFF11
{SPR3_CFFX,32779,4,SA3_NULL,S3_FLAMEPUFF13,0,0},	// S3_FLAMEPUFF12
{SPR3_CFFX,32780,3,SA3_NULL,S3_NULL,0,0},	// S3_FLAMEPUFF13
{SPR3_CFFX,32768,3,SA3_NULL,S3_FLAMEPUFF2_2,0,0},	// S3_FLAMEPUFF2_1
{SPR3_CFFX,32769,3,SA3_NULL,S3_FLAMEPUFF2_3,0,0},	// S3_FLAMEPUFF2_2
{SPR3_CFFX,32770,3,SA3_NULL,S3_FLAMEPUFF2_4,0,0},	// S3_FLAMEPUFF2_3
{SPR3_CFFX,32771,4,SA3_NULL,S3_FLAMEPUFF2_5,0,0},	// S3_FLAMEPUFF2_4
{SPR3_CFFX,32772,3,SA3_NULL,S3_FLAMEPUFF2_6,0,0},	// S3_FLAMEPUFF2_5
{SPR3_CFFX,32773,4,SA3_NULL,S3_FLAMEPUFF2_7,0,0},	// S3_FLAMEPUFF2_6
{SPR3_CFFX,32774,3,SA3_NULL,S3_FLAMEPUFF2_8,0,0},	// S3_FLAMEPUFF2_7
{SPR3_CFFX,32775,4,SA3_NULL,S3_FLAMEPUFF2_9,0,0},	// S3_FLAMEPUFF2_8
{SPR3_CFFX,32776,3,SA3_NULL,S3_FLAMEPUFF2_10,0,0},	// S3_FLAMEPUFF2_9
{SPR3_CFFX,32770,3,SA3_NULL,S3_FLAMEPUFF2_11,0,0},	// S3_FLAMEPUFF2_10
{SPR3_CFFX,32771,4,SA3_NULL,S3_FLAMEPUFF2_12,0,0},	// S3_FLAMEPUFF2_11
{SPR3_CFFX,32772,3,SA3_NULL,S3_FLAMEPUFF2_13,0,0},	// S3_FLAMEPUFF2_12
{SPR3_CFFX,32773,4,SA3_NULL,S3_FLAMEPUFF2_14,0,0},	// S3_FLAMEPUFF2_13
{SPR3_CFFX,32774,3,SA3_NULL,S3_FLAMEPUFF2_15,0,0},	// S3_FLAMEPUFF2_14
{SPR3_CFFX,32775,4,SA3_NULL,S3_FLAMEPUFF2_16,0,0},	// S3_FLAMEPUFF2_15
{SPR3_CFFX,32776,3,SA3_NULL,S3_FLAMEPUFF2_17,0,0},	// S3_FLAMEPUFF2_16
{SPR3_CFFX,32777,4,SA3_NULL,S3_FLAMEPUFF2_18,0,0},	// S3_FLAMEPUFF2_17
{SPR3_CFFX,32778,3,SA3_NULL,S3_FLAMEPUFF2_19,0,0},	// S3_FLAMEPUFF2_18
{SPR3_CFFX,32779,4,SA3_NULL,S3_FLAMEPUFF2_20,0,0},	// S3_FLAMEPUFF2_19
{SPR3_CFFX,32780,3,SA3_NULL,S3_NULL,0,0},	// S3_FLAMEPUFF2_20
{SPR3_CFCF,32768,4,SA3_NULL,S3_CIRCLE_FLAME2,0,0},	// S3_CIRCLE_FLAME1
{SPR3_CFCF,32769,2,SA3_CFlameRotate,S3_CIRCLE_FLAME3,0,0},	// S3_CIRCLE_FLAME2
{SPR3_CFCF,32770,2,SA3_NULL,S3_CIRCLE_FLAME4,0,0},	// S3_CIRCLE_FLAME3
{SPR3_CFCF,32771,1,SA3_NULL,S3_CIRCLE_FLAME5,0,0},	// S3_CIRCLE_FLAME4
{SPR3_CFCF,32772,2,SA3_NULL,S3_CIRCLE_FLAME6,0,0},	// S3_CIRCLE_FLAME5
{SPR3_CFCF,32773,2,SA3_CFlameRotate,S3_CIRCLE_FLAME7,0,0},	// S3_CIRCLE_FLAME6
{SPR3_CFCF,32774,1,SA3_NULL,S3_CIRCLE_FLAME8,0,0},	// S3_CIRCLE_FLAME7
{SPR3_CFCF,32775,2,SA3_NULL,S3_CIRCLE_FLAME9,0,0},	// S3_CIRCLE_FLAME8
{SPR3_CFCF,32776,2,SA3_NULL,S3_CIRCLE_FLAME10,0,0},	// S3_CIRCLE_FLAME9
{SPR3_CFCF,32777,1,SA3_CFlameRotate,S3_CIRCLE_FLAME11,0,0},	// S3_CIRCLE_FLAME10
{SPR3_CFCF,32778,2,SA3_NULL,S3_CIRCLE_FLAME12,0,0},	// S3_CIRCLE_FLAME11
{SPR3_CFCF,32779,3,SA3_NULL,S3_CIRCLE_FLAME13,0,0},	// S3_CIRCLE_FLAME12
{SPR3_CFCF,32780,3,SA3_NULL,S3_CIRCLE_FLAME14,0,0},	// S3_CIRCLE_FLAME13
{SPR3_CFCF,32781,2,SA3_CFlameRotate,S3_CIRCLE_FLAME15,0,0},	// S3_CIRCLE_FLAME14
{SPR3_CFCF,32782,3,SA3_NULL,S3_CIRCLE_FLAME16,0,0},	// S3_CIRCLE_FLAME15
{SPR3_CFCF,32783,2,SA3_NULL,S3_NULL,0,0},	// S3_CIRCLE_FLAME16
{SPR3_CFCF,32784,3,SA3_NULL,S3_CIRCLE_FLAME_X2,0,0},	// S3_CIRCLE_FLAME_X1
{SPR3_CFCF,32785,3,SA3_NULL,S3_CIRCLE_FLAME_X3,0,0},	// S3_CIRCLE_FLAME_X2
{SPR3_CFCF,32786,3,SA3_Explode,S3_CIRCLE_FLAME_X4,0,0},	// S3_CIRCLE_FLAME_X3
{SPR3_CFCF,32787,3,SA3_NULL,S3_CIRCLE_FLAME_X5,0,0},	// S3_CIRCLE_FLAME_X4
{SPR3_CFCF,32788,3,SA3_NULL,S3_CIRCLE_FLAME_X6,0,0},	// S3_CIRCLE_FLAME_X5
{SPR3_CFCF,32789,3,SA3_NULL,S3_CIRCLE_FLAME_X7,0,0},	// S3_CIRCLE_FLAME_X6
{SPR3_CFCF,32790,3,SA3_NULL,S3_CIRCLE_FLAME_X8,0,0},	// S3_CIRCLE_FLAME_X7
{SPR3_CFCF,32791,3,SA3_NULL,S3_CIRCLE_FLAME_X9,0,0},	// S3_CIRCLE_FLAME_X8
{SPR3_CFCF,32792,3,SA3_NULL,S3_CIRCLE_FLAME_X10,0,0},	// S3_CIRCLE_FLAME_X9
{SPR3_CFCF,32793,3,SA3_NULL,S3_NULL,0,0},	// S3_CIRCLE_FLAME_X10
{SPR3_CFFX,32768,4,SA3_NULL,S3_CFLAME_MISSILE2,0,0},	// S3_CFLAME_MISSILE1
{SPR3_CFFX,0,1,SA3_CFlamePuff,S3_FLAMEPUFF1,0,0},	// S3_CFLAME_MISSILE2
{SPR3_CFFX,32768,1,SA3_CFlameMissile,S3_FLAMEPUFF1,0,0},	// S3_CFLAME_MISSILE_X
{SPR3_CHLY,0,1,SA3_WeaponReady,S3_CHOLYREADY,0,0},	// S3_CHOLYREADY
{SPR3_CHLY,0,1,SA3_Lower,S3_CHOLYDOWN,0,0},	// S3_CHOLYDOWN
{SPR3_CHLY,0,1,SA3_Raise,S3_CHOLYUP,0,0},	// S3_CHOLYUP
{SPR3_CHLY,32768,1,SA3_NULL,S3_CHOLYATK_2,0,40},	// S3_CHOLYATK_1
{SPR3_CHLY,32769,1,SA3_NULL,S3_CHOLYATK_3,0,40},	// S3_CHOLYATK_2
{SPR3_CHLY,32770,2,SA3_NULL,S3_CHOLYATK_4,0,43},	// S3_CHOLYATK_3
{SPR3_CHLY,32771,2,SA3_NULL,S3_CHOLYATK_5,0,43},	// S3_CHOLYATK_4
{SPR3_CHLY,32772,2,SA3_NULL,S3_CHOLYATK_6,0,45},	// S3_CHOLYATK_5
{SPR3_CHLY,32773,6,SA3_CHolyAttack,S3_CHOLYATK_7,0,48},	// S3_CHOLYATK_6
{SPR3_CHLY,32774,2,SA3_CHolyPalette,S3_CHOLYATK_8,0,40},	// S3_CHOLYATK_7
{SPR3_CHLY,32774,2,SA3_CHolyPalette,S3_CHOLYATK_9,0,40},	// S3_CHOLYATK_8
{SPR3_CHLY,32774,2,SA3_CHolyPalette,S3_CHOLYREADY,0,36},	// S3_CHOLYATK_9
{SPR3_SPIR,0,2,SA3_CHolySeek,S3_HOLY_FX2,0,0},	// S3_HOLY_FX1
{SPR3_SPIR,0,2,SA3_CHolySeek,S3_HOLY_FX3,0,0},	// S3_HOLY_FX2
{SPR3_SPIR,1,2,SA3_CHolySeek,S3_HOLY_FX4,0,0},	// S3_HOLY_FX3
{SPR3_SPIR,1,2,SA3_CHolyCheckScream,S3_HOLY_FX1,0,0},	// S3_HOLY_FX4
{SPR3_SPIR,3,4,SA3_NULL,S3_HOLY_FX_X2,0,0},	// S3_HOLY_FX_X1
{SPR3_SPIR,4,4,SA3_Scream,S3_HOLY_FX_X3,0,0},	// S3_HOLY_FX_X2
{SPR3_SPIR,5,4,SA3_NULL,S3_HOLY_FX_X4,0,0},	// S3_HOLY_FX_X3
{SPR3_SPIR,6,4,SA3_NULL,S3_HOLY_FX_X5,0,0},	// S3_HOLY_FX_X4
{SPR3_SPIR,7,4,SA3_NULL,S3_HOLY_FX_X6,0,0},	// S3_HOLY_FX_X5
{SPR3_SPIR,8,4,SA3_NULL,S3_NULL,0,0},	// S3_HOLY_FX_X6
{SPR3_SPIR,2,1,SA3_CHolyTail,S3_HOLY_TAIL1,0,0},	// S3_HOLY_TAIL1
{SPR3_SPIR,3,-1,SA3_NULL,S3_NULL,0,0},	// S3_HOLY_TAIL2
{SPR3_SPIR,10,3,SA3_NULL,S3_HOLY_PUFF2,0,0},	// S3_HOLY_PUFF1
{SPR3_SPIR,11,3,SA3_NULL,S3_HOLY_PUFF3,0,0},	// S3_HOLY_PUFF2
{SPR3_SPIR,12,3,SA3_NULL,S3_HOLY_PUFF4,0,0},	// S3_HOLY_PUFF3
{SPR3_SPIR,13,3,SA3_NULL,S3_HOLY_PUFF5,0,0},	// S3_HOLY_PUFF4
{SPR3_SPIR,14,3,SA3_NULL,S3_NULL,0,0},	// S3_HOLY_PUFF5
{SPR3_SPIR,32783,3,SA3_CHolySpawnPuff,S3_HOLY_MISSILE2,0,0},	// S3_HOLY_MISSILE1
{SPR3_SPIR,32783,3,SA3_CHolySpawnPuff,S3_HOLY_MISSILE3,0,0},	// S3_HOLY_MISSILE2
{SPR3_SPIR,32783,3,SA3_CHolySpawnPuff,S3_HOLY_MISSILE4,0,0},	// S3_HOLY_MISSILE3
{SPR3_SPIR,32783,3,SA3_CHolySpawnPuff,S3_HOLY_MISSILE_X,0,0},	// S3_HOLY_MISSILE4
{SPR3_SPIR,32783,1,SA3_CHolyAttack2,S3_NULL,0,0},	// S3_HOLY_MISSILE_X
{SPR3_SPIR,16,3,SA3_NULL,S3_HOLY_MISSILE_P2,0,0},	// S3_HOLY_MISSILE_P1
{SPR3_SPIR,17,3,SA3_NULL,S3_HOLY_MISSILE_P3,0,0},	// S3_HOLY_MISSILE_P2
{SPR3_SPIR,18,3,SA3_NULL,S3_HOLY_MISSILE_P4,0,0},	// S3_HOLY_MISSILE_P3
{SPR3_SPIR,19,3,SA3_NULL,S3_HOLY_MISSILE_P5,0,0},	// S3_HOLY_MISSILE_P4
{SPR3_SPIR,20,3,SA3_NULL,S3_NULL,0,0},	// S3_HOLY_MISSILE_P5
{SPR3_MWND,0,1,SA3_WeaponReady,S3_MWANDREADY,0,0},	// S3_MWANDREADY
{SPR3_MWND,0,1,SA3_Lower,S3_MWANDDOWN,0,0},	// S3_MWANDDOWN
{SPR3_MWND,0,1,SA3_Raise,S3_MWANDUP,0,0},	// S3_MWANDUP
{SPR3_MWND,0,6,SA3_NULL,S3_MWANDATK_2,0,0},	// S3_MWANDATK_1
{SPR3_MWND,32769,6,SA3_MWandAttack,S3_MWANDATK_3,0,48},	// S3_MWANDATK_2
{SPR3_MWND,0,3,SA3_NULL,S3_MWANDATK_4,0,40},	// S3_MWANDATK_3
{SPR3_MWND,0,3,SA3_ReFire,S3_MWANDREADY,0,36},	// S3_MWANDATK_4
{SPR3_MWND,32772,4,SA3_NULL,S3_MWANDPUFF2,0,0},	// S3_MWANDPUFF1
{SPR3_MWND,32773,3,SA3_NULL,S3_MWANDPUFF3,0,0},	// S3_MWANDPUFF2
{SPR3_MWND,32774,4,SA3_NULL,S3_MWANDPUFF4,0,0},	// S3_MWANDPUFF3
{SPR3_MWND,32775,3,SA3_NULL,S3_MWANDPUFF5,0,0},	// S3_MWANDPUFF4
{SPR3_MWND,32776,4,SA3_NULL,S3_NULL,0,0},	// S3_MWANDPUFF5
{SPR3_MWND,2,4,SA3_NULL,S3_MWANDSMOKE2,0,0},	// S3_MWANDSMOKE1
{SPR3_MWND,3,4,SA3_NULL,S3_MWANDSMOKE3,0,0},	// S3_MWANDSMOKE2
{SPR3_MWND,2,4,SA3_NULL,S3_MWANDSMOKE4,0,0},	// S3_MWANDSMOKE3
{SPR3_MWND,3,4,SA3_NULL,S3_NULL,0,0},	// S3_MWANDSMOKE4
{SPR3_MWND,32770,4,SA3_NULL,S3_MWAND_MISSILE2,0,0},	// S3_MWAND_MISSILE1
{SPR3_MWND,32771,4,SA3_NULL,S3_MWAND_MISSILE1,0,0},	// S3_MWAND_MISSILE2
{SPR3_WMLG,32768,4,SA3_NULL,S3_MW_LIGHTNING2,0,0},	// S3_MW_LIGHTNING1
{SPR3_WMLG,32769,4,SA3_NULL,S3_MW_LIGHTNING3,0,0},	// S3_MW_LIGHTNING2
{SPR3_WMLG,32770,4,SA3_NULL,S3_MW_LIGHTNING4,0,0},	// S3_MW_LIGHTNING3
{SPR3_WMLG,32771,4,SA3_NULL,S3_MW_LIGHTNING5,0,0},	// S3_MW_LIGHTNING4
{SPR3_WMLG,32772,4,SA3_NULL,S3_MW_LIGHTNING6,0,0},	// S3_MW_LIGHTNING5
{SPR3_WMLG,32773,4,SA3_NULL,S3_MW_LIGHTNING7,0,0},	// S3_MW_LIGHTNING6
{SPR3_WMLG,32774,4,SA3_NULL,S3_MW_LIGHTNING8,0,0},	// S3_MW_LIGHTNING7
{SPR3_WMLG,32775,4,SA3_NULL,S3_MW_LIGHTNING1,0,0},	// S3_MW_LIGHTNING8
{SPR3_MLNG,32768,1,SA3_WeaponReady,S3_MLIGHTNINGREADY2,0,0},	// S3_MLIGHTNINGREADY
{SPR3_MLNG,32768,1,SA3_WeaponReady,S3_MLIGHTNINGREADY3,0,0},	// S3_MLIGHTNINGREADY2
{SPR3_MLNG,32768,1,SA3_WeaponReady,S3_MLIGHTNINGREADY4,0,0},	// S3_MLIGHTNINGREADY3
{SPR3_MLNG,32768,1,SA3_WeaponReady,S3_MLIGHTNINGREADY5,0,0},	// S3_MLIGHTNINGREADY4
{SPR3_MLNG,32768,1,SA3_WeaponReady,S3_MLIGHTNINGREADY6,0,0},	// S3_MLIGHTNINGREADY5
{SPR3_MLNG,32768,1,SA3_LightningReady,S3_MLIGHTNINGREADY7,0,0},	// S3_MLIGHTNINGREADY6
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY8,0,0},	// S3_MLIGHTNINGREADY7
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY9,0,0},	// S3_MLIGHTNINGREADY8
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY10,0,0},	// S3_MLIGHTNINGREADY9
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY11,0,0},	// S3_MLIGHTNINGREADY10
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY12,0,0},	// S3_MLIGHTNINGREADY11
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY13,0,0},	// S3_MLIGHTNINGREADY12
{SPR3_MLNG,32770,1,SA3_WeaponReady,S3_MLIGHTNINGREADY14,0,0},	// S3_MLIGHTNINGREADY13
{SPR3_MLNG,32770,1,SA3_WeaponReady,S3_MLIGHTNINGREADY15,0,0},	// S3_MLIGHTNINGREADY14
{SPR3_MLNG,32770,1,SA3_WeaponReady,S3_MLIGHTNINGREADY16,0,0},	// S3_MLIGHTNINGREADY15
{SPR3_MLNG,32770,1,SA3_WeaponReady,S3_MLIGHTNINGREADY17,0,0},	// S3_MLIGHTNINGREADY16
{SPR3_MLNG,32770,1,SA3_WeaponReady,S3_MLIGHTNINGREADY18,0,0},	// S3_MLIGHTNINGREADY17
{SPR3_MLNG,32770,1,SA3_LightningReady,S3_MLIGHTNINGREADY19,0,0},	// S3_MLIGHTNINGREADY18
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY20,0,0},	// S3_MLIGHTNINGREADY19
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY21,0,0},	// S3_MLIGHTNINGREADY20
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY22,0,0},	// S3_MLIGHTNINGREADY21
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY23,0,0},	// S3_MLIGHTNINGREADY22
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY24,0,0},	// S3_MLIGHTNINGREADY23
{SPR3_MLNG,32769,1,SA3_WeaponReady,S3_MLIGHTNINGREADY,0,0},	// S3_MLIGHTNINGREADY24
{SPR3_MLNG,32768,1,SA3_Lower,S3_MLIGHTNINGDOWN,0,0},	// S3_MLIGHTNINGDOWN
{SPR3_MLNG,32768,1,SA3_Raise,S3_MLIGHTNINGUP,0,0},	// S3_MLIGHTNINGUP
{SPR3_MLNG,32771,3,SA3_NULL,S3_MLIGHTNINGATK_2,0,0},	// S3_MLIGHTNINGATK_1
{SPR3_MLNG,32772,3,SA3_NULL,S3_MLIGHTNINGATK_3,0,0},	// S3_MLIGHTNINGATK_2
{SPR3_MLNG,32773,4,SA3_MLightningAttack,S3_MLIGHTNINGATK_4,0,0},	// S3_MLIGHTNINGATK_3
{SPR3_MLNG,32774,4,SA3_NULL,S3_MLIGHTNINGATK_5,0,0},	// S3_MLIGHTNINGATK_4
{SPR3_MLNG,32775,3,SA3_NULL,S3_MLIGHTNINGATK_6,0,0},	// S3_MLIGHTNINGATK_5
{SPR3_MLNG,32776,3,SA3_NULL,S3_MLIGHTNINGATK_7,0,0},	// S3_MLIGHTNINGATK_6
{SPR3_MLNG,32776,6,SA3_NULL,S3_MLIGHTNINGATK_8,0,199},	// S3_MLIGHTNINGATK_7
{SPR3_MLNG,32770,2,SA3_NULL,S3_MLIGHTNINGATK_9,0,55},	// S3_MLIGHTNINGATK_8
{SPR3_MLNG,32769,2,SA3_NULL,S3_MLIGHTNINGATK_10,0,50},	// S3_MLIGHTNINGATK_9
{SPR3_MLNG,32769,2,SA3_NULL,S3_MLIGHTNINGATK_11,0,45},	// S3_MLIGHTNINGATK_10
{SPR3_MLNG,32769,2,SA3_NULL,S3_MLIGHTNINGREADY,0,40},	// S3_MLIGHTNINGATK_11
{SPR3_MLFX,32768,2,SA3_LightningZap,S3_LIGHTNING_CEILING2,0,0},	// S3_LIGHTNING_CEILING1
{SPR3_MLFX,32769,2,SA3_LightningClip,S3_LIGHTNING_CEILING3,0,0},	// S3_LIGHTNING_CEILING2
{SPR3_MLFX,32770,2,SA3_LightningClip,S3_LIGHTNING_CEILING4,0,0},	// S3_LIGHTNING_CEILING3
{SPR3_MLFX,32771,2,SA3_LightningClip,S3_LIGHTNING_CEILING1,0,0},	// S3_LIGHTNING_CEILING4
{SPR3_MLF2,32768,2,SA3_LightningRemove,S3_LIGHTNING_C_X2,0,0},	// S3_LIGHTNING_C_X1
{SPR3_MLF2,32769,3,SA3_NULL,S3_LIGHTNING_C_X3,0,0},	// S3_LIGHTNING_C_X2
{SPR3_MLF2,32770,3,SA3_NULL,S3_LIGHTNING_C_X4,0,0},	// S3_LIGHTNING_C_X3
{SPR3_MLF2,32771,3,SA3_NULL,S3_LIGHTNING_C_X5,0,0},	// S3_LIGHTNING_C_X4
{SPR3_MLF2,32772,3,SA3_NULL,S3_LIGHTNING_C_X6,0,0},	// S3_LIGHTNING_C_X5
{SPR3_MLF2,32778,3,SA3_NULL,S3_LIGHTNING_C_X7,0,0},	// S3_LIGHTNING_C_X6
{SPR3_MLF2,32779,3,SA3_NULL,S3_LIGHTNING_C_X8,0,0},	// S3_LIGHTNING_C_X7
{SPR3_MLF2,32780,3,SA3_NULL,S3_LIGHTNING_C_X9,0,0},	// S3_LIGHTNING_C_X8
{SPR3_ACLO,4,35,SA3_NULL,S3_LIGHTNING_C_X10,0,0},	// S3_LIGHTNING_C_X9
{SPR3_MLF2,32781,3,SA3_NULL,S3_LIGHTNING_C_X11,0,0},	// S3_LIGHTNING_C_X10
{SPR3_MLF2,32782,3,SA3_NULL,S3_LIGHTNING_C_X12,0,0},	// S3_LIGHTNING_C_X11
{SPR3_MLF2,32783,4,SA3_NULL,S3_LIGHTNING_C_X13,0,0},	// S3_LIGHTNING_C_X12
{SPR3_MLF2,32784,3,SA3_NULL,S3_LIGHTNING_C_X14,0,0},	// S3_LIGHTNING_C_X13
{SPR3_MLF2,32783,3,SA3_NULL,S3_LIGHTNING_C_X15,0,0},	// S3_LIGHTNING_C_X14
{SPR3_MLF2,32784,4,SA3_NULL,S3_LIGHTNING_C_X16,0,0},	// S3_LIGHTNING_C_X15
{SPR3_MLF2,32783,3,SA3_NULL,S3_LIGHTNING_C_X17,0,0},	// S3_LIGHTNING_C_X16
{SPR3_MLF2,32782,3,SA3_NULL,S3_LIGHTNING_C_X18,0,0},	// S3_LIGHTNING_C_X17
{SPR3_MLF2,32783,3,SA3_NULL,S3_LIGHTNING_C_X19,0,0},	// S3_LIGHTNING_C_X18
{SPR3_MLF2,32783,1,SA3_HideThing,S3_FREETARGMOBJ,0,0},	// S3_LIGHTNING_C_X19
{SPR3_MLFX,32772,2,SA3_LightningZap,S3_LIGHTNING_FLOOR2,0,0},	// S3_LIGHTNING_FLOOR1
{SPR3_MLFX,32773,2,SA3_LightningClip,S3_LIGHTNING_FLOOR3,0,0},	// S3_LIGHTNING_FLOOR2
{SPR3_MLFX,32774,2,SA3_LightningClip,S3_LIGHTNING_FLOOR4,0,0},	// S3_LIGHTNING_FLOOR3
{SPR3_MLFX,32775,2,SA3_LightningClip,S3_LIGHTNING_FLOOR1,0,0},	// S3_LIGHTNING_FLOOR4
{SPR3_MLF2,32773,2,SA3_LightningRemove,S3_LIGHTNING_F_X2,0,0},	// S3_LIGHTNING_F_X1
{SPR3_MLF2,32774,3,SA3_NULL,S3_LIGHTNING_F_X3,0,0},	// S3_LIGHTNING_F_X2
{SPR3_MLF2,32775,3,SA3_NULL,S3_LIGHTNING_F_X4,0,0},	// S3_LIGHTNING_F_X3
{SPR3_MLF2,32776,3,SA3_NULL,S3_LIGHTNING_F_X5,0,0},	// S3_LIGHTNING_F_X4
{SPR3_MLF2,32777,3,SA3_NULL,S3_LIGHTNING_F_X6,0,0},	// S3_LIGHTNING_F_X5
{SPR3_MLF2,32778,3,SA3_NULL,S3_LIGHTNING_F_X7,0,0},	// S3_LIGHTNING_F_X6
{SPR3_MLF2,32779,3,SA3_NULL,S3_LIGHTNING_F_X8,0,0},	// S3_LIGHTNING_F_X7
{SPR3_MLF2,32780,3,SA3_NULL,S3_LIGHTNING_F_X9,0,0},	// S3_LIGHTNING_F_X8
{SPR3_ACLO,4,20,SA3_NULL,S3_LIGHTNING_F_X10,0,0},	// S3_LIGHTNING_F_X9
{SPR3_MLF2,32781,3,SA3_NULL,S3_LIGHTNING_F_X11,0,0},	// S3_LIGHTNING_F_X10
{SPR3_MLF2,32782,3,SA3_NULL,S3_LIGHTNING_F_X12,0,0},	// S3_LIGHTNING_F_X11
{SPR3_MLF2,32783,4,SA3_NULL,S3_LIGHTNING_F_X13,0,0},	// S3_LIGHTNING_F_X12
{SPR3_MLF2,32784,3,SA3_NULL,S3_LIGHTNING_F_X14,0,0},	// S3_LIGHTNING_F_X13
{SPR3_MLF2,32783,3,SA3_NULL,S3_LIGHTNING_F_X15,0,0},	// S3_LIGHTNING_F_X14
{SPR3_MLF2,32784,4,SA3_LastZap,S3_LIGHTNING_F_X16,0,0},	// S3_LIGHTNING_F_X15
{SPR3_MLF2,32783,3,SA3_NULL,S3_LIGHTNING_F_X17,0,0},	// S3_LIGHTNING_F_X16
{SPR3_MLF2,32782,3,SA3_NULL,S3_LIGHTNING_F_X18,0,0},	// S3_LIGHTNING_F_X17
{SPR3_MLF2,32783,3,SA3_NULL,S3_LIGHTNING_F_X19,0,0},	// S3_LIGHTNING_F_X18
{SPR3_MLF2,32783,1,SA3_HideThing,S3_FREETARGMOBJ,0,0},	// S3_LIGHTNING_F_X19
{SPR3_MLFX,32776,2,SA3_ZapMimic,S3_LIGHTNING_ZAP2,0,0},	// S3_LIGHTNING_ZAP1
{SPR3_MLFX,32777,2,SA3_ZapMimic,S3_LIGHTNING_ZAP3,0,0},	// S3_LIGHTNING_ZAP2
{SPR3_MLFX,32778,2,SA3_ZapMimic,S3_LIGHTNING_ZAP4,0,0},	// S3_LIGHTNING_ZAP3
{SPR3_MLFX,32779,2,SA3_ZapMimic,S3_LIGHTNING_ZAP5,0,0},	// S3_LIGHTNING_ZAP4
{SPR3_MLFX,32780,2,SA3_ZapMimic,S3_LIGHTNING_ZAP1,0,0},	// S3_LIGHTNING_ZAP5
{SPR3_MLFX,32781,2,SA3_NULL,S3_LIGHTNING_ZAP_X2,0,0},	// S3_LIGHTNING_ZAP_X1
{SPR3_MLFX,32782,2,SA3_NULL,S3_LIGHTNING_ZAP_X3,0,0},	// S3_LIGHTNING_ZAP_X2
{SPR3_MLFX,32783,2,SA3_NULL,S3_LIGHTNING_ZAP_X4,0,0},	// S3_LIGHTNING_ZAP_X3
{SPR3_MLFX,32784,2,SA3_NULL,S3_LIGHTNING_ZAP_X5,0,0},	// S3_LIGHTNING_ZAP_X4
{SPR3_MLFX,32785,2,SA3_NULL,S3_LIGHTNING_ZAP_X6,0,0},	// S3_LIGHTNING_ZAP_X5
{SPR3_MLFX,32786,2,SA3_NULL,S3_LIGHTNING_ZAP_X7,0,0},	// S3_LIGHTNING_ZAP_X6
{SPR3_MLFX,32787,2,SA3_NULL,S3_LIGHTNING_ZAP_X8,0,0},	// S3_LIGHTNING_ZAP_X7
{SPR3_MLFX,32788,2,SA3_NULL,S3_NULL,0,0},	// S3_LIGHTNING_ZAP_X8
{SPR3_MSTF,0,1,SA3_WeaponReady,S3_MSTAFFREADY2,0,0},	// S3_MSTAFFREADY
{SPR3_MSTF,0,1,SA3_WeaponReady,S3_MSTAFFREADY3,0,0},	// S3_MSTAFFREADY2
{SPR3_MSTF,0,1,SA3_WeaponReady,S3_MSTAFFREADY4,0,0},	// S3_MSTAFFREADY3
{SPR3_MSTF,0,1,SA3_WeaponReady,S3_MSTAFFREADY5,0,0},	// S3_MSTAFFREADY4
{SPR3_MSTF,0,1,SA3_WeaponReady,S3_MSTAFFREADY6,0,0},	// S3_MSTAFFREADY5
{SPR3_MSTF,0,1,SA3_WeaponReady,S3_MSTAFFREADY7,0,0},	// S3_MSTAFFREADY6
{SPR3_MSTF,1,1,SA3_WeaponReady,S3_MSTAFFREADY8,0,0},	// S3_MSTAFFREADY7
{SPR3_MSTF,1,1,SA3_WeaponReady,S3_MSTAFFREADY9,0,0},	// S3_MSTAFFREADY8
{SPR3_MSTF,1,1,SA3_WeaponReady,S3_MSTAFFREADY10,0,0},	// S3_MSTAFFREADY9
{SPR3_MSTF,1,1,SA3_WeaponReady,S3_MSTAFFREADY11,0,0},	// S3_MSTAFFREADY10
{SPR3_MSTF,1,1,SA3_WeaponReady,S3_MSTAFFREADY12,0,0},	// S3_MSTAFFREADY11
{SPR3_MSTF,1,1,SA3_WeaponReady,S3_MSTAFFREADY13,0,0},	// S3_MSTAFFREADY12
{SPR3_MSTF,2,1,SA3_WeaponReady,S3_MSTAFFREADY14,0,0},	// S3_MSTAFFREADY13
{SPR3_MSTF,2,1,SA3_WeaponReady,S3_MSTAFFREADY15,0,0},	// S3_MSTAFFREADY14
{SPR3_MSTF,2,1,SA3_WeaponReady,S3_MSTAFFREADY16,0,0},	// S3_MSTAFFREADY15
{SPR3_MSTF,2,1,SA3_WeaponReady,S3_MSTAFFREADY17,0,0},	// S3_MSTAFFREADY16
{SPR3_MSTF,2,1,SA3_WeaponReady,S3_MSTAFFREADY18,0,0},	// S3_MSTAFFREADY17
{SPR3_MSTF,2,1,SA3_WeaponReady,S3_MSTAFFREADY19,0,0},	// S3_MSTAFFREADY18
{SPR3_MSTF,3,1,SA3_WeaponReady,S3_MSTAFFREADY20,0,0},	// S3_MSTAFFREADY19
{SPR3_MSTF,3,1,SA3_WeaponReady,S3_MSTAFFREADY21,0,0},	// S3_MSTAFFREADY20
{SPR3_MSTF,3,1,SA3_WeaponReady,S3_MSTAFFREADY22,0,0},	// S3_MSTAFFREADY21
{SPR3_MSTF,3,1,SA3_WeaponReady,S3_MSTAFFREADY23,0,0},	// S3_MSTAFFREADY22
{SPR3_MSTF,3,1,SA3_WeaponReady,S3_MSTAFFREADY24,0,0},	// S3_MSTAFFREADY23
{SPR3_MSTF,3,1,SA3_WeaponReady,S3_MSTAFFREADY25,0,0},	// S3_MSTAFFREADY24
{SPR3_MSTF,4,1,SA3_WeaponReady,S3_MSTAFFREADY26,0,0},	// S3_MSTAFFREADY25
{SPR3_MSTF,4,1,SA3_WeaponReady,S3_MSTAFFREADY27,0,0},	// S3_MSTAFFREADY26
{SPR3_MSTF,4,1,SA3_WeaponReady,S3_MSTAFFREADY28,0,0},	// S3_MSTAFFREADY27
{SPR3_MSTF,4,1,SA3_WeaponReady,S3_MSTAFFREADY29,0,0},	// S3_MSTAFFREADY28
{SPR3_MSTF,4,1,SA3_WeaponReady,S3_MSTAFFREADY30,0,0},	// S3_MSTAFFREADY29
{SPR3_MSTF,4,1,SA3_WeaponReady,S3_MSTAFFREADY31,0,0},	// S3_MSTAFFREADY30
{SPR3_MSTF,5,1,SA3_WeaponReady,S3_MSTAFFREADY32,0,0},	// S3_MSTAFFREADY31
{SPR3_MSTF,5,1,SA3_WeaponReady,S3_MSTAFFREADY33,0,0},	// S3_MSTAFFREADY32
{SPR3_MSTF,5,1,SA3_WeaponReady,S3_MSTAFFREADY34,0,0},	// S3_MSTAFFREADY33
{SPR3_MSTF,5,1,SA3_WeaponReady,S3_MSTAFFREADY35,0,0},	// S3_MSTAFFREADY34
{SPR3_MSTF,5,1,SA3_WeaponReady,S3_MSTAFFREADY,0,0},	// S3_MSTAFFREADY35
{SPR3_MSTF,0,1,SA3_Lower,S3_MSTAFFDOWN,0,0},	// S3_MSTAFFDOWN
{SPR3_MSTF,0,1,SA3_Raise,S3_MSTAFFUP,0,0},	// S3_MSTAFFUP
{SPR3_MSTF,6,4,SA3_NULL,S3_MSTAFFATK_2,0,40},	// S3_MSTAFFATK_1
{SPR3_MSTF,32775,4,SA3_MStaffAttack,S3_MSTAFFATK_3,0,48},	// S3_MSTAFFATK_2
{SPR3_MSTF,32775,2,SA3_MStaffPalette,S3_MSTAFFATK_4,0,48},	// S3_MSTAFFATK_3
{SPR3_MSTF,8,2,SA3_MStaffPalette,S3_MSTAFFATK_5,0,48},	// S3_MSTAFFATK_4
{SPR3_MSTF,8,2,SA3_MStaffPalette,S3_MSTAFFATK_6,0,48},	// S3_MSTAFFATK_5
{SPR3_MSTF,8,1,SA3_NULL,S3_MSTAFFATK_7,0,40},	// S3_MSTAFFATK_6
{SPR3_MSTF,9,5,SA3_NULL,S3_MSTAFFREADY,0,36},	// S3_MSTAFFATK_7
{SPR3_MSP1,32768,3,SA3_MStaffWeave,S3_MSTAFF_FX1_2,0,0},	// S3_MSTAFF_FX1_1
{SPR3_MSP1,32769,3,SA3_MStaffWeave,S3_MSTAFF_FX1_3,0,0},	// S3_MSTAFF_FX1_2
{SPR3_MSP1,32770,3,SA3_MStaffWeave,S3_MSTAFF_FX1_4,0,0},	// S3_MSTAFF_FX1_3
{SPR3_MSP1,32771,3,SA3_MStaffWeave,S3_MSTAFF_FX1_5,0,0},	// S3_MSTAFF_FX1_4
{SPR3_MSP1,32772,3,SA3_MStaffWeave,S3_MSTAFF_FX1_6,0,0},	// S3_MSTAFF_FX1_5
{SPR3_MSP1,32773,3,SA3_MStaffWeave,S3_MSTAFF_FX1_1,0,0},	// S3_MSTAFF_FX1_6
{SPR3_MSP1,32774,4,SA3_NULL,S3_MSTAFF_FX_X2,0,0},	// S3_MSTAFF_FX_X1
{SPR3_MSP1,32775,5,SA3_Explode,S3_MSTAFF_FX_X3,0,0},	// S3_MSTAFF_FX_X2
{SPR3_MSP1,32776,4,SA3_NULL,S3_MSTAFF_FX_X4,0,0},	// S3_MSTAFF_FX_X3
{SPR3_MSP1,32777,5,SA3_NULL,S3_MSTAFF_FX_X5,0,0},	// S3_MSTAFF_FX_X4
{SPR3_MSP1,32778,4,SA3_NULL,S3_MSTAFF_FX_X6,0,0},	// S3_MSTAFF_FX_X5
{SPR3_MSP1,32779,5,SA3_NULL,S3_MSTAFF_FX_X7,0,0},	// S3_MSTAFF_FX_X6
{SPR3_MSP1,32780,4,SA3_NULL,S3_MSTAFF_FX_X8,0,0},	// S3_MSTAFF_FX_X7
{SPR3_MSP1,32781,5,SA3_NULL,S3_MSTAFF_FX_X9,0,0},	// S3_MSTAFF_FX_X8
{SPR3_MSP1,32782,4,SA3_NULL,S3_MSTAFF_FX_X10,0,0},	// S3_MSTAFF_FX_X9
{SPR3_MSP1,32783,4,SA3_NULL,S3_NULL,0,0},	// S3_MSTAFF_FX_X10
{SPR3_MSP2,32768,2,SA3_MStaffTrack,S3_MSTAFF_FX2_2,0,0},	// S3_MSTAFF_FX2_1
{SPR3_MSP2,32769,2,SA3_MStaffTrack,S3_MSTAFF_FX2_3,0,0},	// S3_MSTAFF_FX2_2
{SPR3_MSP2,32770,2,SA3_MStaffTrack,S3_MSTAFF_FX2_4,0,0},	// S3_MSTAFF_FX2_3
{SPR3_MSP2,32771,2,SA3_MStaffTrack,S3_MSTAFF_FX2_1,0,0},	// S3_MSTAFF_FX2_4
{SPR3_MSP2,32772,4,SA3_NULL,S3_MSTAFF_FX2_X2,0,0},	// S3_MSTAFF_FX2_X1
{SPR3_MSP2,32773,5,SA3_Explode,S3_MSTAFF_FX2_X3,0,0},	// S3_MSTAFF_FX2_X2
{SPR3_MSP2,32774,5,SA3_NULL,S3_MSTAFF_FX2_X4,0,0},	// S3_MSTAFF_FX2_X3
{SPR3_MSP2,32775,5,SA3_NULL,S3_MSTAFF_FX2_X5,0,0},	// S3_MSTAFF_FX2_X4
{SPR3_MSP2,32776,4,SA3_NULL,S3_NULL,0,0},	// S3_MSTAFF_FX2_X5
{SPR3_WFR1,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_FSWORD1
{SPR3_WFR2,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_FSWORD2
{SPR3_WFR3,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_FSWORD3
{SPR3_WCH1,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_CHOLY1
{SPR3_WCH2,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_CHOLY2
{SPR3_WCH3,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_CHOLY3
{SPR3_WMS1,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_MSTAFF1
{SPR3_WMS2,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_MSTAFF2
{SPR3_WMS3,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_MSTAFF3
{SPR3_WPIG,0,1,SA3_WeaponReady,S3_SNOUTREADY,0,0},	// S3_SNOUTREADY
{SPR3_WPIG,0,1,SA3_Lower,S3_SNOUTDOWN,0,0},	// S3_SNOUTDOWN
{SPR3_WPIG,0,1,SA3_Raise,S3_SNOUTUP,0,0},	// S3_SNOUTUP
{SPR3_WPIG,0,4,SA3_SnoutAttack,S3_SNOUTATK2,0,0},	// S3_SNOUTATK1
{SPR3_WPIG,1,8,SA3_SnoutAttack,S3_SNOUTREADY,0,0},	// S3_SNOUTATK2
{SPR3_WMCS,32768,8,SA3_NULL,S3_COS2,0,0},	// S3_COS1
{SPR3_WMCS,32769,8,SA3_NULL,S3_COS3,0,0},	// S3_COS2
{SPR3_WMCS,32770,8,SA3_NULL,S3_COS1,0,0},	// S3_COS3
{SPR3_CONE,0,1,SA3_WeaponReady,S3_CONEREADY,0,0},	// S3_CONEREADY
{SPR3_CONE,0,1,SA3_Lower,S3_CONEDOWN,0,0},	// S3_CONEDOWN
{SPR3_CONE,0,1,SA3_Raise,S3_CONEUP,0,0},	// S3_CONEUP
{SPR3_CONE,1,3,SA3_NULL,S3_CONEATK1_2,0,0},	// S3_CONEATK1_1
{SPR3_CONE,2,4,SA3_NULL,S3_CONEATK1_3,0,0},	// S3_CONEATK1_2
{SPR3_CONE,3,3,SA3_NULL,S3_CONEATK1_4,0,0},	// S3_CONEATK1_3
{SPR3_CONE,4,5,SA3_NULL,S3_CONEATK1_5,0,0},	// S3_CONEATK1_4
{SPR3_CONE,5,3,SA3_FireConePL1,S3_CONEATK1_6,0,0},	// S3_CONEATK1_5
{SPR3_CONE,6,3,SA3_NULL,S3_CONEATK1_7,0,0},	// S3_CONEATK1_6
{SPR3_CONE,0,9,SA3_NULL,S3_CONEATK1_8,0,0},	// S3_CONEATK1_7
{SPR3_CONE,0,10,SA3_ReFire,S3_CONEREADY,0,0},	// S3_CONEATK1_8
{SPR3_SHRD,32768,2,SA3_NULL,S3_SHARDFX1_2,0,0},	// S3_SHARDFX1_1
{SPR3_SHRD,32768,3,SA3_ShedShard,S3_SHARDFX1_3,0,0},	// S3_SHARDFX1_2
{SPR3_SHRD,32769,3,SA3_NULL,S3_SHARDFX1_4,0,0},	// S3_SHARDFX1_3
{SPR3_SHRD,32770,3,SA3_NULL,S3_SHARDFX1_1,0,0},	// S3_SHARDFX1_4
{SPR3_SHEX,32768,5,SA3_NULL,S3_SHARDFXE1_2,0,0},	// S3_SHARDFXE1_1
{SPR3_SHEX,32769,5,SA3_NULL,S3_SHARDFXE1_3,0,0},	// S3_SHARDFXE1_2
{SPR3_SHEX,32770,5,SA3_NULL,S3_SHARDFXE1_4,0,0},	// S3_SHARDFXE1_3
{SPR3_SHEX,32771,5,SA3_NULL,S3_SHARDFXE1_5,0,0},	// S3_SHARDFXE1_4
{SPR3_SHEX,32772,5,SA3_NULL,S3_NULL,0,0},	// S3_SHARDFXE1_5
{SPR3_BLOD,2,8,SA3_NULL,S3_BLOOD2,0,0},	// S3_BLOOD1
{SPR3_BLOD,1,8,SA3_NULL,S3_BLOOD3,0,0},	// S3_BLOOD2
{SPR3_BLOD,0,8,SA3_NULL,S3_NULL,0,0},	// S3_BLOOD3
{SPR3_BLOD,2,8,SA3_NULL,S3_BLOODSPLATTER2,0,0},	// S3_BLOODSPLATTER1
{SPR3_BLOD,1,8,SA3_NULL,S3_BLOODSPLATTER3,0,0},	// S3_BLOODSPLATTER2
{SPR3_BLOD,0,8,SA3_NULL,S3_NULL,0,0},	// S3_BLOODSPLATTER3
{SPR3_BLOD,0,6,SA3_NULL,S3_NULL,0,0},	// S3_BLOODSPLATTERX
{SPR3_GIBS,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_GIBS1
{SPR3_PLAY,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_FPLAY
{SPR3_PLAY,0,4,SA3_NULL,S3_FPLAY_RUN2,0,0},	// S3_FPLAY_RUN1
{SPR3_PLAY,1,4,SA3_NULL,S3_FPLAY_RUN3,0,0},	// S3_FPLAY_RUN2
{SPR3_PLAY,2,4,SA3_NULL,S3_FPLAY_RUN4,0,0},	// S3_FPLAY_RUN3
{SPR3_PLAY,3,4,SA3_NULL,S3_FPLAY_RUN1,0,0},	// S3_FPLAY_RUN4
{SPR3_PLAY,4,8,SA3_NULL,S3_FPLAY_ATK2,0,0},	// S3_FPLAY_ATK1
{SPR3_PLAY,5,8,SA3_NULL,S3_FPLAY,0,0},	// S3_FPLAY_ATK2
{SPR3_PLAY,6,4,SA3_NULL,S3_FPLAY_PAIN2,0,0},	// S3_FPLAY_PAIN
{SPR3_PLAY,6,4,SA3_Pain,S3_FPLAY,0,0},	// S3_FPLAY_PAIN2
{SPR3_PLAY,7,6,SA3_NULL,S3_FPLAY_DIE2,0,0},	// S3_FPLAY_DIE1
{SPR3_PLAY,8,6,SA3_Scream,S3_FPLAY_DIE3,0,0},	// S3_FPLAY_DIE2
{SPR3_PLAY,9,6,SA3_NULL,S3_FPLAY_DIE4,0,0},	// S3_FPLAY_DIE3
{SPR3_PLAY,10,6,SA3_NULL,S3_FPLAY_DIE5,0,0},	// S3_FPLAY_DIE4
{SPR3_PLAY,11,6,SA3_NoBlocking,S3_FPLAY_DIE6,0,0},	// S3_FPLAY_DIE5
{SPR3_PLAY,12,6,SA3_NULL,S3_FPLAY_DIE7,0,0},	// S3_FPLAY_DIE6
{SPR3_PLAY,13,-1,SA3_AddPlayerCorpse,S3_NULL,0,0},	// S3_FPLAY_DIE7
{SPR3_PLAY,14,5,SA3_Scream,S3_FPLAY_XDIE2,0,0},	// S3_FPLAY_XDIE1
{SPR3_PLAY,15,5,SA3_SkullPop,S3_FPLAY_XDIE3,0,0},	// S3_FPLAY_XDIE2
{SPR3_PLAY,17,5,SA3_NoBlocking,S3_FPLAY_XDIE4,0,0},	// S3_FPLAY_XDIE3
{SPR3_PLAY,18,5,SA3_NULL,S3_FPLAY_XDIE5,0,0},	// S3_FPLAY_XDIE4
{SPR3_PLAY,19,5,SA3_NULL,S3_FPLAY_XDIE6,0,0},	// S3_FPLAY_XDIE5
{SPR3_PLAY,20,5,SA3_NULL,S3_FPLAY_XDIE7,0,0},	// S3_FPLAY_XDIE6
{SPR3_PLAY,21,5,SA3_NULL,S3_FPLAY_XDIE8,0,0},	// S3_FPLAY_XDIE7
{SPR3_PLAY,22,-1,SA3_AddPlayerCorpse,S3_NULL,0,0},	// S3_FPLAY_XDIE8
{SPR3_PLAY,23,5,SA3_FreezeDeath,S3_FPLAY_ICE2,0,0},	// S3_FPLAY_ICE
{SPR3_PLAY,23,1,SA3_FreezeDeathChunks,S3_FPLAY_ICE2,0,0},	// S3_FPLAY_ICE2
{SPR3_FDTH,32768,5,SA3_NULL,S3_PLAY_F_FDTH2,0,0},	// S3_PLAY_F_FDTH1
{SPR3_FDTH,32769,4,SA3_NULL,S3_PLAY_FDTH3,0,0},	// S3_PLAY_F_FDTH2
{SPR3_FDTH,32770,5,SA3_NULL,S3_PLAY_C_FDTH2,0,0},	// S3_PLAY_C_FDTH1
{SPR3_FDTH,32771,4,SA3_NULL,S3_PLAY_FDTH3,0,0},	// S3_PLAY_C_FDTH2
{SPR3_FDTH,32772,5,SA3_NULL,S3_PLAY_M_FDTH2,0,0},	// S3_PLAY_M_FDTH1
{SPR3_FDTH,32773,4,SA3_NULL,S3_PLAY_FDTH3,0,0},	// S3_PLAY_M_FDTH2
{SPR3_FDTH,32774,5,SA3_NULL,S3_PLAY_FDTH4,0,0},	// S3_PLAY_FDTH3
{SPR3_FDTH,32775,4,SA3_Scream,S3_PLAY_FDTH5,0,0},	// S3_PLAY_FDTH4
{SPR3_FDTH,32776,5,SA3_NULL,S3_PLAY_FDTH6,0,0},	// S3_PLAY_FDTH5
{SPR3_FDTH,32777,4,SA3_NULL,S3_PLAY_FDTH7,0,0},	// S3_PLAY_FDTH6
{SPR3_FDTH,32778,5,SA3_NULL,S3_PLAY_FDTH8,0,0},	// S3_PLAY_FDTH7
{SPR3_FDTH,32779,4,SA3_NULL,S3_PLAY_FDTH9,0,0},	// S3_PLAY_FDTH8
{SPR3_FDTH,32780,5,SA3_NULL,S3_PLAY_FDTH10,0,0},	// S3_PLAY_FDTH9
{SPR3_FDTH,32781,4,SA3_NULL,S3_PLAY_FDTH11,0,0},	// S3_PLAY_FDTH10
{SPR3_FDTH,32782,5,SA3_NULL,S3_PLAY_FDTH12,0,0},	// S3_PLAY_FDTH11
{SPR3_FDTH,32783,4,SA3_NULL,S3_PLAY_FDTH13,0,0},	// S3_PLAY_FDTH12
{SPR3_FDTH,32784,5,SA3_NULL,S3_PLAY_FDTH14,0,0},	// S3_PLAY_FDTH13
{SPR3_FDTH,32785,4,SA3_NULL,S3_PLAY_FDTH15,0,0},	// S3_PLAY_FDTH14
{SPR3_FDTH,32786,5,SA3_NoBlocking,S3_PLAY_FDTH16,0,0},	// S3_PLAY_FDTH15
{SPR3_FDTH,32787,4,SA3_NULL,S3_PLAY_FDTH17,0,0},	// S3_PLAY_FDTH16
{SPR3_FDTH,32788,5,SA3_NULL,S3_PLAY_FDTH18,0,0},	// S3_PLAY_FDTH17
{SPR3_FDTH,32789,4,SA3_NULL,S3_PLAY_FDTH19,0,0},	// S3_PLAY_FDTH18
{SPR3_ACLO,4,35,SA3_CheckBurnGone,S3_PLAY_FDTH19,0,0},	// S3_PLAY_FDTH19
{SPR3_ACLO,4,8,SA3_NULL,S3_NULL,0,0},	// S3_PLAY_FDTH20
{SPR3_BSKL,0,5,SA3_CheckSkullFloor,S3_BLOODYSKULL2,0,0},	// S3_BLOODYSKULL1
{SPR3_BSKL,1,5,SA3_CheckSkullFloor,S3_BLOODYSKULL3,0,0},	// S3_BLOODYSKULL2
{SPR3_BSKL,2,5,SA3_CheckSkullFloor,S3_BLOODYSKULL4,0,0},	// S3_BLOODYSKULL3
{SPR3_BSKL,3,5,SA3_CheckSkullFloor,S3_BLOODYSKULL5,0,0},	// S3_BLOODYSKULL4
{SPR3_BSKL,5,5,SA3_CheckSkullFloor,S3_BLOODYSKULL6,0,0},	// S3_BLOODYSKULL5
{SPR3_BSKL,6,5,SA3_CheckSkullFloor,S3_BLOODYSKULL7,0,0},	// S3_BLOODYSKULL6
{SPR3_BSKL,7,5,SA3_CheckSkullFloor,S3_BLOODYSKULL1,0,0},	// S3_BLOODYSKULL7
{SPR3_BSKL,8,16,SA3_CheckSkullDone,S3_BLOODYSKULLX1,0,0},	// S3_BLOODYSKULLX1
{SPR3_BSKL,8,1050,SA3_NULL,S3_NULL,0,0},	// S3_BLOODYSKULLX2
{SPR3_PLAY,0,5,SA3_NULL,S3_PLAYER_SPEED2,0,0},	// S3_PLAYER_SPEED1
{SPR3_PLAY,0,3,SA3_SpeedFade,S3_NULL,0,0},	// S3_PLAYER_SPEED2
{SPR3_ICEC,0,10,SA3_NULL,S3_ICECHUNK2,0,0},	// S3_ICECHUNK1
{SPR3_ICEC,1,10,SA3_IceSetTics,S3_ICECHUNK3,0,0},	// S3_ICECHUNK2
{SPR3_ICEC,2,10,SA3_IceSetTics,S3_ICECHUNK4,0,0},	// S3_ICECHUNK3
{SPR3_ICEC,3,10,SA3_IceSetTics,S3_NULL,0,0},	// S3_ICECHUNK4
{SPR3_ICEC,0,10,SA3_IceCheckHeadDone,S3_ICECHUNK_HEAD,0,0},	// S3_ICECHUNK_HEAD
{SPR3_ICEC,0,1050,SA3_NULL,S3_NULL,0,0},	// S3_ICECHUNK_HEAD2
{SPR3_CLER,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_CPLAY
{SPR3_CLER,0,4,SA3_NULL,S3_CPLAY_RUN2,0,0},	// S3_CPLAY_RUN1
{SPR3_CLER,1,4,SA3_NULL,S3_CPLAY_RUN3,0,0},	// S3_CPLAY_RUN2
{SPR3_CLER,2,4,SA3_NULL,S3_CPLAY_RUN4,0,0},	// S3_CPLAY_RUN3
{SPR3_CLER,3,4,SA3_NULL,S3_CPLAY_RUN1,0,0},	// S3_CPLAY_RUN4
{SPR3_CLER,4,6,SA3_NULL,S3_CPLAY_ATK2,0,0},	// S3_CPLAY_ATK1
{SPR3_CLER,5,6,SA3_NULL,S3_CPLAY_ATK3,0,0},	// S3_CPLAY_ATK2
{SPR3_CLER,6,6,SA3_NULL,S3_CPLAY,0,0},	// S3_CPLAY_ATK3
{SPR3_CLER,7,4,SA3_NULL,S3_CPLAY_PAIN2,0,0},	// S3_CPLAY_PAIN
{SPR3_CLER,7,4,SA3_Pain,S3_CPLAY,0,0},	// S3_CPLAY_PAIN2
{SPR3_CLER,8,6,SA3_NULL,S3_CPLAY_DIE2,0,0},	// S3_CPLAY_DIE1
{SPR3_CLER,10,6,SA3_Scream,S3_CPLAY_DIE3,0,0},	// S3_CPLAY_DIE2
{SPR3_CLER,11,6,SA3_NULL,S3_CPLAY_DIE4,0,0},	// S3_CPLAY_DIE3
{SPR3_CLER,11,6,SA3_NULL,S3_CPLAY_DIE5,0,0},	// S3_CPLAY_DIE4
{SPR3_CLER,12,6,SA3_NoBlocking,S3_CPLAY_DIE6,0,0},	// S3_CPLAY_DIE5
{SPR3_CLER,13,6,SA3_NULL,S3_CPLAY_DIE7,0,0},	// S3_CPLAY_DIE6
{SPR3_CLER,14,6,SA3_NULL,S3_CPLAY_DIE8,0,0},	// S3_CPLAY_DIE7
{SPR3_CLER,15,6,SA3_NULL,S3_CPLAY_DIE9,0,0},	// S3_CPLAY_DIE8
{SPR3_CLER,16,-1,SA3_AddPlayerCorpse,S3_NULL,0,0},	// S3_CPLAY_DIE9
{SPR3_CLER,17,5,SA3_Scream,S3_CPLAY_XDIE2,0,0},	// S3_CPLAY_XDIE1
{SPR3_CLER,18,5,SA3_NULL,S3_CPLAY_XDIE3,0,0},	// S3_CPLAY_XDIE2
{SPR3_CLER,19,5,SA3_NoBlocking,S3_CPLAY_XDIE4,0,0},	// S3_CPLAY_XDIE3
{SPR3_CLER,20,5,SA3_NULL,S3_CPLAY_XDIE5,0,0},	// S3_CPLAY_XDIE4
{SPR3_CLER,21,5,SA3_NULL,S3_CPLAY_XDIE6,0,0},	// S3_CPLAY_XDIE5
{SPR3_CLER,22,5,SA3_NULL,S3_CPLAY_XDIE7,0,0},	// S3_CPLAY_XDIE6
{SPR3_CLER,23,5,SA3_NULL,S3_CPLAY_XDIE8,0,0},	// S3_CPLAY_XDIE7
{SPR3_CLER,24,5,SA3_NULL,S3_CPLAY_XDIE9,0,0},	// S3_CPLAY_XDIE8
{SPR3_CLER,25,5,SA3_NULL,S3_CPLAY_XDIE10,0,0},	// S3_CPLAY_XDIE9
{SPR3_CLER,26,-1,SA3_AddPlayerCorpse,S3_NULL,0,0},	// S3_CPLAY_XDIE10
{SPR3_CLER,27,5,SA3_FreezeDeath,S3_CPLAY_ICE2,0,0},	// S3_CPLAY_ICE
{SPR3_CLER,27,1,SA3_FreezeDeathChunks,S3_CPLAY_ICE2,0,0},	// S3_CPLAY_ICE2
{SPR3_MAGE,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_MPLAY
{SPR3_MAGE,0,4,SA3_NULL,S3_MPLAY_RUN2,0,0},	// S3_MPLAY_RUN1
{SPR3_MAGE,1,4,SA3_NULL,S3_MPLAY_RUN3,0,0},	// S3_MPLAY_RUN2
{SPR3_MAGE,2,4,SA3_NULL,S3_MPLAY_RUN4,0,0},	// S3_MPLAY_RUN3
{SPR3_MAGE,3,4,SA3_NULL,S3_MPLAY_RUN1,0,0},	// S3_MPLAY_RUN4
{SPR3_MAGE,4,8,SA3_NULL,S3_MPLAY_ATK2,0,0},	// S3_MPLAY_ATK1
{SPR3_MAGE,32773,8,SA3_NULL,S3_MPLAY,0,0},	// S3_MPLAY_ATK2
{SPR3_MAGE,6,4,SA3_NULL,S3_MPLAY_PAIN2,0,0},	// S3_MPLAY_PAIN
{SPR3_MAGE,6,4,SA3_Pain,S3_MPLAY,0,0},	// S3_MPLAY_PAIN2
{SPR3_MAGE,7,6,SA3_NULL,S3_MPLAY_DIE2,0,0},	// S3_MPLAY_DIE1
{SPR3_MAGE,8,6,SA3_Scream,S3_MPLAY_DIE3,0,0},	// S3_MPLAY_DIE2
{SPR3_MAGE,9,6,SA3_NULL,S3_MPLAY_DIE4,0,0},	// S3_MPLAY_DIE3
{SPR3_MAGE,10,6,SA3_NULL,S3_MPLAY_DIE5,0,0},	// S3_MPLAY_DIE4
{SPR3_MAGE,11,6,SA3_NoBlocking,S3_MPLAY_DIE6,0,0},	// S3_MPLAY_DIE5
{SPR3_MAGE,12,6,SA3_NULL,S3_MPLAY_DIE7,0,0},	// S3_MPLAY_DIE6
{SPR3_MAGE,13,-1,SA3_AddPlayerCorpse,S3_NULL,0,0},	// S3_MPLAY_DIE7
{SPR3_MAGE,14,5,SA3_Scream,S3_MPLAY_XDIE2,0,0},	// S3_MPLAY_XDIE1
{SPR3_MAGE,15,5,SA3_NULL,S3_MPLAY_XDIE3,0,0},	// S3_MPLAY_XDIE2
{SPR3_MAGE,17,5,SA3_NoBlocking,S3_MPLAY_XDIE4,0,0},	// S3_MPLAY_XDIE3
{SPR3_MAGE,18,5,SA3_NULL,S3_MPLAY_XDIE5,0,0},	// S3_MPLAY_XDIE4
{SPR3_MAGE,19,5,SA3_NULL,S3_MPLAY_XDIE6,0,0},	// S3_MPLAY_XDIE5
{SPR3_MAGE,20,5,SA3_NULL,S3_MPLAY_XDIE7,0,0},	// S3_MPLAY_XDIE6
{SPR3_MAGE,21,5,SA3_NULL,S3_MPLAY_XDIE8,0,0},	// S3_MPLAY_XDIE7
{SPR3_MAGE,22,5,SA3_NULL,S3_MPLAY_XDIE9,0,0},	// S3_MPLAY_XDIE8
{SPR3_MAGE,23,-1,SA3_AddPlayerCorpse,S3_NULL,0,0},	// S3_MPLAY_XDIE9
{SPR3_MAGE,24,5,SA3_FreezeDeath,S3_MPLAY_ICE2,0,0},	// S3_MPLAY_ICE
{SPR3_MAGE,24,1,SA3_FreezeDeathChunks,S3_MPLAY_ICE2,0,0},	// S3_MPLAY_ICE2
{SPR3_PIGY,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_PIGPLAY
{SPR3_PIGY,0,3,SA3_NULL,S3_PIGPLAY_RUN2,0,0},	// S3_PIGPLAY_RUN1
{SPR3_PIGY,1,3,SA3_NULL,S3_PIGPLAY_RUN3,0,0},	// S3_PIGPLAY_RUN2
{SPR3_PIGY,2,3,SA3_NULL,S3_PIGPLAY_RUN4,0,0},	// S3_PIGPLAY_RUN3
{SPR3_PIGY,3,3,SA3_NULL,S3_PIGPLAY_RUN1,0,0},	// S3_PIGPLAY_RUN4
{SPR3_PIGY,0,12,SA3_NULL,S3_PIGPLAY,0,0},	// S3_PIGPLAY_ATK1
{SPR3_PIGY,3,4,SA3_PigPain,S3_PIGPLAY,0,0},	// S3_PIGPLAY_PAIN
{SPR3_PIGY,1,10,SA3_PigLook,S3_PIG_LOOK1,0,0},	// S3_PIG_LOOK1
{SPR3_PIGY,0,3,SA3_PigChase,S3_PIG_WALK2,0,0},	// S3_PIG_WALK1
{SPR3_PIGY,1,3,SA3_PigChase,S3_PIG_WALK3,0,0},	// S3_PIG_WALK2
{SPR3_PIGY,2,3,SA3_PigChase,S3_PIG_WALK4,0,0},	// S3_PIG_WALK3
{SPR3_PIGY,3,3,SA3_PigChase,S3_PIG_WALK1,0,0},	// S3_PIG_WALK4
{SPR3_PIGY,3,4,SA3_PigPain,S3_PIG_WALK1,0,0},	// S3_PIG_PAIN
{SPR3_PIGY,0,5,SA3_FaceTarget,S3_PIG_ATK2,0,0},	// S3_PIG_ATK1
{SPR3_PIGY,0,10,SA3_PigAttack,S3_PIG_WALK1,0,0},	// S3_PIG_ATK2
{SPR3_PIGY,4,4,SA3_Scream,S3_PIG_DIE2,0,0},	// S3_PIG_DIE1
{SPR3_PIGY,5,3,SA3_NoBlocking,S3_PIG_DIE3,0,0},	// S3_PIG_DIE2
{SPR3_PIGY,6,4,SA3_QueueCorpse,S3_PIG_DIE4,0,0},	// S3_PIG_DIE3
{SPR3_PIGY,7,3,SA3_NULL,S3_PIG_DIE5,0,0},	// S3_PIG_DIE4
{SPR3_PIGY,8,4,SA3_NULL,S3_PIG_DIE6,0,0},	// S3_PIG_DIE5
{SPR3_PIGY,9,4,SA3_NULL,S3_PIG_DIE7,0,0},	// S3_PIG_DIE6
{SPR3_PIGY,10,4,SA3_NULL,S3_PIG_DIE8,0,0},	// S3_PIG_DIE7
{SPR3_PIGY,11,-1,SA3_NULL,S3_NULL,0,0},	// S3_PIG_DIE8
{SPR3_PIGY,12,5,SA3_FreezeDeath,S3_PIG_ICE2,0,0},	// S3_PIG_ICE
{SPR3_PIGY,12,1,SA3_FreezeDeathChunks,S3_PIG_ICE2,0,0},	// S3_PIG_ICE2
{SPR3_CENT,0,10,SA3_Look,S3_CENTAUR_LOOK2,0,0},	// S3_CENTAUR_LOOK1
{SPR3_CENT,1,10,SA3_Look,S3_CENTAUR_LOOK1,0,0},	// S3_CENTAUR_LOOK2
{SPR3_CENT,0,4,SA3_Chase,S3_CENTAUR_WALK2,0,0},	// S3_CENTAUR_WALK1
{SPR3_CENT,1,4,SA3_Chase,S3_CENTAUR_WALK3,0,0},	// S3_CENTAUR_WALK2
{SPR3_CENT,2,4,SA3_Chase,S3_CENTAUR_WALK4,0,0},	// S3_CENTAUR_WALK3
{SPR3_CENT,3,4,SA3_Chase,S3_CENTAUR_WALK1,0,0},	// S3_CENTAUR_WALK4
{SPR3_CENT,7,5,SA3_FaceTarget,S3_CENTAUR_ATK2,0,0},	// S3_CENTAUR_ATK1
{SPR3_CENT,8,4,SA3_FaceTarget,S3_CENTAUR_ATK3,0,0},	// S3_CENTAUR_ATK2
{SPR3_CENT,9,7,SA3_CentaurAttack,S3_CENTAUR_WALK1,0,0},	// S3_CENTAUR_ATK3
{SPR3_CENT,4,10,SA3_FaceTarget,S3_CENTAUR_MISSILE2,0,0},	// S3_CENTAUR_MISSILE1
{SPR3_CENT,32773,8,SA3_CentaurAttack2,S3_CENTAUR_MISSILE3,0,0},	// S3_CENTAUR_MISSILE2
{SPR3_CENT,4,10,SA3_FaceTarget,S3_CENTAUR_MISSILE4,0,0},	// S3_CENTAUR_MISSILE3
{SPR3_CENT,32773,8,SA3_CentaurAttack2,S3_CENTAUR_WALK1,0,0},	// S3_CENTAUR_MISSILE4
{SPR3_CENT,6,6,SA3_Pain,S3_CENTAUR_PAIN2,0,0},	// S3_CENTAUR_PAIN1
{SPR3_CENT,6,6,SA3_SetReflective,S3_CENTAUR_PAIN3,0,0},	// S3_CENTAUR_PAIN2
{SPR3_CENT,4,15,SA3_CentaurDefend,S3_CENTAUR_PAIN4,0,0},	// S3_CENTAUR_PAIN3
{SPR3_CENT,4,15,SA3_CentaurDefend,S3_CENTAUR_PAIN5,0,0},	// S3_CENTAUR_PAIN4
{SPR3_CENT,4,15,SA3_CentaurDefend,S3_CENTAUR_PAIN6,0,0},	// S3_CENTAUR_PAIN5
{SPR3_CENT,4,1,SA3_UnSetReflective,S3_CENTAUR_WALK1,0,0},	// S3_CENTAUR_PAIN6
{SPR3_CENT,10,4,SA3_NULL,S3_CENTAUR_DEATH2,0,0},	// S3_CENTAUR_DEATH1
{SPR3_CENT,11,4,SA3_Scream,S3_CENTAUR_DEATH3,0,0},	// S3_CENTAUR_DEATH2
{SPR3_CENT,12,4,SA3_NULL,S3_CENTAUR_DEATH4,0,0},	// S3_CENTAUR_DEATH3
{SPR3_CENT,13,4,SA3_NULL,S3_CENTAUR_DEATH5,0,0},	// S3_CENTAUR_DEATH4
{SPR3_CENT,14,4,SA3_NoBlocking,S3_CENTAUR_DEATH6,0,0},	// S3_CENTAUR_DEATH5
{SPR3_CENT,15,4,SA3_NULL,S3_CENTAUR_DEATH7,0,0},	// S3_CENTAUR_DEATH6
{SPR3_CENT,16,4,SA3_NULL,S3_CENTAUR_DEATH8,0,0},	// S3_CENTAUR_DEATH7
{SPR3_CENT,17,4,SA3_QueueCorpse,S3_CENTAUR_DEATH9,0,0},	// S3_CENTAUR_DEATH8
{SPR3_CENT,18,4,SA3_NULL,S3_CENTAUR_DEATH0,0,0},	// S3_CENTAUR_DEATH9
{SPR3_CENT,19,-1,SA3_NULL,S3_NULL,0,0},	// S3_CENTAUR_DEATH0
{SPR3_CTXD,0,4,SA3_NULL,S3_CENTAUR_DEATH_X2,0,0},	// S3_CENTAUR_DEATH_X1
{SPR3_CTXD,1,4,SA3_NoBlocking,S3_CENTAUR_DEATH_X3,0,0},	// S3_CENTAUR_DEATH_X2
{SPR3_CTXD,2,4,SA3_CentaurDropStuff,S3_CENTAUR_DEATH_X4,0,0},	// S3_CENTAUR_DEATH_X3
{SPR3_CTXD,3,3,SA3_Scream,S3_CENTAUR_DEATH_X5,0,0},	// S3_CENTAUR_DEATH_X4
{SPR3_CTXD,4,4,SA3_QueueCorpse,S3_CENTAUR_DEATH_X6,0,0},	// S3_CENTAUR_DEATH_X5
{SPR3_CTXD,5,3,SA3_NULL,S3_CENTAUR_DEATH_X7,0,0},	// S3_CENTAUR_DEATH_X6
{SPR3_CTXD,6,4,SA3_NULL,S3_CENTAUR_DEATH_X8,0,0},	// S3_CENTAUR_DEATH_X7
{SPR3_CTXD,7,3,SA3_NULL,S3_CENTAUR_DEATH_X9,0,0},	// S3_CENTAUR_DEATH_X8
{SPR3_CTXD,8,4,SA3_NULL,S3_CENTAUR_DEATH_X10,0,0},	// S3_CENTAUR_DEATH_X9
{SPR3_CTXD,9,3,SA3_NULL,S3_CENTAUR_DEATH_X11,0,0},	// S3_CENTAUR_DEATH_X10
{SPR3_CTXD,10,-1,SA3_NULL,S3_NULL,0,0},	// S3_CENTAUR_DEATH_X11
{SPR3_CENT,20,5,SA3_FreezeDeath,S3_CENTAUR_ICE2,0,0},	// S3_CENTAUR_ICE
{SPR3_CENT,20,1,SA3_FreezeDeathChunks,S3_CENTAUR_ICE2,0,0},	// S3_CENTAUR_ICE2
{SPR3_CTFX,32768,-1,SA3_NULL,S3_NULL,0,0},	// S3_CENTAUR_FX1
{SPR3_CTFX,32769,4,SA3_NULL,S3_CENTAUR_FX_X2,0,0},	// S3_CENTAUR_FX_X1
{SPR3_CTFX,32770,3,SA3_NULL,S3_CENTAUR_FX_X3,0,0},	// S3_CENTAUR_FX_X2
{SPR3_CTFX,32771,4,SA3_NULL,S3_CENTAUR_FX_X4,0,0},	// S3_CENTAUR_FX_X3
{SPR3_CTFX,32772,3,SA3_NULL,S3_CENTAUR_FX_X5,0,0},	// S3_CENTAUR_FX_X4
{SPR3_CTFX,32773,2,SA3_NULL,S3_NULL,0,0},	// S3_CENTAUR_FX_X5
{SPR3_CTDP,0,3,SA3_CheckFloor,S3_CENTAUR_SHIELD2,0,0},	// S3_CENTAUR_SHIELD1
{SPR3_CTDP,1,3,SA3_CheckFloor,S3_CENTAUR_SHIELD3,0,0},	// S3_CENTAUR_SHIELD2
{SPR3_CTDP,2,3,SA3_CheckFloor,S3_CENTAUR_SHIELD4,0,0},	// S3_CENTAUR_SHIELD3
{SPR3_CTDP,3,3,SA3_CheckFloor,S3_CENTAUR_SHIELD5,0,0},	// S3_CENTAUR_SHIELD4
{SPR3_CTDP,4,3,SA3_CheckFloor,S3_CENTAUR_SHIELD6,0,0},	// S3_CENTAUR_SHIELD5
{SPR3_CTDP,5,3,SA3_CheckFloor,S3_CENTAUR_SHIELD3,0,0},	// S3_CENTAUR_SHIELD6
{SPR3_CTDP,6,4,SA3_NULL,S3_CENTAUR_SHIELD_X2,0,0},	// S3_CENTAUR_SHIELD_X1
{SPR3_CTDP,7,4,SA3_QueueCorpse,S3_CENTAUR_SHIELD_X3,0,0},	// S3_CENTAUR_SHIELD_X2
{SPR3_CTDP,8,4,SA3_NULL,S3_CENTAUR_SHIELD_X4,0,0},	// S3_CENTAUR_SHIELD_X3
{SPR3_CTDP,9,-1,SA3_NULL,S3_NULL,0,0},	// S3_CENTAUR_SHIELD_X4
{SPR3_CTDP,10,3,SA3_CheckFloor,S3_CENTAUR_SWORD2,0,0},	// S3_CENTAUR_SWORD1
{SPR3_CTDP,11,3,SA3_CheckFloor,S3_CENTAUR_SWORD3,0,0},	// S3_CENTAUR_SWORD2
{SPR3_CTDP,12,3,SA3_CheckFloor,S3_CENTAUR_SWORD4,0,0},	// S3_CENTAUR_SWORD3
{SPR3_CTDP,13,3,SA3_CheckFloor,S3_CENTAUR_SWORD5,0,0},	// S3_CENTAUR_SWORD4
{SPR3_CTDP,14,3,SA3_CheckFloor,S3_CENTAUR_SWORD6,0,0},	// S3_CENTAUR_SWORD5
{SPR3_CTDP,15,3,SA3_CheckFloor,S3_CENTAUR_SWORD7,0,0},	// S3_CENTAUR_SWORD6
{SPR3_CTDP,16,3,SA3_CheckFloor,S3_CENTAUR_SWORD3,0,0},	// S3_CENTAUR_SWORD7
{SPR3_CTDP,17,4,SA3_NULL,S3_CENTAUR_SWORD_X2,0,0},	// S3_CENTAUR_SWORD_X1
{SPR3_CTDP,18,4,SA3_QueueCorpse,S3_CENTAUR_SWORD_X3,0,0},	// S3_CENTAUR_SWORD_X2
{SPR3_CTDP,19,-1,SA3_NULL,S3_NULL,0,0},	// S3_CENTAUR_SWORD_X3
{SPR3_DEMN,0,10,SA3_Look,S3_DEMN_LOOK2,0,0},	// S3_DEMN_LOOK1
{SPR3_DEMN,0,10,SA3_Look,S3_DEMN_LOOK1,0,0},	// S3_DEMN_LOOK2
{SPR3_DEMN,0,4,SA3_Chase,S3_DEMN_CHASE2,0,0},	// S3_DEMN_CHASE1
{SPR3_DEMN,1,4,SA3_Chase,S3_DEMN_CHASE3,0,0},	// S3_DEMN_CHASE2
{SPR3_DEMN,2,4,SA3_Chase,S3_DEMN_CHASE4,0,0},	// S3_DEMN_CHASE3
{SPR3_DEMN,3,4,SA3_Chase,S3_DEMN_CHASE1,0,0},	// S3_DEMN_CHASE4
{SPR3_DEMN,4,6,SA3_FaceTarget,S3_DEMN_ATK1_2,0,0},	// S3_DEMN_ATK1_1
{SPR3_DEMN,5,8,SA3_FaceTarget,S3_DEMN_ATK1_3,0,0},	// S3_DEMN_ATK1_2
{SPR3_DEMN,6,6,SA3_DemonAttack1,S3_DEMN_CHASE1,0,0},	// S3_DEMN_ATK1_3
{SPR3_DEMN,4,5,SA3_FaceTarget,S3_DEMN_ATK2_2,0,0},	// S3_DEMN_ATK2_1
{SPR3_DEMN,5,6,SA3_FaceTarget,S3_DEMN_ATK2_3,0,0},	// S3_DEMN_ATK2_2
{SPR3_DEMN,6,5,SA3_DemonAttack2,S3_DEMN_CHASE1,0,0},	// S3_DEMN_ATK2_3
{SPR3_DEMN,4,4,SA3_NULL,S3_DEMN_PAIN2,0,0},	// S3_DEMN_PAIN1
{SPR3_DEMN,4,4,SA3_Pain,S3_DEMN_CHASE1,0,0},	// S3_DEMN_PAIN2
{SPR3_DEMN,7,6,SA3_NULL,S3_DEMN_DEATH2,0,0},	// S3_DEMN_DEATH1
{SPR3_DEMN,8,6,SA3_NULL,S3_DEMN_DEATH3,0,0},	// S3_DEMN_DEATH2
{SPR3_DEMN,9,6,SA3_Scream,S3_DEMN_DEATH4,0,0},	// S3_DEMN_DEATH3
{SPR3_DEMN,10,6,SA3_NoBlocking,S3_DEMN_DEATH5,0,0},	// S3_DEMN_DEATH4
{SPR3_DEMN,11,6,SA3_QueueCorpse,S3_DEMN_DEATH6,0,0},	// S3_DEMN_DEATH5
{SPR3_DEMN,12,6,SA3_NULL,S3_DEMN_DEATH7,0,0},	// S3_DEMN_DEATH6
{SPR3_DEMN,13,6,SA3_NULL,S3_DEMN_DEATH8,0,0},	// S3_DEMN_DEATH7
{SPR3_DEMN,14,6,SA3_NULL,S3_DEMN_DEATH9,0,0},	// S3_DEMN_DEATH8
{SPR3_DEMN,15,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMN_DEATH9
{SPR3_DEMN,7,6,SA3_NULL,S3_DEMN_XDEATH2,0,0},	// S3_DEMN_XDEATH1
{SPR3_DEMN,8,6,SA3_DemonDeath,S3_DEMN_XDEATH3,0,0},	// S3_DEMN_XDEATH2
{SPR3_DEMN,9,6,SA3_Scream,S3_DEMN_XDEATH4,0,0},	// S3_DEMN_XDEATH3
{SPR3_DEMN,10,6,SA3_NoBlocking,S3_DEMN_XDEATH5,0,0},	// S3_DEMN_XDEATH4
{SPR3_DEMN,11,6,SA3_QueueCorpse,S3_DEMN_XDEATH6,0,0},	// S3_DEMN_XDEATH5
{SPR3_DEMN,12,6,SA3_NULL,S3_DEMN_XDEATH7,0,0},	// S3_DEMN_XDEATH6
{SPR3_DEMN,13,6,SA3_NULL,S3_DEMN_XDEATH8,0,0},	// S3_DEMN_XDEATH7
{SPR3_DEMN,14,6,SA3_NULL,S3_DEMN_XDEATH9,0,0},	// S3_DEMN_XDEATH8
{SPR3_DEMN,15,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMN_XDEATH9
{SPR3_DEMN,16,5,SA3_FreezeDeath,S3_DEMON_ICE2,0,0},	// S3_DEMON_ICE
{SPR3_DEMN,16,1,SA3_FreezeDeathChunks,S3_DEMON_ICE2,0,0},	// S3_DEMON_ICE2
{SPR3_DEMA,0,4,SA3_NULL,S3_DEMONCHUNK1_2,0,0},	// S3_DEMONCHUNK1_1
{SPR3_DEMA,0,10,SA3_QueueCorpse,S3_DEMONCHUNK1_3,0,0},	// S3_DEMONCHUNK1_2
{SPR3_DEMA,0,20,SA3_NULL,S3_DEMONCHUNK1_3,0,0},	// S3_DEMONCHUNK1_3
{SPR3_DEMA,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMONCHUNK1_4
{SPR3_DEMB,0,4,SA3_NULL,S3_DEMONCHUNK2_2,0,0},	// S3_DEMONCHUNK2_1
{SPR3_DEMB,0,10,SA3_QueueCorpse,S3_DEMONCHUNK2_3,0,0},	// S3_DEMONCHUNK2_2
{SPR3_DEMB,0,20,SA3_NULL,S3_DEMONCHUNK2_3,0,0},	// S3_DEMONCHUNK2_3
{SPR3_DEMB,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMONCHUNK2_4
{SPR3_DEMC,0,4,SA3_NULL,S3_DEMONCHUNK3_2,0,0},	// S3_DEMONCHUNK3_1
{SPR3_DEMC,0,10,SA3_QueueCorpse,S3_DEMONCHUNK3_3,0,0},	// S3_DEMONCHUNK3_2
{SPR3_DEMC,0,20,SA3_NULL,S3_DEMONCHUNK3_3,0,0},	// S3_DEMONCHUNK3_3
{SPR3_DEMC,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMONCHUNK3_4
{SPR3_DEMD,0,4,SA3_NULL,S3_DEMONCHUNK4_2,0,0},	// S3_DEMONCHUNK4_1
{SPR3_DEMD,0,10,SA3_QueueCorpse,S3_DEMONCHUNK4_3,0,0},	// S3_DEMONCHUNK4_2
{SPR3_DEMD,0,20,SA3_NULL,S3_DEMONCHUNK4_3,0,0},	// S3_DEMONCHUNK4_3
{SPR3_DEMD,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMONCHUNK4_4
{SPR3_DEME,0,4,SA3_NULL,S3_DEMONCHUNK5_2,0,0},	// S3_DEMONCHUNK5_1
{SPR3_DEME,0,10,SA3_QueueCorpse,S3_DEMONCHUNK5_3,0,0},	// S3_DEMONCHUNK5_2
{SPR3_DEME,0,20,SA3_NULL,S3_DEMONCHUNK5_3,0,0},	// S3_DEMONCHUNK5_3
{SPR3_DEME,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMONCHUNK5_4
{SPR3_DMFX,32768,4,SA3_NULL,S3_DEMONFX_MOVE2,0,0},	// S3_DEMONFX_MOVE1
{SPR3_DMFX,32769,4,SA3_NULL,S3_DEMONFX_MOVE3,0,0},	// S3_DEMONFX_MOVE2
{SPR3_DMFX,32770,4,SA3_NULL,S3_DEMONFX_MOVE1,0,0},	// S3_DEMONFX_MOVE3
{SPR3_DMFX,32771,4,SA3_NULL,S3_DEMONFX_BOOM2,0,0},	// S3_DEMONFX_BOOM1
{SPR3_DMFX,32772,4,SA3_NULL,S3_DEMONFX_BOOM3,0,0},	// S3_DEMONFX_BOOM2
{SPR3_DMFX,32773,3,SA3_NULL,S3_DEMONFX_BOOM4,0,0},	// S3_DEMONFX_BOOM3
{SPR3_DMFX,32774,3,SA3_NULL,S3_DEMONFX_BOOM5,0,0},	// S3_DEMONFX_BOOM4
{SPR3_DMFX,32775,3,SA3_NULL,S3_NULL,0,0},	// S3_DEMONFX_BOOM5
{SPR3_DEM2,0,10,SA3_Look,S3_DEMN2_LOOK2,0,0},	// S3_DEMN2_LOOK1
{SPR3_DEM2,0,10,SA3_Look,S3_DEMN2_LOOK1,0,0},	// S3_DEMN2_LOOK2
{SPR3_DEM2,0,4,SA3_Chase,S3_DEMN2_CHASE2,0,0},	// S3_DEMN2_CHASE1
{SPR3_DEM2,1,4,SA3_Chase,S3_DEMN2_CHASE3,0,0},	// S3_DEMN2_CHASE2
{SPR3_DEM2,2,4,SA3_Chase,S3_DEMN2_CHASE4,0,0},	// S3_DEMN2_CHASE3
{SPR3_DEM2,3,4,SA3_Chase,S3_DEMN2_CHASE1,0,0},	// S3_DEMN2_CHASE4
{SPR3_DEM2,4,6,SA3_FaceTarget,S3_DEMN2_ATK1_2,0,0},	// S3_DEMN2_ATK1_1
{SPR3_DEM2,5,8,SA3_FaceTarget,S3_DEMN2_ATK1_3,0,0},	// S3_DEMN2_ATK1_2
{SPR3_DEM2,6,6,SA3_DemonAttack1,S3_DEMN2_CHASE1,0,0},	// S3_DEMN2_ATK1_3
{SPR3_DEM2,4,5,SA3_FaceTarget,S3_DEMN2_ATK2_2,0,0},	// S3_DEMN2_ATK2_1
{SPR3_DEM2,5,6,SA3_FaceTarget,S3_DEMN2_ATK2_3,0,0},	// S3_DEMN2_ATK2_2
{SPR3_DEM2,6,5,SA3_DemonAttack2,S3_DEMN2_CHASE1,0,0},	// S3_DEMN2_ATK2_3
{SPR3_DEM2,4,4,SA3_NULL,S3_DEMN2_PAIN2,0,0},	// S3_DEMN2_PAIN1
{SPR3_DEM2,4,4,SA3_Pain,S3_DEMN2_CHASE1,0,0},	// S3_DEMN2_PAIN2
{SPR3_DEM2,7,6,SA3_NULL,S3_DEMN2_DEATH2,0,0},	// S3_DEMN2_DEATH1
{SPR3_DEM2,8,6,SA3_NULL,S3_DEMN2_DEATH3,0,0},	// S3_DEMN2_DEATH2
{SPR3_DEM2,9,6,SA3_Scream,S3_DEMN2_DEATH4,0,0},	// S3_DEMN2_DEATH3
{SPR3_DEM2,10,6,SA3_NoBlocking,S3_DEMN2_DEATH5,0,0},	// S3_DEMN2_DEATH4
{SPR3_DEM2,11,6,SA3_QueueCorpse,S3_DEMN2_DEATH6,0,0},	// S3_DEMN2_DEATH5
{SPR3_DEM2,12,6,SA3_NULL,S3_DEMN2_DEATH7,0,0},	// S3_DEMN2_DEATH6
{SPR3_DEM2,13,6,SA3_NULL,S3_DEMN2_DEATH8,0,0},	// S3_DEMN2_DEATH7
{SPR3_DEM2,14,6,SA3_NULL,S3_DEMN2_DEATH9,0,0},	// S3_DEMN2_DEATH8
{SPR3_DEM2,15,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMN2_DEATH9
{SPR3_DEM2,7,6,SA3_NULL,S3_DEMN2_XDEATH2,0,0},	// S3_DEMN2_XDEATH1
{SPR3_DEM2,8,6,SA3_Demon2Death,S3_DEMN2_XDEATH3,0,0},	// S3_DEMN2_XDEATH2
{SPR3_DEM2,9,6,SA3_Scream,S3_DEMN2_XDEATH4,0,0},	// S3_DEMN2_XDEATH3
{SPR3_DEM2,10,6,SA3_NoBlocking,S3_DEMN2_XDEATH5,0,0},	// S3_DEMN2_XDEATH4
{SPR3_DEM2,11,6,SA3_QueueCorpse,S3_DEMN2_XDEATH6,0,0},	// S3_DEMN2_XDEATH5
{SPR3_DEM2,12,6,SA3_NULL,S3_DEMN2_XDEATH7,0,0},	// S3_DEMN2_XDEATH6
{SPR3_DEM2,13,6,SA3_NULL,S3_DEMN2_XDEATH8,0,0},	// S3_DEMN2_XDEATH7
{SPR3_DEM2,14,6,SA3_NULL,S3_DEMN2_XDEATH9,0,0},	// S3_DEMN2_XDEATH8
{SPR3_DEM2,15,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMN2_XDEATH9
{SPR3_DMBA,0,4,SA3_NULL,S3_DEMON2CHUNK1_2,0,0},	// S3_DEMON2CHUNK1_1
{SPR3_DMBA,0,10,SA3_QueueCorpse,S3_DEMON2CHUNK1_3,0,0},	// S3_DEMON2CHUNK1_2
{SPR3_DMBA,0,20,SA3_NULL,S3_DEMON2CHUNK1_3,0,0},	// S3_DEMON2CHUNK1_3
{SPR3_DMBA,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMON2CHUNK1_4
{SPR3_DMBB,0,4,SA3_NULL,S3_DEMON2CHUNK2_2,0,0},	// S3_DEMON2CHUNK2_1
{SPR3_DMBB,0,10,SA3_QueueCorpse,S3_DEMON2CHUNK2_3,0,0},	// S3_DEMON2CHUNK2_2
{SPR3_DMBB,0,20,SA3_NULL,S3_DEMON2CHUNK2_3,0,0},	// S3_DEMON2CHUNK2_3
{SPR3_DMBB,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMON2CHUNK2_4
{SPR3_DMBC,0,4,SA3_NULL,S3_DEMON2CHUNK3_2,0,0},	// S3_DEMON2CHUNK3_1
{SPR3_DMBC,0,10,SA3_QueueCorpse,S3_DEMON2CHUNK3_3,0,0},	// S3_DEMON2CHUNK3_2
{SPR3_DMBC,0,20,SA3_NULL,S3_DEMON2CHUNK3_3,0,0},	// S3_DEMON2CHUNK3_3
{SPR3_DMBC,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMON2CHUNK3_4
{SPR3_DMBD,0,4,SA3_NULL,S3_DEMON2CHUNK4_2,0,0},	// S3_DEMON2CHUNK4_1
{SPR3_DMBD,0,10,SA3_QueueCorpse,S3_DEMON2CHUNK4_3,0,0},	// S3_DEMON2CHUNK4_2
{SPR3_DMBD,0,20,SA3_NULL,S3_DEMON2CHUNK4_3,0,0},	// S3_DEMON2CHUNK4_3
{SPR3_DMBD,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMON2CHUNK4_4
{SPR3_DMBE,0,4,SA3_NULL,S3_DEMON2CHUNK5_2,0,0},	// S3_DEMON2CHUNK5_1
{SPR3_DMBE,0,10,SA3_NULL,S3_DEMON2CHUNK5_3,0,0},	// S3_DEMON2CHUNK5_2
{SPR3_DMBE,0,20,SA3_NULL,S3_DEMON2CHUNK5_3,0,0},	// S3_DEMON2CHUNK5_3
{SPR3_DMBE,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_DEMON2CHUNK5_4
{SPR3_D2FX,32768,4,SA3_NULL,S3_DEMON2FX_MOVE2,0,0},	// S3_DEMON2FX_MOVE1
{SPR3_D2FX,32769,4,SA3_NULL,S3_DEMON2FX_MOVE3,0,0},	// S3_DEMON2FX_MOVE2
{SPR3_D2FX,32770,4,SA3_NULL,S3_DEMON2FX_MOVE4,0,0},	// S3_DEMON2FX_MOVE3
{SPR3_D2FX,32771,4,SA3_NULL,S3_DEMON2FX_MOVE5,0,0},	// S3_DEMON2FX_MOVE4
{SPR3_D2FX,32772,4,SA3_NULL,S3_DEMON2FX_MOVE6,0,0},	// S3_DEMON2FX_MOVE5
{SPR3_D2FX,32773,4,SA3_NULL,S3_DEMON2FX_MOVE1,0,0},	// S3_DEMON2FX_MOVE6
{SPR3_D2FX,32774,4,SA3_NULL,S3_DEMON2FX_BOOM2,0,0},	// S3_DEMON2FX_BOOM1
{SPR3_D2FX,32775,4,SA3_NULL,S3_DEMON2FX_BOOM3,0,0},	// S3_DEMON2FX_BOOM2
{SPR3_D2FX,32776,4,SA3_NULL,S3_DEMON2FX_BOOM4,0,0},	// S3_DEMON2FX_BOOM3
{SPR3_D2FX,32777,4,SA3_NULL,S3_DEMON2FX_BOOM5,0,0},	// S3_DEMON2FX_BOOM4
{SPR3_D2FX,32778,3,SA3_NULL,S3_DEMON2FX_BOOM6,0,0},	// S3_DEMON2FX_BOOM5
{SPR3_D2FX,32779,3,SA3_NULL,S3_NULL,0,0},	// S3_DEMON2FX_BOOM6
{SPR3_WRTH,0,2,SA3_WraithRaiseInit,S3_WRAITH_RAISE2,0,0},	// S3_WRAITH_RAISE1
{SPR3_WRTH,0,2,SA3_WraithRaise,S3_WRAITH_RAISE3,0,0},	// S3_WRAITH_RAISE2
{SPR3_WRTH,0,2,SA3_FaceTarget,S3_WRAITH_RAISE4,0,0},	// S3_WRAITH_RAISE3
{SPR3_WRTH,1,2,SA3_WraithRaise,S3_WRAITH_RAISE5,0,0},	// S3_WRAITH_RAISE4
{SPR3_WRTH,1,2,SA3_WraithRaise,S3_WRAITH_RAISE2,0,0},	// S3_WRAITH_RAISE5
{SPR3_WRTH,0,10,SA3_NULL,S3_WRAITH_INIT2,0,0},	// S3_WRAITH_INIT1
{SPR3_WRTH,1,5,SA3_WraithInit,S3_WRAITH_LOOK1,0,0},	// S3_WRAITH_INIT2
{SPR3_WRTH,0,15,SA3_WraithLook,S3_WRAITH_LOOK2,0,0},	// S3_WRAITH_LOOK1
{SPR3_WRTH,1,15,SA3_WraithLook,S3_WRAITH_LOOK1,0,0},	// S3_WRAITH_LOOK2
{SPR3_WRTH,0,4,SA3_WraithChase,S3_WRAITH_CHASE2,0,0},	// S3_WRAITH_CHASE1
{SPR3_WRTH,1,4,SA3_WraithChase,S3_WRAITH_CHASE3,0,0},	// S3_WRAITH_CHASE2
{SPR3_WRTH,2,4,SA3_WraithChase,S3_WRAITH_CHASE4,0,0},	// S3_WRAITH_CHASE3
{SPR3_WRTH,3,4,SA3_WraithChase,S3_WRAITH_CHASE1,0,0},	// S3_WRAITH_CHASE4
{SPR3_WRTH,4,6,SA3_FaceTarget,S3_WRAITH_ATK1_2,0,0},	// S3_WRAITH_ATK1_1
{SPR3_WRTH,5,6,SA3_WraithFX3,S3_WRAITH_ATK1_3,0,0},	// S3_WRAITH_ATK1_2
{SPR3_WRTH,6,6,SA3_WraithMelee,S3_WRAITH_CHASE1,0,0},	// S3_WRAITH_ATK1_3
{SPR3_WRTH,4,6,SA3_FaceTarget,S3_WRAITH_ATK2_2,0,0},	// S3_WRAITH_ATK2_1
{SPR3_WRTH,5,6,SA3_NULL,S3_WRAITH_ATK2_3,0,0},	// S3_WRAITH_ATK2_2
{SPR3_WRTH,6,6,SA3_WraithMissile,S3_WRAITH_CHASE1,0,0},	// S3_WRAITH_ATK2_3
{SPR3_WRTH,0,2,SA3_NULL,S3_WRAITH_PAIN2,0,0},	// S3_WRAITH_PAIN1
{SPR3_WRTH,7,6,SA3_Pain,S3_WRAITH_CHASE1,0,0},	// S3_WRAITH_PAIN2
{SPR3_WRTH,8,4,SA3_NULL,S3_WRAITH_DEATH1_2,0,0},	// S3_WRAITH_DEATH1_1
{SPR3_WRTH,9,4,SA3_Scream,S3_WRAITH_DEATH1_3,0,0},	// S3_WRAITH_DEATH1_2
{SPR3_WRTH,10,4,SA3_NULL,S3_WRAITH_DEATH1_4,0,0},	// S3_WRAITH_DEATH1_3
{SPR3_WRTH,11,4,SA3_NULL,S3_WRAITH_DEATH1_5,0,0},	// S3_WRAITH_DEATH1_4
{SPR3_WRTH,12,4,SA3_NoBlocking,S3_WRAITH_DEATH1_6,0,0},	// S3_WRAITH_DEATH1_5
{SPR3_WRTH,13,4,SA3_QueueCorpse,S3_WRAITH_DEATH1_7,0,0},	// S3_WRAITH_DEATH1_6
{SPR3_WRTH,14,4,SA3_NULL,S3_WRAITH_DEATH1_8,0,0},	// S3_WRAITH_DEATH1_7
{SPR3_WRTH,15,5,SA3_NULL,S3_WRAITH_DEATH1_9,0,0},	// S3_WRAITH_DEATH1_8
{SPR3_WRTH,16,5,SA3_NULL,S3_WRAITH_DEATH1_0,0,0},	// S3_WRAITH_DEATH1_9
{SPR3_WRTH,17,-1,SA3_NULL,S3_NULL,0,0},	// S3_WRAITH_DEATH1_0
{SPR3_WRT2,0,5,SA3_NULL,S3_WRAITH_DEATH2_2,0,0},	// S3_WRAITH_DEATH2_1
{SPR3_WRT2,1,5,SA3_Scream,S3_WRAITH_DEATH2_3,0,0},	// S3_WRAITH_DEATH2_2
{SPR3_WRT2,2,5,SA3_NULL,S3_WRAITH_DEATH2_4,0,0},	// S3_WRAITH_DEATH2_3
{SPR3_WRT2,3,5,SA3_NULL,S3_WRAITH_DEATH2_5,0,0},	// S3_WRAITH_DEATH2_4
{SPR3_WRT2,4,5,SA3_NoBlocking,S3_WRAITH_DEATH2_6,0,0},	// S3_WRAITH_DEATH2_5
{SPR3_WRT2,5,5,SA3_QueueCorpse,S3_WRAITH_DEATH2_7,0,0},	// S3_WRAITH_DEATH2_6
{SPR3_WRT2,6,5,SA3_NULL,S3_WRAITH_DEATH2_8,0,0},	// S3_WRAITH_DEATH2_7
{SPR3_WRT2,7,-1,SA3_NULL,S3_NULL,0,0},	// S3_WRAITH_DEATH2_8
{SPR3_WRT2,8,5,SA3_FreezeDeath,S3_WRAITH_ICE2,0,0},	// S3_WRAITH_ICE
{SPR3_WRT2,8,1,SA3_FreezeDeathChunks,S3_WRAITH_ICE2,0,0},	// S3_WRAITH_ICE2
{SPR3_WRBL,32768,3,SA3_NULL,S3_WRTHFX_MOVE2,0,0},	// S3_WRTHFX_MOVE1
{SPR3_WRBL,32769,3,SA3_WraithFX2,S3_WRTHFX_MOVE3,0,0},	// S3_WRTHFX_MOVE2
{SPR3_WRBL,32770,3,SA3_NULL,S3_WRTHFX_MOVE1,0,0},	// S3_WRTHFX_MOVE3
{SPR3_WRBL,32771,4,SA3_NULL,S3_WRTHFX_BOOM2,0,0},	// S3_WRTHFX_BOOM1
{SPR3_WRBL,32772,4,SA3_WraithFX2,S3_WRTHFX_BOOM3,0,0},	// S3_WRTHFX_BOOM2
{SPR3_WRBL,32773,4,SA3_NULL,S3_WRTHFX_BOOM4,0,0},	// S3_WRTHFX_BOOM3
{SPR3_WRBL,32774,3,SA3_WraithFX2,S3_WRTHFX_BOOM5,0,0},	// S3_WRTHFX_BOOM4
{SPR3_WRBL,32775,3,SA3_WraithFX2,S3_WRTHFX_BOOM6,0,0},	// S3_WRTHFX_BOOM5
{SPR3_WRBL,32776,3,SA3_NULL,S3_NULL,0,0},	// S3_WRTHFX_BOOM6
{SPR3_WRBL,32777,4,SA3_NULL,S3_WRTHFX_SIZZLE2,0,0},	// S3_WRTHFX_SIZZLE1
{SPR3_WRBL,32778,4,SA3_NULL,S3_WRTHFX_SIZZLE3,0,0},	// S3_WRTHFX_SIZZLE2
{SPR3_WRBL,32779,4,SA3_NULL,S3_WRTHFX_SIZZLE4,0,0},	// S3_WRTHFX_SIZZLE3
{SPR3_WRBL,32780,4,SA3_NULL,S3_WRTHFX_SIZZLE5,0,0},	// S3_WRTHFX_SIZZLE4
{SPR3_WRBL,32781,4,SA3_NULL,S3_WRTHFX_SIZZLE6,0,0},	// S3_WRTHFX_SIZZLE5
{SPR3_WRBL,32782,4,SA3_NULL,S3_WRTHFX_SIZZLE7,0,0},	// S3_WRTHFX_SIZZLE6
{SPR3_WRBL,32783,4,SA3_NULL,S3_NULL,0,0},	// S3_WRTHFX_SIZZLE7
{SPR3_WRBL,32784,4,SA3_NULL,S3_WRTHFX_DROP2,0,0},	// S3_WRTHFX_DROP1
{SPR3_WRBL,32785,4,SA3_NULL,S3_WRTHFX_DROP3,0,0},	// S3_WRTHFX_DROP2
{SPR3_WRBL,32786,4,SA3_NULL,S3_WRTHFX_DROP1,0,0},	// S3_WRTHFX_DROP3
{SPR3_WRBL,32786,4,SA3_NULL,S3_NULL,0,0},	// S3_WRTHFX_DEAD1
{SPR3_WRBL,19,4,SA3_NULL,S3_WRTHFX_ADROP2,0,0},	// S3_WRTHFX_ADROP1
{SPR3_WRBL,20,4,SA3_NULL,S3_WRTHFX_ADROP3,0,0},	// S3_WRTHFX_ADROP2
{SPR3_WRBL,21,4,SA3_NULL,S3_WRTHFX_ADROP4,0,0},	// S3_WRTHFX_ADROP3
{SPR3_WRBL,22,4,SA3_NULL,S3_WRTHFX_ADROP1,0,0},	// S3_WRTHFX_ADROP4
{SPR3_WRBL,22,10,SA3_NULL,S3_NULL,0,0},	// S3_WRTHFX_ADEAD1
{SPR3_WRBL,23,7,SA3_NULL,S3_WRTHFX_BDROP2,0,0},	// S3_WRTHFX_BDROP1
{SPR3_WRBL,24,7,SA3_NULL,S3_WRTHFX_BDROP3,0,0},	// S3_WRTHFX_BDROP2
{SPR3_WRBL,25,7,SA3_NULL,S3_WRTHFX_BDROP1,0,0},	// S3_WRTHFX_BDROP3
{SPR3_WRBL,25,35,SA3_NULL,S3_NULL,0,0},	// S3_WRTHFX_BDEAD1
{SPR3_MNTR,0,15,SA3_NULL,S3_MNTR_SPAWN2,0,0},	// S3_MNTR_SPAWN1
{SPR3_MNTR,0,15,SA3_MinotaurFade1,S3_MNTR_SPAWN3,0,0},	// S3_MNTR_SPAWN2
{SPR3_MNTR,0,3,SA3_MinotaurFade2,S3_MNTR_LOOK1,0,0},	// S3_MNTR_SPAWN3
{SPR3_MNTR,0,10,SA3_MinotaurLook,S3_MNTR_LOOK2,0,0},	// S3_MNTR_LOOK1
{SPR3_MNTR,1,10,SA3_MinotaurLook,S3_MNTR_LOOK1,0,0},	// S3_MNTR_LOOK2
{SPR3_MNTR,0,5,SA3_MinotaurChase,S3_MNTR_WALK2,0,0},	// S3_MNTR_WALK1
{SPR3_MNTR,1,5,SA3_MinotaurChase,S3_MNTR_WALK3,0,0},	// S3_MNTR_WALK2
{SPR3_MNTR,2,5,SA3_MinotaurChase,S3_MNTR_WALK4,0,0},	// S3_MNTR_WALK3
{SPR3_MNTR,3,5,SA3_MinotaurChase,S3_MNTR_WALK1,0,0},	// S3_MNTR_WALK4
{SPR3_MNTR,0,5,SA3_MinotaurRoam,S3_MNTR_ROAM2,0,0},	// S3_MNTR_ROAM1
{SPR3_MNTR,1,5,SA3_MinotaurRoam,S3_MNTR_ROAM3,0,0},	// S3_MNTR_ROAM2
{SPR3_MNTR,2,5,SA3_MinotaurRoam,S3_MNTR_ROAM4,0,0},	// S3_MNTR_ROAM3
{SPR3_MNTR,3,5,SA3_MinotaurRoam,S3_MNTR_ROAM1,0,0},	// S3_MNTR_ROAM4
{SPR3_MNTR,6,10,SA3_FaceTarget,S3_MNTR_ATK1_2,0,0},	// S3_MNTR_ATK1_1
{SPR3_MNTR,7,7,SA3_FaceTarget,S3_MNTR_ATK1_3,0,0},	// S3_MNTR_ATK1_2
{SPR3_MNTR,8,12,SA3_MinotaurAtk1,S3_MNTR_WALK1,0,0},	// S3_MNTR_ATK1_3
{SPR3_MNTR,6,10,SA3_MinotaurDecide,S3_MNTR_ATK2_2,0,0},	// S3_MNTR_ATK2_1
{SPR3_MNTR,9,4,SA3_FaceTarget,S3_MNTR_ATK2_3,0,0},	// S3_MNTR_ATK2_2
{SPR3_MNTR,10,9,SA3_MinotaurAtk2,S3_MNTR_WALK1,0,0},	// S3_MNTR_ATK2_3
{SPR3_MNTR,6,10,SA3_FaceTarget,S3_MNTR_ATK3_2,0,0},	// S3_MNTR_ATK3_1
{SPR3_MNTR,7,7,SA3_FaceTarget,S3_MNTR_ATK3_3,0,0},	// S3_MNTR_ATK3_2
{SPR3_MNTR,8,12,SA3_MinotaurAtk3,S3_MNTR_WALK1,0,0},	// S3_MNTR_ATK3_3
{SPR3_MNTR,8,12,SA3_NULL,S3_MNTR_ATK3_1,0,0},	// S3_MNTR_ATK3_4
{SPR3_MNTR,5,2,SA3_MinotaurCharge,S3_MNTR_ATK4_1,0,0},	// S3_MNTR_ATK4_1
{SPR3_MNTR,4,3,SA3_NULL,S3_MNTR_PAIN2,0,0},	// S3_MNTR_PAIN1
{SPR3_MNTR,4,6,SA3_Pain,S3_MNTR_WALK1,0,0},	// S3_MNTR_PAIN2
{SPR3_MNTR,4,6,SA3_NULL,S3_MNTR_DIE2,0,0},	// S3_MNTR_DIE1
{SPR3_MNTR,4,2,SA3_Scream,S3_MNTR_DIE3,0,0},	// S3_MNTR_DIE2
{SPR3_MNTR,4,5,SA3_SmokePuffExit,S3_MNTR_DIE4,0,0},	// S3_MNTR_DIE3
{SPR3_MNTR,4,5,SA3_NULL,S3_MNTR_DIE5,0,0},	// S3_MNTR_DIE4
{SPR3_MNTR,4,5,SA3_NoBlocking,S3_MNTR_DIE6,0,0},	// S3_MNTR_DIE5
{SPR3_MNTR,4,5,SA3_NULL,S3_MNTR_DIE7,0,0},	// S3_MNTR_DIE6
{SPR3_MNTR,4,5,SA3_MinotaurFade1,S3_MNTR_DIE8,0,0},	// S3_MNTR_DIE7
{SPR3_MNTR,4,5,SA3_MinotaurFade0,S3_MNTR_DIE9,0,0},	// S3_MNTR_DIE8
{SPR3_MNTR,4,10,SA3_NULL,S3_NULL,0,0},	// S3_MNTR_DIE9
{SPR3_FX12,32768,6,SA3_NULL,S3_MNTRFX1_2,0,0},	// S3_MNTRFX1_1
{SPR3_FX12,32769,6,SA3_NULL,S3_MNTRFX1_1,0,0},	// S3_MNTRFX1_2
{SPR3_FX12,32770,5,SA3_NULL,S3_MNTRFXI1_2,0,0},	// S3_MNTRFXI1_1
{SPR3_FX12,32771,5,SA3_NULL,S3_MNTRFXI1_3,0,0},	// S3_MNTRFXI1_2
{SPR3_FX12,32772,5,SA3_NULL,S3_MNTRFXI1_4,0,0},	// S3_MNTRFXI1_3
{SPR3_FX12,32773,5,SA3_NULL,S3_MNTRFXI1_5,0,0},	// S3_MNTRFXI1_4
{SPR3_FX12,32774,5,SA3_NULL,S3_MNTRFXI1_6,0,0},	// S3_MNTRFXI1_5
{SPR3_FX12,32775,5,SA3_NULL,S3_NULL,0,0},	// S3_MNTRFXI1_6
{SPR3_FX13,0,2,SA3_MntrFloorFire,S3_MNTRFX2_1,0,0},	// S3_MNTRFX2_1
{SPR3_FX13,32776,4,SA3_Explode,S3_MNTRFXI2_2,0,0},	// S3_MNTRFXI2_1
{SPR3_FX13,32777,4,SA3_NULL,S3_MNTRFXI2_3,0,0},	// S3_MNTRFXI2_2
{SPR3_FX13,32778,4,SA3_NULL,S3_MNTRFXI2_4,0,0},	// S3_MNTRFXI2_3
{SPR3_FX13,32779,4,SA3_NULL,S3_MNTRFXI2_5,0,0},	// S3_MNTRFXI2_4
{SPR3_FX13,32780,4,SA3_NULL,S3_NULL,0,0},	// S3_MNTRFXI2_5
{SPR3_FX13,32771,4,SA3_NULL,S3_MNTRFX3_2,0,0},	// S3_MNTRFX3_1
{SPR3_FX13,32770,4,SA3_NULL,S3_MNTRFX3_3,0,0},	// S3_MNTRFX3_2
{SPR3_FX13,32769,5,SA3_NULL,S3_MNTRFX3_4,0,0},	// S3_MNTRFX3_3
{SPR3_FX13,32770,5,SA3_NULL,S3_MNTRFX3_5,0,0},	// S3_MNTRFX3_4
{SPR3_FX13,32771,5,SA3_NULL,S3_MNTRFX3_6,0,0},	// S3_MNTRFX3_5
{SPR3_FX13,32772,5,SA3_NULL,S3_MNTRFX3_7,0,0},	// S3_MNTRFX3_6
{SPR3_FX13,32773,4,SA3_NULL,S3_MNTRFX3_8,0,0},	// S3_MNTRFX3_7
{SPR3_FX13,32774,4,SA3_NULL,S3_MNTRFX3_9,0,0},	// S3_MNTRFX3_8
{SPR3_FX13,32775,4,SA3_NULL,S3_NULL,0,0},	// S3_MNTRFX3_9
{SPR3_MNSM,0,3,SA3_NULL,S3_MINOSMOKE2,0,0},	// S3_MINOSMOKE1
{SPR3_MNSM,1,3,SA3_NULL,S3_MINOSMOKE3,0,0},	// S3_MINOSMOKE2
{SPR3_MNSM,2,3,SA3_NULL,S3_MINOSMOKE4,0,0},	// S3_MINOSMOKE3
{SPR3_MNSM,3,3,SA3_NULL,S3_MINOSMOKE5,0,0},	// S3_MINOSMOKE4
{SPR3_MNSM,4,3,SA3_NULL,S3_MINOSMOKE6,0,0},	// S3_MINOSMOKE5
{SPR3_MNSM,5,3,SA3_NULL,S3_MINOSMOKE7,0,0},	// S3_MINOSMOKE6
{SPR3_MNSM,6,3,SA3_NULL,S3_MINOSMOKE8,0,0},	// S3_MINOSMOKE7
{SPR3_MNSM,7,3,SA3_NULL,S3_MINOSMOKE9,0,0},	// S3_MINOSMOKE8
{SPR3_MNSM,8,3,SA3_NULL,S3_MINOSMOKE0,0,0},	// S3_MINOSMOKE9
{SPR3_MNSM,9,3,SA3_NULL,S3_MINOSMOKEA,0,0},	// S3_MINOSMOKE0
{SPR3_MNSM,10,3,SA3_NULL,S3_MINOSMOKEB,0,0},	// S3_MINOSMOKEA
{SPR3_MNSM,11,3,SA3_NULL,S3_MINOSMOKEC,0,0},	// S3_MINOSMOKEB
{SPR3_MNSM,12,3,SA3_NULL,S3_MINOSMOKED,0,0},	// S3_MINOSMOKEC
{SPR3_MNSM,13,3,SA3_NULL,S3_MINOSMOKEE,0,0},	// S3_MINOSMOKED
{SPR3_MNSM,14,3,SA3_NULL,S3_MINOSMOKEF,0,0},	// S3_MINOSMOKEE
{SPR3_MNSM,15,3,SA3_NULL,S3_MINOSMOKEG,0,0},	// S3_MINOSMOKEF
{SPR3_MNSM,16,3,SA3_NULL,S3_NULL,0,0},	// S3_MINOSMOKEG
{SPR3_MNSM,0,3,SA3_NULL,S3_MINOSMOKEX2,0,0},	// S3_MINOSMOKEX1
{SPR3_MNSM,1,3,SA3_NULL,S3_MINOSMOKEX3,0,0},	// S3_MINOSMOKEX2
{SPR3_MNSM,2,3,SA3_NULL,S3_MINOSMOKEX4,0,0},	// S3_MINOSMOKEX3
{SPR3_MNSM,3,3,SA3_NULL,S3_MINOSMOKEX5,0,0},	// S3_MINOSMOKEX4
{SPR3_MNSM,4,3,SA3_NULL,S3_MINOSMOKEX6,0,0},	// S3_MINOSMOKEX5
{SPR3_MNSM,5,3,SA3_NULL,S3_MINOSMOKEX7,0,0},	// S3_MINOSMOKEX6
{SPR3_MNSM,6,3,SA3_NULL,S3_MINOSMOKEX8,0,0},	// S3_MINOSMOKEX7
{SPR3_MNSM,7,3,SA3_NULL,S3_MINOSMOKEX9,0,0},	// S3_MINOSMOKEX8
{SPR3_MNSM,8,3,SA3_NULL,S3_MINOSMOKEX0,0,0},	// S3_MINOSMOKEX9
{SPR3_MNSM,9,3,SA3_NULL,S3_MINOSMOKEXA,0,0},	// S3_MINOSMOKEX0
{SPR3_MNSM,8,3,SA3_NULL,S3_MINOSMOKEXB,0,0},	// S3_MINOSMOKEXA
{SPR3_MNSM,7,3,SA3_NULL,S3_MINOSMOKEXC,0,0},	// S3_MINOSMOKEXB
{SPR3_MNSM,6,3,SA3_NULL,S3_MINOSMOKEXD,0,0},	// S3_MINOSMOKEXC
{SPR3_MNSM,5,3,SA3_NULL,S3_MINOSMOKEXE,0,0},	// S3_MINOSMOKEXD
{SPR3_MNSM,4,3,SA3_NULL,S3_MINOSMOKEXF,0,0},	// S3_MINOSMOKEXE
{SPR3_MNSM,3,3,SA3_NULL,S3_MINOSMOKEXG,0,0},	// S3_MINOSMOKEXF
{SPR3_MNSM,2,3,SA3_NULL,S3_MINOSMOKEXH,0,0},	// S3_MINOSMOKEXG
{SPR3_MNSM,1,3,SA3_NULL,S3_MINOSMOKEXI,0,0},	// S3_MINOSMOKEXH
{SPR3_MNSM,0,3,SA3_NULL,S3_NULL,0,0},	// S3_MINOSMOKEXI
{SPR3_SSPT,7,10,SA3_Look,S3_SERPENT_LOOK1,0,0},	// S3_SERPENT_LOOK1
{SPR3_SSPT,7,1,SA3_SerpentChase,S3_SERPENT_SWIM2,0,0},	// S3_SERPENT_SWIM1
{SPR3_SSPT,7,1,SA3_SerpentChase,S3_SERPENT_SWIM3,0,0},	// S3_SERPENT_SWIM2
{SPR3_SSPT,7,2,SA3_SerpentHumpDecide,S3_SERPENT_SWIM1,0,0},	// S3_SERPENT_SWIM3
{SPR3_SSPT,7,3,SA3_SerpentUnHide,S3_SERPENT_HUMP2,0,0},	// S3_SERPENT_HUMP1
{SPR3_SSPT,4,3,SA3_SerpentRaiseHump,S3_SERPENT_HUMP3,0,0},	// S3_SERPENT_HUMP2
{SPR3_SSPT,5,3,SA3_SerpentRaiseHump,S3_SERPENT_HUMP4,0,0},	// S3_SERPENT_HUMP3
{SPR3_SSPT,6,3,SA3_SerpentRaiseHump,S3_SERPENT_HUMP5,0,0},	// S3_SERPENT_HUMP4
{SPR3_SSPT,4,3,SA3_SerpentRaiseHump,S3_SERPENT_HUMP6,0,0},	// S3_SERPENT_HUMP5
{SPR3_SSPT,5,3,SA3_SerpentRaiseHump,S3_SERPENT_HUMP7,0,0},	// S3_SERPENT_HUMP6
{SPR3_SSPT,6,3,SA3_NULL,S3_SERPENT_HUMP8,0,0},	// S3_SERPENT_HUMP7
{SPR3_SSPT,4,3,SA3_NULL,S3_SERPENT_HUMP9,0,0},	// S3_SERPENT_HUMP8
{SPR3_SSPT,5,3,SA3_NULL,S3_SERPENT_HUMP10,0,0},	// S3_SERPENT_HUMP9
{SPR3_SSPT,6,3,SA3_SerpentLowerHump,S3_SERPENT_HUMP11,0,0},	// S3_SERPENT_HUMP10
{SPR3_SSPT,4,3,SA3_SerpentLowerHump,S3_SERPENT_HUMP12,0,0},	// S3_SERPENT_HUMP11
{SPR3_SSPT,5,3,SA3_SerpentLowerHump,S3_SERPENT_HUMP13,0,0},	// S3_SERPENT_HUMP12
{SPR3_SSPT,6,3,SA3_SerpentLowerHump,S3_SERPENT_HUMP14,0,0},	// S3_SERPENT_HUMP13
{SPR3_SSPT,4,3,SA3_SerpentLowerHump,S3_SERPENT_HUMP15,0,0},	// S3_SERPENT_HUMP14
{SPR3_SSPT,5,3,SA3_SerpentHide,S3_SERPENT_SWIM1,0,0},	// S3_SERPENT_HUMP15
{SPR3_SSPT,0,1,SA3_UnHideThing,S3_SERPENT_SURFACE2,0,0},	// S3_SERPENT_SURFACE1
{SPR3_SSPT,0,1,SA3_SerpentBirthScream,S3_SERPENT_SURFACE3,0,0},	// S3_SERPENT_SURFACE2
{SPR3_SSPT,1,3,SA3_SetShootable,S3_SERPENT_SURFACE4,0,0},	// S3_SERPENT_SURFACE3
{SPR3_SSPT,2,3,SA3_NULL,S3_SERPENT_SURFACE5,0,0},	// S3_SERPENT_SURFACE4
{SPR3_SSPT,3,4,SA3_SerpentCheckForAttack,S3_SERPENT_DIVE1,0,0},	// S3_SERPENT_SURFACE5
{SPR3_SSDV,0,4,SA3_NULL,S3_SERPENT_DIVE2,0,0},	// S3_SERPENT_DIVE1
{SPR3_SSDV,1,4,SA3_NULL,S3_SERPENT_DIVE3,0,0},	// S3_SERPENT_DIVE2
{SPR3_SSDV,2,4,SA3_NULL,S3_SERPENT_DIVE4,0,0},	// S3_SERPENT_DIVE3
{SPR3_SSDV,3,4,SA3_UnSetShootable,S3_SERPENT_DIVE5,0,0},	// S3_SERPENT_DIVE4
{SPR3_SSDV,4,3,SA3_SerpentDiveSound,S3_SERPENT_DIVE6,0,0},	// S3_SERPENT_DIVE5
{SPR3_SSDV,5,3,SA3_NULL,S3_SERPENT_DIVE7,0,0},	// S3_SERPENT_DIVE6
{SPR3_SSDV,6,4,SA3_NULL,S3_SERPENT_DIVE8,0,0},	// S3_SERPENT_DIVE7
{SPR3_SSDV,7,4,SA3_NULL,S3_SERPENT_DIVE9,0,0},	// S3_SERPENT_DIVE8
{SPR3_SSDV,8,3,SA3_NULL,S3_SERPENT_DIVE10,0,0},	// S3_SERPENT_DIVE9
{SPR3_SSDV,9,3,SA3_SerpentHide,S3_SERPENT_SWIM1,0,0},	// S3_SERPENT_DIVE10
{SPR3_SSPT,8,5,SA3_SerpentWalk,S3_SERPENT_WALK2,0,0},	// S3_SERPENT_WALK1
{SPR3_SSPT,9,5,SA3_SerpentWalk,S3_SERPENT_WALK3,0,0},	// S3_SERPENT_WALK2
{SPR3_SSPT,8,5,SA3_SerpentWalk,S3_SERPENT_WALK4,0,0},	// S3_SERPENT_WALK3
{SPR3_SSPT,9,5,SA3_SerpentCheckForAttack,S3_SERPENT_DIVE1,0,0},	// S3_SERPENT_WALK4
{SPR3_SSPT,11,5,SA3_NULL,S3_SERPENT_PAIN2,0,0},	// S3_SERPENT_PAIN1
{SPR3_SSPT,11,5,SA3_Pain,S3_SERPENT_DIVE1,0,0},	// S3_SERPENT_PAIN2
{SPR3_SSPT,10,6,SA3_FaceTarget,S3_SERPENT_ATK2,0,0},	// S3_SERPENT_ATK1
{SPR3_SSPT,11,5,SA3_SerpentChooseAttack,S3_SERPENT_MELEE1,0,0},	// S3_SERPENT_ATK2
{SPR3_SSPT,13,5,SA3_SerpentMeleeAttack,S3_SERPENT_DIVE1,0,0},	// S3_SERPENT_MELEE1
{SPR3_SSPT,13,5,SA3_SerpentMissileAttack,S3_SERPENT_DIVE1,0,0},	// S3_SERPENT_MISSILE1
{SPR3_SSPT,14,4,SA3_NULL,S3_SERPENT_DIE2,0,0},	// S3_SERPENT_DIE1
{SPR3_SSPT,15,4,SA3_Scream,S3_SERPENT_DIE3,0,0},	// S3_SERPENT_DIE2
{SPR3_SSPT,16,4,SA3_NoBlocking,S3_SERPENT_DIE4,0,0},	// S3_SERPENT_DIE3
{SPR3_SSPT,17,4,SA3_NULL,S3_SERPENT_DIE5,0,0},	// S3_SERPENT_DIE4
{SPR3_SSPT,18,4,SA3_NULL,S3_SERPENT_DIE6,0,0},	// S3_SERPENT_DIE5
{SPR3_SSPT,19,4,SA3_NULL,S3_SERPENT_DIE7,0,0},	// S3_SERPENT_DIE6
{SPR3_SSPT,20,4,SA3_NULL,S3_SERPENT_DIE8,0,0},	// S3_SERPENT_DIE7
{SPR3_SSPT,21,4,SA3_NULL,S3_SERPENT_DIE9,0,0},	// S3_SERPENT_DIE8
{SPR3_SSPT,22,4,SA3_NULL,S3_SERPENT_DIE10,0,0},	// S3_SERPENT_DIE9
{SPR3_SSPT,23,4,SA3_NULL,S3_SERPENT_DIE11,0,0},	// S3_SERPENT_DIE10
{SPR3_SSPT,24,4,SA3_NULL,S3_SERPENT_DIE12,0,0},	// S3_SERPENT_DIE11
{SPR3_SSPT,25,4,SA3_NULL,S3_NULL,0,0},	// S3_SERPENT_DIE12
{SPR3_SSXD,0,4,SA3_NULL,S3_SERPENT_XDIE2,0,0},	// S3_SERPENT_XDIE1
{SPR3_SSXD,1,4,SA3_SerpentHeadPop,S3_SERPENT_XDIE3,0,0},	// S3_SERPENT_XDIE2
{SPR3_SSXD,2,4,SA3_NoBlocking,S3_SERPENT_XDIE4,0,0},	// S3_SERPENT_XDIE3
{SPR3_SSXD,3,4,SA3_NULL,S3_SERPENT_XDIE5,0,0},	// S3_SERPENT_XDIE4
{SPR3_SSXD,4,4,SA3_NULL,S3_SERPENT_XDIE6,0,0},	// S3_SERPENT_XDIE5
{SPR3_SSXD,5,3,SA3_NULL,S3_SERPENT_XDIE7,0,0},	// S3_SERPENT_XDIE6
{SPR3_SSXD,6,3,SA3_NULL,S3_SERPENT_XDIE8,0,0},	// S3_SERPENT_XDIE7
{SPR3_SSXD,7,3,SA3_SerpentSpawnGibs,S3_NULL,0,0},	// S3_SERPENT_XDIE8
{SPR3_SSPT,26,5,SA3_FreezeDeath,S3_SERPENT_ICE2,0,0},	// S3_SERPENT_ICE
{SPR3_SSPT,26,1,SA3_FreezeDeathChunks,S3_SERPENT_ICE2,0,0},	// S3_SERPENT_ICE2
{SPR3_SSFX,32768,3,SA3_ContMobjSound,S3_SERPENT_FX2,0,0},	// S3_SERPENT_FX1
{SPR3_SSFX,32769,3,SA3_NULL,S3_SERPENT_FX3,0,0},	// S3_SERPENT_FX2
{SPR3_SSFX,32768,3,SA3_NULL,S3_SERPENT_FX4,0,0},	// S3_SERPENT_FX3
{SPR3_SSFX,32769,3,SA3_NULL,S3_SERPENT_FX1,0,0},	// S3_SERPENT_FX4
{SPR3_SSFX,32770,4,SA3_NULL,S3_SERPENT_FX_X2,0,0},	// S3_SERPENT_FX_X1
{SPR3_SSFX,32771,4,SA3_NULL,S3_SERPENT_FX_X3,0,0},	// S3_SERPENT_FX_X2
{SPR3_SSFX,32772,4,SA3_NULL,S3_SERPENT_FX_X4,0,0},	// S3_SERPENT_FX_X3
{SPR3_SSFX,32773,4,SA3_NULL,S3_SERPENT_FX_X5,0,0},	// S3_SERPENT_FX_X4
{SPR3_SSFX,32774,4,SA3_NULL,S3_SERPENT_FX_X6,0,0},	// S3_SERPENT_FX_X5
{SPR3_SSFX,32775,4,SA3_NULL,S3_NULL,0,0},	// S3_SERPENT_FX_X6
{SPR3_SSXD,8,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD2,0,0},	// S3_SERPENT_HEAD1
{SPR3_SSXD,9,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD3,0,0},	// S3_SERPENT_HEAD2
{SPR3_SSXD,10,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD4,0,0},	// S3_SERPENT_HEAD3
{SPR3_SSXD,11,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD5,0,0},	// S3_SERPENT_HEAD4
{SPR3_SSXD,12,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD6,0,0},	// S3_SERPENT_HEAD5
{SPR3_SSXD,13,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD7,0,0},	// S3_SERPENT_HEAD6
{SPR3_SSXD,14,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD8,0,0},	// S3_SERPENT_HEAD7
{SPR3_SSXD,15,4,SA3_SerpentHeadCheck,S3_SERPENT_HEAD1,0,0},	// S3_SERPENT_HEAD8
{SPR3_SSXD,18,-1,SA3_NULL,S3_SERPENT_HEAD_X1,0,0},	// S3_SERPENT_HEAD_X1
{SPR3_SSXD,16,6,SA3_NULL,S3_SERPENT_GIB1_2,0,0},	// S3_SERPENT_GIB1_1
{SPR3_SSXD,16,6,SA3_FloatGib,S3_SERPENT_GIB1_3,0,0},	// S3_SERPENT_GIB1_2
{SPR3_SSXD,16,8,SA3_FloatGib,S3_SERPENT_GIB1_4,0,0},	// S3_SERPENT_GIB1_3
{SPR3_SSXD,16,8,SA3_FloatGib,S3_SERPENT_GIB1_5,0,0},	// S3_SERPENT_GIB1_4
{SPR3_SSXD,16,12,SA3_FloatGib,S3_SERPENT_GIB1_6,0,0},	// S3_SERPENT_GIB1_5
{SPR3_SSXD,16,12,SA3_FloatGib,S3_SERPENT_GIB1_7,0,0},	// S3_SERPENT_GIB1_6
{SPR3_SSXD,16,232,SA3_DelayGib,S3_SERPENT_GIB1_8,0,0},	// S3_SERPENT_GIB1_7
{SPR3_SSXD,16,12,SA3_SinkGib,S3_SERPENT_GIB1_9,0,0},	// S3_SERPENT_GIB1_8
{SPR3_SSXD,16,12,SA3_SinkGib,S3_SERPENT_GIB1_10,0,0},	// S3_SERPENT_GIB1_9
{SPR3_SSXD,16,8,SA3_SinkGib,S3_SERPENT_GIB1_11,0,0},	// S3_SERPENT_GIB1_10
{SPR3_SSXD,16,8,SA3_SinkGib,S3_SERPENT_GIB1_12,0,0},	// S3_SERPENT_GIB1_11
{SPR3_SSXD,16,8,SA3_SinkGib,S3_NULL,0,0},	// S3_SERPENT_GIB1_12
{SPR3_SSXD,17,6,SA3_NULL,S3_SERPENT_GIB2_2,0,0},	// S3_SERPENT_GIB2_1
{SPR3_SSXD,17,6,SA3_FloatGib,S3_SERPENT_GIB2_3,0,0},	// S3_SERPENT_GIB2_2
{SPR3_SSXD,17,8,SA3_FloatGib,S3_SERPENT_GIB2_4,0,0},	// S3_SERPENT_GIB2_3
{SPR3_SSXD,17,8,SA3_FloatGib,S3_SERPENT_GIB2_5,0,0},	// S3_SERPENT_GIB2_4
{SPR3_SSXD,17,12,SA3_FloatGib,S3_SERPENT_GIB2_6,0,0},	// S3_SERPENT_GIB2_5
{SPR3_SSXD,17,12,SA3_FloatGib,S3_SERPENT_GIB2_7,0,0},	// S3_SERPENT_GIB2_6
{SPR3_SSXD,17,232,SA3_DelayGib,S3_SERPENT_GIB2_8,0,0},	// S3_SERPENT_GIB2_7
{SPR3_SSXD,17,12,SA3_SinkGib,S3_SERPENT_GIB2_9,0,0},	// S3_SERPENT_GIB2_8
{SPR3_SSXD,17,12,SA3_SinkGib,S3_SERPENT_GIB2_10,0,0},	// S3_SERPENT_GIB2_9
{SPR3_SSXD,17,8,SA3_SinkGib,S3_SERPENT_GIB2_11,0,0},	// S3_SERPENT_GIB2_10
{SPR3_SSXD,17,8,SA3_SinkGib,S3_SERPENT_GIB2_12,0,0},	// S3_SERPENT_GIB2_11
{SPR3_SSXD,17,8,SA3_SinkGib,S3_NULL,0,0},	// S3_SERPENT_GIB2_12
{SPR3_SSXD,19,6,SA3_NULL,S3_SERPENT_GIB3_2,0,0},	// S3_SERPENT_GIB3_1
{SPR3_SSXD,19,6,SA3_FloatGib,S3_SERPENT_GIB3_3,0,0},	// S3_SERPENT_GIB3_2
{SPR3_SSXD,19,8,SA3_FloatGib,S3_SERPENT_GIB3_4,0,0},	// S3_SERPENT_GIB3_3
{SPR3_SSXD,19,8,SA3_FloatGib,S3_SERPENT_GIB3_5,0,0},	// S3_SERPENT_GIB3_4
{SPR3_SSXD,19,12,SA3_FloatGib,S3_SERPENT_GIB3_6,0,0},	// S3_SERPENT_GIB3_5
{SPR3_SSXD,19,12,SA3_FloatGib,S3_SERPENT_GIB3_7,0,0},	// S3_SERPENT_GIB3_6
{SPR3_SSXD,19,232,SA3_DelayGib,S3_SERPENT_GIB3_8,0,0},	// S3_SERPENT_GIB3_7
{SPR3_SSXD,19,12,SA3_SinkGib,S3_SERPENT_GIB3_9,0,0},	// S3_SERPENT_GIB3_8
{SPR3_SSXD,19,12,SA3_SinkGib,S3_SERPENT_GIB3_10,0,0},	// S3_SERPENT_GIB3_9
{SPR3_SSXD,19,8,SA3_SinkGib,S3_SERPENT_GIB3_11,0,0},	// S3_SERPENT_GIB3_10
{SPR3_SSXD,19,8,SA3_SinkGib,S3_SERPENT_GIB3_12,0,0},	// S3_SERPENT_GIB3_11
{SPR3_SSXD,19,8,SA3_SinkGib,S3_NULL,0,0},	// S3_SERPENT_GIB3_12
{SPR3_BISH,0,10,SA3_Look,S3_BISHOP_LOOK1,0,0},	// S3_BISHOP_LOOK1
{SPR3_BISH,0,1,SA3_BishopDecide,S3_BISHOP_WALK1,0,0},	// S3_BISHOP_DECIDE
{SPR3_BISH,0,2,SA3_BishopDoBlur,S3_BISHOP_BLUR2,0,0},	// S3_BISHOP_BLUR1
{SPR3_BISH,0,4,SA3_BishopSpawnBlur,S3_BISHOP_BLUR2,0,0},	// S3_BISHOP_BLUR2
{SPR3_BISH,0,2,SA3_Chase,S3_BISHOP_WALK2,0,0},	// S3_BISHOP_WALK1
{SPR3_BISH,0,2,SA3_BishopChase,S3_BISHOP_WALK3,0,0},	// S3_BISHOP_WALK2
{SPR3_BISH,0,2,SA3_NULL,S3_BISHOP_WALK4,0,0},	// S3_BISHOP_WALK3
{SPR3_BISH,1,2,SA3_BishopChase,S3_BISHOP_WALK5,0,0},	// S3_BISHOP_WALK4
{SPR3_BISH,1,2,SA3_Chase,S3_BISHOP_WALK6,0,0},	// S3_BISHOP_WALK5
{SPR3_BISH,1,2,SA3_BishopChase,S3_BISHOP_DECIDE,0,0},	// S3_BISHOP_WALK6
{SPR3_BISH,0,3,SA3_FaceTarget,S3_BISHOP_ATK2,0,0},	// S3_BISHOP_ATK1
{SPR3_BISH,32771,3,SA3_FaceTarget,S3_BISHOP_ATK3,0,0},	// S3_BISHOP_ATK2
{SPR3_BISH,32772,3,SA3_FaceTarget,S3_BISHOP_ATK4,0,0},	// S3_BISHOP_ATK3
{SPR3_BISH,32773,3,SA3_BishopAttack,S3_BISHOP_ATK5,0,0},	// S3_BISHOP_ATK4
{SPR3_BISH,32773,5,SA3_BishopAttack2,S3_BISHOP_ATK5,0,0},	// S3_BISHOP_ATK5
{SPR3_BISH,2,6,SA3_Pain,S3_BISHOP_PAIN2,0,0},	// S3_BISHOP_PAIN1
{SPR3_BISH,2,6,SA3_BishopPainBlur,S3_BISHOP_PAIN3,0,0},	// S3_BISHOP_PAIN2
{SPR3_BISH,2,6,SA3_BishopPainBlur,S3_BISHOP_PAIN4,0,0},	// S3_BISHOP_PAIN3
{SPR3_BISH,2,6,SA3_BishopPainBlur,S3_BISHOP_PAIN5,0,0},	// S3_BISHOP_PAIN4
{SPR3_BISH,2,0,SA3_NULL,S3_BISHOP_WALK1,0,0},	// S3_BISHOP_PAIN5
{SPR3_BISH,6,6,SA3_NULL,S3_BISHOP_DEATH2,0,0},	// S3_BISHOP_DEATH1
{SPR3_BISH,32775,6,SA3_Scream,S3_BISHOP_DEATH3,0,0},	// S3_BISHOP_DEATH2
{SPR3_BISH,32776,5,SA3_NoBlocking,S3_BISHOP_DEATH4,0,0},	// S3_BISHOP_DEATH3
{SPR3_BISH,32777,5,SA3_Explode,S3_BISHOP_DEATH5,0,0},	// S3_BISHOP_DEATH4
{SPR3_BISH,32778,5,SA3_NULL,S3_BISHOP_DEATH6,0,0},	// S3_BISHOP_DEATH5
{SPR3_BISH,32779,4,SA3_NULL,S3_BISHOP_DEATH7,0,0},	// S3_BISHOP_DEATH6
{SPR3_BISH,32780,4,SA3_NULL,S3_BISHOP_DEATH8,0,0},	// S3_BISHOP_DEATH7
{SPR3_BISH,13,4,SA3_BishopPuff,S3_BISHOP_DEATH9,0,0},	// S3_BISHOP_DEATH8
{SPR3_BISH,14,4,SA3_QueueCorpse,S3_BISHOP_DEATH10,0,0},	// S3_BISHOP_DEATH9
{SPR3_BISH,15,-1,SA3_NULL,S3_NULL,0,0},	// S3_BISHOP_DEATH10
{SPR3_BISH,23,5,SA3_FreezeDeath,S3_BISHOP_ICE2,0,0},	// S3_BISHOP_ICE
{SPR3_BISH,23,1,SA3_FreezeDeathChunks,S3_BISHOP_ICE2,0,0},	// S3_BISHOP_ICE2
{SPR3_BISH,16,5,SA3_NULL,S3_BISHOP_PUFF2,0,0},	// S3_BISHOP_PUFF1
{SPR3_BISH,17,5,SA3_NULL,S3_BISHOP_PUFF3,0,0},	// S3_BISHOP_PUFF2
{SPR3_BISH,18,5,SA3_NULL,S3_BISHOP_PUFF4,0,0},	// S3_BISHOP_PUFF3
{SPR3_BISH,19,5,SA3_NULL,S3_BISHOP_PUFF5,0,0},	// S3_BISHOP_PUFF4
{SPR3_BISH,20,6,SA3_NULL,S3_BISHOP_PUFF6,0,0},	// S3_BISHOP_PUFF5
{SPR3_BISH,21,6,SA3_NULL,S3_BISHOP_PUFF7,0,0},	// S3_BISHOP_PUFF6
{SPR3_BISH,22,5,SA3_NULL,S3_NULL,0,0},	// S3_BISHOP_PUFF7
{SPR3_BISH,0,16,SA3_NULL,S3_BISHOPBLUR2,0,0},	// S3_BISHOPBLUR1
{SPR3_BISH,0,8,SA3_SetAltShadow,S3_NULL,0,0},	// S3_BISHOPBLUR2
{SPR3_BISH,2,8,SA3_NULL,S3_NULL,0,0},	// S3_BISHOPPAINBLUR1
{SPR3_BPFX,32768,1,SA3_BishopMissileWeave,S3_BISHFX1_2,0,0},	// S3_BISHFX1_1
{SPR3_BPFX,32769,1,SA3_BishopMissileWeave,S3_BISHFX1_3,0,0},	// S3_BISHFX1_2
{SPR3_BPFX,32768,1,SA3_BishopMissileWeave,S3_BISHFX1_4,0,0},	// S3_BISHFX1_3
{SPR3_BPFX,32769,1,SA3_BishopMissileWeave,S3_BISHFX1_5,0,0},	// S3_BISHFX1_4
{SPR3_BPFX,32769,0,SA3_BishopMissileSeek,S3_BISHFX1_1,0,0},	// S3_BISHFX1_5
{SPR3_BPFX,32770,4,SA3_NULL,S3_BISHFXI1_2,0,0},	// S3_BISHFXI1_1
{SPR3_BPFX,32771,4,SA3_NULL,S3_BISHFXI1_3,0,0},	// S3_BISHFXI1_2
{SPR3_BPFX,32772,4,SA3_NULL,S3_BISHFXI1_4,0,0},	// S3_BISHFXI1_3
{SPR3_BPFX,32773,4,SA3_NULL,S3_BISHFXI1_5,0,0},	// S3_BISHFXI1_4
{SPR3_BPFX,32774,3,SA3_NULL,S3_BISHFXI1_6,0,0},	// S3_BISHFXI1_5
{SPR3_BPFX,32775,3,SA3_NULL,S3_NULL,0,0},	// S3_BISHFXI1_6
{SPR3_DRAG,3,10,SA3_Look,S3_DRAGON_LOOK1,0,0},	// S3_DRAGON_LOOK1
{SPR3_DRAG,2,5,SA3_NULL,S3_DRAGON_INIT2,0,0},	// S3_DRAGON_INIT
{SPR3_DRAG,1,5,SA3_NULL,S3_DRAGON_INIT3,0,0},	// S3_DRAGON_INIT2
{SPR3_DRAG,0,5,SA3_DragonInitFlight,S3_DRAGON_WALK1,0,0},	// S3_DRAGON_INIT3
{SPR3_DRAG,1,3,SA3_DragonFlap,S3_DRAGON_WALK2,0,0},	// S3_DRAGON_WALK1
{SPR3_DRAG,1,3,SA3_DragonFlight,S3_DRAGON_WALK3,0,0},	// S3_DRAGON_WALK2
{SPR3_DRAG,2,3,SA3_DragonFlight,S3_DRAGON_WALK4,0,0},	// S3_DRAGON_WALK3
{SPR3_DRAG,2,3,SA3_DragonFlight,S3_DRAGON_WALK5,0,0},	// S3_DRAGON_WALK4
{SPR3_DRAG,3,3,SA3_DragonFlight,S3_DRAGON_WALK6,0,0},	// S3_DRAGON_WALK5
{SPR3_DRAG,3,3,SA3_DragonFlight,S3_DRAGON_WALK7,0,0},	// S3_DRAGON_WALK6
{SPR3_DRAG,2,3,SA3_DragonFlight,S3_DRAGON_WALK8,0,0},	// S3_DRAGON_WALK7
{SPR3_DRAG,2,3,SA3_DragonFlight,S3_DRAGON_WALK9,0,0},	// S3_DRAGON_WALK8
{SPR3_DRAG,1,3,SA3_DragonFlight,S3_DRAGON_WALK10,0,0},	// S3_DRAGON_WALK9
{SPR3_DRAG,1,3,SA3_DragonFlight,S3_DRAGON_WALK11,0,0},	// S3_DRAGON_WALK10
{SPR3_DRAG,0,3,SA3_DragonFlight,S3_DRAGON_WALK12,0,0},	// S3_DRAGON_WALK11
{SPR3_DRAG,0,3,SA3_DragonFlight,S3_DRAGON_WALK1,0,0},	// S3_DRAGON_WALK12
{SPR3_DRAG,4,8,SA3_DragonAttack,S3_DRAGON_WALK1,0,0},	// S3_DRAGON_ATK1
{SPR3_DRAG,5,10,SA3_DragonPain,S3_DRAGON_WALK1,0,0},	// S3_DRAGON_PAIN1
{SPR3_DRAG,6,5,SA3_Scream,S3_DRAGON_DEATH2,0,0},	// S3_DRAGON_DEATH1
{SPR3_DRAG,7,4,SA3_NoBlocking,S3_DRAGON_DEATH3,0,0},	// S3_DRAGON_DEATH2
{SPR3_DRAG,8,4,SA3_NULL,S3_DRAGON_DEATH4,0,0},	// S3_DRAGON_DEATH3
{SPR3_DRAG,9,4,SA3_DragonCheckCrash,S3_DRAGON_DEATH4,0,0},	// S3_DRAGON_DEATH4
{SPR3_DRAG,10,5,SA3_NULL,S3_DRAGON_CRASH2,0,0},	// S3_DRAGON_CRASH1
{SPR3_DRAG,11,5,SA3_NULL,S3_DRAGON_CRASH3,0,0},	// S3_DRAGON_CRASH2
{SPR3_DRAG,12,-1,SA3_NULL,S3_NULL,0,0},	// S3_DRAGON_CRASH3
{SPR3_DRFX,32768,4,SA3_NULL,S3_DRAGON_FX1_2,0,0},	// S3_DRAGON_FX1_1
{SPR3_DRFX,32769,4,SA3_NULL,S3_DRAGON_FX1_3,0,0},	// S3_DRAGON_FX1_2
{SPR3_DRFX,32770,4,SA3_NULL,S3_DRAGON_FX1_4,0,0},	// S3_DRAGON_FX1_3
{SPR3_DRFX,32771,4,SA3_NULL,S3_DRAGON_FX1_5,0,0},	// S3_DRAGON_FX1_4
{SPR3_DRFX,32772,4,SA3_NULL,S3_DRAGON_FX1_6,0,0},	// S3_DRAGON_FX1_5
{SPR3_DRFX,32773,4,SA3_NULL,S3_DRAGON_FX1_1,0,0},	// S3_DRAGON_FX1_6
{SPR3_DRFX,32774,4,SA3_NULL,S3_DRAGON_FX1_X2,0,0},	// S3_DRAGON_FX1_X1
{SPR3_DRFX,32775,4,SA3_NULL,S3_DRAGON_FX1_X3,0,0},	// S3_DRAGON_FX1_X2
{SPR3_DRFX,32776,4,SA3_NULL,S3_DRAGON_FX1_X4,0,0},	// S3_DRAGON_FX1_X3
{SPR3_DRFX,32777,4,SA3_DragonFX2,S3_DRAGON_FX1_X5,0,0},	// S3_DRAGON_FX1_X4
{SPR3_DRFX,32778,3,SA3_NULL,S3_DRAGON_FX1_X6,0,0},	// S3_DRAGON_FX1_X5
{SPR3_DRFX,32779,3,SA3_NULL,S3_NULL,0,0},	// S3_DRAGON_FX1_X6
{SPR3_CFCF,32784,1,SA3_NULL,S3_DRAGON_FX2_2,0,0},	// S3_DRAGON_FX2_1
{SPR3_CFCF,32784,4,SA3_UnHideThing,S3_DRAGON_FX2_3,0,0},	// S3_DRAGON_FX2_2
{SPR3_CFCF,32785,3,SA3_Scream,S3_DRAGON_FX2_4,0,0},	// S3_DRAGON_FX2_3
{SPR3_CFCF,32786,4,SA3_NULL,S3_DRAGON_FX2_5,0,0},	// S3_DRAGON_FX2_4
{SPR3_CFCF,32787,3,SA3_Explode,S3_DRAGON_FX2_6,0,0},	// S3_DRAGON_FX2_5
{SPR3_CFCF,32788,4,SA3_NULL,S3_DRAGON_FX2_7,0,0},	// S3_DRAGON_FX2_6
{SPR3_CFCF,32789,3,SA3_NULL,S3_DRAGON_FX2_8,0,0},	// S3_DRAGON_FX2_7
{SPR3_CFCF,32790,4,SA3_NULL,S3_DRAGON_FX2_9,0,0},	// S3_DRAGON_FX2_8
{SPR3_CFCF,32791,3,SA3_NULL,S3_DRAGON_FX2_10,0,0},	// S3_DRAGON_FX2_9
{SPR3_CFCF,32792,4,SA3_NULL,S3_DRAGON_FX2_11,0,0},	// S3_DRAGON_FX2_10
{SPR3_CFCF,32793,3,SA3_NULL,S3_NULL,0,0},	// S3_DRAGON_FX2_11
{SPR3_ARM1,0,-1,SA3_NULL,S3_NULL,0,0,"items/bplate.md2",0},	// S3_ARMOR_1
{SPR3_ARM2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_ARMOR_2
{SPR3_ARM3,0,-1,SA3_NULL,S3_NULL,0,0,"items/helmet.md2",0},	// S3_ARMOR_3
{SPR3_ARM4,0,-1,SA3_NULL,S3_NULL,0,0,"items/amulet.md2",0},	// S3_ARMOR_4
{SPR3_MAN1,32768,4,SA3_NULL,S3_MANA1_2,0,0,"mana/blue.md2",0},	// S3_MANA1_1
{SPR3_MAN1,32769,4,SA3_NULL,S3_MANA1_3,0,0,"mana/blue.md2",0},	// S3_MANA1_2
{SPR3_MAN1,32770,4,SA3_NULL,S3_MANA1_4,0,0,"mana/blue.md2",0},	// S3_MANA1_3
{SPR3_MAN1,32771,4,SA3_NULL,S3_MANA1_5,0,0,"mana/blue.md2",0},	// S3_MANA1_4
{SPR3_MAN1,32772,4,SA3_NULL,S3_MANA1_6,0,0,"mana/blue.md2",0},	// S3_MANA1_5
{SPR3_MAN1,32773,4,SA3_NULL,S3_MANA1_7,0,0,"mana/blue.md2",0},	// S3_MANA1_6
{SPR3_MAN1,32774,4,SA3_NULL,S3_MANA1_8,0,0,"mana/blue.md2",0},	// S3_MANA1_7
{SPR3_MAN1,32775,4,SA3_NULL,S3_MANA1_9,0,0,"mana/blue.md2",0},	// S3_MANA1_8
{SPR3_MAN1,32776,4,SA3_NULL,S3_MANA1_1,0,0,"mana/blue.md2",0},	// S3_MANA1_9
{SPR3_MAN2,32768,4,SA3_NULL,S3_MANA2_2,0,0,"mana/green.md2",0},	// S3_MANA2_1
{SPR3_MAN2,32769,4,SA3_NULL,S3_MANA2_3,0,0,"mana/green.md2",0},	// S3_MANA2_2
{SPR3_MAN2,32770,4,SA3_NULL,S3_MANA2_4,0,0,"mana/green.md2",0},	// S3_MANA2_3
{SPR3_MAN2,32771,4,SA3_NULL,S3_MANA2_5,0,0,"mana/green.md2",0},	// S3_MANA2_4
{SPR3_MAN2,32772,4,SA3_NULL,S3_MANA2_6,0,0,"mana/green.md2",0},	// S3_MANA2_5
{SPR3_MAN2,32773,4,SA3_NULL,S3_MANA2_7,0,0,"mana/green.md2",0},	// S3_MANA2_6
{SPR3_MAN2,32774,4,SA3_NULL,S3_MANA2_8,0,0,"mana/green.md2",0},	// S3_MANA2_7
{SPR3_MAN2,32775,4,SA3_NULL,S3_MANA2_9,0,0,"mana/green.md2",0},	// S3_MANA2_8
{SPR3_MAN2,32776,4,SA3_NULL,S3_MANA2_10,0,0,"mana/green.md2",0},	// S3_MANA2_9
{SPR3_MAN2,32777,4,SA3_NULL,S3_MANA2_11,0,0,"mana/green.md2",0},	// S3_MANA2_10
{SPR3_MAN2,32778,4,SA3_NULL,S3_MANA2_12,0,0,"mana/green.md2",0},	// S3_MANA2_11
{SPR3_MAN2,32779,4,SA3_NULL,S3_MANA2_13,0,0,"mana/green.md2",0},	// S3_MANA2_12
{SPR3_MAN2,32780,4,SA3_NULL,S3_MANA2_14,0,0,"mana/green.md2",0},	// S3_MANA2_13
{SPR3_MAN2,32781,4,SA3_NULL,S3_MANA2_15,0,0,"mana/green.md2",0},	// S3_MANA2_14
{SPR3_MAN2,32782,4,SA3_NULL,S3_MANA2_16,0,0,"mana/green.md2",0},	// S3_MANA2_15
{SPR3_MAN2,32783,4,SA3_NULL,S3_MANA2_1,0,0,"mana/green.md2",0},	// S3_MANA2_16
{SPR3_MAN3,32768,4,SA3_NULL,S3_MANA3_2,0,0,"mana/combined.md2",0},	// S3_MANA3_1
{SPR3_MAN3,32769,4,SA3_NULL,S3_MANA3_3,0,0,"mana/combined.md2",0},	// S3_MANA3_2
{SPR3_MAN3,32770,4,SA3_NULL,S3_MANA3_4,0,0,"mana/combined.md2",0},	// S3_MANA3_3
{SPR3_MAN3,32771,4,SA3_NULL,S3_MANA3_5,0,0,"mana/combined.md2",0},	// S3_MANA3_4
{SPR3_MAN3,32772,4,SA3_NULL,S3_MANA3_6,0,0,"mana/combined.md2",0},	// S3_MANA3_5
{SPR3_MAN3,32773,4,SA3_NULL,S3_MANA3_7,0,0,"mana/combined.md2",0},	// S3_MANA3_6
{SPR3_MAN3,32774,4,SA3_NULL,S3_MANA3_8,0,0,"mana/combined.md2",0},	// S3_MANA3_7
{SPR3_MAN3,32775,4,SA3_NULL,S3_MANA3_9,0,0,"mana/combined.md2",0},	// S3_MANA3_8
{SPR3_MAN3,32776,4,SA3_NULL,S3_MANA3_10,0,0,"mana/combined.md2",0},	// S3_MANA3_9
{SPR3_MAN3,32777,4,SA3_NULL,S3_MANA3_11,0,0,"mana/combined.md2",0},	// S3_MANA3_10
{SPR3_MAN3,32778,4,SA3_NULL,S3_MANA3_12,0,0,"mana/combined.md2",0},	// S3_MANA3_11
{SPR3_MAN3,32779,4,SA3_NULL,S3_MANA3_13,0,0,"mana/combined.md2",0},	// S3_MANA3_12
{SPR3_MAN3,32780,4,SA3_NULL,S3_MANA3_14,0,0,"mana/combined.md2",0},	// S3_MANA3_13
{SPR3_MAN3,32781,4,SA3_NULL,S3_MANA3_15,0,0,"mana/combined.md2",0},	// S3_MANA3_14
{SPR3_MAN3,32782,4,SA3_NULL,S3_MANA3_16,0,0,"mana/combined.md2",0},	// S3_MANA3_15
{SPR3_MAN3,32783,4,SA3_NULL,S3_MANA3_1,0,0,"mana/combined.md2",0},	// S3_MANA3_16
{SPR3_KEY1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY1
{SPR3_KEY2,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY2
{SPR3_KEY3,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY3
{SPR3_KEY4,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY4
{SPR3_KEY5,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY5
{SPR3_KEY6,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY6
{SPR3_KEY7,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY7
{SPR3_KEY8,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY8
{SPR3_KEY9,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEY9
{SPR3_KEYA,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEYA
{SPR3_KEYB,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_KEYB
{SPR3_TLGL,0,1,SA3_NULL,S3_SND_WIND2,0,0},	// S3_SND_WIND1
{SPR3_TLGL,0,200,SA3_ESound,S3_SND_WIND2,0,0},	// S3_SND_WIND2
{SPR3_TLGL,0,85,SA3_ESound,S3_SND_WATERFALL,0,0},	// S3_SND_WATERFALL
{SPR3_ETTN,0,10,SA3_Look,S3_ETTIN_LOOK2,0,0},	// S3_ETTIN_LOOK1
{SPR3_ETTN,0,10,SA3_Look,S3_ETTIN_LOOK1,0,0},	// S3_ETTIN_LOOK2
{SPR3_ETTN,0,5,SA3_Chase,S3_ETTIN_CHASE2,0,0},	// S3_ETTIN_CHASE1
{SPR3_ETTN,1,5,SA3_Chase,S3_ETTIN_CHASE3,0,0},	// S3_ETTIN_CHASE2
{SPR3_ETTN,2,5,SA3_Chase,S3_ETTIN_CHASE4,0,0},	// S3_ETTIN_CHASE3
{SPR3_ETTN,3,5,SA3_Chase,S3_ETTIN_CHASE1,0,0},	// S3_ETTIN_CHASE4
{SPR3_ETTN,7,7,SA3_Pain,S3_ETTIN_CHASE1,0,0},	// S3_ETTIN_PAIN1
{SPR3_ETTN,4,6,SA3_FaceTarget,S3_ETTIN_ATK1_2,0,0},	// S3_ETTIN_ATK1_1
{SPR3_ETTN,5,6,SA3_FaceTarget,S3_ETTIN_ATK1_3,0,0},	// S3_ETTIN_ATK1_2
{SPR3_ETTN,6,8,SA3_EttinAttack,S3_ETTIN_CHASE1,0,0},	// S3_ETTIN_ATK1_3
{SPR3_ETTN,8,4,SA3_NULL,S3_ETTIN_DEATH1_2,0,0},	// S3_ETTIN_DEATH1_1
{SPR3_ETTN,9,4,SA3_NULL,S3_ETTIN_DEATH1_3,0,0},	// S3_ETTIN_DEATH1_2
{SPR3_ETTN,10,4,SA3_Scream,S3_ETTIN_DEATH1_4,0,0},	// S3_ETTIN_DEATH1_3
{SPR3_ETTN,11,4,SA3_NoBlocking,S3_ETTIN_DEATH1_5,0,0},	// S3_ETTIN_DEATH1_4
{SPR3_ETTN,12,4,SA3_QueueCorpse,S3_ETTIN_DEATH1_6,0,0},	// S3_ETTIN_DEATH1_5
{SPR3_ETTN,13,4,SA3_NULL,S3_ETTIN_DEATH1_7,0,0},	// S3_ETTIN_DEATH1_6
{SPR3_ETTN,14,4,SA3_NULL,S3_ETTIN_DEATH1_8,0,0},	// S3_ETTIN_DEATH1_7
{SPR3_ETTN,15,4,SA3_NULL,S3_ETTIN_DEATH1_9,0,0},	// S3_ETTIN_DEATH1_8
{SPR3_ETTN,16,-1,SA3_NULL,S3_NULL,0,0},	// S3_ETTIN_DEATH1_9
{SPR3_ETTB,0,4,SA3_NULL,S3_ETTIN_DEATH2_2,0,0},	// S3_ETTIN_DEATH2_1
{SPR3_ETTB,1,4,SA3_NoBlocking,S3_ETTIN_DEATH2_3,0,0},	// S3_ETTIN_DEATH2_2
{SPR3_ETTB,2,4,SA3_DropMace,S3_ETTIN_DEATH2_4,0,0},	// S3_ETTIN_DEATH2_3
{SPR3_ETTB,3,4,SA3_Scream,S3_ETTIN_DEATH2_5,0,0},	// S3_ETTIN_DEATH2_4
{SPR3_ETTB,4,4,SA3_QueueCorpse,S3_ETTIN_DEATH2_6,0,0},	// S3_ETTIN_DEATH2_5
{SPR3_ETTB,5,4,SA3_NULL,S3_ETTIN_DEATH2_7,0,0},	// S3_ETTIN_DEATH2_6
{SPR3_ETTB,6,4,SA3_NULL,S3_ETTIN_DEATH2_8,0,0},	// S3_ETTIN_DEATH2_7
{SPR3_ETTB,7,4,SA3_NULL,S3_ETTIN_DEATH2_9,0,0},	// S3_ETTIN_DEATH2_8
{SPR3_ETTB,8,4,SA3_NULL,S3_ETTIN_DEATH2_0,0,0},	// S3_ETTIN_DEATH2_9
{SPR3_ETTB,9,4,SA3_NULL,S3_ETTIN_DEATH2_A,0,0},	// S3_ETTIN_DEATH2_0
{SPR3_ETTB,10,4,SA3_NULL,S3_ETTIN_DEATH2_B,0,0},	// S3_ETTIN_DEATH2_A
{SPR3_ETTB,11,-1,SA3_NULL,S3_NULL,0,0},	// S3_ETTIN_DEATH2_B
{SPR3_ETTN,17,5,SA3_FreezeDeath,S3_ETTIN_ICE2,0,0},	// S3_ETTIN_ICE1
{SPR3_ETTN,17,1,SA3_FreezeDeathChunks,S3_ETTIN_ICE2,0,0},	// S3_ETTIN_ICE2
{SPR3_ETTB,12,5,SA3_CheckFloor,S3_ETTIN_MACE2,0,0},	// S3_ETTIN_MACE1
{SPR3_ETTB,13,5,SA3_CheckFloor,S3_ETTIN_MACE3,0,0},	// S3_ETTIN_MACE2
{SPR3_ETTB,14,5,SA3_CheckFloor,S3_ETTIN_MACE4,0,0},	// S3_ETTIN_MACE3
{SPR3_ETTB,15,5,SA3_CheckFloor,S3_ETTIN_MACE1,0,0},	// S3_ETTIN_MACE4
{SPR3_ETTB,16,5,SA3_NULL,S3_ETTIN_MACE6,0,0},	// S3_ETTIN_MACE5
{SPR3_ETTB,17,5,SA3_QueueCorpse,S3_ETTIN_MACE7,0,0},	// S3_ETTIN_MACE6
{SPR3_ETTB,18,-1,SA3_NULL,S3_NULL,0,0},	// S3_ETTIN_MACE7
{SPR3_FDMN,32791,5,SA3_NULL,S3_FIRED_LOOK1,0,0},	// S3_FIRED_SPAWN1
{SPR3_FDMN,32772,10,SA3_Look,S3_FIRED_LOOK2,0,0},	// S3_FIRED_LOOK1
{SPR3_FDMN,32773,10,SA3_Look,S3_FIRED_LOOK3,0,0},	// S3_FIRED_LOOK2
{SPR3_FDMN,32774,10,SA3_Look,S3_FIRED_LOOK1,0,0},	// S3_FIRED_LOOK3
{SPR3_FDMN,32772,8,SA3_NULL,S3_FIRED_LOOK5,0,0},	// S3_FIRED_LOOK4
{SPR3_FDMN,32773,6,SA3_NULL,S3_FIRED_LOOK6,0,0},	// S3_FIRED_LOOK5
{SPR3_FDMN,32774,5,SA3_NULL,S3_FIRED_LOOK7,0,0},	// S3_FIRED_LOOK6
{SPR3_FDMN,32773,8,SA3_NULL,S3_FIRED_LOOK8,0,0},	// S3_FIRED_LOOK7
{SPR3_FDMN,32772,6,SA3_NULL,S3_FIRED_LOOK9,0,0},	// S3_FIRED_LOOK8
{SPR3_FDMN,32773,7,SA3_FiredRocks,S3_FIRED_LOOK0,0,0},	// S3_FIRED_LOOK9
{SPR3_FDMN,32775,5,SA3_NULL,S3_FIRED_LOOKA,0,0},	// S3_FIRED_LOOK0
{SPR3_FDMN,32776,5,SA3_NULL,S3_FIRED_LOOKB,0,0},	// S3_FIRED_LOOKA
{SPR3_FDMN,32777,5,SA3_UnSetInvulnerable,S3_FIRED_WALK1,0,0},	// S3_FIRED_LOOKB
{SPR3_FDMN,32768,5,SA3_FiredChase,S3_FIRED_WALK2,0,0},	// S3_FIRED_WALK1
{SPR3_FDMN,32769,5,SA3_FiredChase,S3_FIRED_WALK3,0,0},	// S3_FIRED_WALK2
{SPR3_FDMN,32770,5,SA3_FiredChase,S3_FIRED_WALK1,0,0},	// S3_FIRED_WALK3
{SPR3_FDMN,32771,6,SA3_Pain,S3_FIRED_WALK1,0,0},	// S3_FIRED_PAIN1
{SPR3_FDMN,32778,3,SA3_FaceTarget,S3_FIRED_ATTACK2,0,0},	// S3_FIRED_ATTACK1
{SPR3_FDMN,32778,5,SA3_FiredAttack,S3_FIRED_ATTACK3,0,0},	// S3_FIRED_ATTACK2
{SPR3_FDMN,32778,5,SA3_FiredAttack,S3_FIRED_ATTACK4,0,0},	// S3_FIRED_ATTACK3
{SPR3_FDMN,32778,5,SA3_FiredAttack,S3_FIRED_WALK1,0,0},	// S3_FIRED_ATTACK4
{SPR3_FDMN,32771,4,SA3_FaceTarget,S3_FIRED_DEATH2,0,0},	// S3_FIRED_DEATH1
{SPR3_FDMN,32779,4,SA3_Scream,S3_FIRED_DEATH3,0,0},	// S3_FIRED_DEATH2
{SPR3_FDMN,32779,4,SA3_NoBlocking,S3_FIRED_DEATH4,0,0},	// S3_FIRED_DEATH3
{SPR3_FDMN,32779,200,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_DEATH4
{SPR3_FDMN,12,5,SA3_FaceTarget,S3_FIRED_XDEATH2,0,0},	// S3_FIRED_XDEATH1
{SPR3_FDMN,13,5,SA3_NoBlocking,S3_FIRED_XDEATH3,0,0},	// S3_FIRED_XDEATH2
{SPR3_FDMN,14,5,SA3_FiredSplotch,S3_NULL,0,0},	// S3_FIRED_XDEATH3
{SPR3_FDMN,17,5,SA3_FreezeDeath,S3_FIRED_ICE2,0,0},	// S3_FIRED_ICE1
{SPR3_FDMN,17,1,SA3_FreezeDeathChunks,S3_FIRED_ICE2,0,0},	// S3_FIRED_ICE2
{SPR3_FDMN,15,3,SA3_NULL,S3_FIRED_CORPSE2,0,0},	// S3_FIRED_CORPSE1
{SPR3_FDMN,15,6,SA3_QueueCorpse,S3_FIRED_CORPSE3,0,0},	// S3_FIRED_CORPSE2
{SPR3_FDMN,24,-1,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_CORPSE3
{SPR3_FDMN,16,3,SA3_NULL,S3_FIRED_CORPSE5,0,0},	// S3_FIRED_CORPSE4
{SPR3_FDMN,16,6,SA3_QueueCorpse,S3_FIRED_CORPSE6,0,0},	// S3_FIRED_CORPSE5
{SPR3_FDMN,25,-1,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_CORPSE6
{SPR3_FDMN,18,4,SA3_NULL,S3_FIRED_RDROP1,0,0},	// S3_FIRED_RDROP1
{SPR3_FDMN,18,5,SA3_SmBounce,S3_FIRED_RDEAD1_2,0,0},	// S3_FIRED_RDEAD1_1
{SPR3_FDMN,18,200,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_RDEAD1_2
{SPR3_FDMN,19,4,SA3_NULL,S3_FIRED_RDROP2,0,0},	// S3_FIRED_RDROP2
{SPR3_FDMN,19,5,SA3_SmBounce,S3_FIRED_RDEAD2_2,0,0},	// S3_FIRED_RDEAD2_1
{SPR3_FDMN,19,200,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_RDEAD2_2
{SPR3_FDMN,20,4,SA3_NULL,S3_FIRED_RDROP3,0,0},	// S3_FIRED_RDROP3
{SPR3_FDMN,20,5,SA3_SmBounce,S3_FIRED_RDEAD3_2,0,0},	// S3_FIRED_RDEAD3_1
{SPR3_FDMN,20,200,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_RDEAD3_2
{SPR3_FDMN,21,4,SA3_NULL,S3_FIRED_RDROP4,0,0},	// S3_FIRED_RDROP4
{SPR3_FDMN,21,5,SA3_SmBounce,S3_FIRED_RDEAD4_2,0,0},	// S3_FIRED_RDEAD4_1
{SPR3_FDMN,21,200,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_RDEAD4_2
{SPR3_FDMN,22,4,SA3_NULL,S3_FIRED_RDROP5,0,0},	// S3_FIRED_RDROP5
{SPR3_FDMN,22,5,SA3_SmBounce,S3_FIRED_RDEAD5_2,0,0},	// S3_FIRED_RDEAD5_1
{SPR3_FDMN,22,200,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_RDEAD5_2
{SPR3_FDMB,32768,5,SA3_NULL,S3_FIRED_FX6_1,0,0},	// S3_FIRED_FX6_1
{SPR3_FDMB,32769,5,SA3_NULL,S3_FIRED_FX6_3,0,0},	// S3_FIRED_FX6_2
{SPR3_FDMB,32770,5,SA3_NULL,S3_FIRED_FX6_4,0,0},	// S3_FIRED_FX6_3
{SPR3_FDMB,32771,5,SA3_NULL,S3_FIRED_FX6_5,0,0},	// S3_FIRED_FX6_4
{SPR3_FDMB,32772,5,SA3_NULL,S3_NULL,0,0},	// S3_FIRED_FX6_5
{SPR3_ICEY,0,10,SA3_IceGuyLook,S3_ICEGUY_LOOK,0,0},	// S3_ICEGUY_LOOK
{SPR3_ICEY,0,-1,SA3_NULL,S3_ICEGUY_LOOK,0,0},	// S3_ICEGUY_DORMANT
{SPR3_ICEY,0,4,SA3_Chase,S3_ICEGUY_WALK2,0,0},	// S3_ICEGUY_WALK1
{SPR3_ICEY,1,4,SA3_IceGuyChase,S3_ICEGUY_WALK3,0,0},	// S3_ICEGUY_WALK2
{SPR3_ICEY,2,4,SA3_Chase,S3_ICEGUY_WALK4,0,0},	// S3_ICEGUY_WALK3
{SPR3_ICEY,3,4,SA3_Chase,S3_ICEGUY_WALK1,0,0},	// S3_ICEGUY_WALK4
{SPR3_ICEY,4,3,SA3_FaceTarget,S3_ICEGUY_ATK2,0,0},	// S3_ICEGUY_ATK1
{SPR3_ICEY,5,3,SA3_FaceTarget,S3_ICEGUY_ATK3,0,0},	// S3_ICEGUY_ATK2
{SPR3_ICEY,32774,8,SA3_IceGuyAttack,S3_ICEGUY_ATK4,0,0},	// S3_ICEGUY_ATK3
{SPR3_ICEY,5,4,SA3_FaceTarget,S3_ICEGUY_WALK1,0,0},	// S3_ICEGUY_ATK4
{SPR3_ICEY,0,1,SA3_Pain,S3_ICEGUY_WALK1,0,0},	// S3_ICEGUY_PAIN1
{SPR3_ICEY,0,1,SA3_IceGuyDie,S3_NULL,0,0},	// S3_ICEGUY_DEATH
{SPR3_ICPR,32768,3,SA3_IceGuyMissilePuff,S3_ICEGUY_FX2,0,0},	// S3_ICEGUY_FX1
{SPR3_ICPR,32769,3,SA3_IceGuyMissilePuff,S3_ICEGUY_FX3,0,0},	// S3_ICEGUY_FX2
{SPR3_ICPR,32770,3,SA3_IceGuyMissilePuff,S3_ICEGUY_FX1,0,0},	// S3_ICEGUY_FX3
{SPR3_ICPR,32771,4,SA3_NULL,S3_ICEGUY_FX_X2,0,0},	// S3_ICEGUY_FX_X1
{SPR3_ICPR,32772,4,SA3_IceGuyMissileExplode,S3_ICEGUY_FX_X3,0,0},	// S3_ICEGUY_FX_X2
{SPR3_ICPR,32773,4,SA3_NULL,S3_ICEGUY_FX_X4,0,0},	// S3_ICEGUY_FX_X3
{SPR3_ICPR,32774,4,SA3_NULL,S3_ICEGUY_FX_X5,0,0},	// S3_ICEGUY_FX_X4
{SPR3_ICPR,32775,3,SA3_NULL,S3_NULL,0,0},	// S3_ICEGUY_FX_X5
{SPR3_ICPR,8,3,SA3_NULL,S3_ICEFX_PUFF2,0,0},	// S3_ICEFX_PUFF1
{SPR3_ICPR,9,3,SA3_NULL,S3_ICEFX_PUFF3,0,0},	// S3_ICEFX_PUFF2
{SPR3_ICPR,10,3,SA3_NULL,S3_ICEFX_PUFF4,0,0},	// S3_ICEFX_PUFF3
{SPR3_ICPR,11,2,SA3_NULL,S3_ICEFX_PUFF5,0,0},	// S3_ICEFX_PUFF4
{SPR3_ICPR,12,2,SA3_NULL,S3_NULL,0,0},	// S3_ICEFX_PUFF5
{SPR3_ICPR,32781,3,SA3_NULL,S3_ICEGUY_FX2_2,0,0},	// S3_ICEGUY_FX2_1
{SPR3_ICPR,32782,3,SA3_NULL,S3_ICEGUY_FX2_3,0,0},	// S3_ICEGUY_FX2_2
{SPR3_ICPR,32783,3,SA3_NULL,S3_ICEGUY_FX2_1,0,0},	// S3_ICEGUY_FX2_3
{SPR3_ICPR,32784,50,SA3_NULL,S3_NULL,0,0},	// S3_ICEGUY_BIT1
{SPR3_ICPR,32785,50,SA3_NULL,S3_NULL,0,0},	// S3_ICEGUY_BIT2
{SPR3_ICWS,0,2,SA3_NULL,S3_ICEGUY_WISP1_2,0,0},	// S3_ICEGUY_WISP1_1
{SPR3_ICWS,1,2,SA3_NULL,S3_ICEGUY_WISP1_3,0,0},	// S3_ICEGUY_WISP1_2
{SPR3_ICWS,2,2,SA3_NULL,S3_ICEGUY_WISP1_4,0,0},	// S3_ICEGUY_WISP1_3
{SPR3_ICWS,3,2,SA3_NULL,S3_ICEGUY_WISP1_5,0,0},	// S3_ICEGUY_WISP1_4
{SPR3_ICWS,4,2,SA3_NULL,S3_ICEGUY_WISP1_6,0,0},	// S3_ICEGUY_WISP1_5
{SPR3_ICWS,5,2,SA3_NULL,S3_ICEGUY_WISP1_7,0,0},	// S3_ICEGUY_WISP1_6
{SPR3_ICWS,6,2,SA3_NULL,S3_ICEGUY_WISP1_8,0,0},	// S3_ICEGUY_WISP1_7
{SPR3_ICWS,7,2,SA3_NULL,S3_ICEGUY_WISP1_9,0,0},	// S3_ICEGUY_WISP1_8
{SPR3_ICWS,8,2,SA3_NULL,S3_NULL,0,0},	// S3_ICEGUY_WISP1_9
{SPR3_ICWS,9,2,SA3_NULL,S3_ICEGUY_WISP2_2,0,0},	// S3_ICEGUY_WISP2_1
{SPR3_ICWS,10,2,SA3_NULL,S3_ICEGUY_WISP2_3,0,0},	// S3_ICEGUY_WISP2_2
{SPR3_ICWS,11,2,SA3_NULL,S3_ICEGUY_WISP2_4,0,0},	// S3_ICEGUY_WISP2_3
{SPR3_ICWS,12,2,SA3_NULL,S3_ICEGUY_WISP2_5,0,0},	// S3_ICEGUY_WISP2_4
{SPR3_ICWS,13,2,SA3_NULL,S3_ICEGUY_WISP2_6,0,0},	// S3_ICEGUY_WISP2_5
{SPR3_ICWS,14,2,SA3_NULL,S3_ICEGUY_WISP2_7,0,0},	// S3_ICEGUY_WISP2_6
{SPR3_ICWS,15,2,SA3_NULL,S3_ICEGUY_WISP2_8,0,0},	// S3_ICEGUY_WISP2_7
{SPR3_ICWS,16,2,SA3_NULL,S3_ICEGUY_WISP2_9,0,0},	// S3_ICEGUY_WISP2_8
{SPR3_ICWS,17,2,SA3_NULL,S3_NULL,0,0},	// S3_ICEGUY_WISP2_9
{SPR3_PLAY,0,2,SA3_NULL,S3_FIGHTER2,0,0},	// S3_FIGHTER
{SPR3_PLAY,0,3,SA3_ClassBossHealth,S3_FIGHTERLOOK,0,0},	// S3_FIGHTER2
{SPR3_PLAY,0,5,SA3_Look,S3_FIGHTERLOOK,0,0},	// S3_FIGHTERLOOK
{SPR3_PLAY,0,4,SA3_FastChase,S3_FIGHTER_RUN2,0,0},	// S3_FIGHTER_RUN1
{SPR3_PLAY,1,4,SA3_FastChase,S3_FIGHTER_RUN3,0,0},	// S3_FIGHTER_RUN2
{SPR3_PLAY,2,4,SA3_FastChase,S3_FIGHTER_RUN4,0,0},	// S3_FIGHTER_RUN3
{SPR3_PLAY,3,4,SA3_FastChase,S3_FIGHTER_RUN1,0,0},	// S3_FIGHTER_RUN4
{SPR3_PLAY,4,8,SA3_FaceTarget,S3_FIGHTER_ATK2,0,0},	// S3_FIGHTER_ATK1
{SPR3_PLAY,5,8,SA3_FighterAttack,S3_FIGHTER_RUN1,0,0},	// S3_FIGHTER_ATK2
{SPR3_PLAY,6,4,SA3_NULL,S3_FIGHTER_PAIN2,0,0},	// S3_FIGHTER_PAIN
{SPR3_PLAY,6,4,SA3_Pain,S3_FIGHTER_RUN1,0,0},	// S3_FIGHTER_PAIN2
{SPR3_PLAY,7,6,SA3_NULL,S3_FIGHTER_DIE2,0,0},	// S3_FIGHTER_DIE1
{SPR3_PLAY,8,6,SA3_Scream,S3_FIGHTER_DIE3,0,0},	// S3_FIGHTER_DIE2
{SPR3_PLAY,9,6,SA3_NULL,S3_FIGHTER_DIE4,0,0},	// S3_FIGHTER_DIE3
{SPR3_PLAY,10,6,SA3_NULL,S3_FIGHTER_DIE5,0,0},	// S3_FIGHTER_DIE4
{SPR3_PLAY,11,6,SA3_NoBlocking,S3_FIGHTER_DIE6,0,0},	// S3_FIGHTER_DIE5
{SPR3_PLAY,12,6,SA3_NULL,S3_FIGHTER_DIE7,0,0},	// S3_FIGHTER_DIE6
{SPR3_PLAY,13,-1,SA3_NULL,S3_NULL,0,0},	// S3_FIGHTER_DIE7
{SPR3_PLAY,14,5,SA3_Scream,S3_FIGHTER_XDIE2,0,0},	// S3_FIGHTER_XDIE1
{SPR3_PLAY,15,5,SA3_SkullPop,S3_FIGHTER_XDIE3,0,0},	// S3_FIGHTER_XDIE2
{SPR3_PLAY,17,5,SA3_NoBlocking,S3_FIGHTER_XDIE4,0,0},	// S3_FIGHTER_XDIE3
{SPR3_PLAY,18,5,SA3_NULL,S3_FIGHTER_XDIE5,0,0},	// S3_FIGHTER_XDIE4
{SPR3_PLAY,19,5,SA3_NULL,S3_FIGHTER_XDIE6,0,0},	// S3_FIGHTER_XDIE5
{SPR3_PLAY,20,5,SA3_NULL,S3_FIGHTER_XDIE7,0,0},	// S3_FIGHTER_XDIE6
{SPR3_PLAY,21,5,SA3_NULL,S3_FIGHTER_XDIE8,0,0},	// S3_FIGHTER_XDIE7
{SPR3_PLAY,22,-1,SA3_NULL,S3_NULL,0,0},	// S3_FIGHTER_XDIE8
{SPR3_PLAY,23,5,SA3_FreezeDeath,S3_FIGHTER_ICE2,0,0},	// S3_FIGHTER_ICE
{SPR3_PLAY,23,1,SA3_FreezeDeathChunks,S3_FIGHTER_ICE2,0,0},	// S3_FIGHTER_ICE2
{SPR3_CLER,0,2,SA3_NULL,S3_CLERIC2,0,0},	// S3_CLERIC
{SPR3_CLER,0,3,SA3_ClassBossHealth,S3_CLERICLOOK,0,0},	// S3_CLERIC2
{SPR3_CLER,0,5,SA3_Look,S3_CLERICLOOK,0,0},	// S3_CLERICLOOK
{SPR3_CLER,0,4,SA3_FastChase,S3_CLERIC_RUN2,0,0},	// S3_CLERIC_RUN1
{SPR3_CLER,1,4,SA3_FastChase,S3_CLERIC_RUN3,0,0},	// S3_CLERIC_RUN2
{SPR3_CLER,2,4,SA3_FastChase,S3_CLERIC_RUN4,0,0},	// S3_CLERIC_RUN3
{SPR3_CLER,3,4,SA3_FastChase,S3_CLERIC_RUN1,0,0},	// S3_CLERIC_RUN4
{SPR3_CLER,4,8,SA3_FaceTarget,S3_CLERIC_ATK2,0,0},	// S3_CLERIC_ATK1
{SPR3_CLER,5,8,SA3_FaceTarget,S3_CLERIC_ATK3,0,0},	// S3_CLERIC_ATK2
{SPR3_CLER,6,10,SA3_ClericAttack,S3_CLERIC_RUN1,0,0},	// S3_CLERIC_ATK3
{SPR3_CLER,7,4,SA3_NULL,S3_CLERIC_PAIN2,0,0},	// S3_CLERIC_PAIN
{SPR3_CLER,7,4,SA3_Pain,S3_CLERIC_RUN1,0,0},	// S3_CLERIC_PAIN2
{SPR3_CLER,8,6,SA3_NULL,S3_CLERIC_DIE2,0,0},	// S3_CLERIC_DIE1
{SPR3_CLER,10,6,SA3_Scream,S3_CLERIC_DIE3,0,0},	// S3_CLERIC_DIE2
{SPR3_CLER,11,6,SA3_NULL,S3_CLERIC_DIE4,0,0},	// S3_CLERIC_DIE3
{SPR3_CLER,11,6,SA3_NULL,S3_CLERIC_DIE5,0,0},	// S3_CLERIC_DIE4
{SPR3_CLER,12,6,SA3_NoBlocking,S3_CLERIC_DIE6,0,0},	// S3_CLERIC_DIE5
{SPR3_CLER,13,6,SA3_NULL,S3_CLERIC_DIE7,0,0},	// S3_CLERIC_DIE6
{SPR3_CLER,14,6,SA3_NULL,S3_CLERIC_DIE8,0,0},	// S3_CLERIC_DIE7
{SPR3_CLER,15,6,SA3_NULL,S3_CLERIC_DIE9,0,0},	// S3_CLERIC_DIE8
{SPR3_CLER,16,-1,SA3_NULL,S3_NULL,0,0},	// S3_CLERIC_DIE9
{SPR3_CLER,17,5,SA3_Scream,S3_CLERIC_XDIE2,0,0},	// S3_CLERIC_XDIE1
{SPR3_CLER,18,5,SA3_NULL,S3_CLERIC_XDIE3,0,0},	// S3_CLERIC_XDIE2
{SPR3_CLER,19,5,SA3_NoBlocking,S3_CLERIC_XDIE4,0,0},	// S3_CLERIC_XDIE3
{SPR3_CLER,20,5,SA3_NULL,S3_CLERIC_XDIE5,0,0},	// S3_CLERIC_XDIE4
{SPR3_CLER,21,5,SA3_NULL,S3_CLERIC_XDIE6,0,0},	// S3_CLERIC_XDIE5
{SPR3_CLER,22,5,SA3_NULL,S3_CLERIC_XDIE7,0,0},	// S3_CLERIC_XDIE6
{SPR3_CLER,23,5,SA3_NULL,S3_CLERIC_XDIE8,0,0},	// S3_CLERIC_XDIE7
{SPR3_CLER,24,5,SA3_NULL,S3_CLERIC_XDIE9,0,0},	// S3_CLERIC_XDIE8
{SPR3_CLER,25,5,SA3_NULL,S3_CLERIC_XDIE10,0,0},	// S3_CLERIC_XDIE9
{SPR3_CLER,26,-1,SA3_NULL,S3_NULL,0,0},	// S3_CLERIC_XDIE10
{SPR3_CLER,27,5,SA3_FreezeDeath,S3_CLERIC_ICE2,0,0},	// S3_CLERIC_ICE
{SPR3_CLER,27,1,SA3_FreezeDeathChunks,S3_CLERIC_ICE2,0,0},	// S3_CLERIC_ICE2
{SPR3_MAGE,0,2,SA3_NULL,S3_MAGE2,0,0},	// S3_MAGE
{SPR3_MAGE,0,3,SA3_ClassBossHealth,S3_MAGELOOK,0,0},	// S3_MAGE2
{SPR3_MAGE,0,5,SA3_Look,S3_MAGELOOK,0,0},	// S3_MAGELOOK
{SPR3_MAGE,0,4,SA3_FastChase,S3_MAGE_RUN2,0,0},	// S3_MAGE_RUN1
{SPR3_MAGE,1,4,SA3_FastChase,S3_MAGE_RUN3,0,0},	// S3_MAGE_RUN2
{SPR3_MAGE,2,4,SA3_FastChase,S3_MAGE_RUN4,0,0},	// S3_MAGE_RUN3
{SPR3_MAGE,3,4,SA3_FastChase,S3_MAGE_RUN1,0,0},	// S3_MAGE_RUN4
{SPR3_MAGE,4,8,SA3_FaceTarget,S3_MAGE_ATK2,0,0},	// S3_MAGE_ATK1
{SPR3_MAGE,32773,8,SA3_MageAttack,S3_MAGE_RUN1,0,0},	// S3_MAGE_ATK2
{SPR3_MAGE,6,4,SA3_NULL,S3_MAGE_PAIN2,0,0},	// S3_MAGE_PAIN
{SPR3_MAGE,6,4,SA3_Pain,S3_MAGE_RUN1,0,0},	// S3_MAGE_PAIN2
{SPR3_MAGE,7,6,SA3_NULL,S3_MAGE_DIE2,0,0},	// S3_MAGE_DIE1
{SPR3_MAGE,8,6,SA3_Scream,S3_MAGE_DIE3,0,0},	// S3_MAGE_DIE2
{SPR3_MAGE,9,6,SA3_NULL,S3_MAGE_DIE4,0,0},	// S3_MAGE_DIE3
{SPR3_MAGE,10,6,SA3_NULL,S3_MAGE_DIE5,0,0},	// S3_MAGE_DIE4
{SPR3_MAGE,11,6,SA3_NoBlocking,S3_MAGE_DIE6,0,0},	// S3_MAGE_DIE5
{SPR3_MAGE,12,6,SA3_NULL,S3_MAGE_DIE7,0,0},	// S3_MAGE_DIE6
{SPR3_MAGE,13,-1,SA3_NULL,S3_NULL,0,0},	// S3_MAGE_DIE7
{SPR3_MAGE,14,5,SA3_Scream,S3_MAGE_XDIE2,0,0},	// S3_MAGE_XDIE1
{SPR3_MAGE,15,5,SA3_NULL,S3_MAGE_XDIE3,0,0},	// S3_MAGE_XDIE2
{SPR3_MAGE,17,5,SA3_NoBlocking,S3_MAGE_XDIE4,0,0},	// S3_MAGE_XDIE3
{SPR3_MAGE,18,5,SA3_NULL,S3_MAGE_XDIE5,0,0},	// S3_MAGE_XDIE4
{SPR3_MAGE,19,5,SA3_NULL,S3_MAGE_XDIE6,0,0},	// S3_MAGE_XDIE5
{SPR3_MAGE,20,5,SA3_NULL,S3_MAGE_XDIE7,0,0},	// S3_MAGE_XDIE6
{SPR3_MAGE,21,5,SA3_NULL,S3_MAGE_XDIE8,0,0},	// S3_MAGE_XDIE7
{SPR3_MAGE,22,5,SA3_NULL,S3_MAGE_XDIE9,0,0},	// S3_MAGE_XDIE8
{SPR3_MAGE,23,-1,SA3_NULL,S3_NULL,0,0},	// S3_MAGE_XDIE9
{SPR3_MAGE,24,5,SA3_FreezeDeath,S3_MAGE_ICE2,0,0},	// S3_MAGE_ICE
{SPR3_MAGE,24,1,SA3_FreezeDeathChunks,S3_MAGE_ICE2,0,0},	// S3_MAGE_ICE2
{SPR3_SORC,0,3,SA3_NULL,S3_SORC_SPAWN2,0,0},	// S3_SORC_SPAWN1
{SPR3_SORC,0,2,SA3_SorcSpinBalls,S3_SORC_LOOK1,0,0},	// S3_SORC_SPAWN2
{SPR3_SORC,0,10,SA3_Look,S3_SORC_LOOK1,0,0},	// S3_SORC_LOOK1
{SPR3_SORC,0,5,SA3_Chase,S3_SORC_WALK2,0,0},	// S3_SORC_WALK1
{SPR3_SORC,1,5,SA3_Chase,S3_SORC_WALK3,0,0},	// S3_SORC_WALK2
{SPR3_SORC,2,5,SA3_Chase,S3_SORC_WALK4,0,0},	// S3_SORC_WALK3
{SPR3_SORC,3,5,SA3_Chase,S3_SORC_WALK1,0,0},	// S3_SORC_WALK4
{SPR3_SORC,6,8,SA3_NULL,S3_SORC_PAIN2,0,0},	// S3_SORC_PAIN1
{SPR3_SORC,6,8,SA3_Pain,S3_SORC_WALK1,0,0},	// S3_SORC_PAIN2
{SPR3_SORC,32773,6,SA3_FaceTarget,S3_SORC_ATK2_2,0,0},	// S3_SORC_ATK2_1
{SPR3_SORC,32773,6,SA3_SpeedBalls,S3_SORC_ATK2_3,0,0},	// S3_SORC_ATK2_2
{SPR3_SORC,32773,6,SA3_FaceTarget,S3_SORC_ATK2_3,0,0},	// S3_SORC_ATK2_3
{SPR3_SORC,32772,6,SA3_NULL,S3_SORC_ATTACK2,0,0},	// S3_SORC_ATTACK1
{SPR3_SORC,32772,6,SA3_SpawnFizzle,S3_SORC_ATTACK3,0,0},	// S3_SORC_ATTACK2
{SPR3_SORC,32772,5,SA3_FaceTarget,S3_SORC_ATTACK2,0,0},	// S3_SORC_ATTACK3
{SPR3_SORC,32772,2,SA3_NULL,S3_SORC_ATTACK5,0,0},	// S3_SORC_ATTACK4
{SPR3_SORC,32772,2,SA3_SorcBossAttack,S3_SORC_WALK1,0,0},	// S3_SORC_ATTACK5
{SPR3_SORC,32775,5,SA3_NULL,S3_SORC_DIE2,0,0},	// S3_SORC_DIE1
{SPR3_SORC,32776,5,SA3_FaceTarget,S3_SORC_DIE3,0,0},	// S3_SORC_DIE2
{SPR3_SORC,32777,5,SA3_Scream,S3_SORC_DIE4,0,0},	// S3_SORC_DIE3
{SPR3_SORC,32778,5,SA3_NULL,S3_SORC_DIE5,0,0},	// S3_SORC_DIE4
{SPR3_SORC,32779,5,SA3_NULL,S3_SORC_DIE6,0,0},	// S3_SORC_DIE5
{SPR3_SORC,32780,5,SA3_NULL,S3_SORC_DIE7,0,0},	// S3_SORC_DIE6
{SPR3_SORC,32781,5,SA3_NULL,S3_SORC_DIE8,0,0},	// S3_SORC_DIE7
{SPR3_SORC,32782,5,SA3_NULL,S3_SORC_DIE9,0,0},	// S3_SORC_DIE8
{SPR3_SORC,32783,5,SA3_NULL,S3_SORC_DIE0,0,0},	// S3_SORC_DIE9
{SPR3_SORC,32784,5,SA3_NULL,S3_SORC_DIEA,0,0},	// S3_SORC_DIE0
{SPR3_SORC,32785,5,SA3_NULL,S3_SORC_DIEB,0,0},	// S3_SORC_DIEA
{SPR3_SORC,32786,5,SA3_NULL,S3_SORC_DIEC,0,0},	// S3_SORC_DIEB
{SPR3_SORC,32787,5,SA3_NULL,S3_SORC_DIED,0,0},	// S3_SORC_DIEC
{SPR3_SORC,32788,5,SA3_NoBlocking,S3_SORC_DIEE,0,0},	// S3_SORC_DIED
{SPR3_SORC,32789,5,SA3_NULL,S3_SORC_DIEF,0,0},	// S3_SORC_DIEE
{SPR3_SORC,32790,5,SA3_NULL,S3_SORC_DIEG,0,0},	// S3_SORC_DIEF
{SPR3_SORC,32791,5,SA3_NULL,S3_SORC_DIEH,0,0},	// S3_SORC_DIEG
{SPR3_SORC,32792,5,SA3_NULL,S3_SORC_DIEI,0,0},	// S3_SORC_DIEH
{SPR3_SORC,32793,-1,SA3_NULL,S3_NULL,0,0},	// S3_SORC_DIEI
{SPR3_SBMP,0,2,SA3_SorcBallOrbit,S3_SORCBALL1_2,0,0},	// S3_SORCBALL1_1
{SPR3_SBMP,1,2,SA3_SorcBallOrbit,S3_SORCBALL1_3,0,0},	// S3_SORCBALL1_2
{SPR3_SBMP,2,2,SA3_SorcBallOrbit,S3_SORCBALL1_4,0,0},	// S3_SORCBALL1_3
{SPR3_SBMP,3,2,SA3_SorcBallOrbit,S3_SORCBALL1_5,0,0},	// S3_SORCBALL1_4
{SPR3_SBMP,4,2,SA3_SorcBallOrbit,S3_SORCBALL1_6,0,0},	// S3_SORCBALL1_5
{SPR3_SBMP,5,2,SA3_SorcBallOrbit,S3_SORCBALL1_7,0,0},	// S3_SORCBALL1_6
{SPR3_SBMP,6,2,SA3_SorcBallOrbit,S3_SORCBALL1_8,0,0},	// S3_SORCBALL1_7
{SPR3_SBMP,7,2,SA3_SorcBallOrbit,S3_SORCBALL1_9,0,0},	// S3_SORCBALL1_8
{SPR3_SBMP,8,2,SA3_SorcBallOrbit,S3_SORCBALL1_0,0,0},	// S3_SORCBALL1_9
{SPR3_SBMP,9,2,SA3_SorcBallOrbit,S3_SORCBALL1_A,0,0},	// S3_SORCBALL1_0
{SPR3_SBMP,10,2,SA3_SorcBallOrbit,S3_SORCBALL1_B,0,0},	// S3_SORCBALL1_A
{SPR3_SBMP,11,2,SA3_SorcBallOrbit,S3_SORCBALL1_C,0,0},	// S3_SORCBALL1_B
{SPR3_SBMP,12,2,SA3_SorcBallOrbit,S3_SORCBALL1_D,0,0},	// S3_SORCBALL1_C
{SPR3_SBMP,13,2,SA3_SorcBallOrbit,S3_SORCBALL1_E,0,0},	// S3_SORCBALL1_D
{SPR3_SBMP,14,2,SA3_SorcBallOrbit,S3_SORCBALL1_F,0,0},	// S3_SORCBALL1_E
{SPR3_SBMP,15,2,SA3_SorcBallOrbit,S3_SORCBALL1_1,0,0},	// S3_SORCBALL1_F
{SPR3_SBMP,0,5,SA3_SorcBallPop,S3_SORCBALL1_D2,0,0},	// S3_SORCBALL1_D1
{SPR3_SBMP,1,2,SA3_BounceCheck,S3_SORCBALL1_D2,0,0},	// S3_SORCBALL1_D2
{SPR3_SBS4,3,5,SA3_Explode,S3_SORCBALL1_D6,0,0},	// S3_SORCBALL1_D5
{SPR3_SBS4,4,5,SA3_NULL,S3_SORCBALL1_D7,0,0},	// S3_SORCBALL1_D6
{SPR3_SBS4,5,6,SA3_NULL,S3_SORCBALL1_D8,0,0},	// S3_SORCBALL1_D7
{SPR3_SBS4,6,6,SA3_NULL,S3_SORCBALL1_D9,0,0},	// S3_SORCBALL1_D8
{SPR3_SBS4,7,6,SA3_NULL,S3_NULL,0,0},	// S3_SORCBALL1_D9
{SPR3_SBMB,0,2,SA3_SorcBallOrbit,S3_SORCBALL2_2,0,0},	// S3_SORCBALL2_1
{SPR3_SBMB,1,2,SA3_SorcBallOrbit,S3_SORCBALL2_3,0,0},	// S3_SORCBALL2_2
{SPR3_SBMB,2,2,SA3_SorcBallOrbit,S3_SORCBALL2_4,0,0},	// S3_SORCBALL2_3
{SPR3_SBMB,3,2,SA3_SorcBallOrbit,S3_SORCBALL2_5,0,0},	// S3_SORCBALL2_4
{SPR3_SBMB,4,2,SA3_SorcBallOrbit,S3_SORCBALL2_6,0,0},	// S3_SORCBALL2_5
{SPR3_SBMB,5,2,SA3_SorcBallOrbit,S3_SORCBALL2_7,0,0},	// S3_SORCBALL2_6
{SPR3_SBMB,6,2,SA3_SorcBallOrbit,S3_SORCBALL2_8,0,0},	// S3_SORCBALL2_7
{SPR3_SBMB,7,2,SA3_SorcBallOrbit,S3_SORCBALL2_9,0,0},	// S3_SORCBALL2_8
{SPR3_SBMB,8,2,SA3_SorcBallOrbit,S3_SORCBALL2_0,0,0},	// S3_SORCBALL2_9
{SPR3_SBMB,9,2,SA3_SorcBallOrbit,S3_SORCBALL2_A,0,0},	// S3_SORCBALL2_0
{SPR3_SBMB,10,2,SA3_SorcBallOrbit,S3_SORCBALL2_B,0,0},	// S3_SORCBALL2_A
{SPR3_SBMB,11,2,SA3_SorcBallOrbit,S3_SORCBALL2_C,0,0},	// S3_SORCBALL2_B
{SPR3_SBMB,12,2,SA3_SorcBallOrbit,S3_SORCBALL2_D,0,0},	// S3_SORCBALL2_C
{SPR3_SBMB,13,2,SA3_SorcBallOrbit,S3_SORCBALL2_E,0,0},	// S3_SORCBALL2_D
{SPR3_SBMB,14,2,SA3_SorcBallOrbit,S3_SORCBALL2_F,0,0},	// S3_SORCBALL2_E
{SPR3_SBMB,15,2,SA3_SorcBallOrbit,S3_SORCBALL2_1,0,0},	// S3_SORCBALL2_F
{SPR3_SBMB,0,5,SA3_SorcBallPop,S3_SORCBALL2_D2,0,0},	// S3_SORCBALL2_D1
{SPR3_SBMB,1,2,SA3_BounceCheck,S3_SORCBALL2_D2,0,0},	// S3_SORCBALL2_D2
{SPR3_SBS3,3,5,SA3_Explode,S3_SORCBALL2_D6,0,0},	// S3_SORCBALL2_D5
{SPR3_SBS3,4,5,SA3_NULL,S3_SORCBALL2_D7,0,0},	// S3_SORCBALL2_D6
{SPR3_SBS3,5,6,SA3_NULL,S3_SORCBALL2_D8,0,0},	// S3_SORCBALL2_D7
{SPR3_SBS3,6,6,SA3_NULL,S3_SORCBALL2_D9,0,0},	// S3_SORCBALL2_D8
{SPR3_SBS3,7,6,SA3_NULL,S3_NULL,0,0},	// S3_SORCBALL2_D9
{SPR3_SBMG,0,2,SA3_SorcBallOrbit,S3_SORCBALL3_2,0,0},	// S3_SORCBALL3_1
{SPR3_SBMG,1,2,SA3_SorcBallOrbit,S3_SORCBALL3_3,0,0},	// S3_SORCBALL3_2
{SPR3_SBMG,2,2,SA3_SorcBallOrbit,S3_SORCBALL3_4,0,0},	// S3_SORCBALL3_3
{SPR3_SBMG,3,2,SA3_SorcBallOrbit,S3_SORCBALL3_5,0,0},	// S3_SORCBALL3_4
{SPR3_SBMG,4,2,SA3_SorcBallOrbit,S3_SORCBALL3_6,0,0},	// S3_SORCBALL3_5
{SPR3_SBMG,5,2,SA3_SorcBallOrbit,S3_SORCBALL3_7,0,0},	// S3_SORCBALL3_6
{SPR3_SBMG,6,2,SA3_SorcBallOrbit,S3_SORCBALL3_8,0,0},	// S3_SORCBALL3_7
{SPR3_SBMG,7,2,SA3_SorcBallOrbit,S3_SORCBALL3_9,0,0},	// S3_SORCBALL3_8
{SPR3_SBMG,8,2,SA3_SorcBallOrbit,S3_SORCBALL3_0,0,0},	// S3_SORCBALL3_9
{SPR3_SBMG,9,2,SA3_SorcBallOrbit,S3_SORCBALL3_A,0,0},	// S3_SORCBALL3_0
{SPR3_SBMG,10,2,SA3_SorcBallOrbit,S3_SORCBALL3_B,0,0},	// S3_SORCBALL3_A
{SPR3_SBMG,11,2,SA3_SorcBallOrbit,S3_SORCBALL3_C,0,0},	// S3_SORCBALL3_B
{SPR3_SBMG,12,2,SA3_SorcBallOrbit,S3_SORCBALL3_D,0,0},	// S3_SORCBALL3_C
{SPR3_SBMG,13,2,SA3_SorcBallOrbit,S3_SORCBALL3_E,0,0},	// S3_SORCBALL3_D
{SPR3_SBMG,14,2,SA3_SorcBallOrbit,S3_SORCBALL3_F,0,0},	// S3_SORCBALL3_E
{SPR3_SBMG,15,2,SA3_SorcBallOrbit,S3_SORCBALL3_1,0,0},	// S3_SORCBALL3_F
{SPR3_SBMG,0,5,SA3_SorcBallPop,S3_SORCBALL3_D2,0,0},	// S3_SORCBALL3_D1
{SPR3_SBMG,1,2,SA3_BounceCheck,S3_SORCBALL3_D2,0,0},	// S3_SORCBALL3_D2
{SPR3_SBS3,3,5,SA3_Explode,S3_SORCBALL3_D6,0,0},	// S3_SORCBALL3_D5
{SPR3_SBS3,4,5,SA3_NULL,S3_SORCBALL3_D7,0,0},	// S3_SORCBALL3_D6
{SPR3_SBS3,5,6,SA3_NULL,S3_SORCBALL3_D8,0,0},	// S3_SORCBALL3_D7
{SPR3_SBS3,6,6,SA3_NULL,S3_SORCBALL3_D9,0,0},	// S3_SORCBALL3_D8
{SPR3_SBS3,7,6,SA3_NULL,S3_NULL,0,0},	// S3_SORCBALL3_D9
{SPR3_SBS1,32768,2,SA3_NULL,S3_SORCFX1_2,0,0},	// S3_SORCFX1_1
{SPR3_SBS1,32769,3,SA3_SorcFX1Seek,S3_SORCFX1_3,0,0},	// S3_SORCFX1_2
{SPR3_SBS1,32770,3,SA3_SorcFX1Seek,S3_SORCFX1_4,0,0},	// S3_SORCFX1_3
{SPR3_SBS1,32771,3,SA3_SorcFX1Seek,S3_SORCFX1_1,0,0},	// S3_SORCFX1_4
{SPR3_FHFX,32786,2,SA3_Explode,S3_SORCFX1_D2,0,0},	// S3_SORCFX1_D1
{SPR3_FHFX,32786,6,SA3_NULL,S3_SORCFX1_D3,0,0},	// S3_SORCFX1_D2
{SPR3_FHFX,32786,6,SA3_NULL,S3_NULL,0,0},	// S3_SORCFX1_D3
{SPR3_SBS2,32768,3,SA3_SorcFX2Split,S3_SORCFX2_SPLIT1,0,0},	// S3_SORCFX2_SPLIT1
{SPR3_SBS2,32768,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT2,0,0},	// S3_SORCFX2_ORBIT1
{SPR3_SBS2,32769,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT3,0,0},	// S3_SORCFX2_ORBIT2
{SPR3_SBS2,32770,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT4,0,0},	// S3_SORCFX2_ORBIT3
{SPR3_SBS2,32771,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT5,0,0},	// S3_SORCFX2_ORBIT4
{SPR3_SBS2,32772,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT6,0,0},	// S3_SORCFX2_ORBIT5
{SPR3_SBS2,32773,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT7,0,0},	// S3_SORCFX2_ORBIT6
{SPR3_SBS2,32774,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT8,0,0},	// S3_SORCFX2_ORBIT7
{SPR3_SBS2,32775,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT9,0,0},	// S3_SORCFX2_ORBIT8
{SPR3_SBS2,32776,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT0,0,0},	// S3_SORCFX2_ORBIT9
{SPR3_SBS2,32777,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBITA,0,0},	// S3_SORCFX2_ORBIT0
{SPR3_SBS2,32778,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBITB,0,0},	// S3_SORCFX2_ORBITA
{SPR3_SBS2,32779,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBITC,0,0},	// S3_SORCFX2_ORBITB
{SPR3_SBS2,32780,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBITD,0,0},	// S3_SORCFX2_ORBITC
{SPR3_SBS2,32781,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBITE,0,0},	// S3_SORCFX2_ORBITD
{SPR3_SBS2,32782,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBITF,0,0},	// S3_SORCFX2_ORBITE
{SPR3_SBS2,32783,2,SA3_SorcFX2Orbit,S3_SORCFX2_ORBIT1,0,0},	// S3_SORCFX2_ORBITF
{SPR3_SBS2,0,10,SA3_NULL,S3_NULL,0,0},	// S3_SORCFX2T1
{SPR3_SBS3,32768,2,SA3_NULL,S3_SORCFX3_2,0,0},	// S3_SORCFX3_1
{SPR3_SBS3,32769,2,SA3_NULL,S3_SORCFX3_3,0,0},	// S3_SORCFX3_2
{SPR3_SBS3,32770,2,SA3_NULL,S3_SORCFX3_1,0,0},	// S3_SORCFX3_3
{SPR3_SBS3,32768,4,SA3_NULL,S3_BISHMORPHA,0,0},	// S3_BISHMORPH1
{SPR3_BISH,15,4,SA3_SorcererBishopEntry,S3_BISHMORPHB,0,0},	// S3_BISHMORPHA
{SPR3_BISH,14,4,SA3_NULL,S3_BISHMORPHC,0,0},	// S3_BISHMORPHB
{SPR3_BISH,13,4,SA3_NULL,S3_BISHMORPHD,0,0},	// S3_BISHMORPHC
{SPR3_BISH,12,3,SA3_NULL,S3_BISHMORPHE,0,0},	// S3_BISHMORPHD
{SPR3_BISH,11,3,SA3_NULL,S3_BISHMORPHF,0,0},	// S3_BISHMORPHE
{SPR3_BISH,10,3,SA3_NULL,S3_BISHMORPHG,0,0},	// S3_BISHMORPHF
{SPR3_BISH,9,3,SA3_NULL,S3_BISHMORPHH,0,0},	// S3_BISHMORPHG
{SPR3_BISH,8,3,SA3_NULL,S3_BISHMORPHI,0,0},	// S3_BISHMORPHH
{SPR3_BISH,7,3,SA3_NULL,S3_BISHMORPHJ,0,0},	// S3_BISHMORPHI
{SPR3_BISH,6,3,SA3_SpawnBishop,S3_NULL,0,0},	// S3_BISHMORPHJ
{SPR3_SBS3,3,3,SA3_NULL,S3_SORCFX3_EXP2,0,0},	// S3_SORCFX3_EXP1
{SPR3_SBS3,4,3,SA3_NULL,S3_SORCFX3_EXP3,0,0},	// S3_SORCFX3_EXP2
{SPR3_SBS3,5,3,SA3_NULL,S3_SORCFX3_EXP4,0,0},	// S3_SORCFX3_EXP3
{SPR3_SBS3,6,3,SA3_NULL,S3_SORCFX3_EXP5,0,0},	// S3_SORCFX3_EXP4
{SPR3_SBS3,7,3,SA3_NULL,S3_NULL,0,0},	// S3_SORCFX3_EXP5
{SPR3_SBS4,32768,2,SA3_SorcFX4Check,S3_SORCFX4_2,0,0},	// S3_SORCFX4_1
{SPR3_SBS4,32769,2,SA3_SorcFX4Check,S3_SORCFX4_3,0,0},	// S3_SORCFX4_2
{SPR3_SBS4,32770,2,SA3_SorcFX4Check,S3_SORCFX4_1,0,0},	// S3_SORCFX4_3
{SPR3_SBS4,32771,2,SA3_NULL,S3_SORCFX4_D2,0,0},	// S3_SORCFX4_D1
{SPR3_SBS4,32772,2,SA3_Explode,S3_SORCFX4_D3,0,0},	// S3_SORCFX4_D2
{SPR3_SBS4,32773,2,SA3_NULL,S3_SORCFX4_D4,0,0},	// S3_SORCFX4_D3
{SPR3_SBS4,32774,2,SA3_NULL,S3_SORCFX4_D5,0,0},	// S3_SORCFX4_D4
{SPR3_SBS4,32775,2,SA3_NULL,S3_NULL,0,0},	// S3_SORCFX4_D5
{SPR3_SBFX,32768,4,SA3_NULL,S3_SORCSPARK2,0,0},	// S3_SORCSPARK1
{SPR3_SBFX,32769,4,SA3_NULL,S3_SORCSPARK3,0,0},	// S3_SORCSPARK2
{SPR3_SBFX,32770,4,SA3_NULL,S3_SORCSPARK4,0,0},	// S3_SORCSPARK3
{SPR3_SBFX,32771,4,SA3_NULL,S3_SORCSPARK5,0,0},	// S3_SORCSPARK4
{SPR3_SBFX,32772,4,SA3_NULL,S3_SORCSPARK6,0,0},	// S3_SORCSPARK5
{SPR3_SBFX,32773,4,SA3_NULL,S3_SORCSPARK7,0,0},	// S3_SORCSPARK6
{SPR3_SBFX,32774,4,SA3_NULL,S3_NULL,0,0},	// S3_SORCSPARK7
{SPR3_RADE,0,4,SA3_NULL,S3_BLASTEFFECT2,0,0},	// S3_BLASTEFFECT1
{SPR3_RADE,1,4,SA3_NULL,S3_BLASTEFFECT3,0,0},	// S3_BLASTEFFECT2
{SPR3_RADE,2,4,SA3_NULL,S3_BLASTEFFECT4,0,0},	// S3_BLASTEFFECT3
{SPR3_RADE,3,4,SA3_NULL,S3_BLASTEFFECT5,0,0},	// S3_BLASTEFFECT4
{SPR3_RADE,4,4,SA3_NULL,S3_BLASTEFFECT6,0,0},	// S3_BLASTEFFECT5
{SPR3_RADE,5,4,SA3_NULL,S3_BLASTEFFECT7,0,0},	// S3_BLASTEFFECT6
{SPR3_RADE,6,4,SA3_NULL,S3_BLASTEFFECT8,0,0},	// S3_BLASTEFFECT7
{SPR3_RADE,7,4,SA3_NULL,S3_BLASTEFFECT9,0,0},	// S3_BLASTEFFECT8
{SPR3_RADE,8,4,SA3_NULL,S3_NULL,0,0},	// S3_BLASTEFFECT9
{SPR3_WATR,0,5,SA3_NULL,S3_WATERDRIP1,0,0},	// S3_WATERDRIP1
{SPR3_KORX,0,5,SA3_Look,S3_KORAX_LOOK1,0,0},	// S3_KORAX_LOOK1
{SPR3_KORX,0,3,SA3_KoraxStep2,S3_KORAX_CHASE2,0,0},	// S3_KORAX_CHASE1
{SPR3_KORX,0,3,SA3_KoraxChase,S3_KORAX_CHASE3,0,0},	// S3_KORAX_CHASE2
{SPR3_KORX,0,3,SA3_KoraxChase,S3_KORAX_CHASE4,0,0},	// S3_KORAX_CHASE3
{SPR3_KORX,0,3,SA3_KoraxChase,S3_KORAX_CHASE5,0,0},	// S3_KORAX_CHASE4
{SPR3_KORX,1,3,SA3_KoraxStep,S3_KORAX_CHASE6,0,0},	// S3_KORAX_CHASE5
{SPR3_KORX,1,3,SA3_KoraxChase,S3_KORAX_CHASE7,0,0},	// S3_KORAX_CHASE6
{SPR3_KORX,1,3,SA3_KoraxChase,S3_KORAX_CHASE8,0,0},	// S3_KORAX_CHASE7
{SPR3_KORX,1,3,SA3_KoraxChase,S3_KORAX_CHASE9,0,0},	// S3_KORAX_CHASE8
{SPR3_KORX,2,3,SA3_KoraxStep2,S3_KORAX_CHASE0,0,0},	// S3_KORAX_CHASE9
{SPR3_KORX,2,3,SA3_KoraxChase,S3_KORAX_CHASEA,0,0},	// S3_KORAX_CHASE0
{SPR3_KORX,2,3,SA3_KoraxChase,S3_KORAX_CHASEB,0,0},	// S3_KORAX_CHASEA
{SPR3_KORX,2,3,SA3_KoraxChase,S3_KORAX_CHASEC,0,0},	// S3_KORAX_CHASEB
{SPR3_KORX,3,3,SA3_KoraxStep,S3_KORAX_CHASED,0,0},	// S3_KORAX_CHASEC
{SPR3_KORX,3,3,SA3_KoraxChase,S3_KORAX_CHASEE,0,0},	// S3_KORAX_CHASED
{SPR3_KORX,3,3,SA3_KoraxChase,S3_KORAX_CHASEF,0,0},	// S3_KORAX_CHASEE
{SPR3_KORX,3,3,SA3_KoraxChase,S3_KORAX_CHASE1,0,0},	// S3_KORAX_CHASEF
{SPR3_KORX,7,5,SA3_Pain,S3_KORAX_PAIN2,0,0},	// S3_KORAX_PAIN1
{SPR3_KORX,7,5,SA3_NULL,S3_KORAX_CHASE2,0,0},	// S3_KORAX_PAIN2
{SPR3_KORX,32772,2,SA3_FaceTarget,S3_KORAX_ATTACK2,0,0},	// S3_KORAX_ATTACK1
{SPR3_KORX,32772,5,SA3_KoraxDecide,S3_KORAX_ATTACK2,0,0},	// S3_KORAX_ATTACK2
{SPR3_KORX,32772,4,SA3_FaceTarget,S3_KORAX_MISSILE2,0,0},	// S3_KORAX_MISSILE1
{SPR3_KORX,32773,8,SA3_KoraxMissile,S3_KORAX_MISSILE3,0,0},	// S3_KORAX_MISSILE2
{SPR3_KORX,32772,8,SA3_NULL,S3_KORAX_CHASE2,0,0},	// S3_KORAX_MISSILE3
{SPR3_KORX,32772,5,SA3_FaceTarget,S3_KORAX_COMMAND2,0,0},	// S3_KORAX_COMMAND1
{SPR3_KORX,32790,10,SA3_FaceTarget,S3_KORAX_COMMAND3,0,0},	// S3_KORAX_COMMAND2
{SPR3_KORX,32774,15,SA3_KoraxCommand,S3_KORAX_COMMAND4,0,0},	// S3_KORAX_COMMAND3
{SPR3_KORX,32790,10,SA3_NULL,S3_KORAX_COMMAND5,0,0},	// S3_KORAX_COMMAND4
{SPR3_KORX,32772,5,SA3_NULL,S3_KORAX_CHASE2,0,0},	// S3_KORAX_COMMAND5
{SPR3_KORX,8,5,SA3_NULL,S3_KORAX_DEATH2,0,0},	// S3_KORAX_DEATH1
{SPR3_KORX,9,5,SA3_FaceTarget,S3_KORAX_DEATH3,0,0},	// S3_KORAX_DEATH2
{SPR3_KORX,10,5,SA3_Scream,S3_KORAX_DEATH4,0,0},	// S3_KORAX_DEATH3
{SPR3_KORX,11,5,SA3_NULL,S3_KORAX_DEATH5,0,0},	// S3_KORAX_DEATH4
{SPR3_KORX,12,5,SA3_NULL,S3_KORAX_DEATH6,0,0},	// S3_KORAX_DEATH5
{SPR3_KORX,13,5,SA3_NULL,S3_KORAX_DEATH7,0,0},	// S3_KORAX_DEATH6
{SPR3_KORX,14,5,SA3_NULL,S3_KORAX_DEATH8,0,0},	// S3_KORAX_DEATH7
{SPR3_KORX,15,5,SA3_NULL,S3_KORAX_DEATH9,0,0},	// S3_KORAX_DEATH8
{SPR3_KORX,16,10,SA3_NULL,S3_KORAX_DEATH0,0,0},	// S3_KORAX_DEATH9
{SPR3_KORX,17,5,SA3_KoraxBonePop,S3_KORAX_DEATHA,0,0},	// S3_KORAX_DEATH0
{SPR3_KORX,18,5,SA3_NoBlocking,S3_KORAX_DEATHB,0,0},	// S3_KORAX_DEATHA
{SPR3_KORX,19,5,SA3_NULL,S3_KORAX_DEATHC,0,0},	// S3_KORAX_DEATHB
{SPR3_KORX,20,5,SA3_NULL,S3_KORAX_DEATHD,0,0},	// S3_KORAX_DEATHC
{SPR3_KORX,21,-1,SA3_NULL,S3_NULL,0,0},	// S3_KORAX_DEATHD
{SPR3_SPIR,0,5,SA3_KSpiritRoam,S3_KSPIRIT_ROAM2,0,0},	// S3_KSPIRIT_ROAM1
{SPR3_SPIR,1,5,SA3_KSpiritRoam,S3_KSPIRIT_ROAM1,0,0},	// S3_KSPIRIT_ROAM2
{SPR3_SPIR,3,5,SA3_NULL,S3_KSPIRIT_DEATH2,0,0},	// S3_KSPIRIT_DEATH1
{SPR3_SPIR,4,5,SA3_NULL,S3_KSPIRIT_DEATH3,0,0},	// S3_KSPIRIT_DEATH2
{SPR3_SPIR,5,5,SA3_NULL,S3_KSPIRIT_DEATH4,0,0},	// S3_KSPIRIT_DEATH3
{SPR3_SPIR,6,5,SA3_NULL,S3_KSPIRIT_DEATH5,0,0},	// S3_KSPIRIT_DEATH4
{SPR3_SPIR,7,5,SA3_NULL,S3_KSPIRIT_DEATH6,0,0},	// S3_KSPIRIT_DEATH5
{SPR3_SPIR,8,5,SA3_NULL,S3_NULL,0,0},	// S3_KSPIRIT_DEATH6
{SPR3_MLFX,32776,2,SA3_NULL,S3_KBOLT2,0,0},	// S3_KBOLT1
{SPR3_MLFX,32777,2,SA3_KBoltRaise,S3_KBOLT3,0,0},	// S3_KBOLT2
{SPR3_MLFX,32776,2,SA3_KBolt,S3_KBOLT4,0,0},	// S3_KBOLT3
{SPR3_MLFX,32777,2,SA3_KBolt,S3_KBOLT5,0,0},	// S3_KBOLT4
{SPR3_MLFX,32778,2,SA3_KBolt,S3_KBOLT6,0,0},	// S3_KBOLT5
{SPR3_MLFX,32779,2,SA3_KBolt,S3_KBOLT7,0,0},	// S3_KBOLT6
{SPR3_MLFX,32780,2,SA3_KBolt,S3_KBOLT3,0,0},	// S3_KBOLT7
{SPR3_MAN1,0,2,SA3_NULL,S3_SPAWNBATS2,0,0},	// S3_SPAWNBATS1
{SPR3_MAN1,0,2,SA3_BatSpawnInit,S3_SPAWNBATS3,0,0},	// S3_SPAWNBATS2
{SPR3_MAN1,0,2,SA3_BatSpawn,S3_SPAWNBATS3,0,0},	// S3_SPAWNBATS3
{SPR3_MAN1,0,-1,SA3_NULL,S3_NULL,0,0},	// S3_SPAWNBATS3_OFF
{SPR3_ABAT,0,2,SA3_BatMove,S3_BAT2,0,0},	// S3_BAT1
{SPR3_ABAT,1,2,SA3_BatMove,S3_BAT3,0,0},	// S3_BAT2
{SPR3_ABAT,2,2,SA3_BatMove,S3_BAT1,0,0},	// S3_BAT3
{SPR3_ABAT,0,2,SA3_NULL,S3_NULL,0,0}	// S3_BAT_DEATH
};

//**************************************************************************
//
//	$Log: statinfo.cpp,v $
//	Revision 1.6  2001/11/02 18:36:59  dj_jl
//	no message
//	
//	Revision 1.5  2001/10/27 07:53:44  dj_jl
//	Added new models
//	
//	Revision 1.4  2001/09/25 17:02:53  dj_jl
//	Renamed some models
//	
//	Revision 1.3  2001/09/20 16:31:46  dj_jl
//	Added some models
//	
//	Revision 1.2  2001/07/27 14:27:55  dj_jl
//	Update with Id-s and Log-s, some fixes
//
//**************************************************************************
